
  var Module = typeof globalThis.Module !== 'undefined' ? globalThis.Module : {};

  if (!Module.expectedDataFileDownloads) {
    Module.expectedDataFileDownloads = 0;
  }

  Module.expectedDataFileDownloads++;
  (function() {
    // When running as a pthread, FS operations are proxied to the main thread, so we don't need to
    // fetch the .data bundle on the worker
    if (Module['ENVIRONMENT_IS_PTHREAD']) return;
    var loadPackage = function(metadata) {

      var PACKAGE_PATH = '';
      if (typeof window === 'object') {
        PACKAGE_PATH = window['encodeURIComponent'](window.location.pathname.toString().substring(0, window.location.pathname.toString().lastIndexOf('/')) + '/');
      } else if (typeof process === 'undefined' && typeof location !== 'undefined') {
        // web worker
        PACKAGE_PATH = encodeURIComponent(location.pathname.toString().substring(0, location.pathname.toString().lastIndexOf('/')) + '/');
      }
      var PACKAGE_NAME = 'python_data.data';
      var REMOTE_PACKAGE_BASE = 'python_data.data';
      if (typeof Module['locateFilePackage'] === 'function' && !Module['locateFile']) {
        Module['locateFile'] = Module['locateFilePackage'];
        err('warning: you defined Module.locateFilePackage, that has been renamed to Module.locateFile (using your locateFilePackage for now)');
      }
      var REMOTE_PACKAGE_NAME = Module['locateFile'] ? Module['locateFile'](REMOTE_PACKAGE_BASE, '') : REMOTE_PACKAGE_BASE;

      var REMOTE_PACKAGE_SIZE = metadata['remote_package_size'];
      var PACKAGE_UUID = metadata['package_uuid'];

      function fetchRemotePackage(packageName, packageSize, callback, errback) {
        
        var xhr = new XMLHttpRequest();
        xhr.open('GET', packageName, true);
        xhr.responseType = 'arraybuffer';
        xhr.onprogress = function(event) {
          var url = packageName;
          var size = packageSize;
          if (event.total) size = event.total;
          if (event.loaded) {
            if (!xhr.addedTotal) {
              xhr.addedTotal = true;
              if (!Module.dataFileDownloads) Module.dataFileDownloads = {};
              Module.dataFileDownloads[url] = {
                loaded: event.loaded,
                total: size
              };
            } else {
              Module.dataFileDownloads[url].loaded = event.loaded;
            }
            var total = 0;
            var loaded = 0;
            var num = 0;
            for (var download in Module.dataFileDownloads) {
            var data = Module.dataFileDownloads[download];
              total += data.total;
              loaded += data.loaded;
              num++;
            }
            total = Math.ceil(total * Module.expectedDataFileDownloads/num);
            if (Module['setStatus']) Module['setStatus']('Downloading data... (' + loaded + '/' + total + ')');
          } else if (!Module.dataFileDownloads) {
            if (Module['setStatus']) Module['setStatus']('Downloading data...');
          }
        };
        xhr.onerror = function(event) {
          throw new Error("NetworkError for: " + packageName);
        }
        xhr.onload = function(event) {
          if (xhr.status == 200 || xhr.status == 304 || xhr.status == 206 || (xhr.status == 0 && xhr.response)) { // file URLs can return 0
            var packageData = xhr.response;
            callback(packageData);
          } else {
            throw new Error(xhr.statusText + " : " + xhr.responseURL);
          }
        };
        xhr.send(null);
      };

      function handleError(error) {
        console.error('package error:', error);
      };

      var fetchedCallback = null;
      var fetched = Module['getPreloadedPackage'] ? Module['getPreloadedPackage'](REMOTE_PACKAGE_NAME, REMOTE_PACKAGE_SIZE) : null;

      if (!fetched) fetchRemotePackage(REMOTE_PACKAGE_NAME, REMOTE_PACKAGE_SIZE, function(data) {
        if (fetchedCallback) {
          fetchedCallback(data);
          fetchedCallback = null;
        } else {
          fetched = data;
        }
      }, handleError);

    function runWithFS() {

      function assert(check, msg) {
        if (!check) throw msg + new Error().stack;
      }
Module['FS_createPath']("/", "tmp", true, true);
Module['FS_createPath']("/tmp", "xeus-python-kernel", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel", "envs", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs", "xeus-python-kernel", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel", "lib", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib", "python3.10", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10", "xmlrpc", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10", "sqlite3", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/sqlite3", "test", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10", "ensurepip", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/ensurepip", "_bundled", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10", "turtledemo", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10", "asyncio", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10", "lib2to3", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3", "pgen2", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3", "tests", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3/tests", "data", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3/tests/data", "fixers", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3/tests/data/fixers", "myfixes", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3", "fixes", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10", "concurrent", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/concurrent", "futures", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10", "dbm", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10", "encodings", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10", "wsgiref", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10", "collections", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10", "site-packages", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages", "stack_data-0.2.0.dist-info", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages", "backports", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages", "ptyprocess-0.7.0.dist-info", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages", "wcwidth", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages", "jedi-0.18.1.dist-info", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages", "ptyprocess", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages", "executing", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages", "parso-0.8.3.dist-info", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages", "matplotlib_inline", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages", "pip", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip", "_internal", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal", "distributions", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal", "cli", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal", "commands", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal", "operations", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/operations", "install", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/operations", "build", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal", "index", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal", "network", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal", "utils", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal", "models", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal", "metadata", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/metadata", "importlib", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal", "req", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal", "locations", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal", "resolution", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/resolution", "legacy", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/resolution", "resolvelib", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal", "vcs", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip", "_vendor", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor", "html5lib", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/html5lib", "treebuilders", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/html5lib", "treeadapters", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/html5lib", "_trie", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/html5lib", "treewalkers", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/html5lib", "filters", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor", "pep517", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/pep517", "in_process", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor", "platformdirs", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor", "webencodings", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor", "distro", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor", "idna", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor", "urllib3", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/urllib3", "packages", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/urllib3/packages", "backports", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/urllib3", "util", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/urllib3", "contrib", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/urllib3/contrib", "_securetransport", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor", "tomli", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor", "cachecontrol", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/cachecontrol", "caches", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor", "colorama", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor", "pygments", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/pygments", "lexers", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/pygments", "styles", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/pygments", "formatters", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/pygments", "filters", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor", "resolvelib", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/resolvelib", "compat", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor", "distlib", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/distlib", "_backport", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor", "msgpack", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor", "chardet", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/chardet", "cli", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/chardet", "metadata", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor", "pyparsing", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/pyparsing", "diagram", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor", "pkg_resources", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor", "tenacity", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor", "rich", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor", "packaging", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor", "requests", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor", "certifi", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages", "backports.functools_lru_cache-1.6.4.dist-info", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages", "pure_eval", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages", "asttokens", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages", "pip-22.1-py3.10.egg-info", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages", "xeus_python_shell_lite", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages", "six-1.16.0.dist-info", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages", "pickleshare-0.7.5.dist-info", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages", "matplotlib_inline-0.1.3.dist-info", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages", "IPython", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython", "kernel", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython", "sphinxext", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython", "utils", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/utils", "tests", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython", "external", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/external", "decorators", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython", "terminal", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/terminal", "tests", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/terminal", "pt_inputhooks", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython", "lib", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/lib", "tests", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython", "testing", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/testing", "tests", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/testing", "plugin", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython", "extensions", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/extensions", "tests", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython", "core", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core", "magics", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core", "profile", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core", "tests", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/tests", "daft_extension", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages", "parso", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/parso", "python", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/parso", "pgen2", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages", "prompt_toolkit", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit", "lexers", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit", "shortcuts", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/shortcuts", "progress_bar", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit", "styles", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit", "layout", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit", "key_binding", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/key_binding", "bindings", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit", "application", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit", "eventloop", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit", "output", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit", "widgets", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit", "contrib", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/contrib", "telnet", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/contrib", "completers", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/contrib", "ssh", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/contrib", "regular_languages", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit", "input", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit", "formatted_text", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit", "filters", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit", "completion", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit", "clipboard", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages", "pexpect-4.8.0.dist-info", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages", "xeus_python_shell-0.3.0.dist-info", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages", "xeus_python_shell", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages", "pygments", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments", "lexers", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments", "styles", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments", "formatters", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments", "filters", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages", "backcall-0.2.0.dist-info", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages", "decorator-5.1.1.dist-info", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages", "asttokens-2.0.5.dist-info", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages", "wcwidth-0.2.5.dist-info", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages", "wheel", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/wheel", "cli", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/wheel", "vendored", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/wheel/vendored", "packaging", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages", "prompt_toolkit-3.0.29.dist-info", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages", "wheel-0.37.1-py3.8.egg-info", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages", "executing-0.8.3.dist-info", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages", "backcall", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages", "traitlets", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/traitlets", "config", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/traitlets/config", "tests", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/traitlets", "utils", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/traitlets/utils", "tests", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/traitlets", "tests", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages", "Pygments-2.12.0.dist-info", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages", "traitlets-5.2.1.post0.dist-info", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/traitlets-5.2.1.post0.dist-info", "license_files", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages", "pure_eval-0.2.2.dist-info", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages", "stack_data", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages", "pexpect", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages", "jedi", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi", "plugins", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi", "third_party", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party", "typeshed", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed", "third_party", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party", "2", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2", "routes", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2", "scribe", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2", "concurrent", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2/concurrent", "futures", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2", "six", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2/six", "moves", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2/six/moves", "urllib", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2", "kazoo", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2/kazoo", "recipe", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2", "tornado", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2", "fb303", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2", "OpenSSL", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party", "3", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3", "jwt", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3/jwt", "contrib", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3/jwt/contrib", "algorithms", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3", "pyrfc3339", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3", "docutils", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3/docutils", "parsers", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3/docutils/parsers", "rst", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3", "aiofiles", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3/aiofiles", "threadpool", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3", "six", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3/six", "moves", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3/six/moves", "urllib", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3", "filelock", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3", "pkg_resources", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3", "freezegun", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3", "waitress", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3", "typed_ast", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party", "2and3", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3", "pyVmomi", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/pyVmomi", "vim", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/pyVmomi", "vmodl", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3", "google", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/google", "protobuf", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/google/protobuf", "internal", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/google/protobuf", "compiler", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/google/protobuf", "util", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3", "backports", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3", "werkzeug", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/werkzeug", "debug", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/werkzeug", "contrib", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/werkzeug", "middleware", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3", "pymysql", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/pymysql", "constants", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3", "cryptography", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/cryptography", "x509", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/cryptography", "hazmat", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/cryptography/hazmat", "bindings", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/cryptography/hazmat/bindings", "openssl", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/cryptography/hazmat", "primitives", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/cryptography/hazmat/primitives", "ciphers", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/cryptography/hazmat/primitives", "serialization", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/cryptography/hazmat/primitives", "twofactor", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/cryptography/hazmat/primitives", "kdf", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/cryptography/hazmat/primitives", "asymmetric", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/cryptography/hazmat", "backends", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3", "dateutil", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/dateutil", "tz", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3", "emoji", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3", "click", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3", "geoip2", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3", "atomicwrites", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3", "slugify", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3", "deprecated", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3", "paramiko", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3", "markupsafe", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3", "redis", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3", "simplejson", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3", "pytz", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3", "datetimerange", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3", "boto", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/boto", "ec2", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/boto", "s3", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/boto", "kms", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/boto", "elb", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3", "bleach", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3", "attr", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3", "chardet", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3", "jinja2", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3", "cachetools", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3", "markdown", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/markdown", "extensions", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3", "yaml", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3", "tzlocal", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3", "maxminddb", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3", "nmap", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3", "flask", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/flask", "json", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3", "retry", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3", "requests", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/requests", "packages", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/requests/packages", "urllib3", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/requests/packages/urllib3", "packages", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/requests/packages/urllib3/packages", "ssl_match_hostname", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/requests/packages/urllib3", "util", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/requests/packages/urllib3", "contrib", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3", "pynamodb", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/pynamodb", "connection", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3", "characteristic", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed", "stdlib", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib", "2", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2", "encodings", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2", "multiprocessing", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/multiprocessing", "dummy", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2", "email", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/email", "mime", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2", "distutils", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/distutils", "command", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2", "os", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib", "3.7", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib", "3.9", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3.9", "zoneinfo", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib", "3", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3", "xmlrpc", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3", "asyncio", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3", "concurrent", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/concurrent", "futures", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3", "dbm", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3", "encodings", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3", "collections", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3", "venv", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3", "html", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3", "multiprocessing", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/multiprocessing", "dummy", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3", "email", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/email", "mime", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3", "json", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3", "importlib", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3", "unittest", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3", "tkinter", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3", "distutils", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/distutils", "command", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3", "urllib", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3", "http", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3", "os", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib", "2and3", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3", "sqlite3", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3", "ensurepip", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3", "lib2to3", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/lib2to3", "pgen2", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3", "wsgiref", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3", "msilib", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3", "ctypes", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3", "curses", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3", "logging", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3", "pyexpat", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3", "pydoc_data", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3", "_typeshed", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3", "xml", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/xml", "sax", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/xml", "parsers", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/xml/parsers", "expat", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/xml", "etree", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/xml", "dom", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party", "django-stubs", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs", "django-stubs", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs", "apps", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs", "test", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs", "dispatch", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs", "urls", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs", "utils", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/utils", "translation", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs", "db", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/db", "migrations", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/db/migrations", "operations", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/db", "models", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/db/models", "sql", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/db/models", "functions", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/db/models", "fields", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/db", "backends", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/db/backends", "sqlite3", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/db/backends", "postgresql", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/db/backends", "base", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/db/backends", "mysql", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/db/backends", "dummy", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs", "templatetags", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs", "views", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/views", "generic", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/views", "decorators", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs", "contrib", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib", "postgres", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/postgres", "aggregates", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/postgres", "fields", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib", "contenttypes", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/contenttypes", "management", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/contenttypes/management", "commands", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib", "syndication", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib", "gis", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/gis", "db", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/gis/db", "models", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib", "sites", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib", "flatpages", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/flatpages", "templatetags", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib", "admindocs", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib", "admin", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/admin", "templatetags", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/admin", "views", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib", "staticfiles", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/staticfiles", "templatetags", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/staticfiles", "management", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/staticfiles/management", "commands", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib", "auth", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/auth", "handlers", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/auth", "management", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/auth/management", "commands", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib", "messages", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/messages", "storage", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib", "sitemaps", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/sitemaps", "management", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/sitemaps/management", "commands", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib", "humanize", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/humanize", "templatetags", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib", "redirects", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib", "sessions", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/sessions", "backends", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/sessions", "management", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/sessions/management", "commands", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs", "conf", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/conf", "urls", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/conf", "locale", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs", "http", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs", "middleware", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs", "forms", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs", "template", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/template", "backends", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/template", "loaders", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs", "core", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/core", "cache", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/core/cache", "backends", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/core", "files", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/core", "handlers", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/core", "mail", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/core/mail", "backends", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/core", "checks", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/core/checks", "security", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/core", "management", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/core/management", "commands", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/core", "servers", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/core", "serializers", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi", "api", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/api", "refactoring", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi", "inference", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/inference", "compiled", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/inference/compiled", "subprocess", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/inference", "value", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/inference", "gradual", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages", "ipython-7.32.0.dist-info", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10", "ctypes", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/ctypes", "test", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/ctypes", "macholib", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10", "venv", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/venv", "scripts", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/venv/scripts", "posix", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/venv/scripts", "common", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10", "curses", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10", "test", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test", "test_tools", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test", "subprocessdata", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test", "xmltestdata", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/xmltestdata", "c14n-20", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test", "test_zoneinfo", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_zoneinfo", "data", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test", "test_warnings", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_warnings", "data", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test", "cjkencodings", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test", "test_import", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_import", "data", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_import/data", "unwritable", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_import/data", "circular_imports", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_import/data/circular_imports", "subpkg", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_import/data", "package2", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_import/data", "package", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test", "tracedmodules", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test", "encoded_modules", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test", "test_importlib", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib", "frozen", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib", "namespace_pkgs", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/namespace_pkgs", "project1", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/namespace_pkgs/project1", "parent", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/namespace_pkgs/project1/parent", "child", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/namespace_pkgs", "portion1", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/namespace_pkgs/portion1", "foo", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/namespace_pkgs", "both_portions", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/namespace_pkgs/both_portions", "foo", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/namespace_pkgs", "module_and_namespace_package", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/namespace_pkgs/module_and_namespace_package", "a_test", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/namespace_pkgs", "portion2", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/namespace_pkgs/portion2", "foo", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/namespace_pkgs", "project3", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/namespace_pkgs/project3", "parent", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/namespace_pkgs/project3/parent", "child", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/namespace_pkgs", "project2", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/namespace_pkgs/project2", "parent", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/namespace_pkgs/project2/parent", "child", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/namespace_pkgs", "not_a_namespace_pkg", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/namespace_pkgs/not_a_namespace_pkg", "foo", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib", "builtin", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib", "zipdata01", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib", "data03", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/data03", "namespace", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/data03/namespace", "portion1", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/data03/namespace", "portion2", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib", "import_", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib", "partial", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib", "namespacedata01", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib", "data01", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/data01", "subdirectory", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib", "source", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib", "zipdata02", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib", "data", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib", "data02", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/data02", "two", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/data02", "one", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib", "extension", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test", "capath", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test", "imghdrdata", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test", "ziptestdata", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test", "support", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test", "decimaltestdata", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test", "test_asyncio", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test", "libregrtest", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test", "test_json", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test", "audiodata", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test", "sndhdrdata", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test", "test_email", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_email", "data", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test", "data", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test", "test_peg_generator", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test", "dtracedata", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10", "html", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10", "logging", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10", "multiprocessing", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/multiprocessing", "dummy", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10", "email", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/email", "mime", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10", "json", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10", "importlib", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/importlib", "metadata", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10", "unittest", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/unittest", "test", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/unittest/test", "testmock", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10", "tkinter", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/tkinter", "test", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/tkinter/test", "test_tkinter", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/tkinter/test", "test_ttk", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10", "idlelib", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib", "idle_test", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib", "Icons", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10", "distutils", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/distutils", "tests", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/distutils", "command", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10", "urllib", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10", "zoneinfo", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10", "pydoc_data", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10", "http", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10", "xml", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/xml", "sax", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/xml", "parsers", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/xml", "etree", true, true);
Module['FS_createPath']("/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/xml", "dom", true, true);

      /** @constructor */
      function DataRequest(start, end, audio) {
        this.start = start;
        this.end = end;
        this.audio = audio;
      }
      DataRequest.prototype = {
        requests: {},
        open: function(mode, name) {
          this.name = name;
          this.requests[name] = this;
          Module['addRunDependency']('fp ' + this.name);
        },
        send: function() {},
        onload: function() {
          var byteArray = this.byteArray.subarray(this.start, this.end);
          this.finish(byteArray);
        },
        finish: function(byteArray) {
          var that = this;
          
          Module['FS_createPreloadedFile'](this.name, null, byteArray, true, true, function() {
            Module['removeRunDependency']('fp ' + that.name);
          }, function() {
            if (that.audio) {
              Module['removeRunDependency']('fp ' + that.name); // workaround for chromium bug 124926 (still no audio with this, but at least we don't hang)
            } else {
              err('Preloading file ' + that.name + ' failed');
            }
          }, false, true); // canOwn this data in the filesystem, it is a slide into the heap that will never change

          this.requests[this.name] = null;
        }
      };

      var files = metadata['files'];
      for (var i = 0; i < files.length; ++i) {
        new DataRequest(files[i]['start'], files[i]['end'], files[i]['audio'] || 0).open('GET', files[i]['filename']);
      }

      function processPackageData(arrayBuffer) {
        assert(arrayBuffer, 'Loading data file failed.');
        assert(arrayBuffer instanceof ArrayBuffer, 'bad input to processPackageData');
        var byteArray = new Uint8Array(arrayBuffer);
        var curr;
        // Reuse the bytearray from the XHR as the source for file reads.
          DataRequest.prototype.byteArray = byteArray;
          var files = metadata['files'];
          for (var i = 0; i < files.length; ++i) {
            DataRequest.prototype.requests[files[i].filename].onload();
          }          Module['removeRunDependency']('datafile_python_data.data');

      };
      Module['addRunDependency']('datafile_python_data.data');

      if (!Module.preloadResults) Module.preloadResults = {};

      Module.preloadResults[PACKAGE_NAME] = {fromCache: false};
      if (fetched) {
        processPackageData(fetched);
        fetched = null;
      } else {
        fetchedCallback = processPackageData;
      }

    }
    if (Module['calledRun']) {
      runWithFS();
    } else {
      if (!Module['preRun']) Module['preRun'] = [];
      Module["preRun"].push(runWithFS); // FS is not initialized yet, wait for it
    }

    }
    loadPackage({"files": [{"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/LICENSE.txt", "start": 0, "end": 13931}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/signal.py", "start": 13931, "end": 16369}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/copy.py", "start": 16369, "end": 25047}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/traceback.py", "start": 25047, "end": 51265}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/antigravity.py", "start": 51265, "end": 51765}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/stringprep.py", "start": 51765, "end": 64682}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/gettext.py", "start": 64682, "end": 91948}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/threading.py", "start": 91948, "end": 148848}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/chunk.py", "start": 148848, "end": 154283}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/hmac.py", "start": 154283, "end": 162000}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/runpy.py", "start": 162000, "end": 174238}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/mailcap.py", "start": 174238, "end": 182391}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/tracemalloc.py", "start": 182391, "end": 200438}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site.py", "start": 200438, "end": 223025}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/netrc.py", "start": 223025, "end": 228772}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/bdb.py", "start": 228772, "end": 260999}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/sre_parse.py", "start": 260999, "end": 301229}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/selectors.py", "start": 301229, "end": 320765}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/graphlib.py", "start": 320765, "end": 330338}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/poplib.py", "start": 330338, "end": 345536}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/re.py", "start": 345536, "end": 361396}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/trace.py", "start": 361396, "end": 390591}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/weakref.py", "start": 390591, "end": 412151}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/__future__.py", "start": 412151, "end": 417306}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/uuid.py", "start": 417306, "end": 444630}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/pkgutil.py", "start": 444630, "end": 469206}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/tarfile.py", "start": 469206, "end": 564380}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/sysconfig.py", "start": 564380, "end": 591989}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/cProfile.py", "start": 591989, "end": 598324}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/operator.py", "start": 598324, "end": 609075}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/sunau.py", "start": 609075, "end": 627233}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/glob.py", "start": 627233, "end": 635121}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/pathlib.py", "start": 635121, "end": 684647}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/platform.py", "start": 684647, "end": 726595}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/codecs.py", "start": 726595, "end": 763267}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/symtable.py", "start": 763267, "end": 773465}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/_threading_local.py", "start": 773465, "end": 780685}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/py_compile.py", "start": 780685, "end": 788522}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/warnings.py", "start": 788522, "end": 808210}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/contextlib.py", "start": 808210, "end": 834092}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/secrets.py", "start": 834092, "end": 836128}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/locale.py", "start": 836128, "end": 914252}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/__phello__.foo.py", "start": 914252, "end": 914316}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/imghdr.py", "start": 914316, "end": 918124}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/functools.py", "start": 918124, "end": 956200}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/shutil.py", "start": 956200, "end": 1008448}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/_sysconfigdata__emscripten_.py", "start": 1008448, "end": 1037795}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/contextvars.py", "start": 1037795, "end": 1037924}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/mailbox.py", "start": 1037924, "end": 1116718}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/_py_abc.py", "start": 1116718, "end": 1122907}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/_osx_support.py", "start": 1122907, "end": 1144694}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/doctest.py", "start": 1144694, "end": 1249485}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/_aix_support.py", "start": 1249485, "end": 1252755}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/pprint.py", "start": 1252755, "end": 1277199}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/webbrowser.py", "start": 1277199, "end": 1301444}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/cgitb.py", "start": 1301444, "end": 1313540}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/types.py", "start": 1313540, "end": 1323657}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/_collections_abc.py", "start": 1323657, "end": 1355606}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/shlex.py", "start": 1355606, "end": 1369107}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/zipimport.py", "start": 1369107, "end": 1399248}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/reprlib.py", "start": 1399248, "end": 1404515}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/tempfile.py", "start": 1404515, "end": 1432972}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/optparse.py", "start": 1432972, "end": 1493341}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/stat.py", "start": 1493341, "end": 1498826}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/textwrap.py", "start": 1498826, "end": 1518598}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/smtpd.py", "start": 1518598, "end": 1553721}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/_compression.py", "start": 1553721, "end": 1559402}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/difflib.py", "start": 1559402, "end": 1642709}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/getpass.py", "start": 1642709, "end": 1648699}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/cmd.py", "start": 1648699, "end": 1663559}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/hashlib.py", "start": 1663559, "end": 1673788}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/struct.py", "start": 1673788, "end": 1674045}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/xdrlib.py", "start": 1674045, "end": 1679958}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/fnmatch.py", "start": 1679958, "end": 1685962}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/pydoc.py", "start": 1685962, "end": 1795496}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/uu.py", "start": 1795496, "end": 1802455}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/nntplib.py", "start": 1802455, "end": 1843478}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/random.py", "start": 1843478, "end": 1876699}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/telnetlib.py", "start": 1876699, "end": 1899953}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/calendar.py", "start": 1899953, "end": 1924428}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/ftplib.py", "start": 1924428, "end": 1959924}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/sndhdr.py", "start": 1959924, "end": 1967023}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/pstats.py", "start": 1967023, "end": 1996349}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/timeit.py", "start": 1996349, "end": 2009844}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/gzip.py", "start": 2009844, "end": 2031693}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/numbers.py", "start": 2031693, "end": 2042031}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/nturl2path.py", "start": 2042031, "end": 2044918}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/pickle.py", "start": 2044918, "end": 2109864}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/bz2.py", "start": 2109864, "end": 2121711}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/wave.py", "start": 2121711, "end": 2139715}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/ntpath.py", "start": 2139715, "end": 2168121}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/csv.py", "start": 2168121, "end": 2184151}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/inspect.py", "start": 2184151, "end": 2307891}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/configparser.py", "start": 2307891, "end": 2362521}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/sched.py", "start": 2362521, "end": 2368872}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/pipes.py", "start": 2368872, "end": 2377786}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/linecache.py", "start": 2377786, "end": 2383441}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/plistlib.py", "start": 2383441, "end": 2411689}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/modulefinder.py", "start": 2411689, "end": 2436090}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/typing.py", "start": 2436090, "end": 2527367}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/socketserver.py", "start": 2527367, "end": 2554663}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/_weakrefset.py", "start": 2554663, "end": 2560586}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/heapq.py", "start": 2560586, "end": 2583463}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/fileinput.py", "start": 2583463, "end": 2599703}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/quopri.py", "start": 2599703, "end": 2606971}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/datetime.py", "start": 2606971, "end": 2695030}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/zipapp.py", "start": 2695030, "end": 2702565}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/socket.py", "start": 2702565, "end": 2739298}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/colorsys.py", "start": 2739298, "end": 2743315}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/pickletools.py", "start": 2743315, "end": 2836801}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/imp.py", "start": 2836801, "end": 2847392}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/sre_compile.py", "start": 2847392, "end": 2874087}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/aifc.py", "start": 2874087, "end": 2906692}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/io.py", "start": 2906692, "end": 2910888}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/string.py", "start": 2910888, "end": 2921454}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/tty.py", "start": 2921454, "end": 2922333}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/_pydecimal.py", "start": 2922333, "end": 3151009}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/token.py", "start": 3151009, "end": 3153395}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/ssl.py", "start": 3153395, "end": 3205511}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/rlcompleter.py", "start": 3205511, "end": 3213328}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/sre_constants.py", "start": 3213328, "end": 3220482}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/dis.py", "start": 3220482, "end": 3240502}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/subprocess.py", "start": 3240502, "end": 3324236}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/mimetypes.py", "start": 3324236, "end": 3346860}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/asyncore.py", "start": 3346860, "end": 3367093}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/smtplib.py", "start": 3367093, "end": 3412511}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/bisect.py", "start": 3412511, "end": 3415646}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/tabnanny.py", "start": 3415646, "end": 3427054}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/pdb.py", "start": 3427054, "end": 3490155}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/turtle.py", "start": 3490155, "end": 3633915}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/_markupbase.py", "start": 3633915, "end": 3648568}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/statistics.py", "start": 3648568, "end": 3691633}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/compileall.py", "start": 3691633, "end": 3711876}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/codeop.py", "start": 3711876, "end": 3718444}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/this.py", "start": 3718444, "end": 3719447}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/genericpath.py", "start": 3719447, "end": 3724422}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/_strptime.py", "start": 3724422, "end": 3749699}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/_pyio.py", "start": 3749699, "end": 3844262}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/posixpath.py", "start": 3844262, "end": 3860484}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lzma.py", "start": 3860484, "end": 3873761}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/getopt.py", "start": 3873761, "end": 3881250}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/profile.py", "start": 3881250, "end": 3904121}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/cgi.py", "start": 3904121, "end": 3938220}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/keyword.py", "start": 3938220, "end": 3939281}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/ast.py", "start": 3939281, "end": 3998853}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/shelve.py", "start": 3998853, "end": 4007413}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/decimal.py", "start": 4007413, "end": 4007733}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/pyclbr.py", "start": 4007733, "end": 4019129}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/base64.py", "start": 4019129, "end": 4039976}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/binhex.py", "start": 4039976, "end": 4054760}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/opcode.py", "start": 4054760, "end": 4060662}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/tokenize.py", "start": 4060662, "end": 4086583}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/_bootsubprocess.py", "start": 4086583, "end": 4089258}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/dataclasses.py", "start": 4089258, "end": 4145645}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/code.py", "start": 4145645, "end": 4156267}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/abc.py", "start": 4156267, "end": 4162789}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/_sitebuiltins.py", "start": 4162789, "end": 4165917}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/ipaddress.py", "start": 4165917, "end": 4240703}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/queue.py", "start": 4240703, "end": 4252186}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/_compat_pickle.py", "start": 4252186, "end": 4260935}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/filecmp.py", "start": 4260935, "end": 4271113}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/zipfile.py", "start": 4271113, "end": 4359644}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/argparse.py", "start": 4359644, "end": 4457628}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/imaplib.py", "start": 4457628, "end": 4512494}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/fractions.py", "start": 4512494, "end": 4540736}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/copyreg.py", "start": 4540736, "end": 4548162}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/asynchat.py", "start": 4548162, "end": 4559647}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/os.py", "start": 4559647, "end": 4599161}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/crypt.py", "start": 4599161, "end": 4602980}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/enum.py", "start": 4602980, "end": 4642811}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/pty.py", "start": 4642811, "end": 4648024}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/xmlrpc/client.py", "start": 4648024, "end": 4697415}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/xmlrpc/__init__.py", "start": 4697415, "end": 4697453}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/xmlrpc/server.py", "start": 4697453, "end": 4734125}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/sqlite3/__init__.py", "start": 4734125, "end": 4736661}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/sqlite3/dump.py", "start": 4736661, "end": 4739486}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/sqlite3/dbapi2.py", "start": 4739486, "end": 4742809}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/sqlite3/test/factory.py", "start": 4742809, "end": 4754937}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/sqlite3/test/__init__.py", "start": 4754937, "end": 4754937}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/sqlite3/test/dump.py", "start": 4754937, "end": 4757857}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/sqlite3/test/backup.py", "start": 4757857, "end": 4763706}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/sqlite3/test/types.py", "start": 4763706, "end": 4780429}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/sqlite3/test/userfunctions.py", "start": 4780429, "end": 4799462}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/sqlite3/test/dbapi.py", "start": 4799462, "end": 4838354}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/sqlite3/test/hooks.py", "start": 4838354, "end": 4848434}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/sqlite3/test/transactions.py", "start": 4848434, "end": 4855948}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/sqlite3/test/regression.py", "start": 4855948, "end": 4871651}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/ensurepip/__init__.py", "start": 4871651, "end": 4881130}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/ensurepip/__main__.py", "start": 4881130, "end": 4881218}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/ensurepip/_uninstall.py", "start": 4881218, "end": 4882026}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/ensurepip/_bundled/__init__.py", "start": 4882026, "end": 4882026}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/ensurepip/_bundled/pip-21.2.4-py3-none-any.whl", "start": 4882026, "end": 6437126}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/ensurepip/_bundled/setuptools-58.1.0-py3-none-any.whl", "start": 6437126, "end": 7253851}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/turtledemo/penrose.py", "start": 7253851, "end": 7257231}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/turtledemo/lindenmayer.py", "start": 7257231, "end": 7259665}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/turtledemo/__init__.py", "start": 7259665, "end": 7259979}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/turtledemo/tree.py", "start": 7259979, "end": 7261380}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/turtledemo/peace.py", "start": 7261380, "end": 7262446}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/turtledemo/yinyang.py", "start": 7262446, "end": 7263267}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/turtledemo/sorting_animate.py", "start": 7263267, "end": 7268319}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/turtledemo/round_dance.py", "start": 7268319, "end": 7270123}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/turtledemo/minimal_hanoi.py", "start": 7270123, "end": 7272174}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/turtledemo/clock.py", "start": 7272174, "end": 7275375}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/turtledemo/__main__.py", "start": 7275375, "end": 7290425}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/turtledemo/bytedesign.py", "start": 7290425, "end": 7294673}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/turtledemo/paint.py", "start": 7294673, "end": 7295964}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/turtledemo/planet_and_moon.py", "start": 7295964, "end": 7298789}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/turtledemo/rosette.py", "start": 7298789, "end": 7300150}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/turtledemo/two_canvases.py", "start": 7300150, "end": 7301269}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/turtledemo/forest.py", "start": 7301269, "end": 7304235}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/turtledemo/fractalcurves.py", "start": 7304235, "end": 7307708}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/turtledemo/chaos.py", "start": 7307708, "end": 7308659}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/turtledemo/turtle.cfg", "start": 7308659, "end": 7308819}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/turtledemo/colormixer.py", "start": 7308819, "end": 7310158}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/turtledemo/nim.py", "start": 7310158, "end": 7316671}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/asyncio/log.py", "start": 7316671, "end": 7316795}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/asyncio/exceptions.py", "start": 7316795, "end": 7318428}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/asyncio/coroutines.py", "start": 7318428, "end": 7327225}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/asyncio/windows_events.py", "start": 7327225, "end": 7360229}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/asyncio/unix_events.py", "start": 7360229, "end": 7411829}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/asyncio/__init__.py", "start": 7411829, "end": 7412937}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/asyncio/transports.py", "start": 7412937, "end": 7423423}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/asyncio/proactor_events.py", "start": 7423423, "end": 7455679}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/asyncio/tasks.py", "start": 7455679, "end": 7487519}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/asyncio/locks.py", "start": 7487519, "end": 7501106}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/asyncio/format_helpers.py", "start": 7501106, "end": 7503510}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/asyncio/__main__.py", "start": 7503510, "end": 7506853}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/asyncio/base_futures.py", "start": 7506853, "end": 7509427}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/asyncio/queues.py", "start": 7509427, "end": 7517437}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/asyncio/sslproto.py", "start": 7517437, "end": 7544621}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/asyncio/selector_events.py", "start": 7544621, "end": 7584123}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/asyncio/base_subprocess.py", "start": 7584123, "end": 7592966}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/asyncio/threads.py", "start": 7592966, "end": 7593756}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/asyncio/base_events.py", "start": 7593756, "end": 7667207}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/asyncio/windows_utils.py", "start": 7667207, "end": 7672267}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/asyncio/trsock.py", "start": 7672267, "end": 7678143}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/asyncio/protocols.py", "start": 7678143, "end": 7685279}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/asyncio/subprocess.py", "start": 7685279, "end": 7692684}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/asyncio/runners.py", "start": 7692684, "end": 7694788}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/asyncio/staggered.py", "start": 7694788, "end": 7700780}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/asyncio/events.py", "start": 7700780, "end": 7728004}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/asyncio/base_tasks.py", "start": 7728004, "end": 7730471}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/asyncio/futures.py", "start": 7730471, "end": 7744485}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/asyncio/mixins.py", "start": 7744485, "end": 7745288}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/asyncio/constants.py", "start": 7745288, "end": 7746176}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/asyncio/streams.py", "start": 7746176, "end": 7771948}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3/PatternGrammar.txt", "start": 7771948, "end": 7772741}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3/main.py", "start": 7772741, "end": 7784595}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3/__init__.py", "start": 7784595, "end": 7784758}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3/btm_matcher.py", "start": 7784758, "end": 7791381}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3/patcomp.py", "start": 7791381, "end": 7798435}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3/fixer_base.py", "start": 7798435, "end": 7805125}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3/PatternGrammar3.10.4.final.0.pickle", "start": 7805125, "end": 7806350}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3/Grammar3.10.4.final.0.pickle", "start": 7806350, "end": 7821663}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3/pytree.py", "start": 7821663, "end": 7849623}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3/__main__.py", "start": 7849623, "end": 7849690}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3/Grammar.txt", "start": 7849690, "end": 7858386}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3/btm_utils.py", "start": 7858386, "end": 7868352}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3/refactor.py", "start": 7868352, "end": 7895859}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3/pygram.py", "start": 7895859, "end": 7897164}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3/fixer_util.py", "start": 7897164, "end": 7912370}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3/pgen2/parse.py", "start": 7912370, "end": 7920525}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3/pgen2/grammar.py", "start": 7920525, "end": 7926058}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3/pgen2/__init__.py", "start": 7926058, "end": 7926201}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3/pgen2/literals.py", "start": 7926201, "end": 7927836}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3/pgen2/token.py", "start": 7927836, "end": 7929138}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3/pgen2/driver.py", "start": 7929138, "end": 7935107}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3/pgen2/conv.py", "start": 7935107, "end": 7944749}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3/pgen2/tokenize.py", "start": 7944749, "end": 7965868}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3/pgen2/pgen.py", "start": 7965868, "end": 7979698}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3/tests/test_main.py", "start": 7979698, "end": 7985438}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3/tests/support.py", "start": 7985438, "end": 7987386}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3/tests/__init__.py", "start": 7987386, "end": 7987554}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3/tests/pytree_idempotency.py", "start": 7987554, "end": 7990007}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3/tests/test_refactor.py", "start": 7990007, "end": 8002593}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3/tests/test_parser.py", "start": 8002593, "end": 8026089}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3/tests/__main__.py", "start": 8026089, "end": 8026147}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3/tests/test_all_fixers.py", "start": 8026147, "end": 8026742}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3/tests/test_fixers.py", "start": 8026742, "end": 8149648}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3/tests/test_util.py", "start": 8149648, "end": 8170855}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3/tests/test_pytree.py", "start": 8170855, "end": 8187237}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3/tests/data/infinite_recursion.py", "start": 8187237, "end": 8280308}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3/tests/data/README", "start": 8280308, "end": 8280712}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3/tests/data/false_encoding.py", "start": 8280712, "end": 8280752}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3/tests/data/py2_test_grammar.py", "start": 8280752, "end": 8311662}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3/tests/data/crlf.py", "start": 8311662, "end": 8311712}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3/tests/data/bom.py", "start": 8311712, "end": 8311749}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3/tests/data/different_encoding.py", "start": 8311749, "end": 8311979}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3/tests/data/py3_test_grammar.py", "start": 8311979, "end": 8343152}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3/tests/data/fixers/parrot_example.py", "start": 8343152, "end": 8343175}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3/tests/data/fixers/no_fixer_cls.py", "start": 8343175, "end": 8343250}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3/tests/data/fixers/bad_order.py", "start": 8343250, "end": 8343339}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3/tests/data/fixers/myfixes/__init__.py", "start": 8343339, "end": 8343339}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3/tests/data/fixers/myfixes/fix_explicit.py", "start": 8343339, "end": 8343462}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3/tests/data/fixers/myfixes/fix_preorder.py", "start": 8343462, "end": 8343589}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3/tests/data/fixers/myfixes/fix_last.py", "start": 8343589, "end": 8343714}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3/tests/data/fixers/myfixes/fix_parrot.py", "start": 8343714, "end": 8344061}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3/tests/data/fixers/myfixes/fix_first.py", "start": 8344061, "end": 8344185}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3/fixes/fix_print.py", "start": 8344185, "end": 8347029}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3/fixes/fix_xreadlines.py", "start": 8347029, "end": 8347718}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3/fixes/fix_renames.py", "start": 8347718, "end": 8349939}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3/fixes/fix_idioms.py", "start": 8349939, "end": 8354815}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3/fixes/fix_exitfunc.py", "start": 8354815, "end": 8357310}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3/fixes/fix_has_key.py", "start": 8357310, "end": 8360506}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3/fixes/fix_dict.py", "start": 8360506, "end": 8364266}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3/fixes/fix_tuple_params.py", "start": 8364266, "end": 8369831}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3/fixes/fix_exec.py", "start": 8369831, "end": 8370810}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3/fixes/fix_urllib.py", "start": 8370810, "end": 8379177}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3/fixes/fix_xrange.py", "start": 8379177, "end": 8381871}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3/fixes/fix_standarderror.py", "start": 8381871, "end": 8382320}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3/fixes/fix_isinstance.py", "start": 8382320, "end": 8383928}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3/fixes/__init__.py", "start": 8383928, "end": 8383975}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3/fixes/fix_metaclass.py", "start": 8383975, "end": 8392172}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3/fixes/fix_ne.py", "start": 8392172, "end": 8392743}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3/fixes/fix_set_literal.py", "start": 8392743, "end": 8394440}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3/fixes/fix_nonzero.py", "start": 8394440, "end": 8395031}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3/fixes/fix_throw.py", "start": 8395031, "end": 8396613}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3/fixes/fix_itertools.py", "start": 8396613, "end": 8398161}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3/fixes/fix_funcattrs.py", "start": 8398161, "end": 8398805}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3/fixes/fix_paren.py", "start": 8398805, "end": 8400031}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3/fixes/fix_buffer.py", "start": 8400031, "end": 8400621}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3/fixes/fix_methodattrs.py", "start": 8400621, "end": 8401227}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3/fixes/fix_raise.py", "start": 8401227, "end": 8404153}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3/fixes/fix_types.py", "start": 8404153, "end": 8405927}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3/fixes/fix_itertools_imports.py", "start": 8405927, "end": 8408013}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3/fixes/fix_future.py", "start": 8408013, "end": 8408560}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3/fixes/fix_asserts.py", "start": 8408560, "end": 8409544}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3/fixes/fix_except.py", "start": 8409544, "end": 8412888}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3/fixes/fix_filter.py", "start": 8412888, "end": 8415653}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3/fixes/fix_zip.py", "start": 8415653, "end": 8416942}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3/fixes/fix_next.py", "start": 8416942, "end": 8420116}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3/fixes/fix_numliterals.py", "start": 8420116, "end": 8420884}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3/fixes/fix_getcwdu.py", "start": 8420884, "end": 8421335}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3/fixes/fix_long.py", "start": 8421335, "end": 8421811}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3/fixes/fix_raw_input.py", "start": 8421811, "end": 8422265}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3/fixes/fix_operator.py", "start": 8422265, "end": 8425691}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3/fixes/fix_map.py", "start": 8425691, "end": 8429331}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3/fixes/fix_intern.py", "start": 8429331, "end": 8430475}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3/fixes/fix_unicode.py", "start": 8430475, "end": 8431731}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3/fixes/fix_import.py", "start": 8431731, "end": 8434987}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3/fixes/fix_input.py", "start": 8434987, "end": 8435695}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3/fixes/fix_ws_comma.py", "start": 8435695, "end": 8436785}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3/fixes/fix_execfile.py", "start": 8436785, "end": 8438833}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3/fixes/fix_reduce.py", "start": 8438833, "end": 8439670}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3/fixes/fix_imports2.py", "start": 8439670, "end": 8439959}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3/fixes/fix_sys_exc.py", "start": 8439959, "end": 8440993}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3/fixes/fix_apply.py", "start": 8440993, "end": 8443339}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3/fixes/fix_repr.py", "start": 8443339, "end": 8443952}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3/fixes/fix_basestring.py", "start": 8443952, "end": 8444272}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3/fixes/fix_imports.py", "start": 8444272, "end": 8449956}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/lib2to3/fixes/fix_reload.py", "start": 8449956, "end": 8451037}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/concurrent/__init__.py", "start": 8451037, "end": 8451075}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/concurrent/futures/thread.py", "start": 8451075, "end": 8459846}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/concurrent/futures/__init__.py", "start": 8459846, "end": 8461400}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/concurrent/futures/_base.py", "start": 8461400, "end": 8483977}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/concurrent/futures/process.py", "start": 8483977, "end": 8514184}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/dbm/dumb.py", "start": 8514184, "end": 8525720}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/dbm/__init__.py", "start": 8525720, "end": 8531559}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/dbm/gnu.py", "start": 8531559, "end": 8531631}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/dbm/ndbm.py", "start": 8531631, "end": 8531701}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/cp1257.py", "start": 8531701, "end": 8545075}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/iso2022_kr.py", "start": 8545075, "end": 8546128}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/cp862.py", "start": 8546128, "end": 8579498}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/koi8_r.py", "start": 8579498, "end": 8593277}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/mac_romanian.py", "start": 8593277, "end": 8606938}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/raw_unicode_escape.py", "start": 8606938, "end": 8608270}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/cp865.py", "start": 8608270, "end": 8642888}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/iso8859_8.py", "start": 8642888, "end": 8653924}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/cp869.py", "start": 8653924, "end": 8686889}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/iso8859_13.py", "start": 8686889, "end": 8700160}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/hp_roman8.py", "start": 8700160, "end": 8713635}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/cp273.py", "start": 8713635, "end": 8727767}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/iso8859_16.py", "start": 8727767, "end": 8741324}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/__init__.py", "start": 8741324, "end": 8746944}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/rot_13.py", "start": 8746944, "end": 8749392}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/shift_jis_2004.py", "start": 8749392, "end": 8750451}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/big5.py", "start": 8750451, "end": 8751470}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/cp1254.py", "start": 8751470, "end": 8764972}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/gb18030.py", "start": 8764972, "end": 8766003}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/mac_iceland.py", "start": 8766003, "end": 8779501}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/cp950.py", "start": 8779501, "end": 8780524}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/euc_jis_2004.py", "start": 8780524, "end": 8781575}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/koi8_u.py", "start": 8781575, "end": 8795337}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/iso2022_jp_2004.py", "start": 8795337, "end": 8796410}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/punycode.py", "start": 8796410, "end": 8803293}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/cp855.py", "start": 8803293, "end": 8837143}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/mac_arabic.py", "start": 8837143, "end": 8873610}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/cp860.py", "start": 8873610, "end": 8908291}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/cp1006.py", "start": 8908291, "end": 8921859}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/cp775.py", "start": 8921859, "end": 8956335}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/base64_codec.py", "start": 8956335, "end": 8957868}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/cp424.py", "start": 8957868, "end": 8969923}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/cp1252.py", "start": 8969923, "end": 8983434}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/unicode_escape.py", "start": 8983434, "end": 8984738}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/cp500.py", "start": 8984738, "end": 8997859}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/iso8859_1.py", "start": 8997859, "end": 9011035}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/iso8859_14.py", "start": 9011035, "end": 9024687}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/iso8859_5.py", "start": 9024687, "end": 9037702}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/iso8859_10.py", "start": 9037702, "end": 9051291}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/utf_7.py", "start": 9051291, "end": 9052237}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/cp932.py", "start": 9052237, "end": 9053260}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/cp720.py", "start": 9053260, "end": 9066946}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/iso2022_jp_ext.py", "start": 9066946, "end": 9068015}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/iso8859_11.py", "start": 9068015, "end": 9080350}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/mac_latin2.py", "start": 9080350, "end": 9094468}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/iso8859_7.py", "start": 9094468, "end": 9107312}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/tis_620.py", "start": 9107312, "end": 9119612}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/cp1253.py", "start": 9119612, "end": 9132706}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/gbk.py", "start": 9132706, "end": 9133721}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/mac_roman.py", "start": 9133721, "end": 9147201}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/big5hkscs.py", "start": 9147201, "end": 9148240}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/mac_turkish.py", "start": 9148240, "end": 9161753}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/cp949.py", "start": 9161753, "end": 9162776}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/cp1125.py", "start": 9162776, "end": 9197373}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/cp857.py", "start": 9197373, "end": 9231281}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/utf_16_be.py", "start": 9231281, "end": 9232318}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/cp863.py", "start": 9232318, "end": 9266570}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/charmap.py", "start": 9266570, "end": 9268654}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/aliases.py", "start": 9268654, "end": 9284331}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/ascii.py", "start": 9284331, "end": 9285579}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/iso8859_4.py", "start": 9285579, "end": 9298955}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/cp1026.py", "start": 9298955, "end": 9312068}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/cp1256.py", "start": 9312068, "end": 9324882}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/cp1140.py", "start": 9324882, "end": 9337987}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/gb2312.py", "start": 9337987, "end": 9339014}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/cp858.py", "start": 9339014, "end": 9373029}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/palmos.py", "start": 9373029, "end": 9386548}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/iso8859_15.py", "start": 9386548, "end": 9399760}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/cp037.py", "start": 9399760, "end": 9412881}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/cp850.py", "start": 9412881, "end": 9446986}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/cp874.py", "start": 9446986, "end": 9459581}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/oem.py", "start": 9459581, "end": 9460600}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/kz1048.py", "start": 9460600, "end": 9474323}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/cp875.py", "start": 9474323, "end": 9487177}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/cp852.py", "start": 9487177, "end": 9522179}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/cp1258.py", "start": 9522179, "end": 9535543}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/iso2022_jp.py", "start": 9535543, "end": 9536596}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/euc_jp.py", "start": 9536596, "end": 9537623}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/iso2022_jp_2.py", "start": 9537623, "end": 9538684}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/euc_kr.py", "start": 9538684, "end": 9539711}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/euc_jisx0213.py", "start": 9539711, "end": 9540762}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/mac_cyrillic.py", "start": 9540762, "end": 9554216}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/mac_greek.py", "start": 9554216, "end": 9567937}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/hex_codec.py", "start": 9567937, "end": 9569445}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/mac_farsi.py", "start": 9569445, "end": 9584615}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/cp1250.py", "start": 9584615, "end": 9598301}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/ptcp154.py", "start": 9598301, "end": 9612316}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/bz2_codec.py", "start": 9612316, "end": 9614565}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/cp861.py", "start": 9614565, "end": 9649198}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/quopri_codec.py", "start": 9649198, "end": 9650723}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/johab.py", "start": 9650723, "end": 9651746}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/iso8859_9.py", "start": 9651746, "end": 9664902}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/koi8_t.py", "start": 9664902, "end": 9678095}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/utf_8.py", "start": 9678095, "end": 9679100}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/cp856.py", "start": 9679100, "end": 9691523}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/shift_jis.py", "start": 9691523, "end": 9692562}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/utf_32.py", "start": 9692562, "end": 9697691}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/mac_croatian.py", "start": 9697691, "end": 9711324}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/cp1251.py", "start": 9711324, "end": 9724685}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/zlib_codec.py", "start": 9724685, "end": 9726889}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/iso2022_jp_3.py", "start": 9726889, "end": 9727950}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/iso2022_jp_1.py", "start": 9727950, "end": 9729011}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/iso8859_6.py", "start": 9729011, "end": 9739844}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/uu_codec.py", "start": 9739844, "end": 9742695}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/cp866.py", "start": 9742695, "end": 9777091}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/utf_8_sig.py", "start": 9777091, "end": 9781224}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/cp864.py", "start": 9781224, "end": 9814887}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/hz.py", "start": 9814887, "end": 9815898}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/cp437.py", "start": 9815898, "end": 9850462}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/shift_jisx0213.py", "start": 9850462, "end": 9851521}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/utf_16_le.py", "start": 9851521, "end": 9852558}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/latin_1.py", "start": 9852558, "end": 9853822}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/iso8859_3.py", "start": 9853822, "end": 9866911}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/cp737.py", "start": 9866911, "end": 9901592}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/mbcs.py", "start": 9901592, "end": 9902803}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/undefined.py", "start": 9902803, "end": 9904102}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/utf_16.py", "start": 9904102, "end": 9909338}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/utf_32_be.py", "start": 9909338, "end": 9910268}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/idna.py", "start": 9910268, "end": 9919438}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/utf_32_le.py", "start": 9919438, "end": 9920368}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/iso8859_2.py", "start": 9920368, "end": 9933772}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/encodings/cp1255.py", "start": 9933772, "end": 9946238}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/wsgiref/__init__.py", "start": 9946238, "end": 9946825}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/wsgiref/validate.py", "start": 9946825, "end": 9961924}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/wsgiref/headers.py", "start": 9961924, "end": 9968690}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/wsgiref/simple_server.py", "start": 9968690, "end": 9973861}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/wsgiref/util.py", "start": 9973861, "end": 9979712}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/wsgiref/handlers.py", "start": 9979712, "end": 10001381}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/collections/__init__.py", "start": 10001381, "end": 10052609}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/collections/abc.py", "start": 10052609, "end": 10052728}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/six.py", "start": 10052728, "end": 10087277}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pickleshare.py", "start": 10087277, "end": 10097219}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/decorator.py", "start": 10097219, "end": 10113971}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/README.txt", "start": 10113971, "end": 10114090}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/stack_data-0.2.0.dist-info/LICENSE.txt", "start": 10114090, "end": 10115156}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/stack_data-0.2.0.dist-info/WHEEL", "start": 10115156, "end": 10115248}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/stack_data-0.2.0.dist-info/RECORD", "start": 10115248, "end": 10116581}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/stack_data-0.2.0.dist-info/direct_url.json", "start": 10116581, "end": 10116687}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/stack_data-0.2.0.dist-info/METADATA", "start": 10116687, "end": 10134867}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/stack_data-0.2.0.dist-info/top_level.txt", "start": 10134867, "end": 10134878}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/stack_data-0.2.0.dist-info/INSTALLER", "start": 10134878, "end": 10134883}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/stack_data-0.2.0.dist-info/REQUESTED", "start": 10134883, "end": 10134883}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/backports/__init__.py", "start": 10134883, "end": 10134883}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/backports/functools_lru_cache.py", "start": 10134883, "end": 10142122}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/ptyprocess-0.7.0.dist-info/WHEEL", "start": 10142122, "end": 10142221}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/ptyprocess-0.7.0.dist-info/RECORD", "start": 10142221, "end": 10143329}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/ptyprocess-0.7.0.dist-info/LICENSE", "start": 10143329, "end": 10144234}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/ptyprocess-0.7.0.dist-info/direct_url.json", "start": 10144234, "end": 10144387}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/ptyprocess-0.7.0.dist-info/METADATA", "start": 10144387, "end": 10145699}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/ptyprocess-0.7.0.dist-info/INSTALLER", "start": 10145699, "end": 10145704}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/ptyprocess-0.7.0.dist-info/REQUESTED", "start": 10145704, "end": 10145704}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/wcwidth/wcwidth.py", "start": 10145704, "end": 10160576}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/wcwidth/table_zero.py", "start": 10160576, "end": 10470806}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/wcwidth/__init__.py", "start": 10470806, "end": 10472363}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/wcwidth/unicode_versions.py", "start": 10472363, "end": 10473155}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/wcwidth/table_wide.py", "start": 10473155, "end": 10552577}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi-0.18.1.dist-info/LICENSE.txt", "start": 10552577, "end": 10553818}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi-0.18.1.dist-info/WHEEL", "start": 10553818, "end": 10553928}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi-0.18.1.dist-info/AUTHORS.txt", "start": 10553928, "end": 10556406}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi-0.18.1.dist-info/RECORD", "start": 10556406, "end": 10783914}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi-0.18.1.dist-info/direct_url.json", "start": 10783914, "end": 10784017}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi-0.18.1.dist-info/METADATA", "start": 10784017, "end": 10804338}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi-0.18.1.dist-info/top_level.txt", "start": 10804338, "end": 10804343}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi-0.18.1.dist-info/INSTALLER", "start": 10804343, "end": 10804348}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi-0.18.1.dist-info/REQUESTED", "start": 10804348, "end": 10804348}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/ptyprocess/__init__.py", "start": 10804348, "end": 10804486}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/ptyprocess/ptyprocess.py", "start": 10804486, "end": 10836172}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/ptyprocess/util.py", "start": 10836172, "end": 10838957}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/ptyprocess/_fork_pty.py", "start": 10838957, "end": 10841319}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/executing/__init__.py", "start": 10841319, "end": 10842053}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/executing/version.py", "start": 10842053, "end": 10842074}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/executing/executing.py", "start": 10842074, "end": 10880246}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/parso-0.8.3.dist-info/LICENSE.txt", "start": 10880246, "end": 10884422}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/parso-0.8.3.dist-info/WHEEL", "start": 10884422, "end": 10884532}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/parso-0.8.3.dist-info/AUTHORS.txt", "start": 10884532, "end": 10886561}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/parso-0.8.3.dist-info/RECORD", "start": 10886561, "end": 10890558}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/parso-0.8.3.dist-info/direct_url.json", "start": 10890558, "end": 10890659}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/parso-0.8.3.dist-info/METADATA", "start": 10890659, "end": 10898257}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/parso-0.8.3.dist-info/top_level.txt", "start": 10898257, "end": 10898263}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/parso-0.8.3.dist-info/INSTALLER", "start": 10898263, "end": 10898268}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/parso-0.8.3.dist-info/REQUESTED", "start": 10898268, "end": 10898268}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/matplotlib_inline/__init__.py", "start": 10898268, "end": 10898268}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/matplotlib_inline/config.py", "start": 10898268, "end": 10902261}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/matplotlib_inline/backend_inline.py", "start": 10902261, "end": 10913376}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/__init__.py", "start": 10913376, "end": 10913731}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/py.typed", "start": 10913731, "end": 10914017}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/__main__.py", "start": 10914017, "end": 10915215}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/exceptions.py", "start": 10915215, "end": 10936127}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/main.py", "start": 10936127, "end": 10936467}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/__init__.py", "start": 10936467, "end": 10937040}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/pyproject.py", "start": 10937040, "end": 10944114}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/wheel_builder.py", "start": 10944114, "end": 10956421}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/build_env.py", "start": 10956421, "end": 10966453}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/configuration.py", "start": 10966453, "end": 10979982}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/cache.py", "start": 10979982, "end": 10989423}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/self_outdated_check.py", "start": 10989423, "end": 10997525}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/distributions/sdist.py", "start": 10997525, "end": 11003834}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/distributions/__init__.py", "start": 11003834, "end": 11004692}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/distributions/base.py", "start": 11004692, "end": 11005864}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/distributions/installed.py", "start": 11005864, "end": 11006544}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/distributions/wheel.py", "start": 11006544, "end": 11007659}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/cli/progress_bars.py", "start": 11007659, "end": 11009627}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/cli/main.py", "start": 11009627, "end": 11012099}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/cli/__init__.py", "start": 11012099, "end": 11012231}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/cli/spinners.py", "start": 11012231, "end": 11017329}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/cli/cmdoptions.py", "start": 11017329, "end": 11047124}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/cli/main_parser.py", "start": 11047124, "end": 11049738}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/cli/autocompletion.py", "start": 11049738, "end": 11056414}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/cli/req_command.py", "start": 11056414, "end": 11074419}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/cli/status_codes.py", "start": 11074419, "end": 11074535}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/cli/base_command.py", "start": 11074535, "end": 11082681}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/cli/command_context.py", "start": 11082681, "end": 11083455}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/cli/parser.py", "start": 11083455, "end": 11094272}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/commands/check.py", "start": 11094272, "end": 11095957}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/commands/__init__.py", "start": 11095957, "end": 11099693}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/commands/hash.py", "start": 11099693, "end": 11101396}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/commands/download.py", "start": 11101396, "end": 11106347}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/commands/debug.py", "start": 11106347, "end": 11113003}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/commands/list.py", "start": 11113003, "end": 11125238}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/commands/uninstall.py", "start": 11125238, "end": 11128918}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/commands/install.py", "start": 11128918, "end": 11156996}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/commands/configuration.py", "start": 11156996, "end": 11166496}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/commands/index.py", "start": 11166496, "end": 11171345}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/commands/help.py", "start": 11171345, "end": 11172477}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/commands/cache.py", "start": 11172477, "end": 11180001}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/commands/completion.py", "start": 11180001, "end": 11184130}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/commands/wheel.py", "start": 11184130, "end": 11190373}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/commands/freeze.py", "start": 11190373, "end": 11193324}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/commands/search.py", "start": 11193324, "end": 11199021}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/commands/show.py", "start": 11199021, "end": 11205150}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/operations/prepare.py", "start": 11205150, "end": 11226679}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/operations/check.py", "start": 11226679, "end": 11231788}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/operations/__init__.py", "start": 11231788, "end": 11231788}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/operations/freeze.py", "start": 11231788, "end": 11241572}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/operations/install/__init__.py", "start": 11241572, "end": 11241623}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/operations/install/editable_legacy.py", "start": 11241623, "end": 11242977}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/operations/install/legacy.py", "start": 11242977, "end": 11247068}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/operations/install/wheel.py", "start": 11247068, "end": 11274534}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/operations/build/metadata_legacy.py", "start": 11274534, "end": 11276732}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/operations/build/metadata_editable.py", "start": 11276732, "end": 11278188}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/operations/build/__init__.py", "start": 11278188, "end": 11278188}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/operations/build/wheel_legacy.py", "start": 11278188, "end": 11281252}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/operations/build/metadata.py", "start": 11281252, "end": 11282656}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/operations/build/build_tracker.py", "start": 11282656, "end": 11286789}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/operations/build/wheel_editable.py", "start": 11286789, "end": 11288194}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/operations/build/wheel.py", "start": 11288194, "end": 11289257}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/index/__init__.py", "start": 11289257, "end": 11289287}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/index/sources.py", "start": 11289287, "end": 11295844}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/index/collector.py", "start": 11295844, "end": 11315515}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/index/package_finder.py", "start": 11315515, "end": 11353337}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/network/__init__.py", "start": 11353337, "end": 11353387}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/network/download.py", "start": 11353387, "end": 11359449}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/network/lazy_wheel.py", "start": 11359449, "end": 11367103}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/network/session.py", "start": 11367103, "end": 11383952}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/network/auth.py", "start": 11383952, "end": 11396153}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/network/utils.py", "start": 11396153, "end": 11400226}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/network/cache.py", "start": 11400226, "end": 11402371}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/network/xmlrpc.py", "start": 11402371, "end": 11404162}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/utils/_log.py", "start": 11404162, "end": 11405177}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/utils/__init__.py", "start": 11405177, "end": 11405177}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/utils/unpacking.py", "start": 11405177, "end": 11413998}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/utils/entrypoints.py", "start": 11413998, "end": 11416898}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/utils/virtualenv.py", "start": 11416898, "end": 11420357}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/utils/direct_url_helpers.py", "start": 11420357, "end": 11423563}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/utils/logging.py", "start": 11423563, "end": 11435150}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/utils/compat.py", "start": 11435150, "end": 11437034}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/utils/temp_dir.py", "start": 11437034, "end": 11444736}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/utils/encoding.py", "start": 11444736, "end": 11445905}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/utils/appdirs.py", "start": 11445905, "end": 11447570}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/utils/misc.py", "start": 11447570, "end": 11469187}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/utils/compatibility_tags.py", "start": 11469187, "end": 11474564}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/utils/packaging.py", "start": 11474564, "end": 11476672}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/utils/datetime.py", "start": 11476672, "end": 11476914}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/utils/deprecation.py", "start": 11476914, "end": 11480541}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/utils/subprocess.py", "start": 11480541, "end": 11489738}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/utils/egg_link.py", "start": 11489738, "end": 11491941}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/utils/urls.py", "start": 11491941, "end": 11493700}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/utils/glibc.py", "start": 11493700, "end": 11496810}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/utils/filesystem.py", "start": 11496810, "end": 11501932}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/utils/setuptools_build.py", "start": 11501932, "end": 11507584}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/utils/inject_securetransport.py", "start": 11507584, "end": 11508379}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/utils/wheel.py", "start": 11508379, "end": 11512928}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/utils/models.py", "start": 11512928, "end": 11514121}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/utils/distutils_args.py", "start": 11514121, "end": 11515370}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/utils/filetypes.py", "start": 11515370, "end": 11516086}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/utils/hashes.py", "start": 11516086, "end": 11520897}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/models/__init__.py", "start": 11520897, "end": 11520960}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/models/direct_url.py", "start": 11520960, "end": 11526837}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/models/link.py", "start": 11526837, "end": 11536654}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/models/target_python.py", "start": 11536654, "end": 11540512}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/models/search_scope.py", "start": 11540512, "end": 11545032}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/models/index.py", "start": 11545032, "end": 11546062}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/models/format_control.py", "start": 11546062, "end": 11548582}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/models/wheel.py", "start": 11548582, "end": 11552082}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/models/selection_prefs.py", "start": 11552082, "end": 11553989}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/models/candidate.py", "start": 11553989, "end": 11554979}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/models/scheme.py", "start": 11554979, "end": 11555717}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/metadata/__init__.py", "start": 11555717, "end": 11559251}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/metadata/base.py", "start": 11559251, "end": 11579434}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/metadata/pkg_resources.py", "start": 11579434, "end": 11588731}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/metadata/importlib/__init__.py", "start": 11588731, "end": 11588838}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/metadata/importlib/_dists.py", "start": 11588838, "end": 11598950}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/metadata/importlib/_envs.py", "start": 11598950, "end": 11605466}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/metadata/importlib/_compat.py", "start": 11605466, "end": 11606896}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/req/__init__.py", "start": 11606896, "end": 11609703}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/req/req_file.py", "start": 11609703, "end": 11627205}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/req/req_install.py", "start": 11627205, "end": 11659894}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/req/req_uninstall.py", "start": 11659894, "end": 11683939}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/req/constructors.py", "start": 11683939, "end": 11700550}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/req/req_set.py", "start": 11700550, "end": 11708134}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/locations/__init__.py", "start": 11708134, "end": 11725457}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/locations/_distutils.py", "start": 11725457, "end": 11731312}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/locations/_sysconfig.py", "start": 11731312, "end": 11739230}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/locations/base.py", "start": 11739230, "end": 11740809}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/resolution/__init__.py", "start": 11740809, "end": 11740809}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/resolution/base.py", "start": 11740809, "end": 11741392}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/resolution/legacy/__init__.py", "start": 11741392, "end": 11741392}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/resolution/legacy/resolver.py", "start": 11741392, "end": 11759680}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/resolution/resolvelib/factory.py", "start": 11759680, "end": 11788322}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/resolution/resolvelib/__init__.py", "start": 11788322, "end": 11788322}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/resolution/resolvelib/provider.py", "start": 11788322, "end": 11798237}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/resolution/resolvelib/resolver.py", "start": 11798237, "end": 11809870}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/resolution/resolvelib/found_candidates.py", "start": 11809870, "end": 11815575}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/resolution/resolvelib/candidates.py", "start": 11815575, "end": 11834082}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/resolution/resolvelib/reporter.py", "start": 11834082, "end": 11836608}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/resolution/resolvelib/base.py", "start": 11836608, "end": 11841828}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/resolution/resolvelib/requirements.py", "start": 11841828, "end": 11847283}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/vcs/versioncontrol.py", "start": 11847283, "end": 11870094}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/vcs/__init__.py", "start": 11870094, "end": 11870690}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/vcs/bazaar.py", "start": 11870690, "end": 11873737}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/vcs/mercurial.py", "start": 11873737, "end": 11878975}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/vcs/subversion.py", "start": 11878975, "end": 11890693}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_internal/vcs/git.py", "start": 11890693, "end": 11908809}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/vendor.txt", "start": 11908809, "end": 11909291}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/six.py", "start": 11909291, "end": 11943840}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/__init__.py", "start": 11943840, "end": 11948548}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/typing_extensions.py", "start": 11948548, "end": 12019197}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/html5lib/_ihatexml.py", "start": 12019197, "end": 12035925}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/html5lib/__init__.py", "start": 12035925, "end": 12037085}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/html5lib/html5parser.py", "start": 12037085, "end": 12154271}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/html5lib/serializer.py", "start": 12154271, "end": 12170030}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/html5lib/_tokenizer.py", "start": 12170030, "end": 12247070}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/html5lib/constants.py", "start": 12247070, "end": 12330534}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/html5lib/_inputstream.py", "start": 12330534, "end": 12362887}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/html5lib/_utils.py", "start": 12362887, "end": 12367818}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/html5lib/treebuilders/__init__.py", "start": 12367818, "end": 12371410}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/html5lib/treebuilders/etree_lxml.py", "start": 12371410, "end": 12386176}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/html5lib/treebuilders/etree.py", "start": 12386176, "end": 12399012}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/html5lib/treebuilders/base.py", "start": 12399012, "end": 12413577}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/html5lib/treebuilders/dom.py", "start": 12413577, "end": 12422502}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/html5lib/treeadapters/__init__.py", "start": 12422502, "end": 12423181}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/html5lib/treeadapters/sax.py", "start": 12423181, "end": 12424957}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/html5lib/treeadapters/genshi.py", "start": 12424957, "end": 12426672}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/html5lib/_trie/py.py", "start": 12426672, "end": 12428447}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/html5lib/_trie/__init__.py", "start": 12428447, "end": 12428556}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/html5lib/_trie/_base.py", "start": 12428556, "end": 12429569}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/html5lib/treewalkers/__init__.py", "start": 12429569, "end": 12435288}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/html5lib/treewalkers/etree_lxml.py", "start": 12435288, "end": 12441645}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/html5lib/treewalkers/etree.py", "start": 12441645, "end": 12446196}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/html5lib/treewalkers/base.py", "start": 12446196, "end": 12453672}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/html5lib/treewalkers/dom.py", "start": 12453672, "end": 12455085}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/html5lib/treewalkers/genshi.py", "start": 12455085, "end": 12457394}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/html5lib/filters/__init__.py", "start": 12457394, "end": 12457394}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/html5lib/filters/inject_meta_charset.py", "start": 12457394, "end": 12460339}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/html5lib/filters/sanitizer.py", "start": 12460339, "end": 12487236}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/html5lib/filters/whitespace.py", "start": 12487236, "end": 12488450}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/html5lib/filters/lint.py", "start": 12488450, "end": 12492093}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/html5lib/filters/base.py", "start": 12492093, "end": 12492379}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/html5lib/filters/alphabeticalattributes.py", "start": 12492379, "end": 12493298}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/html5lib/filters/optionaltags.py", "start": 12493298, "end": 12503886}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/pep517/meta.py", "start": 12503886, "end": 12506349}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/pep517/check.py", "start": 12506349, "end": 12512433}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/pep517/__init__.py", "start": 12512433, "end": 12512563}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/pep517/envbuild.py", "start": 12512563, "end": 12518663}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/pep517/dirtools.py", "start": 12518663, "end": 12519792}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/pep517/colorlog.py", "start": 12519792, "end": 12523890}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/pep517/compat.py", "start": 12523890, "end": 12525143}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/pep517/wrappers.py", "start": 12525143, "end": 12538572}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/pep517/build.py", "start": 12538572, "end": 12542029}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/pep517/in_process/__init__.py", "start": 12542029, "end": 12542592}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/pep517/in_process/_in_process.py", "start": 12542592, "end": 12553793}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/platformdirs/windows.py", "start": 12553793, "end": 12560232}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/platformdirs/__init__.py", "start": 12560232, "end": 12573063}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/platformdirs/api.py", "start": 12573063, "end": 12577973}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/platformdirs/__main__.py", "start": 12577973, "end": 12579149}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/platformdirs/android.py", "start": 12579149, "end": 12583217}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/platformdirs/version.py", "start": 12583217, "end": 12583295}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/platformdirs/macos.py", "start": 12583295, "end": 12585950}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/platformdirs/unix.py", "start": 12585950, "end": 12592860}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/webencodings/__init__.py", "start": 12592860, "end": 12603439}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/webencodings/tests.py", "start": 12603439, "end": 12610002}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/webencodings/labels.py", "start": 12610002, "end": 12618981}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/webencodings/mklabels.py", "start": 12618981, "end": 12620286}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/webencodings/x_user_defined.py", "start": 12620286, "end": 12624593}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/distro/__init__.py", "start": 12624593, "end": 12625574}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/distro/distro.py", "start": 12625574, "end": 12674415}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/distro/__main__.py", "start": 12674415, "end": 12674479}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/idna/codec.py", "start": 12674479, "end": 12677853}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/idna/__init__.py", "start": 12677853, "end": 12678702}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/idna/intranges.py", "start": 12678702, "end": 12680583}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/idna/core.py", "start": 12680583, "end": 12693378}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/idna/idnadata.py", "start": 12693378, "end": 12737403}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/idna/compat.py", "start": 12737403, "end": 12737724}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/idna/package_data.py", "start": 12737724, "end": 12737745}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/idna/uts46data.py", "start": 12737745, "end": 12942145}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/urllib3/exceptions.py", "start": 12942145, "end": 12950362}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/urllib3/response.py", "start": 12950362, "end": 12978518}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/urllib3/connectionpool.py", "start": 12978518, "end": 13017531}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/urllib3/poolmanager.py", "start": 13017531, "end": 13037317}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/urllib3/_version.py", "start": 13037317, "end": 13037380}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/urllib3/__init__.py", "start": 13037380, "end": 13040143}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/urllib3/filepost.py", "start": 13040143, "end": 13042583}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/urllib3/fields.py", "start": 13042583, "end": 13051162}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/urllib3/request.py", "start": 13051162, "end": 13057147}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/urllib3/_collections.py", "start": 13057147, "end": 13067958}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/urllib3/connection.py", "start": 13067958, "end": 13088028}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/urllib3/packages/six.py", "start": 13088028, "end": 13122694}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/urllib3/packages/__init__.py", "start": 13122694, "end": 13122694}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/urllib3/packages/backports/__init__.py", "start": 13122694, "end": 13122694}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/urllib3/packages/backports/makefile.py", "start": 13122694, "end": 13124111}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/urllib3/util/response.py", "start": 13124111, "end": 13127621}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/urllib3/util/ssl_match_hostname.py", "start": 13127621, "end": 13133379}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/urllib3/util/__init__.py", "start": 13133379, "end": 13134534}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/urllib3/util/timeout.py", "start": 13134534, "end": 13144537}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/urllib3/util/proxy.py", "start": 13144537, "end": 13146142}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/urllib3/util/retry.py", "start": 13146142, "end": 13168143}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/urllib3/util/ssl_.py", "start": 13168143, "end": 13185320}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/urllib3/util/ssltransport.py", "start": 13185320, "end": 13192215}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/urllib3/util/wait.py", "start": 13192215, "end": 13197619}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/urllib3/util/request.py", "start": 13197619, "end": 13201616}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/urllib3/util/url.py", "start": 13201616, "end": 13215663}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/urllib3/util/queue.py", "start": 13215663, "end": 13216161}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/urllib3/util/connection.py", "start": 13216161, "end": 13221062}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/urllib3/contrib/appengine.py", "start": 13221062, "end": 13232096}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/urllib3/contrib/__init__.py", "start": 13232096, "end": 13232096}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/urllib3/contrib/securetransport.py", "start": 13232096, "end": 13266545}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/urllib3/contrib/ntlmpool.py", "start": 13266545, "end": 13271083}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/urllib3/contrib/pyopenssl.py", "start": 13271083, "end": 13287983}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/urllib3/contrib/socks.py", "start": 13287983, "end": 13295080}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/urllib3/contrib/_appengine_environ.py", "start": 13295080, "end": 13296037}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/urllib3/contrib/_securetransport/__init__.py", "start": 13296037, "end": 13296037}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/urllib3/contrib/_securetransport/bindings.py", "start": 13296037, "end": 13313669}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/urllib3/contrib/_securetransport/low_level.py", "start": 13313669, "end": 13327591}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/tomli/__init__.py", "start": 13327591, "end": 13327987}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/tomli/_types.py", "start": 13327987, "end": 13328241}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/tomli/_parser.py", "start": 13328241, "end": 13350874}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/tomli/_re.py", "start": 13350874, "end": 13353817}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/cachecontrol/__init__.py", "start": 13353817, "end": 13354282}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/cachecontrol/filewrapper.py", "start": 13354282, "end": 13358228}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/cachecontrol/heuristics.py", "start": 13358228, "end": 13362382}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/cachecontrol/serialize.py", "start": 13362382, "end": 13369487}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/cachecontrol/_cmd.py", "start": 13369487, "end": 13370866}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/cachecontrol/compat.py", "start": 13370866, "end": 13371644}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/cachecontrol/wrapper.py", "start": 13371644, "end": 13372418}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/cachecontrol/adapter.py", "start": 13372418, "end": 13377451}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/cachecontrol/cache.py", "start": 13377451, "end": 13378986}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/cachecontrol/controller.py", "start": 13378986, "end": 13395402}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/cachecontrol/caches/file_cache.py", "start": 13395402, "end": 13400673}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/cachecontrol/caches/__init__.py", "start": 13400673, "end": 13400915}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/cachecontrol/caches/redis_cache.py", "start": 13400915, "end": 13401948}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/colorama/win32.py", "start": 13401948, "end": 13407352}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/colorama/__init__.py", "start": 13407352, "end": 13407591}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/colorama/initialise.py", "start": 13407591, "end": 13409506}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/colorama/ansitowin32.py", "start": 13409506, "end": 13420023}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/colorama/winterm.py", "start": 13420023, "end": 13426461}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/colorama/ansi.py", "start": 13426461, "end": 13428983}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/pygments/__init__.py", "start": 13428983, "end": 13431985}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/pygments/filter.py", "start": 13431985, "end": 13433923}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/pygments/sphinxext.py", "start": 13433923, "end": 13438553}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/pygments/plugin.py", "start": 13438553, "end": 13440280}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/pygments/lexer.py", "start": 13440280, "end": 13472217}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/pygments/scanner.py", "start": 13472217, "end": 13475308}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/pygments/formatter.py", "start": 13475308, "end": 13478225}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/pygments/__main__.py", "start": 13478225, "end": 13478578}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/pygments/modeline.py", "start": 13478578, "end": 13479564}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/pygments/util.py", "start": 13479564, "end": 13488687}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/pygments/regexopt.py", "start": 13488687, "end": 13491759}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/pygments/console.py", "start": 13491759, "end": 13493456}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/pygments/token.py", "start": 13493456, "end": 13499599}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/pygments/unistring.py", "start": 13499599, "end": 13562787}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/pygments/style.py", "start": 13562787, "end": 13569044}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/pygments/cmdline.py", "start": 13569044, "end": 13592452}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/pygments/lexers/__init__.py", "start": 13592452, "end": 13603759}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/pygments/lexers/_mapping.py", "start": 13603759, "end": 13673791}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/pygments/lexers/python.py", "start": 13673791, "end": 13726567}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/pygments/styles/__init__.py", "start": 13726567, "end": 13729819}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/pygments/formatters/img.py", "start": 13729819, "end": 13751638}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/pygments/formatters/__init__.py", "start": 13751638, "end": 13756757}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/pygments/formatters/terminal256.py", "start": 13756757, "end": 13768510}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/pygments/formatters/rtf.py", "start": 13768510, "end": 13773524}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/pygments/formatters/html.py", "start": 13773524, "end": 13808854}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/pygments/formatters/pangomarkup.py", "start": 13808854, "end": 13811066}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/pygments/formatters/latex.py", "start": 13811066, "end": 13829996}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/pygments/formatters/other.py", "start": 13829996, "end": 13835069}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/pygments/formatters/groff.py", "start": 13835069, "end": 13840074}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/pygments/formatters/bbcode.py", "start": 13840074, "end": 13843388}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/pygments/formatters/terminal.py", "start": 13843388, "end": 13848062}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/pygments/formatters/svg.py", "start": 13848062, "end": 13855397}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/pygments/formatters/_mapping.py", "start": 13855397, "end": 13861913}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/pygments/formatters/irc.py", "start": 13861913, "end": 13867784}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/pygments/filters/__init__.py", "start": 13867784, "end": 13908076}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/resolvelib/structs.py", "start": 13908076, "end": 13912870}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/resolvelib/resolvers.py", "start": 13912870, "end": 13930462}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/resolvelib/__init__.py", "start": 13930462, "end": 13930999}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/resolvelib/providers.py", "start": 13930999, "end": 13936871}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/resolvelib/reporters.py", "start": 13936871, "end": 13938454}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/resolvelib/compat/__init__.py", "start": 13938454, "end": 13938454}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/resolvelib/compat/collections_abc.py", "start": 13938454, "end": 13938610}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/distlib/t64.exe", "start": 13938610, "end": 14044594}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/distlib/__init__.py", "start": 14044594, "end": 14045175}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/distlib/markers.py", "start": 14045175, "end": 14050164}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/distlib/scripts.py", "start": 14050164, "end": 14067884}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/distlib/manifest.py", "start": 14067884, "end": 14082695}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/distlib/w64-arm.exe", "start": 14082695, "end": 14249095}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/distlib/w64.exe", "start": 14249095, "end": 14348935}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/distlib/compat.py", "start": 14348935, "end": 14390430}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/distlib/resources.py", "start": 14390430, "end": 14401250}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/distlib/metadata.py", "start": 14401250, "end": 14440359}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/distlib/util.py", "start": 14440359, "end": 14508125}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/distlib/t32.exe", "start": 14508125, "end": 14604893}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/distlib/database.py", "start": 14604893, "end": 14655952}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/distlib/index.py", "start": 14655952, "end": 14676691}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/distlib/version.py", "start": 14676691, "end": 14700204}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/distlib/locators.py", "start": 14700204, "end": 14752169}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/distlib/w32.exe", "start": 14752169, "end": 14842281}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/distlib/wheel.py", "start": 14842281, "end": 14885224}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/distlib/t64-arm.exe", "start": 14885224, "end": 15065960}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/distlib/_backport/__init__.py", "start": 15065960, "end": 15066234}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/distlib/_backport/tarfile.py", "start": 15066234, "end": 15158862}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/distlib/_backport/sysconfig.py", "start": 15158862, "end": 15185716}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/distlib/_backport/shutil.py", "start": 15185716, "end": 15211423}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/distlib/_backport/misc.py", "start": 15211423, "end": 15212394}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/distlib/_backport/sysconfig.cfg", "start": 15212394, "end": 15215011}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/msgpack/exceptions.py", "start": 15215011, "end": 15216092}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/msgpack/_version.py", "start": 15216092, "end": 15216112}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/msgpack/__init__.py", "start": 15216112, "end": 15217230}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/msgpack/ext.py", "start": 15217230, "end": 15223318}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/msgpack/fallback.py", "start": 15223318, "end": 15257793}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/chardet/gb2312prober.py", "start": 15257793, "end": 15259547}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/chardet/cp949prober.py", "start": 15259547, "end": 15261402}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/chardet/langthaimodel.py", "start": 15261402, "end": 15364714}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/chardet/sjisprober.py", "start": 15364714, "end": 15368488}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/chardet/__init__.py", "start": 15368488, "end": 15371759}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/chardet/big5freq.py", "start": 15371759, "end": 15403013}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/chardet/euckrfreq.py", "start": 15403013, "end": 15416559}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/chardet/langgreekmodel.py", "start": 15416559, "end": 15516130}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/chardet/eucjpprober.py", "start": 15516130, "end": 15519879}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/chardet/chardistribution.py", "start": 15519879, "end": 15529290}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/chardet/codingstatemachine.py", "start": 15529290, "end": 15532880}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/chardet/langrussianmodel.py", "start": 15532880, "end": 15664060}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/chardet/escsm.py", "start": 15664060, "end": 15674570}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/chardet/langhebrewmodel.py", "start": 15674570, "end": 15773346}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/chardet/hebrewprober.py", "start": 15773346, "end": 15787184}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/chardet/mbcharsetprober.py", "start": 15787184, "end": 15790597}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/chardet/euctwfreq.py", "start": 15790597, "end": 15822218}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/chardet/euctwprober.py", "start": 15822218, "end": 15823965}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/chardet/compat.py", "start": 15823965, "end": 15825165}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/chardet/langhungarianmodel.py", "start": 15825165, "end": 15927663}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/chardet/utf8prober.py", "start": 15927663, "end": 15930429}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/chardet/universaldetector.py", "start": 15930429, "end": 15942932}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/chardet/escprober.py", "start": 15942932, "end": 15946882}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/chardet/latin1prober.py", "start": 15946882, "end": 15952252}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/chardet/version.py", "start": 15952252, "end": 15952494}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/chardet/sbcharsetprober.py", "start": 15952494, "end": 15958630}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/chardet/langbulgarianmodel.py", "start": 15958630, "end": 16064327}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/chardet/gb2312freq.py", "start": 16064327, "end": 16085042}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/chardet/jpcntx.py", "start": 16085042, "end": 16104685}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/chardet/mbcssm.py", "start": 16104685, "end": 16130166}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/chardet/charsetgroupprober.py", "start": 16130166, "end": 16134005}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/chardet/langturkishmodel.py", "start": 16134005, "end": 16229951}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/chardet/sbcsgroupprober.py", "start": 16229951, "end": 16234260}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/chardet/big5prober.py", "start": 16234260, "end": 16236017}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/chardet/jisfreq.py", "start": 16236017, "end": 16261794}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/chardet/enums.py", "start": 16261794, "end": 16263455}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/chardet/charsetprober.py", "start": 16263455, "end": 16268565}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/chardet/euckrprober.py", "start": 16268565, "end": 16270313}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/chardet/mbcsgroupprober.py", "start": 16270313, "end": 16272325}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/chardet/cli/__init__.py", "start": 16272325, "end": 16272326}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/chardet/cli/chardetect.py", "start": 16272326, "end": 16275073}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/chardet/metadata/__init__.py", "start": 16275073, "end": 16275073}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/chardet/metadata/languages.py", "start": 16275073, "end": 16294547}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/pyparsing/results.py", "start": 16294547, "end": 16319900}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/pyparsing/exceptions.py", "start": 16319900, "end": 16328930}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/pyparsing/unicode.py", "start": 16328930, "end": 16339311}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/pyparsing/__init__.py", "start": 16339311, "end": 16348482}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/pyparsing/core.py", "start": 16348482, "end": 16561794}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/pyparsing/actions.py", "start": 16561794, "end": 16568223}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/pyparsing/util.py", "start": 16568223, "end": 16575028}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/pyparsing/common.py", "start": 16575028, "end": 16587964}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/pyparsing/testing.py", "start": 16587964, "end": 16601352}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/pyparsing/helpers.py", "start": 16601352, "end": 16640359}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/pyparsing/diagram/__init__.py", "start": 16640359, "end": 16663391}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/pkg_resources/py31compat.py", "start": 16663391, "end": 16663953}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/pkg_resources/__init__.py", "start": 16663953, "end": 16772240}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/tenacity/__init__.py", "start": 16772240, "end": 16790497}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/tenacity/tornadoweb.py", "start": 16790497, "end": 16792642}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/tenacity/before_sleep.py", "start": 16792642, "end": 16794550}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/tenacity/retry.py", "start": 16794550, "end": 16801195}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/tenacity/before.py", "start": 16801195, "end": 16802571}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/tenacity/_asyncio.py", "start": 16802571, "end": 16805885}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/tenacity/nap.py", "start": 16805885, "end": 16807268}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/tenacity/stop.py", "start": 16807268, "end": 16810058}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/tenacity/after.py", "start": 16810058, "end": 16811554}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/tenacity/wait.py", "start": 16811554, "end": 16818245}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/tenacity/_utils.py", "start": 16818245, "end": 16820189}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/rich/jupyter.py", "start": 16820189, "end": 16823353}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/rich/file_proxy.py", "start": 16823353, "end": 16824966}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/rich/traceback.py", "start": 16824966, "end": 16850910}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/rich/live.py", "start": 16850910, "end": 16864621}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/rich/repr.py", "start": 16864621, "end": 16869070}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/rich/__init__.py", "start": 16869070, "end": 16874913}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/rich/tree.py", "start": 16874913, "end": 16884072}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/rich/measure.py", "start": 16884072, "end": 16889377}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/rich/pager.py", "start": 16889377, "end": 16890205}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/rich/screen.py", "start": 16890205, "end": 16891796}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/rich/columns.py", "start": 16891796, "end": 16898927}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/rich/_windows.py", "start": 16898927, "end": 16900853}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/rich/bar.py", "start": 16900853, "end": 16904117}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/rich/rule.py", "start": 16904117, "end": 16908314}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/rich/layout.py", "start": 16908314, "end": 16922388}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/rich/_emoji_codes.py", "start": 16922388, "end": 17062623}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/rich/control.py", "start": 17062623, "end": 17067916}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/rich/padding.py", "start": 17067916, "end": 17072886}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/rich/_extension.py", "start": 17072886, "end": 17073151}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/rich/_spinners.py", "start": 17073151, "end": 17093070}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/rich/_inspect.py", "start": 17093070, "end": 17100887}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/rich/_timer.py", "start": 17100887, "end": 17101304}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/rich/default_styles.py", "start": 17101304, "end": 17108979}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/rich/theme.py", "start": 17108979, "end": 17112606}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/rich/themes.py", "start": 17112606, "end": 17112708}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/rich/status.py", "start": 17112708, "end": 17117133}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/rich/palette.py", "start": 17117133, "end": 17120529}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/rich/_windows_renderer.py", "start": 17120529, "end": 17123128}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/rich/_palettes.py", "start": 17123128, "end": 17130191}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/rich/align.py", "start": 17130191, "end": 17140559}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/rich/logging.py", "start": 17140559, "end": 17152030}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/rich/_stack.py", "start": 17152030, "end": 17152381}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/rich/text.py", "start": 17152381, "end": 17196944}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/rich/protocol.py", "start": 17196944, "end": 17198335}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/rich/__main__.py", "start": 17198335, "end": 17207143}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/rich/panel.py", "start": 17207143, "end": 17215887}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/rich/color_triplet.py", "start": 17215887, "end": 17216941}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/rich/highlighter.py", "start": 17216941, "end": 17222636}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/rich/styled.py", "start": 17222636, "end": 17223894}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/rich/errors.py", "start": 17223894, "end": 17224536}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/rich/prompt.py", "start": 17224536, "end": 17235839}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/rich/_emoji_replace.py", "start": 17235839, "end": 17236903}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/rich/ansi.py", "start": 17236903, "end": 17243723}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/rich/_cell_widths.py", "start": 17243723, "end": 17253819}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/rich/_win32_console.py", "start": 17253819, "end": 17275427}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/rich/spinner.py", "start": 17275427, "end": 17279739}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/rich/_loop.py", "start": 17279739, "end": 17280975}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/rich/containers.py", "start": 17280975, "end": 17286472}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/rich/json.py", "start": 17286472, "end": 17291523}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/rich/region.py", "start": 17291523, "end": 17291689}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/rich/markup.py", "start": 17291689, "end": 17299881}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/rich/console.py", "start": 17299881, "end": 17394640}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/rich/emoji.py", "start": 17394640, "end": 17397141}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/rich/_pick.py", "start": 17397141, "end": 17397564}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/rich/diagnose.py", "start": 17397564, "end": 17398484}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/rich/terminal_theme.py", "start": 17398484, "end": 17401855}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/rich/segment.py", "start": 17401855, "end": 17425745}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/rich/_lru_cache.py", "start": 17425745, "end": 17426963}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/rich/color.py", "start": 17426963, "end": 17444920}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/rich/scope.py", "start": 17444920, "end": 17447762}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/rich/progress_bar.py", "start": 17447762, "end": 17455524}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/rich/table.py", "start": 17455524, "end": 17494979}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/rich/_wrap.py", "start": 17494979, "end": 17496783}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/rich/filesize.py", "start": 17496783, "end": 17499290}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/rich/style.py", "start": 17499290, "end": 17525759}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/rich/progress.py", "start": 17525759, "end": 17581581}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/rich/pretty.py", "start": 17581581, "end": 17617412}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/rich/abc.py", "start": 17617412, "end": 17618302}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/rich/_ratio.py", "start": 17618302, "end": 17623774}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/rich/_log_render.py", "start": 17623774, "end": 17626999}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/rich/constrain.py", "start": 17626999, "end": 17628287}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/rich/box.py", "start": 17628287, "end": 17637356}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/rich/live_render.py", "start": 17637356, "end": 17641023}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/rich/syntax.py", "start": 17641023, "end": 17669754}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/rich/cells.py", "start": 17669754, "end": 17673845}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/packaging/__about__.py", "start": 17673845, "end": 17674506}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/packaging/_manylinux.py", "start": 17674506, "end": 17685994}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/packaging/__init__.py", "start": 17685994, "end": 17686491}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/packaging/markers.py", "start": 17686491, "end": 17694978}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/packaging/tags.py", "start": 17694978, "end": 17710677}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/packaging/_musllinux.py", "start": 17710677, "end": 17715055}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/packaging/utils.py", "start": 17715055, "end": 17719255}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/packaging/version.py", "start": 17719255, "end": 17733920}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/packaging/_structures.py", "start": 17733920, "end": 17735351}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/packaging/requirements.py", "start": 17735351, "end": 17740027}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/packaging/specifiers.py", "start": 17740027, "end": 17770137}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/requests/_internal_utils.py", "start": 17770137, "end": 17771233}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/requests/exceptions.py", "start": 17771233, "end": 17774679}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/requests/__init__.py", "start": 17774679, "end": 17779809}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/requests/api.py", "start": 17779809, "end": 17786211}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/requests/structures.py", "start": 17786211, "end": 17789216}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/requests/__version__.py", "start": 17789216, "end": 17789657}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/requests/status_codes.py", "start": 17789657, "end": 17793845}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/requests/auth.py", "start": 17793845, "end": 17804052}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/requests/utils.py", "start": 17804052, "end": 17837353}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/requests/hooks.py", "start": 17837353, "end": 17838110}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/requests/compat.py", "start": 17838110, "end": 17840224}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/requests/certs.py", "start": 17840224, "end": 17840689}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/requests/adapters.py", "start": 17840689, "end": 17862550}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/requests/help.py", "start": 17862550, "end": 17866522}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/requests/sessions.py", "start": 17866522, "end": 17896357}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/requests/cookies.py", "start": 17896357, "end": 17914787}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/requests/models.py", "start": 17914787, "end": 17949903}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/requests/packages.py", "start": 17949903, "end": 17950598}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/certifi/__init__.py", "start": 17950598, "end": 17950660}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/certifi/core.py", "start": 17950660, "end": 17953500}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/certifi/__main__.py", "start": 17953500, "end": 17953755}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip/_vendor/certifi/cacert.pem", "start": 17953755, "end": 18219724}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/backports.functools_lru_cache-1.6.4.dist-info/WHEEL", "start": 18219724, "end": 18219834}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/backports.functools_lru_cache-1.6.4.dist-info/RECORD", "start": 18219834, "end": 18220950}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/backports.functools_lru_cache-1.6.4.dist-info/LICENSE", "start": 18220950, "end": 18222000}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/backports.functools_lru_cache-1.6.4.dist-info/direct_url.json", "start": 18222000, "end": 18222125}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/backports.functools_lru_cache-1.6.4.dist-info/METADATA", "start": 18222125, "end": 18225714}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/backports.functools_lru_cache-1.6.4.dist-info/top_level.txt", "start": 18225714, "end": 18225724}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/backports.functools_lru_cache-1.6.4.dist-info/INSTALLER", "start": 18225724, "end": 18225729}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/backports.functools_lru_cache-1.6.4.dist-info/REQUESTED", "start": 18225729, "end": 18225729}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pure_eval/__init__.py", "start": 18225729, "end": 18226014}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pure_eval/py.typed", "start": 18226014, "end": 18226082}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pure_eval/core.py", "start": 18226082, "end": 18241391}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pure_eval/my_getattr_static.py", "start": 18241391, "end": 18245467}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pure_eval/utils.py", "start": 18245467, "end": 18249882}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pure_eval/version.py", "start": 18249882, "end": 18249903}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/asttokens/__init__.py", "start": 18249903, "end": 18250763}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/asttokens/util.py", "start": 18250763, "end": 18260793}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/asttokens/version.py", "start": 18260793, "end": 18260815}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/asttokens/asttokens.py", "start": 18260815, "end": 18269103}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/asttokens/mark_tokens.py", "start": 18269103, "end": 18285265}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/asttokens/line_numbers.py", "start": 18285265, "end": 18287921}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip-22.1-py3.10.egg-info/not-zip-safe", "start": 18287921, "end": 18287922}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip-22.1-py3.10.egg-info/entry_points.txt", "start": 18287922, "end": 18288047}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip-22.1-py3.10.egg-info/dependency_links.txt", "start": 18288047, "end": 18288048}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip-22.1-py3.10.egg-info/PKG-INFO", "start": 18288048, "end": 18292192}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip-22.1-py3.10.egg-info/SOURCES.txt", "start": 18292192, "end": 18316940}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pip-22.1-py3.10.egg-info/top_level.txt", "start": 18316940, "end": 18316944}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/xeus_python_shell_lite/__init__.py", "start": 18316944, "end": 18317038}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/xeus_python_shell_lite/mocks.py", "start": 18317038, "end": 18318405}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/xeus_python_shell_lite/shell.py", "start": 18318405, "end": 18319385}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/six-1.16.0.dist-info/WHEEL", "start": 18319385, "end": 18319495}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/six-1.16.0.dist-info/RECORD", "start": 18319495, "end": 18320232}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/six-1.16.0.dist-info/LICENSE", "start": 18320232, "end": 18321298}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/six-1.16.0.dist-info/direct_url.json", "start": 18321298, "end": 18321397}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/six-1.16.0.dist-info/METADATA", "start": 18321397, "end": 18323192}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/six-1.16.0.dist-info/top_level.txt", "start": 18323192, "end": 18323196}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/six-1.16.0.dist-info/INSTALLER", "start": 18323196, "end": 18323201}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/six-1.16.0.dist-info/REQUESTED", "start": 18323201, "end": 18323201}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pickleshare-0.7.5.dist-info/WHEEL", "start": 18323201, "end": 18323311}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pickleshare-0.7.5.dist-info/RECORD", "start": 18323311, "end": 18324121}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pickleshare-0.7.5.dist-info/LICENSE", "start": 18324121, "end": 18325200}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pickleshare-0.7.5.dist-info/direct_url.json", "start": 18325200, "end": 18325307}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pickleshare-0.7.5.dist-info/METADATA", "start": 18325307, "end": 18326827}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pickleshare-0.7.5.dist-info/top_level.txt", "start": 18326827, "end": 18326839}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pickleshare-0.7.5.dist-info/INSTALLER", "start": 18326839, "end": 18326844}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pickleshare-0.7.5.dist-info/REQUESTED", "start": 18326844, "end": 18326844}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/matplotlib_inline-0.1.3.dist-info/WHEEL", "start": 18326844, "end": 18326936}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/matplotlib_inline-0.1.3.dist-info/RECORD", "start": 18326936, "end": 18328116}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/matplotlib_inline-0.1.3.dist-info/LICENSE", "start": 18328116, "end": 18329623}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/matplotlib_inline-0.1.3.dist-info/direct_url.json", "start": 18329623, "end": 18329736}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/matplotlib_inline-0.1.3.dist-info/METADATA", "start": 18329736, "end": 18330133}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/matplotlib_inline-0.1.3.dist-info/top_level.txt", "start": 18330133, "end": 18330151}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/matplotlib_inline-0.1.3.dist-info/INSTALLER", "start": 18330151, "end": 18330156}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/matplotlib_inline-0.1.3.dist-info/REQUESTED", "start": 18330156, "end": 18330156}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/__init__.py", "start": 18330156, "end": 18336130}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/display.py", "start": 18336130, "end": 18336768}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/consoleapp.py", "start": 18336768, "end": 18337183}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/qt.py", "start": 18337183, "end": 18337945}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/html.py", "start": 18337945, "end": 18338784}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/frontend.py", "start": 18338784, "end": 18339907}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/parallel.py", "start": 18339907, "end": 18340559}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/paths.py", "start": 18340559, "end": 18345053}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/__main__.py", "start": 18345053, "end": 18345517}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/config.py", "start": 18345517, "end": 18346159}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/nbformat.py", "start": 18346159, "end": 18346804}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/nbconvert.py", "start": 18346804, "end": 18347455}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/conftest.py", "start": 18347455, "end": 18349495}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/kernel/clientabc.py", "start": 18349495, "end": 18349534}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/kernel/client.py", "start": 18349534, "end": 18349570}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/kernel/multikernelmanager.py", "start": 18349570, "end": 18349618}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/kernel/__init__.py", "start": 18349618, "end": 18350803}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/kernel/manager.py", "start": 18350803, "end": 18350840}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/kernel/kernelspecapp.py", "start": 18350840, "end": 18350883}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/kernel/connect.py", "start": 18350883, "end": 18350952}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/kernel/managerabc.py", "start": 18350952, "end": 18350992}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/kernel/__main__.py", "start": 18350992, "end": 18351092}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/kernel/launcher.py", "start": 18351092, "end": 18351130}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/kernel/channelsabc.py", "start": 18351130, "end": 18351171}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/kernel/adapter.py", "start": 18351171, "end": 18351208}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/kernel/channels.py", "start": 18351208, "end": 18351246}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/kernel/threaded.py", "start": 18351246, "end": 18351284}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/kernel/restarter.py", "start": 18351284, "end": 18351323}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/kernel/kernelspec.py", "start": 18351323, "end": 18351363}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/sphinxext/ipython_console_highlighting.py", "start": 18351363, "end": 18352333}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/sphinxext/__init__.py", "start": 18352333, "end": 18352333}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/sphinxext/ipython_directive.py", "start": 18352333, "end": 18396977}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/sphinxext/custom_doctests.py", "start": 18396977, "end": 18401580}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/utils/log.py", "start": 18401580, "end": 18401704}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/utils/pickleutil.py", "start": 18401704, "end": 18401848}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/utils/_process_win32.py", "start": 18401848, "end": 18408612}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/utils/tz.py", "start": 18408612, "end": 18409964}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/utils/jsonutil.py", "start": 18409964, "end": 18410112}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/utils/__init__.py", "start": 18410112, "end": 18410112}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/utils/path.py", "start": 18410112, "end": 18424153}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/utils/importstring.py", "start": 18424153, "end": 18425188}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/utils/module_paths.py", "start": 18425188, "end": 18427528}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/utils/PyColorize.py", "start": 18427528, "end": 18438403}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/utils/_process_win32_controller.py", "start": 18438403, "end": 18459729}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/utils/_process_cli.py", "start": 18459729, "end": 18462144}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/utils/frame.py", "start": 18462144, "end": 18465195}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/utils/localinterfaces.py", "start": 18465195, "end": 18465364}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/utils/_process_common.py", "start": 18465364, "end": 18472345}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/utils/daemonize.py", "start": 18472345, "end": 18472545}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/utils/strdispatch.py", "start": 18472545, "end": 18474383}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/utils/sentinel.py", "start": 18474383, "end": 18474804}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/utils/shimmodule.py", "start": 18474804, "end": 18477659}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/utils/timing.py", "start": 18477659, "end": 18481896}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/utils/text.py", "start": 18481896, "end": 18504746}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/utils/syspathcontext.py", "start": 18504746, "end": 18506440}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/utils/generics.py", "start": 18506440, "end": 18507147}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/utils/_sysinfo.py", "start": 18507147, "end": 18507193}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/utils/process.py", "start": 18507193, "end": 18509071}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/utils/dir2.py", "start": 18509071, "end": 18511303}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/utils/eventful.py", "start": 18511303, "end": 18511442}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/utils/tempdir.py", "start": 18511442, "end": 18513201}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/utils/encoding.py", "start": 18513201, "end": 18516052}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/utils/colorable.py", "start": 18516052, "end": 18516838}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/utils/data.py", "start": 18516838, "end": 18517853}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/utils/openpy.py", "start": 18517853, "end": 18521216}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/utils/ipstruct.py", "start": 18521216, "end": 18533080}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/utils/tokenutil.py", "start": 18533080, "end": 18537045}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/utils/version.py", "start": 18537045, "end": 18538272}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/utils/io.py", "start": 18538272, "end": 18546442}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/utils/ulinecache.py", "start": 18546442, "end": 18547126}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/utils/_process_posix.py", "start": 18547126, "end": 18556051}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/utils/py3compat.py", "start": 18556051, "end": 18561547}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/utils/wildcard.py", "start": 18561547, "end": 18566159}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/utils/terminal.py", "start": 18566159, "end": 18569494}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/utils/signatures.py", "start": 18569494, "end": 18569968}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/utils/coloransi.py", "start": 18569968, "end": 18576926}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/utils/contexts.py", "start": 18576926, "end": 18578904}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/utils/traitlets.py", "start": 18578904, "end": 18579047}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/utils/decorators.py", "start": 18579047, "end": 18581118}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/utils/sysinfo.py", "start": 18581118, "end": 18586278}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/utils/capture.py", "start": 18586278, "end": 18591439}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/utils/tests/test_wildcard.py", "start": 18591439, "end": 18596168}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/utils/tests/test_tempdir.py", "start": 18596168, "end": 18597207}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/utils/tests/__init__.py", "start": 18597207, "end": 18597207}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/utils/tests/test_shimmodule.py", "start": 18597207, "end": 18597551}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/utils/tests/test_decorators.py", "start": 18597551, "end": 18597721}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/utils/tests/test_capture.py", "start": 18597721, "end": 18603195}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/utils/tests/test_imports.py", "start": 18603195, "end": 18603634}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/utils/tests/test_path.py", "start": 18603634, "end": 18619947}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/utils/tests/test_pycolorize.py", "start": 18619947, "end": 18622016}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/utils/tests/test_text.py", "start": 18622016, "end": 18629494}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/utils/tests/test_process.py", "start": 18629494, "end": 18636117}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/utils/tests/test_tokenutil.py", "start": 18636117, "end": 18640072}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/utils/tests/test_openpy.py", "start": 18640072, "end": 18641343}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/utils/tests/test_importstring.py", "start": 18641343, "end": 18642590}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/utils/tests/test_dir2.py", "start": 18642590, "end": 18643961}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/utils/tests/test_sysinfo.py", "start": 18643961, "end": 18644351}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/utils/tests/test_io.py", "start": 18644351, "end": 18646950}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/utils/tests/test_module_paths.py", "start": 18646950, "end": 18650359}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/external/__init__.py", "start": 18650359, "end": 18650449}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/external/mathjax.py", "start": 18650449, "end": 18650757}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/external/qt_loaders.py", "start": 18650757, "end": 18661981}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/external/qt_for_kernel.py", "start": 18661981, "end": 18665465}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/external/decorators/__init__.py", "start": 18665465, "end": 18665700}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/external/decorators/_decorators.py", "start": 18665700, "end": 18670261}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/external/decorators/_numpy_testing_noseclasses.py", "start": 18670261, "end": 18671743}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/terminal/__init__.py", "start": 18671743, "end": 18671743}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/terminal/interactiveshell.py", "start": 18671743, "end": 18697035}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/terminal/ipapp.py", "start": 18697035, "end": 18711322}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/terminal/prompts.py", "start": 18711322, "end": 18714682}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/terminal/ptshell.py", "start": 18714682, "end": 18714978}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/terminal/console.py", "start": 18714978, "end": 18715669}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/terminal/ptutils.py", "start": 18715669, "end": 18723065}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/terminal/magics.py", "start": 18723065, "end": 18730613}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/terminal/shortcuts.py", "start": 18730613, "end": 18739619}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/terminal/debugger.py", "start": 18739619, "end": 18745233}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/terminal/embed.py", "start": 18745233, "end": 18760707}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/terminal/tests/test_help.py", "start": 18760707, "end": 18761379}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/terminal/tests/__init__.py", "start": 18761379, "end": 18761379}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/terminal/tests/test_interactivshell.py", "start": 18761379, "end": 18768267}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/terminal/tests/test_debug_magic.py", "start": 18768267, "end": 18770586}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/terminal/tests/test_embed.py", "start": 18770586, "end": 18775380}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/terminal/pt_inputhooks/gtk.py", "start": 18775380, "end": 18777805}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/terminal/pt_inputhooks/pyglet.py", "start": 18777805, "end": 18780173}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/terminal/pt_inputhooks/__init__.py", "start": 18780173, "end": 18781439}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/terminal/pt_inputhooks/gtk4.py", "start": 18781439, "end": 18781996}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/terminal/pt_inputhooks/qt.py", "start": 18781996, "end": 18785030}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/terminal/pt_inputhooks/osx.py", "start": 18785030, "end": 18789787}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/terminal/pt_inputhooks/tk.py", "start": 18789787, "end": 18793435}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/terminal/pt_inputhooks/gtk3.py", "start": 18793435, "end": 18793713}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/terminal/pt_inputhooks/glut.py", "start": 18793713, "end": 18798696}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/terminal/pt_inputhooks/wx.py", "start": 18798696, "end": 18805828}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/terminal/pt_inputhooks/asyncio.py", "start": 18805828, "end": 18807721}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/lib/demo.py", "start": 18807721, "end": 18832181}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/lib/editorhooks.py", "start": 18832181, "end": 18836163}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/lib/latextools.py", "start": 18836163, "end": 18843689}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/lib/__init__.py", "start": 18843689, "end": 18844474}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/lib/display.py", "start": 18844474, "end": 18869009}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/lib/guisupport.py", "start": 18869009, "end": 18875314}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/lib/backgroundjobs.py", "start": 18875314, "end": 18893061}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/lib/inputhookpyglet.py", "start": 18893061, "end": 18896728}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/lib/lexers.py", "start": 18896728, "end": 18917179}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/lib/inputhookgtk4.py", "start": 18917179, "end": 18918428}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/lib/inputhookwx.py", "start": 18918428, "end": 18924492}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/lib/kernel.py", "start": 18924492, "end": 18924789}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/lib/inputhook.py", "start": 18924789, "end": 18948383}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/lib/security.py", "start": 18948383, "end": 18951680}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/lib/clipboard.py", "start": 18951680, "end": 18953798}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/lib/inputhookqt4.py", "start": 18953798, "end": 18960599}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/lib/pretty.py", "start": 18960599, "end": 18989006}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/lib/inputhookgtk.py", "start": 18989006, "end": 18990026}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/lib/deepreload.py", "start": 18990026, "end": 19000750}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/lib/inputhookglut.py", "start": 19000750, "end": 19006816}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/lib/inputhookgtk3.py", "start": 19006816, "end": 19007854}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/lib/tests/__init__.py", "start": 19007854, "end": 19007854}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/lib/tests/test_editorhooks.py", "start": 19007854, "end": 19008795}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/lib/tests/test_clipboard.py", "start": 19008795, "end": 19009453}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/lib/tests/test_deepreload.py", "start": 19009453, "end": 19010585}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/lib/tests/test_imports.py", "start": 19010585, "end": 19010855}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/lib/tests/test_backgroundjobs.py", "start": 19010855, "end": 19013692}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/lib/tests/test_latextools.py", "start": 19013692, "end": 19019669}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/lib/tests/test.wav", "start": 19019669, "end": 19063813, "audio": 1}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/lib/tests/test_security.py", "start": 19063813, "end": 19064647}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/lib/tests/test_pretty.py", "start": 19064647, "end": 19078183}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/lib/tests/test_lexers.py", "start": 19078183, "end": 19083773}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/lib/tests/test_display.py", "start": 19083773, "end": 19093234}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/testing/iptest.py", "start": 19093234, "end": 19110191}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/testing/__init__.py", "start": 19110191, "end": 19111915}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/testing/__main__.py", "start": 19111915, "end": 19112019}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/testing/iptestcontroller.py", "start": 19112019, "end": 19129060}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/testing/globalipapp.py", "start": 19129060, "end": 19133618}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/testing/skipdoctest.py", "start": 19133618, "end": 19134331}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/testing/ipunittest.py", "start": 19134331, "end": 19140871}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/testing/decorators.py", "start": 19140871, "end": 19153695}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/testing/tools.py", "start": 19153695, "end": 19167800}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/testing/tests/test_tools.py", "start": 19167800, "end": 19172026}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/testing/tests/__init__.py", "start": 19172026, "end": 19172584}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/testing/tests/test_decorators.py", "start": 19172584, "end": 19176500}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/testing/tests/test_ipunittest.py", "start": 19176500, "end": 19179801}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/testing/plugin/test_ipdoctest.py", "start": 19179801, "end": 19181399}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/testing/plugin/dtexample.py", "start": 19181399, "end": 19184238}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/testing/plugin/iptest.py", "start": 19184238, "end": 19184723}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/testing/plugin/__init__.py", "start": 19184723, "end": 19184723}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/testing/plugin/test_exampleip.txt", "start": 19184723, "end": 19185539}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/testing/plugin/setup.py", "start": 19185539, "end": 19186078}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/testing/plugin/ipdoctest.py", "start": 19186078, "end": 19217237}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/testing/plugin/test_refs.py", "start": 19217237, "end": 19218106}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/testing/plugin/test_combo.txt", "start": 19218106, "end": 19219029}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/testing/plugin/README.txt", "start": 19219029, "end": 19220072}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/testing/plugin/simplevars.py", "start": 19220072, "end": 19220095}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/testing/plugin/test_example.txt", "start": 19220095, "end": 19220825}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/testing/plugin/simple.py", "start": 19220825, "end": 19221337}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/testing/plugin/show_refs.py", "start": 19221337, "end": 19221692}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/extensions/autoreload.py", "start": 19221692, "end": 19239288}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/extensions/sympyprinting.py", "start": 19239288, "end": 19240363}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/extensions/__init__.py", "start": 19240363, "end": 19240441}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/extensions/storemagic.py", "start": 19240441, "end": 19248417}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/extensions/cythonmagic.py", "start": 19248417, "end": 19249118}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/extensions/rmagic.py", "start": 19249118, "end": 19249573}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/extensions/tests/test_autoreload.py", "start": 19249573, "end": 19263610}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/extensions/tests/__init__.py", "start": 19263610, "end": 19263610}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/extensions/tests/test_storemagic.py", "start": 19263610, "end": 19265749}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/application.py", "start": 19265749, "end": 19284245}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/crashhandler.py", "start": 19284245, "end": 19292544}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/__init__.py", "start": 19292544, "end": 19292544}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/interactiveshell.py", "start": 19292544, "end": 19449418}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/prefilter.py", "start": 19449418, "end": 19475311}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/magic_arguments.py", "start": 19475311, "end": 19484176}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/magic.py", "start": 19484176, "end": 19512140}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/error.py", "start": 19512140, "end": 19513874}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/display.py", "start": 19513874, "end": 19566197}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/logger.py", "start": 19566197, "end": 19574127}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/profileapp.py", "start": 19574127, "end": 19584758}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/shellapp.py", "start": 19584758, "end": 19603189}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/completer.py", "start": 19603189, "end": 19676924}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/prompts.py", "start": 19676924, "end": 19677531}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/inputsplitter.py", "start": 19677531, "end": 19705686}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/payload.py", "start": 19705686, "end": 19707444}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/inputtransformer.py", "start": 19707444, "end": 19725736}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/release.py", "start": 19725736, "end": 19730009}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/autocall.py", "start": 19730009, "end": 19732017}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/historyapp.py", "start": 19732017, "end": 19737986}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/getipython.py", "start": 19737986, "end": 19738902}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/compilerop.py", "start": 19738902, "end": 19746036}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/displayhook.py", "start": 19746036, "end": 19758656}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/completerlib.py", "start": 19758656, "end": 19770463}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/hooks.py", "start": 19770463, "end": 19776600}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/pylabtools.py", "start": 19776600, "end": 19790358}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/extensions.py", "start": 19790358, "end": 19796340}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/excolors.py", "start": 19796340, "end": 19802029}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/latex_symbols.py", "start": 19802029, "end": 19833317}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/formatters.py", "start": 19833317, "end": 19868280}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/inputtransformer2.py", "start": 19868280, "end": 19895628}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/oinspect.py", "start": 19895628, "end": 19930737}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/ultratb.py", "start": 19930737, "end": 19989068}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/display_trap.py", "start": 19989068, "end": 19991166}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/macro.py", "start": 19991166, "end": 19992900}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/displaypub.py", "start": 19992900, "end": 19997832}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/profiledir.py", "start": 19997832, "end": 20005798}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/history.py", "start": 20005798, "end": 20038697}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/page.py", "start": 20038697, "end": 20050333}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/usage.py", "start": 20050333, "end": 20063875}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/debugger.py", "start": 20063875, "end": 20101125}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/splitinput.py", "start": 20101125, "end": 20105912}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/events.py", "start": 20105912, "end": 20111292}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/builtin_trap.py", "start": 20111292, "end": 20114301}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/payloadpage.py", "start": 20114301, "end": 20115733}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/alias.py", "start": 20115733, "end": 20125767}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/async_helpers.py", "start": 20125767, "end": 20131110}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/magics/auto.py", "start": 20131110, "end": 20135425}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/magics/pylab.py", "start": 20135425, "end": 20141880}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/magics/script.py", "start": 20141880, "end": 20151398}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/magics/__init__.py", "start": 20151398, "end": 20153017}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/magics/display.py", "start": 20153017, "end": 20155765}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/magics/basic.py", "start": 20155765, "end": 20178844}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/magics/logging.py", "start": 20178844, "end": 20185703}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/magics/namespace.py", "start": 20185703, "end": 20210479}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/magics/config.py", "start": 20210479, "end": 20216482}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/magics/packaging.py", "start": 20216482, "end": 20220414}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/magics/osm.py", "start": 20220414, "end": 20250903}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/magics/history.py", "start": 20250903, "end": 20263053}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/magics/execution.py", "start": 20263053, "end": 20321819}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/magics/code.py", "start": 20321819, "end": 20349635}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/magics/extension.py", "start": 20349635, "end": 20352120}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/profile/README_STARTUP", "start": 20352120, "end": 20352491}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/tests/test_ultratb.py", "start": 20352491, "end": 20366041}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/tests/test_splitinput.py", "start": 20366041, "end": 20367308}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/tests/test_extension.py", "start": 20367308, "end": 20370333}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/tests/test_logger.py", "start": 20370333, "end": 20371229}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/tests/simpleerr.py", "start": 20371229, "end": 20371813}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/tests/__init__.py", "start": 20371813, "end": 20371813}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/tests/bad_all.py", "start": 20371813, "end": 20372019}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/tests/test_magic.py", "start": 20372019, "end": 20409848}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/tests/test_events.py", "start": 20409848, "end": 20412670}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/tests/2x2.png", "start": 20412670, "end": 20412741}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/tests/test_alias.py", "start": 20412741, "end": 20414795}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/tests/test_profile.py", "start": 20414795, "end": 20420110}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/tests/test_history.py", "start": 20420110, "end": 20428808}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/tests/test_oinspect.py", "start": 20428808, "end": 20442220}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/tests/test_inputsplitter.py", "start": 20442220, "end": 20465462}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/tests/test_imports.py", "start": 20465462, "end": 20466615}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/tests/test_hooks.py", "start": 20466615, "end": 20469067}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/tests/test_iplib.py", "start": 20469067, "end": 20475651}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/tests/tclass.py", "start": 20475651, "end": 20476572}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/tests/test_formatters.py", "start": 20476572, "end": 20491928}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/tests/test_autocall.py", "start": 20491928, "end": 20493352}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/tests/2x2.jpg", "start": 20493352, "end": 20493683}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/tests/test_paths.py", "start": 20493683, "end": 20501201}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/tests/test_run.py", "start": 20501201, "end": 20520516}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/tests/test_compilerop.py", "start": 20520516, "end": 20522825}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/tests/test_handlers.py", "start": 20522825, "end": 20526005}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/tests/nonascii.py", "start": 20526005, "end": 20526140}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/tests/test_magic_terminal.py", "start": 20526140, "end": 20531789}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/tests/test_prompts.py", "start": 20531789, "end": 20532634}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/tests/refbug.py", "start": 20532634, "end": 20534128}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/tests/test_inputtransformer2.py", "start": 20534128, "end": 20544140}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/tests/print_argv.py", "start": 20544140, "end": 20544171}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/tests/test_completerlib.py", "start": 20544171, "end": 20550106}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/tests/test_pylabtools.py", "start": 20550106, "end": 20558109}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/tests/test_async_helpers.py", "start": 20558109, "end": 20567001}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/tests/test_interactiveshell.py", "start": 20567001, "end": 20603511}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/tests/test_application.py", "start": 20603511, "end": 20605775}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/tests/test_completer.py", "start": 20605775, "end": 20646297}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/tests/test_shellapp.py", "start": 20646297, "end": 20648589}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/tests/nonascii2.py", "start": 20648589, "end": 20648744}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/tests/test_page.py", "start": 20648744, "end": 20649516}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/tests/test_prefilter.py", "start": 20649516, "end": 20653806}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/tests/test_display.py", "start": 20653806, "end": 20669051}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/tests/test_inputtransformer.py", "start": 20669051, "end": 20685902}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/tests/test_magic_arguments.py", "start": 20685902, "end": 20690735}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/tests/test_inputtransformer2_line.py", "start": 20690735, "end": 20693388}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/tests/test_debugger.py", "start": 20693388, "end": 20707882}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/tests/test_displayhook.py", "start": 20707882, "end": 20711473}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/IPython/core/tests/daft_extension/daft_extension.py", "start": 20711473, "end": 20711758}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/parso/_compatibility.py", "start": 20711758, "end": 20711828}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/parso/grammar.py", "start": 20711828, "end": 20722311}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/parso/__init__.py", "start": 20722311, "end": 20723918}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/parso/tree.py", "start": 20723918, "end": 20740071}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/parso/normalizer.py", "start": 20740071, "end": 20745668}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/parso/utils.py", "start": 20745668, "end": 20752288}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/parso/cache.py", "start": 20752288, "end": 20760740}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/parso/file_io.py", "start": 20760740, "end": 20761763}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/parso/parser.py", "start": 20761763, "end": 20768945}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/parso/python/__init__.py", "start": 20768945, "end": 20768945}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/parso/python/tree.py", "start": 20768945, "end": 20806132}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/parso/python/grammar311.txt", "start": 20806132, "end": 20813643}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/parso/python/grammar37.txt", "start": 20813643, "end": 20820447}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/parso/python/pep8.py", "start": 20820447, "end": 20854226}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/parso/python/errors.py", "start": 20854226, "end": 20902181}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/parso/python/prefix.py", "start": 20902181, "end": 20904924}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/parso/python/grammar38.txt", "start": 20904924, "end": 20912515}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/parso/python/grammar39.txt", "start": 20912515, "end": 20920014}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/parso/python/token.py", "start": 20920014, "end": 20920923}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/parso/python/grammar36.txt", "start": 20920923, "end": 20927871}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/parso/python/tokenize.py", "start": 20927871, "end": 20953666}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/parso/python/parser.py", "start": 20953666, "end": 20961774}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/parso/python/grammar312.txt", "start": 20961774, "end": 20969285}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/parso/python/grammar310.txt", "start": 20969285, "end": 20976796}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/parso/python/diff.py", "start": 20976796, "end": 21011002}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/parso/pgen2/__init__.py", "start": 21011002, "end": 21011384}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/parso/pgen2/generator.py", "start": 21011384, "end": 21025954}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/parso/pgen2/grammar_parser.py", "start": 21025954, "end": 21031469}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/log.py", "start": 21031469, "end": 21031585}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/win32_types.py", "start": 21031585, "end": 21037100}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/__init__.py", "start": 21037100, "end": 21038027}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/py.typed", "start": 21038027, "end": 21038027}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/validation.py", "start": 21038027, "end": 21043872}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/patch_stdout.py", "start": 21043872, "end": 21052930}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/data_structures.py", "start": 21052930, "end": 21053106}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/keys.py", "start": 21053106, "end": 21058016}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/selection.py", "start": 21058016, "end": 21059313}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/utils.py", "start": 21059313, "end": 21067965}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/cursor_shapes.py", "start": 21067965, "end": 21071234}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/buffer.py", "start": 21071234, "end": 21144091}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/renderer.py", "start": 21144091, "end": 21173138}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/mouse_events.py", "start": 21173138, "end": 21175676}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/token.py", "start": 21175676, "end": 21175761}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/cache.py", "start": 21175761, "end": 21179555}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/document.py", "start": 21179555, "end": 21220244}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/history.py", "start": 21220244, "end": 21229596}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/enums.py", "start": 21229596, "end": 21229918}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/search.py", "start": 21229918, "end": 21236940}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/auto_suggest.py", "start": 21236940, "end": 21242862}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/lexers/__init__.py", "start": 21242862, "end": 21243234}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/lexers/pygments.py", "start": 21243234, "end": 21255186}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/lexers/base.py", "start": 21255186, "end": 21257512}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/shortcuts/__init__.py", "start": 21257512, "end": 21258425}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/shortcuts/dialogs.py", "start": 21258425, "end": 21267393}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/shortcuts/utils.py", "start": 21267393, "end": 21274398}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/shortcuts/prompt.py", "start": 21274398, "end": 21334210}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/shortcuts/progress_bar/__init__.py", "start": 21334210, "end": 21334714}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/shortcuts/progress_bar/formatters.py", "start": 21334714, "end": 21346477}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/shortcuts/progress_bar/base.py", "start": 21346477, "end": 21360202}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/styles/__init__.py", "start": 21360202, "end": 21361805}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/styles/pygments.py", "start": 21361805, "end": 21363760}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/styles/style_transformation.py", "start": 21363760, "end": 21376199}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/styles/named_colors.py", "start": 21376199, "end": 21380554}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/styles/defaults.py", "start": 21380554, "end": 21389066}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/styles/base.py", "start": 21389066, "end": 21394102}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/styles/style.py", "start": 21394102, "end": 21407147}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/layout/__init__.py", "start": 21407147, "end": 21410713}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/layout/screen.py", "start": 21410713, "end": 21420933}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/layout/layout.py", "start": 21420933, "end": 21434921}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/layout/scrollable_pane.py", "start": 21434921, "end": 21454151}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/layout/margins.py", "start": 21454151, "end": 21464529}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/layout/utils.py", "start": 21464529, "end": 21466959}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/layout/menus.py", "start": 21466959, "end": 21492363}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/layout/dummy.py", "start": 21492363, "end": 21493373}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/layout/containers.py", "start": 21493373, "end": 21592974}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/layout/controls.py", "start": 21592974, "end": 21628931}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/layout/processors.py", "start": 21628931, "end": 21663065}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/layout/dimension.py", "start": 21663065, "end": 21670108}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/layout/mouse_handlers.py", "start": 21670108, "end": 21671676}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/key_binding/key_processor.py", "start": 21671676, "end": 21689317}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/key_binding/key_bindings.py", "start": 21689317, "end": 21710284}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/key_binding/__init__.py", "start": 21710284, "end": 21710695}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/key_binding/digraphs.py", "start": 21710695, "end": 21743475}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/key_binding/emacs_state.py", "start": 21743475, "end": 21744364}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/key_binding/defaults.py", "start": 21744364, "end": 21746302}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/key_binding/vi_state.py", "start": 21746302, "end": 21749662}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/key_binding/bindings/emacs.py", "start": 21749662, "end": 21769275}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/key_binding/bindings/open_in_editor.py", "start": 21769275, "end": 21770594}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/key_binding/bindings/__init__.py", "start": 21770594, "end": 21770594}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/key_binding/bindings/basic.py", "start": 21770594, "end": 21777809}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/key_binding/bindings/vi.py", "start": 21777809, "end": 21853330}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/key_binding/bindings/named_commands.py", "start": 21853330, "end": 21871705}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/key_binding/bindings/page_navigation.py", "start": 21871705, "end": 21874060}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/key_binding/bindings/scroll.py", "start": 21874060, "end": 21879636}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/key_binding/bindings/mouse.py", "start": 21879636, "end": 21898221}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/key_binding/bindings/cpr.py", "start": 21898221, "end": 21898971}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/key_binding/bindings/completion.py", "start": 21898971, "end": 21905849}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/key_binding/bindings/focus.py", "start": 21905849, "end": 21906320}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/key_binding/bindings/search.py", "start": 21906320, "end": 21908915}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/key_binding/bindings/auto_suggest.py", "start": 21908915, "end": 21910723}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/application/application.py", "start": 21910723, "end": 21965941}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/application/__init__.py", "start": 21965941, "end": 21966562}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/application/dummy.py", "start": 21966562, "end": 21968070}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/application/run_in_terminal.py", "start": 21968070, "end": 21971783}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/application/current.py", "start": 21971783, "end": 21977837}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/eventloop/win32.py", "start": 21977837, "end": 21980130}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/eventloop/__init__.py", "start": 21980130, "end": 21980808}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/eventloop/async_context_manager.py", "start": 21980808, "end": 21985237}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/eventloop/utils.py", "start": 21985237, "end": 21988960}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/eventloop/inputhook.py", "start": 21988960, "end": 21994982}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/eventloop/async_generator.py", "start": 21994982, "end": 21997057}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/eventloop/dummy_contextvars.py", "start": 21997057, "end": 21998228}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/output/win32.py", "start": 21998228, "end": 22021176}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/output/windows10.py", "start": 22021176, "end": 22024338}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/output/vt100.py", "start": 22024338, "end": 22047107}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/output/__init__.py", "start": 22047107, "end": 22047351}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/output/conemu.py", "start": 22047351, "end": 22049193}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/output/plain_text.py", "start": 22049193, "end": 22052632}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/output/color_depth.py", "start": 22052632, "end": 22054019}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/output/flush_stdout.py", "start": 22054019, "end": 22057047}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/output/defaults.py", "start": 22057047, "end": 22060608}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/output/base.py", "start": 22060608, "end": 22068934}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/widgets/__init__.py", "start": 22068934, "end": 22070115}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/widgets/toolbars.py", "start": 22070115, "end": 22082373}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/widgets/dialogs.py", "start": 22082373, "end": 22085743}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/widgets/menus.py", "start": 22085743, "end": 22099181}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/widgets/base.py", "start": 22099181, "end": 22131055}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/contrib/__init__.py", "start": 22131055, "end": 22131055}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/contrib/telnet/log.py", "start": 22131055, "end": 22131185}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/contrib/telnet/__init__.py", "start": 22131185, "end": 22131253}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/contrib/telnet/protocol.py", "start": 22131253, "end": 22136801}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/contrib/telnet/server.py", "start": 22136801, "end": 22148604}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/contrib/completers/system.py", "start": 22148604, "end": 22150625}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/contrib/completers/__init__.py", "start": 22150625, "end": 22150692}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/contrib/ssh/__init__.py", "start": 22150692, "end": 22150836}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/contrib/ssh/server.py", "start": 22150836, "end": 22156453}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/contrib/regular_languages/__init__.py", "start": 22156453, "end": 22159696}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/contrib/regular_languages/validation.py", "start": 22159696, "end": 22161744}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/contrib/regular_languages/compiler.py", "start": 22161744, "end": 22183612}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/contrib/regular_languages/lexer.py", "start": 22183612, "end": 22187010}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/contrib/regular_languages/completion.py", "start": 22187010, "end": 22190232}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/contrib/regular_languages/regex_parser.py", "start": 22190232, "end": 22198035}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/input/win32.py", "start": 22198035, "end": 22223756}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/input/posix_utils.py", "start": 22223756, "end": 22227693}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/input/win32_pipe.py", "start": 22227693, "end": 22232365}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/input/vt100.py", "start": 22232365, "end": 22242978}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/input/__init__.py", "start": 22242978, "end": 22243215}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/input/posix_pipe.py", "start": 22243215, "end": 22246339}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/input/vt100_parser.py", "start": 22246339, "end": 22254739}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/input/typeahead.py", "start": 22254739, "end": 22257277}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/input/defaults.py", "start": 22257277, "end": 22259334}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/input/base.py", "start": 22259334, "end": 22263341}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/input/ansi_escape_sequences.py", "start": 22263341, "end": 22277012}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/formatted_text/__init__.py", "start": 22277012, "end": 22278430}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/formatted_text/pygments.py", "start": 22278430, "end": 22279189}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/formatted_text/html.py", "start": 22279189, "end": 22283551}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/formatted_text/utils.py", "start": 22283551, "end": 22286566}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/formatted_text/ansi.py", "start": 22286566, "end": 22296316}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/formatted_text/base.py", "start": 22296316, "end": 22301373}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/filters/__init__.py", "start": 22301373, "end": 22303326}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/filters/utils.py", "start": 22303326, "end": 22304174}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/filters/cli.py", "start": 22304174, "end": 22306004}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/filters/app.py", "start": 22306004, "end": 22315803}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/filters/base.py", "start": 22315803, "end": 22321507}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/completion/nested.py", "start": 22321507, "end": 22325349}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/completion/__init__.py", "start": 22325349, "end": 22326305}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/completion/deduplicate.py", "start": 22326305, "end": 22327710}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/completion/filesystem.py", "start": 22327710, "end": 22331647}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/completion/base.py", "start": 22331647, "end": 22344802}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/completion/word_completer.py", "start": 22344802, "end": 22348222}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/completion/fuzzy_completer.py", "start": 22348222, "end": 22355287}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/clipboard/__init__.py", "start": 22355287, "end": 22355690}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/clipboard/pyperclip.py", "start": 22355690, "end": 22356846}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/clipboard/in_memory.py", "start": 22356846, "end": 22357923}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit/clipboard/base.py", "start": 22357923, "end": 22360415}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pexpect-4.8.0.dist-info/WHEEL", "start": 22360415, "end": 22360525}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pexpect-4.8.0.dist-info/RECORD", "start": 22360525, "end": 22363092}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pexpect-4.8.0.dist-info/LICENSE", "start": 22363092, "end": 22364079}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pexpect-4.8.0.dist-info/direct_url.json", "start": 22364079, "end": 22364182}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pexpect-4.8.0.dist-info/METADATA", "start": 22364182, "end": 22366362}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pexpect-4.8.0.dist-info/top_level.txt", "start": 22366362, "end": 22366370}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pexpect-4.8.0.dist-info/INSTALLER", "start": 22366370, "end": 22366375}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pexpect-4.8.0.dist-info/REQUESTED", "start": 22366375, "end": 22366375}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/xeus_python_shell-0.3.0.dist-info/WHEEL", "start": 22366375, "end": 22366467}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/xeus_python_shell-0.3.0.dist-info/RECORD", "start": 22366467, "end": 22368373}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/xeus_python_shell-0.3.0.dist-info/LICENSE", "start": 22368373, "end": 22369891}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/xeus_python_shell-0.3.0.dist-info/direct_url.json", "start": 22369891, "end": 22370004}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/xeus_python_shell-0.3.0.dist-info/METADATA", "start": 22370004, "end": 22370959}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/xeus_python_shell-0.3.0.dist-info/top_level.txt", "start": 22370959, "end": 22371000}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/xeus_python_shell-0.3.0.dist-info/INSTALLER", "start": 22371000, "end": 22371005}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/xeus_python_shell-0.3.0.dist-info/REQUESTED", "start": 22371005, "end": 22371005}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/xeus_python_shell/__init__.py", "start": 22371005, "end": 22371062}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/xeus_python_shell/display.py", "start": 22371062, "end": 22372421}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/xeus_python_shell/compiler.py", "start": 22372421, "end": 22373008}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/xeus_python_shell/shell.py", "start": 22373008, "end": 22375618}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/xeus_python_shell/debugger.py", "start": 22375618, "end": 22379533}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/__init__.py", "start": 22379533, "end": 22382535}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/filter.py", "start": 22382535, "end": 22384473}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/sphinxext.py", "start": 22384473, "end": 22389067}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/plugin.py", "start": 22389067, "end": 22390777}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexer.py", "start": 22390777, "end": 22422705}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/scanner.py", "start": 22422705, "end": 22425797}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/formatter.py", "start": 22425797, "end": 22428690}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/__main__.py", "start": 22428690, "end": 22429038}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/modeline.py", "start": 22429038, "end": 22430024}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/util.py", "start": 22430024, "end": 22439134}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/regexopt.py", "start": 22439134, "end": 22442206}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/console.py", "start": 22442206, "end": 22443903}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/token.py", "start": 22443903, "end": 22450046}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/unistring.py", "start": 22450046, "end": 22513233}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/style.py", "start": 22513233, "end": 22519478}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/cmdline.py", "start": 22519478, "end": 22542731}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/idl.py", "start": 22542731, "end": 22558181}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/tal.py", "start": 22558181, "end": 22560811}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/email.py", "start": 22560811, "end": 22565905}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/ncl.py", "start": 22565905, "end": 22629867}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/sas.py", "start": 22629867, "end": 22639267}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/j.py", "start": 22639267, "end": 22644127}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/igor.py", "start": 22644127, "end": 22674758}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/savi.py", "start": 22674758, "end": 22679406}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/javascript.py", "start": 22679406, "end": 22742269}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/_openedge_builtins.py", "start": 22742269, "end": 22791667}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/perl.py", "start": 22791667, "end": 22830747}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/compiled.py", "start": 22830747, "end": 22832139}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/teal.py", "start": 22832139, "end": 22835638}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/xorg.py", "start": 22835638, "end": 22836539}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/_cocoa_builtins.py", "start": 22836539, "end": 22941721}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/rnc.py", "start": 22941721, "end": 22943694}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/__init__.py", "start": 22943694, "end": 22955137}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/d.py", "start": 22955137, "end": 22965018}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/_vbscript_builtins.py", "start": 22965018, "end": 22969243}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/nit.py", "start": 22969243, "end": 22971969}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/_scilab_builtins.py", "start": 22971969, "end": 23024346}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/solidity.py", "start": 23024346, "end": 23027478}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/objective.py", "start": 23027478, "end": 23050415}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/berry.py", "start": 23050415, "end": 23053643}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/apl.py", "start": 23053643, "end": 23057054}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/modeling.py", "start": 23057054, "end": 23070578}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/dotnet.py", "start": 23070578, "end": 23099726}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/sgf.py", "start": 23099726, "end": 23101718}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/snobol.py", "start": 23101718, "end": 23104450}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/pony.py", "start": 23104450, "end": 23107694}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/eiffel.py", "start": 23107694, "end": 23110364}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/haxe.py", "start": 23110364, "end": 23141340}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/lisp.py", "start": 23141340, "end": 23285378}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/asm.py", "start": 23285378, "end": 23326516}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/devicetree.py", "start": 23326516, "end": 23330536}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/ecl.py", "start": 23330536, "end": 23336770}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/nix.py", "start": 23336770, "end": 23340745}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/iolang.py", "start": 23340745, "end": 23342657}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/floscript.py", "start": 23342657, "end": 23345325}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/jvm.py", "start": 23345325, "end": 23418059}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/actionscript.py", "start": 23418059, "end": 23429735}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/_asy_builtins.py", "start": 23429735, "end": 23457022}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/basic.py", "start": 23457022, "end": 23484910}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/_ada_builtins.py", "start": 23484910, "end": 23486453}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/_lasso_builtins.py", "start": 23486453, "end": 23620963}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/bibtex.py", "start": 23620963, "end": 23625692}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/textfmts.py", "start": 23625692, "end": 23640864}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/smv.py", "start": 23640864, "end": 23643637}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/_php_builtins.py", "start": 23643637, "end": 23751513}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/html.py", "start": 23751513, "end": 23771326}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/textedit.py", "start": 23771326, "end": 23778942}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/boa.py", "start": 23778942, "end": 23782905}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/jslt.py", "start": 23782905, "end": 23786606}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/roboconf.py", "start": 23786606, "end": 23788568}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/foxpro.py", "start": 23788568, "end": 23814781}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/web.py", "start": 23814781, "end": 23815675}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/dylan.py", "start": 23815675, "end": 23826087}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/esoteric.py", "start": 23826087, "end": 23836489}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/maxima.py", "start": 23836489, "end": 23839205}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/prolog.py", "start": 23839205, "end": 23851556}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/lilypond.py", "start": 23851556, "end": 23860243}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/_lua_builtins.py", "start": 23860243, "end": 23868338}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/freefem.py", "start": 23868338, "end": 23895407}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/_julia_builtins.py", "start": 23895407, "end": 23907290}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/functional.py", "start": 23907290, "end": 23907964}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/gcodelexer.py", "start": 23907964, "end": 23908790}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/resource.py", "start": 23908790, "end": 23911692}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/webassembly.py", "start": 23911692, "end": 23917391}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/teraterm.py", "start": 23917391, "end": 23927283}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/praat.py", "start": 23927283, "end": 23939562}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/ul4.py", "start": 23939562, "end": 23948460}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/math.py", "start": 23948460, "end": 23949136}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/macaulay2.py", "start": 23949136, "end": 23980087}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/ruby.py", "start": 23980087, "end": 24002776}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/scdoc.py", "start": 24002776, "end": 24005032}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/configs.py", "start": 24005032, "end": 24045964}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/archetype.py", "start": 24045964, "end": 24057407}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/trafficscript.py", "start": 24057407, "end": 24058881}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/parasail.py", "start": 24058881, "end": 24061601}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/qvt.py", "start": 24061601, "end": 24067673}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/tnt.py", "start": 24067673, "end": 24078134}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/graphics.py", "start": 24078134, "end": 24117065}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/cplint.py", "start": 24117065, "end": 24118442}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/mime.py", "start": 24118442, "end": 24125980}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/bdd.py", "start": 24125980, "end": 24127613}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/factor.py", "start": 24127613, "end": 24147159}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/php.py", "start": 24147159, "end": 24159730}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/erlang.py", "start": 24159730, "end": 24178929}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/text.py", "start": 24178929, "end": 24179958}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/mcfunction.py", "start": 24179958, "end": 24190664}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/yang.py", "start": 24190664, "end": 24195195}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/promql.py", "start": 24195195, "end": 24199941}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/hexdump.py", "start": 24199941, "end": 24203550}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/shell.py", "start": 24203550, "end": 24239450}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/other.py", "start": 24239450, "end": 24241194}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/_mysql_builtins.py", "start": 24241194, "end": 24267000}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/webmisc.py", "start": 24267000, "end": 24306966}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/procfile.py", "start": 24306966, "end": 24308122}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/ampl.py", "start": 24308122, "end": 24312277}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/dalvik.py", "start": 24312277, "end": 24316858}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/rust.py", "start": 24316858, "end": 24325074}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/graphviz.py", "start": 24325074, "end": 24327009}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/_css_builtins.py", "start": 24327009, "end": 24339455}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/_postgres_builtins.py", "start": 24339455, "end": 24351771}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/q.py", "start": 24351771, "end": 24359453}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/rita.py", "start": 24359453, "end": 24360647}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/slash.py", "start": 24360647, "end": 24369129}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/rebol.py", "start": 24369129, "end": 24387729}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/stata.py", "start": 24387729, "end": 24394145}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/int_fiction.py", "start": 24394145, "end": 24450779}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/pointless.py", "start": 24450779, "end": 24452754}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/inferno.py", "start": 24452754, "end": 24455896}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/unicon.py", "start": 24455896, "end": 24474408}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/business.py", "start": 24474408, "end": 24502467}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/tcl.py", "start": 24502467, "end": 24507912}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/futhark.py", "start": 24507912, "end": 24511693}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/ada.py", "start": 24511693, "end": 24516978}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/robotframework.py", "start": 24516978, "end": 24535427}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/forth.py", "start": 24535427, "end": 24542625}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/special.py", "start": 24542625, "end": 24546071}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/pascal.py", "start": 24546071, "end": 24572889}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/algebra.py", "start": 24572889, "end": 24580694}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/data.py", "start": 24580694, "end": 24607635}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/ooc.py", "start": 24607635, "end": 24610617}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/elpi.py", "start": 24610617, "end": 24616643}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/_tsql_builtins.py", "start": 24616643, "end": 24632103}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/x10.py", "start": 24632103, "end": 24634022}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/automation.py", "start": 24634022, "end": 24653839}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/fortran.py", "start": 24653839, "end": 24664185}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/fantom.py", "start": 24664185, "end": 24674382}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/smithy.py", "start": 24674382, "end": 24676995}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/_qlik_builtins.py", "start": 24676995, "end": 24689590}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/theorem.py", "start": 24689590, "end": 24709189}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/chapel.py", "start": 24709189, "end": 24714203}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/pawn.py", "start": 24714203, "end": 24722349}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/markup.py", "start": 24722349, "end": 24749110}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/console.py", "start": 24749110, "end": 24753258}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/srcinfo.py", "start": 24753258, "end": 24754924}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/zig.py", "start": 24754924, "end": 24758844}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/verification.py", "start": 24758844, "end": 24762729}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/spice.py", "start": 24762729, "end": 24765019}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/agile.py", "start": 24765019, "end": 24765895}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/_stata_builtins.py", "start": 24765895, "end": 24793122}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/_usd_builtins.py", "start": 24793122, "end": 24794780}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/sql.py", "start": 24794780, "end": 24828931}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/hdl.py", "start": 24828931, "end": 24851451}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/apdlexer.py", "start": 24851451, "end": 24878111}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/testing.py", "start": 24878111, "end": 24888878}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/modula2.py", "start": 24888878, "end": 24941951}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/meson.py", "start": 24941951, "end": 24946349}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/typoscript.py", "start": 24946349, "end": 24954556}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/_cl_builtins.py", "start": 24954556, "end": 24968550}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/_lilypond_builtins.py", "start": 24968550, "end": 25072665}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/ambient.py", "start": 25072665, "end": 25075277}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/usd.py", "start": 25075277, "end": 25078790}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/clean.py", "start": 25078790, "end": 25085185}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/haskell.py", "start": 25085185, "end": 25118092}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/kuin.py", "start": 25118092, "end": 25129110}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/monte.py", "start": 25129110, "end": 25135400}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/sophia.py", "start": 25135400, "end": 25138730}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/bare.py", "start": 25138730, "end": 25141736}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/parsers.py", "start": 25141736, "end": 25167631}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/gsql.py", "start": 25167631, "end": 25171403}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/capnproto.py", "start": 25171403, "end": 25173589}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/ezhil.py", "start": 25173589, "end": 25176897}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/installers.py", "start": 25176897, "end": 25190075}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/julia.py", "start": 25190075, "end": 25201567}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/c_cpp.py", "start": 25201567, "end": 25218180}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/asc.py", "start": 25218180, "end": 25219759}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/qlik.py", "start": 25219759, "end": 25223706}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/varnish.py", "start": 25223706, "end": 25230949}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/thingsdb.py", "start": 25230949, "end": 25235177}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/_stan_builtins.py", "start": 25235177, "end": 25248622}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/dsls.py", "start": 25248622, "end": 25284999}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/felix.py", "start": 25284999, "end": 25294645}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/go.py", "start": 25294645, "end": 25298353}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/graph.py", "start": 25298353, "end": 25302218}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/nimrod.py", "start": 25302218, "end": 25307332}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/oberon.py", "start": 25307332, "end": 25311501}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/gdscript.py", "start": 25311501, "end": 25322712}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/ride.py", "start": 25322712, "end": 25327762}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/csound.py", "start": 25327762, "end": 25344760}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/_scheme_builtins.py", "start": 25344760, "end": 25377324}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/ml.py", "start": 25377324, "end": 25412649}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/cddl.py", "start": 25412649, "end": 25417989}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/rdf.py", "start": 25417989, "end": 25433779}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/amdgpu.py", "start": 25433779, "end": 25435382}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/templates.py", "start": 25435382, "end": 25507207}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/supercollider.py", "start": 25507207, "end": 25510907}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/scripting.py", "start": 25510907, "end": 25580921}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/arrow.py", "start": 25580921, "end": 25584486}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/matlab.py", "start": 25584486, "end": 25716983}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/_mql_builtins.py", "start": 25716983, "end": 25741696}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/webidl.py", "start": 25741696, "end": 25752213}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/css.py", "start": 25752213, "end": 25777533}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/smalltalk.py", "start": 25777533, "end": 25784739}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/_mapping.py", "start": 25784739, "end": 25850426}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/_sourcemod_builtins.py", "start": 25850426, "end": 25877186}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/make.py", "start": 25877186, "end": 25884634}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/sieve.py", "start": 25884634, "end": 25886923}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/mosel.py", "start": 25886923, "end": 25896110}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/grammar_notation.py", "start": 25896110, "end": 25904100}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/whiley.py", "start": 25904100, "end": 25908118}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/elm.py", "start": 25908118, "end": 25911276}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/urbi.py", "start": 25911276, "end": 25917313}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/_csound_builtins.py", "start": 25917313, "end": 25935669}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/python.py", "start": 25935669, "end": 25988413}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/c_like.py", "start": 25988413, "end": 26017549}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/_vim_builtins.py", "start": 26017549, "end": 26074615}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/r.py", "start": 26074615, "end": 26080782}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/crystal.py", "start": 26080782, "end": 26096566}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/lexers/diff.py", "start": 26096566, "end": 26101730}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/styles/stata_dark.py", "start": 26101730, "end": 26102952}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/styles/bw.py", "start": 26102952, "end": 26104283}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/styles/dracula.py", "start": 26104283, "end": 26107627}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/styles/trac.py", "start": 26107627, "end": 26109536}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/styles/sas.py", "start": 26109536, "end": 26110953}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/styles/rainbow_dash.py", "start": 26110953, "end": 26113409}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/styles/igor.py", "start": 26113409, "end": 26114124}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/styles/murphy.py", "start": 26114124, "end": 26116851}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/styles/emacs.py", "start": 26116851, "end": 26119313}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/styles/onedark.py", "start": 26119313, "end": 26121021}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/styles/manni.py", "start": 26121021, "end": 26123371}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/styles/__init__.py", "start": 26123371, "end": 26126599}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/styles/monokai.py", "start": 26126599, "end": 26131662}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/styles/friendly_grayscale.py", "start": 26131662, "end": 26134392}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/styles/gruvbox.py", "start": 26134392, "end": 26137622}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/styles/vim.py", "start": 26137622, "end": 26139574}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/styles/lilypond.py", "start": 26139574, "end": 26141651}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/styles/lovelace.py", "start": 26141651, "end": 26144800}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/styles/tango.py", "start": 26144800, "end": 26151862}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/styles/paraiso_light.py", "start": 26151862, "end": 26157416}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/styles/material.py", "start": 26157416, "end": 26161522}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/styles/fruity.py", "start": 26161522, "end": 26162796}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/styles/xcode.py", "start": 26162796, "end": 26164273}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/styles/default.py", "start": 26164273, "end": 26166784}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/styles/inkpot.py", "start": 26166784, "end": 26169107}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/styles/stata_light.py", "start": 26169107, "end": 26170357}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/styles/solarized.py", "start": 26170357, "end": 26174435}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/styles/perldoc.py", "start": 26174435, "end": 26176586}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/styles/colorful.py", "start": 26176586, "end": 26179340}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/styles/abap.py", "start": 26179340, "end": 26180067}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/styles/algol_nu.py", "start": 26180067, "end": 26182321}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/styles/native.py", "start": 26182321, "end": 26184269}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/styles/arduino.py", "start": 26184269, "end": 26188735}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/styles/autumn.py", "start": 26188735, "end": 26190855}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/styles/paraiso_dark.py", "start": 26190855, "end": 26196405}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/styles/algol.py", "start": 26196405, "end": 26198644}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/styles/zenburn.py", "start": 26198644, "end": 26200821}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/styles/vs.py", "start": 26200821, "end": 26201870}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/styles/pastie.py", "start": 26201870, "end": 26204319}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/styles/friendly.py", "start": 26204319, "end": 26206844}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/styles/borland.py", "start": 26206844, "end": 26208382}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/styles/rrt.py", "start": 26208382, "end": 26209256}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/formatters/img.py", "start": 26209256, "end": 26231051}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/formatters/__init__.py", "start": 26231051, "end": 26236134}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/formatters/terminal256.py", "start": 26236134, "end": 26247851}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/formatters/rtf.py", "start": 26247851, "end": 26252841}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/formatters/html.py", "start": 26252841, "end": 26288246}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/formatters/pangomarkup.py", "start": 26288246, "end": 26290446}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/formatters/latex.py", "start": 26290446, "end": 26309749}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/formatters/other.py", "start": 26309749, "end": 26314774}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/formatters/groff.py", "start": 26314774, "end": 26319836}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/formatters/bbcode.py", "start": 26319836, "end": 26323126}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/formatters/terminal.py", "start": 26323126, "end": 26327752}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/formatters/svg.py", "start": 26327752, "end": 26335051}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/formatters/_mapping.py", "start": 26335051, "end": 26341556}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/formatters/irc.py", "start": 26341556, "end": 26347391}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pygments/filters/__init__.py", "start": 26347391, "end": 26387635}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/backcall-0.2.0.dist-info/WHEEL", "start": 26387635, "end": 26387734}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/backcall-0.2.0.dist-info/RECORD", "start": 26387734, "end": 26388606}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/backcall-0.2.0.dist-info/LICENSE", "start": 26388606, "end": 26390096}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/backcall-0.2.0.dist-info/direct_url.json", "start": 26390096, "end": 26390200}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/backcall-0.2.0.dist-info/METADATA", "start": 26390200, "end": 26392166}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/backcall-0.2.0.dist-info/INSTALLER", "start": 26392166, "end": 26392171}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/decorator-5.1.1.dist-info/LICENSE.txt", "start": 26392171, "end": 26393480}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/decorator-5.1.1.dist-info/WHEEL", "start": 26393480, "end": 26393572}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/decorator-5.1.1.dist-info/RECORD", "start": 26393572, "end": 26394457}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/decorator-5.1.1.dist-info/direct_url.json", "start": 26394457, "end": 26394562}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/decorator-5.1.1.dist-info/METADATA", "start": 26394562, "end": 26398543}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/decorator-5.1.1.dist-info/top_level.txt", "start": 26398543, "end": 26398553}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/decorator-5.1.1.dist-info/INSTALLER", "start": 26398553, "end": 26398558}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/decorator-5.1.1.dist-info/REQUESTED", "start": 26398558, "end": 26398558}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/decorator-5.1.1.dist-info/pbr.json", "start": 26398558, "end": 26398605}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/asttokens-2.0.5.dist-info/WHEEL", "start": 26398605, "end": 26398715}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/asttokens-2.0.5.dist-info/RECORD", "start": 26398715, "end": 26400169}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/asttokens-2.0.5.dist-info/LICENSE", "start": 26400169, "end": 26411526}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/asttokens-2.0.5.dist-info/direct_url.json", "start": 26411526, "end": 26411631}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/asttokens-2.0.5.dist-info/METADATA", "start": 26411631, "end": 26416266}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/asttokens-2.0.5.dist-info/top_level.txt", "start": 26416266, "end": 26416276}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/asttokens-2.0.5.dist-info/INSTALLER", "start": 26416276, "end": 26416281}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/asttokens-2.0.5.dist-info/REQUESTED", "start": 26416281, "end": 26416281}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/wcwidth-0.2.5.dist-info/WHEEL", "start": 26416281, "end": 26416391}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/wcwidth-0.2.5.dist-info/zip-safe", "start": 26416391, "end": 26416392}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/wcwidth-0.2.5.dist-info/RECORD", "start": 26416392, "end": 26417788}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/wcwidth-0.2.5.dist-info/LICENSE", "start": 26417788, "end": 26419110}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/wcwidth-0.2.5.dist-info/direct_url.json", "start": 26419110, "end": 26419213}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/wcwidth-0.2.5.dist-info/METADATA", "start": 26419213, "end": 26430470}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/wcwidth-0.2.5.dist-info/top_level.txt", "start": 26430470, "end": 26430478}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/wcwidth-0.2.5.dist-info/INSTALLER", "start": 26430478, "end": 26430483}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/wcwidth-0.2.5.dist-info/REQUESTED", "start": 26430483, "end": 26430483}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/wheel/bdist_wheel.py", "start": 26430483, "end": 26449558}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/wheel/__init__.py", "start": 26449558, "end": 26449581}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/wheel/__main__.py", "start": 26449581, "end": 26449998}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/wheel/metadata.py", "start": 26449998, "end": 26454342}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/wheel/util.py", "start": 26454342, "end": 26455280}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/wheel/wheelfile.py", "start": 26455280, "end": 26462854}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/wheel/macosx_libfile.py", "start": 26462854, "end": 26478784}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/wheel/pkginfo.py", "start": 26478784, "end": 26480041}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/wheel/cli/__init__.py", "start": 26480041, "end": 26482613}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/wheel/cli/pack.py", "start": 26482613, "end": 26485977}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/wheel/cli/convert.py", "start": 26485977, "end": 26495475}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/wheel/cli/unpack.py", "start": 26495475, "end": 26496148}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/wheel/vendored/__init__.py", "start": 26496148, "end": 26496148}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/wheel/vendored/packaging/__init__.py", "start": 26496148, "end": 26496148}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/wheel/vendored/packaging/_typing.py", "start": 26496148, "end": 26497960}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/wheel/vendored/packaging/tags.py", "start": 26497960, "end": 26527520}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit-3.0.29.dist-info/WHEEL", "start": 26527520, "end": 26527612}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit-3.0.29.dist-info/RECORD", "start": 26527612, "end": 26551832}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit-3.0.29.dist-info/AUTHORS.rst", "start": 26551832, "end": 26551980}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit-3.0.29.dist-info/LICENSE", "start": 26551980, "end": 26553473}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit-3.0.29.dist-info/direct_url.json", "start": 26553473, "end": 26553583}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit-3.0.29.dist-info/METADATA", "start": 26553583, "end": 26560653}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit-3.0.29.dist-info/top_level.txt", "start": 26560653, "end": 26560668}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit-3.0.29.dist-info/INSTALLER", "start": 26560668, "end": 26560673}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/prompt_toolkit-3.0.29.dist-info/REQUESTED", "start": 26560673, "end": 26560673}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/wheel-0.37.1-py3.8.egg-info/not-zip-safe", "start": 26560673, "end": 26560674}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/wheel-0.37.1-py3.8.egg-info/entry_points.txt", "start": 26560674, "end": 26560782}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/wheel-0.37.1-py3.8.egg-info/requires.txt", "start": 26560782, "end": 26560815}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/wheel-0.37.1-py3.8.egg-info/dependency_links.txt", "start": 26560815, "end": 26560816}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/wheel-0.37.1-py3.8.egg-info/PKG-INFO", "start": 26560816, "end": 26563076}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/wheel-0.37.1-py3.8.egg-info/SOURCES.txt", "start": 26563076, "end": 26565413}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/wheel-0.37.1-py3.8.egg-info/top_level.txt", "start": 26565413, "end": 26565419}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/executing-0.8.3.dist-info/LICENSE.txt", "start": 26565419, "end": 26566485}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/executing-0.8.3.dist-info/WHEEL", "start": 26566485, "end": 26566595}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/executing-0.8.3.dist-info/RECORD", "start": 26566595, "end": 26567664}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/executing-0.8.3.dist-info/direct_url.json", "start": 26567664, "end": 26567769}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/executing-0.8.3.dist-info/METADATA", "start": 26567769, "end": 26576366}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/executing-0.8.3.dist-info/top_level.txt", "start": 26576366, "end": 26576376}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/executing-0.8.3.dist-info/INSTALLER", "start": 26576376, "end": 26576381}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/executing-0.8.3.dist-info/REQUESTED", "start": 26576381, "end": 26576381}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/backcall/__init__.py", "start": 26576381, "end": 26576594}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/backcall/backcall.py", "start": 26576594, "end": 26580346}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/backcall/_signatures.py", "start": 26580346, "end": 26610193}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/traitlets/log.py", "start": 26610193, "end": 26610974}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/traitlets/_version.py", "start": 26610974, "end": 26611376}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/traitlets/__init__.py", "start": 26611376, "end": 26612074}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/traitlets/py.typed", "start": 26612074, "end": 26612074}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/traitlets/traitlets.py", "start": 26612074, "end": 26730562}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/traitlets/config/application.py", "start": 26730562, "end": 26767921}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/traitlets/config/__init__.py", "start": 26767921, "end": 26768105}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/traitlets/config/manager.py", "start": 26768105, "end": 26770418}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/traitlets/config/configurable.py", "start": 26770418, "end": 26791419}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/traitlets/config/loader.py", "start": 26791419, "end": 26827531}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/traitlets/config/sphinxdoc.py", "start": 26827531, "end": 26832461}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/traitlets/config/tests/__init__.py", "start": 26832461, "end": 26832461}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/traitlets/config/tests/test_configurable.py", "start": 26832461, "end": 26854942}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/traitlets/config/tests/test_loader.py", "start": 26854942, "end": 26877510}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/traitlets/config/tests/test_application.py", "start": 26877510, "end": 26905815}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/traitlets/utils/__init__.py", "start": 26905815, "end": 26908720}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/traitlets/utils/importstring.py", "start": 26908720, "end": 26909847}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/traitlets/utils/descriptions.py", "start": 26909847, "end": 26915229}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/traitlets/utils/sentinel.py", "start": 26915229, "end": 26915744}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/traitlets/utils/getargspec.py", "start": 26915744, "end": 26917301}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/traitlets/utils/text.py", "start": 26917301, "end": 26918407}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/traitlets/utils/nested_update.py", "start": 26918407, "end": 26919406}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/traitlets/utils/bunch.py", "start": 26919406, "end": 26920076}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/traitlets/utils/decorators.py", "start": 26920076, "end": 26923017}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/traitlets/utils/tests/__init__.py", "start": 26923017, "end": 26923017}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/traitlets/utils/tests/test_bunch.py", "start": 26923017, "end": 26923291}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/traitlets/utils/tests/test_decorators.py", "start": 26923291, "end": 26928039}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/traitlets/utils/tests/test_importstring.py", "start": 26928039, "end": 26928853}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/traitlets/tests/__init__.py", "start": 26928853, "end": 26928853}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/traitlets/tests/utils.py", "start": 26928853, "end": 26929994}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/traitlets/tests/test_traitlets.py", "start": 26929994, "end": 27007599}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/traitlets/tests/_warnings.py", "start": 27007599, "end": 27011789}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/traitlets/tests/test_traitlets_enum.py", "start": 27011789, "end": 27025310}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/Pygments-2.12.0.dist-info/entry_points.txt", "start": 27025310, "end": 27025363}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/Pygments-2.12.0.dist-info/AUTHORS", "start": 27025363, "end": 27035030}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/Pygments-2.12.0.dist-info/WHEEL", "start": 27035030, "end": 27035122}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/Pygments-2.12.0.dist-info/RECORD", "start": 27035122, "end": 27075574}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/Pygments-2.12.0.dist-info/LICENSE", "start": 27075574, "end": 27076905}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/Pygments-2.12.0.dist-info/direct_url.json", "start": 27076905, "end": 27077009}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/Pygments-2.12.0.dist-info/METADATA", "start": 27077009, "end": 27078478}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/Pygments-2.12.0.dist-info/top_level.txt", "start": 27078478, "end": 27078487}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/Pygments-2.12.0.dist-info/INSTALLER", "start": 27078487, "end": 27078492}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/Pygments-2.12.0.dist-info/REQUESTED", "start": 27078492, "end": 27078492}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/traitlets-5.2.1.post0.dist-info/entry_points.txt", "start": 27078492, "end": 27078492}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/traitlets-5.2.1.post0.dist-info/WHEEL", "start": 27078492, "end": 27078579}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/traitlets-5.2.1.post0.dist-info/RECORD", "start": 27078579, "end": 27084099}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/traitlets-5.2.1.post0.dist-info/direct_url.json", "start": 27084099, "end": 27084204}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/traitlets-5.2.1.post0.dist-info/METADATA", "start": 27084204, "end": 27094872}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/traitlets-5.2.1.post0.dist-info/INSTALLER", "start": 27094872, "end": 27094877}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/traitlets-5.2.1.post0.dist-info/REQUESTED", "start": 27094877, "end": 27094877}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/traitlets-5.2.1.post0.dist-info/license_files/COPYING.md", "start": 27094877, "end": 27097831}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pure_eval-0.2.2.dist-info/LICENSE.txt", "start": 27097831, "end": 27098897}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pure_eval-0.2.2.dist-info/WHEEL", "start": 27098897, "end": 27098989}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pure_eval-0.2.2.dist-info/RECORD", "start": 27098989, "end": 27100391}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pure_eval-0.2.2.dist-info/direct_url.json", "start": 27100391, "end": 27100496}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pure_eval-0.2.2.dist-info/METADATA", "start": 27100496, "end": 27106741}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pure_eval-0.2.2.dist-info/top_level.txt", "start": 27106741, "end": 27106751}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pure_eval-0.2.2.dist-info/INSTALLER", "start": 27106751, "end": 27106756}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pure_eval-0.2.2.dist-info/REQUESTED", "start": 27106756, "end": 27106756}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/stack_data/formatting.py", "start": 27106756, "end": 27113881}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/stack_data/__init__.py", "start": 27113881, "end": 27114236}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/stack_data/core.py", "start": 27114236, "end": 27145381}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/stack_data/utils.py", "start": 27145381, "end": 27150786}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/stack_data/version.py", "start": 27150786, "end": 27150808}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pexpect/exceptions.py", "start": 27150808, "end": 27151876}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pexpect/__init__.py", "start": 27151876, "end": 27155778}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pexpect/screen.py", "start": 27155778, "end": 27169482}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pexpect/expect.py", "start": 27169482, "end": 27183309}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pexpect/run.py", "start": 27183309, "end": 27189937}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pexpect/_async.py", "start": 27189937, "end": 27193241}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pexpect/pty_spawn.py", "start": 27193241, "end": 27230623}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pexpect/utils.py", "start": 27230623, "end": 27236642}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pexpect/spawnbase.py", "start": 27236642, "end": 27257889}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pexpect/pxssh.py", "start": 27257889, "end": 27282168}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pexpect/FSM.py", "start": 27282168, "end": 27295587}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pexpect/replwrap.py", "start": 27295587, "end": 27301220}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pexpect/bashrc.sh", "start": 27301220, "end": 27301600}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pexpect/ANSI.py", "start": 27301600, "end": 27313777}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pexpect/popen_spawn.py", "start": 27313777, "end": 27319938}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/pexpect/fdpexpect.py", "start": 27319938, "end": 27325766}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/_compatibility.py", "start": 27325766, "end": 27326684}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/__init__.py", "start": 27326684, "end": 27328170}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/debug.py", "start": 27328170, "end": 27331674}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/parser_utils.py", "start": 27331674, "end": 27342574}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/settings.py", "start": 27342574, "end": 27346100}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/__main__.py", "start": 27346100, "end": 27348050}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/utils.py", "start": 27348050, "end": 27352754}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/common.py", "start": 27352754, "end": 27353422}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/cache.py", "start": 27353422, "end": 27357096}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/file_io.py", "start": 27357096, "end": 27359433}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/plugins/__init__.py", "start": 27359433, "end": 27360878}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/plugins/flask.py", "start": 27360878, "end": 27361794}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/plugins/django.py", "start": 27361794, "end": 27372689}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/plugins/registry.py", "start": 27372689, "end": 27372996}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/plugins/pytest.py", "start": 27372996, "end": 27380726}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/plugins/stdlib.py", "start": 27380726, "end": 27410643}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/LICENSE", "start": 27410643, "end": 27423301}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2/enum.pyi", "start": 27423301, "end": 27425944}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2/pymssql.pyi", "start": 27425944, "end": 27427629}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2/ipaddress.pyi", "start": 27427629, "end": 27432736}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2/pathlib2.pyi", "start": 27432736, "end": 27437019}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2/routes/__init__.pyi", "start": 27437019, "end": 27437383}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2/routes/mapper.pyi", "start": 27437383, "end": 27439745}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2/routes/util.pyi", "start": 27439745, "end": 27440321}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2/scribe/ttypes.pyi", "start": 27440321, "end": 27440704}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2/scribe/__init__.pyi", "start": 27440704, "end": 27440704}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2/scribe/scribe.pyi", "start": 27440704, "end": 27441920}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2/concurrent/__init__.pyi", "start": 27441920, "end": 27441920}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2/concurrent/futures/_base.pyi", "start": 27441920, "end": 27445621}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2/concurrent/futures/__init__.pyi", "start": 27445621, "end": 27446057}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2/concurrent/futures/process.pyi", "start": 27446057, "end": 27446252}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2/concurrent/futures/thread.pyi", "start": 27446252, "end": 27446826}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2/six/__init__.pyi", "start": 27446826, "end": 27451216}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2/six/moves/reprlib.pyi", "start": 27451216, "end": 27451235}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2/six/moves/collections_abc.pyi", "start": 27451235, "end": 27451261}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2/six/moves/http_client.pyi", "start": 27451261, "end": 27451283}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2/six/moves/SimpleHTTPServer.pyi", "start": 27451283, "end": 27451314}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2/six/moves/urllib_request.pyi", "start": 27451314, "end": 27451344}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2/six/moves/urllib_response.pyi", "start": 27451344, "end": 27451375}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2/six/moves/BaseHTTPServer.pyi", "start": 27451375, "end": 27451404}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2/six/moves/queue.pyi", "start": 27451404, "end": 27451424}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2/six/moves/CGIHTTPServer.pyi", "start": 27451424, "end": 27451452}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2/six/moves/cPickle.pyi", "start": 27451452, "end": 27451474}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2/six/moves/_thread.pyi", "start": 27451474, "end": 27451495}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2/six/moves/xmlrpc_client.pyi", "start": 27451495, "end": 27451519}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2/six/moves/__init__.pyi", "start": 27451519, "end": 27453624}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2/six/moves/email_mime_multipart.pyi", "start": 27453624, "end": 27453659}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2/six/moves/html_parser.pyi", "start": 27453659, "end": 27453684}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2/six/moves/urllib_parse.pyi", "start": 27453684, "end": 27453712}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2/six/moves/email_mime_text.pyi", "start": 27453712, "end": 27453741}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2/six/moves/urllib_error.pyi", "start": 27453741, "end": 27453769}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2/six/moves/html_entities.pyi", "start": 27453769, "end": 27453798}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2/six/moves/configparser.pyi", "start": 27453798, "end": 27453825}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2/six/moves/http_cookiejar.pyi", "start": 27453825, "end": 27453849}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2/six/moves/email_mime_base.pyi", "start": 27453849, "end": 27453879}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2/six/moves/_dummy_thread.pyi", "start": 27453879, "end": 27453906}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2/six/moves/urllib_robotparser.pyi", "start": 27453906, "end": 27453932}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2/six/moves/socketserver.pyi", "start": 27453932, "end": 27453959}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2/six/moves/http_cookies.pyi", "start": 27453959, "end": 27453980}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2/six/moves/email_mime_nonmultipart.pyi", "start": 27453980, "end": 27454018}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2/six/moves/urllib/error.pyi", "start": 27454018, "end": 27454147}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2/six/moves/urllib/response.pyi", "start": 27454147, "end": 27454261}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2/six/moves/urllib/robotparser.pyi", "start": 27454261, "end": 27454320}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2/six/moves/urllib/__init__.pyi", "start": 27454320, "end": 27454537}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2/six/moves/urllib/request.pyi", "start": 27454537, "end": 27455990}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2/six/moves/urllib/parse.pyi", "start": 27455990, "end": 27456734}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2/kazoo/client.pyi", "start": 27456734, "end": 27460134}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2/kazoo/exceptions.pyi", "start": 27460134, "end": 27462188}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2/kazoo/__init__.pyi", "start": 27462188, "end": 27462188}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2/kazoo/recipe/__init__.pyi", "start": 27462188, "end": 27462188}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2/kazoo/recipe/watchers.pyi", "start": 27462188, "end": 27462739}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2/tornado/web.pyi", "start": 27462739, "end": 27471587}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2/tornado/gen.pyi", "start": 27471587, "end": 27474372}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2/tornado/httpclient.pyi", "start": 27474372, "end": 27477591}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2/tornado/concurrent.pyi", "start": 27477591, "end": 27478607}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2/tornado/httpserver.pyi", "start": 27478607, "end": 27480224}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2/tornado/__init__.pyi", "start": 27480224, "end": 27480224}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2/tornado/process.pyi", "start": 27480224, "end": 27480886}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2/tornado/httputil.pyi", "start": 27480886, "end": 27483739}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2/tornado/tcpserver.pyi", "start": 27483739, "end": 27484295}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2/tornado/netutil.pyi", "start": 27484295, "end": 27485645}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2/tornado/util.pyi", "start": 27485645, "end": 27486717}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2/tornado/locks.pyi", "start": 27486717, "end": 27487996}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2/tornado/testing.pyi", "start": 27487996, "end": 27489861}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2/tornado/ioloop.pyi", "start": 27489861, "end": 27492659}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2/fb303/__init__.pyi", "start": 27492659, "end": 27492659}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2/fb303/FacebookService.pyi", "start": 27492659, "end": 27501351}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2/OpenSSL/__init__.pyi", "start": 27501351, "end": 27501351}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2/OpenSSL/crypto.pyi", "start": 27501351, "end": 27508939}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3/frozendict.pyi", "start": 27508939, "end": 27509834}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3/orjson.pyi", "start": 27509834, "end": 27510490}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3/contextvars.pyi", "start": 27510490, "end": 27511895}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3/dataclasses.pyi", "start": 27511895, "end": 27514632}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3/jwt/algorithms.pyi", "start": 27514632, "end": 27518931}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3/jwt/__init__.pyi", "start": 27518931, "end": 27520655}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3/jwt/contrib/__init__.pyi", "start": 27520655, "end": 27520655}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3/jwt/contrib/algorithms/pycrypto.pyi", "start": 27520655, "end": 27520907}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3/jwt/contrib/algorithms/__init__.pyi", "start": 27520907, "end": 27520907}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3/jwt/contrib/algorithms/py_ecdsa.pyi", "start": 27520907, "end": 27521158}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3/pyrfc3339/__init__.pyi", "start": 27521158, "end": 27521237}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3/pyrfc3339/utils.pyi", "start": 27521237, "end": 27521684}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3/pyrfc3339/generator.pyi", "start": 27521684, "end": 27521823}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3/pyrfc3339/parser.pyi", "start": 27521823, "end": 27521941}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3/docutils/__init__.pyi", "start": 27521941, "end": 27522004}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3/docutils/nodes.pyi", "start": 27522004, "end": 27522207}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3/docutils/examples.pyi", "start": 27522207, "end": 27522287}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3/docutils/parsers/__init__.pyi", "start": 27522287, "end": 27522350}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3/docutils/parsers/rst/__init__.pyi", "start": 27522350, "end": 27522413}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3/docutils/parsers/rst/nodes.pyi", "start": 27522413, "end": 27522476}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3/docutils/parsers/rst/roles.pyi", "start": 27522476, "end": 27522894}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3/docutils/parsers/rst/states.pyi", "start": 27522894, "end": 27523009}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3/aiofiles/__init__.pyi", "start": 27523009, "end": 27523046}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3/aiofiles/base.pyi", "start": 27523046, "end": 27524536}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3/aiofiles/os.pyi", "start": 27524536, "end": 27525576}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3/aiofiles/threadpool/binary.pyi", "start": 27525576, "end": 27527195}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3/aiofiles/threadpool/__init__.pyi", "start": 27527195, "end": 27530007}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3/aiofiles/threadpool/text.pyi", "start": 27530007, "end": 27531423}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3/six/__init__.pyi", "start": 27531423, "end": 27535592}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3/six/moves/reprlib.pyi", "start": 27535592, "end": 27535614}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3/six/moves/collections_abc.pyi", "start": 27535614, "end": 27535644}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3/six/moves/http_client.pyi", "start": 27535644, "end": 27535670}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3/six/moves/SimpleHTTPServer.pyi", "start": 27535670, "end": 27535696}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3/six/moves/urllib_request.pyi", "start": 27535696, "end": 27535726}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3/six/moves/urllib_response.pyi", "start": 27535726, "end": 27535757}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3/six/moves/BaseHTTPServer.pyi", "start": 27535757, "end": 27535783}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3/six/moves/queue.pyi", "start": 27535783, "end": 27535803}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3/six/moves/tkinter_filedialog.pyi", "start": 27535803, "end": 27535836}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3/six/moves/CGIHTTPServer.pyi", "start": 27535836, "end": 27535862}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3/six/moves/cPickle.pyi", "start": 27535862, "end": 27535883}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3/six/moves/tkinter_constants.pyi", "start": 27535883, "end": 27535915}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3/six/moves/_thread.pyi", "start": 27535915, "end": 27535937}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3/six/moves/tkinter_ttk.pyi", "start": 27535937, "end": 27535963}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3/six/moves/__init__.pyi", "start": 27535963, "end": 27538326}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3/six/moves/email_mime_multipart.pyi", "start": 27538326, "end": 27538361}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3/six/moves/html_parser.pyi", "start": 27538361, "end": 27538387}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3/six/moves/urllib_parse.pyi", "start": 27538387, "end": 27538414}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3/six/moves/email_mime_text.pyi", "start": 27538414, "end": 27538444}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3/six/moves/urllib_error.pyi", "start": 27538444, "end": 27538471}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3/six/moves/builtins.pyi", "start": 27538471, "end": 27538494}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3/six/moves/tkinter.pyi", "start": 27538494, "end": 27538516}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3/six/moves/tkinter_commondialog.pyi", "start": 27538516, "end": 27538551}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3/six/moves/tkinter_dialog.pyi", "start": 27538551, "end": 27538580}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3/six/moves/html_entities.pyi", "start": 27538580, "end": 27538608}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3/six/moves/configparser.pyi", "start": 27538608, "end": 27538635}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3/six/moves/http_cookiejar.pyi", "start": 27538635, "end": 27538664}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3/six/moves/tkinter_tkfiledialog.pyi", "start": 27538664, "end": 27538697}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3/six/moves/email_mime_base.pyi", "start": 27538697, "end": 27538727}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3/six/moves/_dummy_thread.pyi", "start": 27538727, "end": 27538755}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3/six/moves/urllib_robotparser.pyi", "start": 27538755, "end": 27538788}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3/six/moves/socketserver.pyi", "start": 27538788, "end": 27538815}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3/six/moves/http_cookies.pyi", "start": 27538815, "end": 27538842}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3/six/moves/email_mime_nonmultipart.pyi", "start": 27538842, "end": 27538880}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3/six/moves/urllib/error.pyi", "start": 27538880, "end": 27538996}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3/six/moves/urllib/response.pyi", "start": 27538996, "end": 27539385}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3/six/moves/urllib/robotparser.pyi", "start": 27539385, "end": 27539451}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3/six/moves/urllib/__init__.pyi", "start": 27539451, "end": 27539668}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3/six/moves/urllib/request.pyi", "start": 27539668, "end": 27541307}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3/six/moves/urllib/parse.pyi", "start": 27541307, "end": 27542288}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3/filelock/__init__.pyi", "start": 27542288, "end": 27544077}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3/pkg_resources/__init__.pyi", "start": 27544077, "end": 27556182}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3/pkg_resources/py31compat.pyi", "start": 27556182, "end": 27556238}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3/freezegun/__init__.pyi", "start": 27556238, "end": 27556282}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3/freezegun/api.pyi", "start": 27556282, "end": 27558548}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3/waitress/server.pyi", "start": 27558548, "end": 27562048}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3/waitress/trigger.pyi", "start": 27562048, "end": 27563127}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3/waitress/compat.pyi", "start": 27563127, "end": 27563846}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3/waitress/task.pyi", "start": 27563846, "end": 27566062}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3/waitress/channel.pyi", "start": 27566062, "end": 27567905}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3/waitress/adjustments.pyi", "start": 27567905, "end": 27570067}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3/waitress/rfc7230.pyi", "start": 27570067, "end": 27570293}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3/waitress/__init__.pyi", "start": 27570293, "end": 27570601}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3/waitress/wasyncore.pyi", "start": 27570601, "end": 27574660}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3/waitress/receiver.pyi", "start": 27574660, "end": 27575704}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3/waitress/runner.pyi", "start": 27575704, "end": 27576173}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3/waitress/buffers.pyi", "start": 27576173, "end": 27578352}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3/waitress/utilities.pyi", "start": 27578352, "end": 27580227}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3/waitress/proxy_headers.pyi", "start": 27580227, "end": 27581327}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3/waitress/parser.pyi", "start": 27581327, "end": 27582769}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3/typed_ast/ast27.pyi", "start": 27582769, "end": 27589718}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3/typed_ast/__init__.pyi", "start": 27589718, "end": 27589718}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3/typed_ast/conversions.pyi", "start": 27589718, "end": 27589789}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/3/typed_ast/ast3.pyi", "start": 27589789, "end": 27597735}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/singledispatch.pyi", "start": 27597735, "end": 27598359}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/mypy_extensions.pyi", "start": 27598359, "end": 27600557}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/mock.pyi", "start": 27600557, "end": 27615376}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/termcolor.pyi", "start": 27615376, "end": 27615726}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/pyre_extensions.pyi", "start": 27615726, "end": 27615993}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/first.pyi", "start": 27615993, "end": 27616474}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/backports_abc.pyi", "start": 27616474, "end": 27616694}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/polib.pyi", "start": 27616694, "end": 27622458}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/pycurl.pyi", "start": 27622458, "end": 27636213}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/certifi.pyi", "start": 27636213, "end": 27636237}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/dateparser.pyi", "start": 27636237, "end": 27636759}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/itsdangerous.pyi", "start": 27636759, "end": 27645164}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/croniter.pyi", "start": 27645164, "end": 27647098}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/typing_extensions.pyi", "start": 27647098, "end": 27650456}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/decorator.pyi", "start": 27650456, "end": 27653216}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/tabulate.pyi", "start": 27653216, "end": 27654629}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/gflags.pyi", "start": 27654629, "end": 27665405}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/ujson.pyi", "start": 27665405, "end": 27666343}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/toml.pyi", "start": 27666343, "end": 27667040}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/pyVmomi/__init__.pyi", "start": 27667040, "end": 27667040}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/pyVmomi/vim/option.pyi", "start": 27667040, "end": 27667244}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/pyVmomi/vim/__init__.pyi", "start": 27667244, "end": 27669441}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/pyVmomi/vim/fault.pyi", "start": 27669441, "end": 27669636}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/pyVmomi/vim/event.pyi", "start": 27669636, "end": 27670031}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/pyVmomi/vim/view.pyi", "start": 27670031, "end": 27670617}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/pyVmomi/vmodl/__init__.pyi", "start": 27670617, "end": 27670691}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/pyVmomi/vmodl/query.pyi", "start": 27670691, "end": 27672121}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/pyVmomi/vmodl/fault.pyi", "start": 27672121, "end": 27672237}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/google/__init__.pyi", "start": 27672237, "end": 27672237}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/google/protobuf/descriptor.pyi", "start": 27672237, "end": 27680080}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/google/protobuf/source_context_pb2.pyi", "start": 27680080, "end": 27681177}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/google/protobuf/message_factory.pyi", "start": 27681177, "end": 27681808}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/google/protobuf/any_pb2.pyi", "start": 27681808, "end": 27683161}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/google/protobuf/empty_pb2.pyi", "start": 27683161, "end": 27683764}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/google/protobuf/type_pb2.pyi", "start": 27683764, "end": 27694903}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/google/protobuf/descriptor_pool.pyi", "start": 27694903, "end": 27695647}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/google/protobuf/timestamp_pb2.pyi", "start": 27695647, "end": 27697001}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/google/protobuf/__init__.pyi", "start": 27697001, "end": 27697020}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/google/protobuf/api_pb2.pyi", "start": 27697020, "end": 27701901}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/google/protobuf/field_mask_pb2.pyi", "start": 27701901, "end": 27703459}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/google/protobuf/wrappers_pb2.pyi", "start": 27703459, "end": 27707746}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/google/protobuf/reflection.pyi", "start": 27707746, "end": 27707976}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/google/protobuf/descriptor_pb2.pyi", "start": 27707976, "end": 27751122}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/google/protobuf/json_format.pyi", "start": 27751122, "end": 27752025}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/google/protobuf/message.pyi", "start": 27752025, "end": 27754547}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/google/protobuf/service.pyi", "start": 27754547, "end": 27755918}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/google/protobuf/symbol_database.pyi", "start": 27755918, "end": 27756830}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/google/protobuf/duration_pb2.pyi", "start": 27756830, "end": 27758178}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/google/protobuf/struct_pb2.pyi", "start": 27758178, "end": 27763536}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/google/protobuf/internal/enum_type_wrapper.pyi", "start": 27763536, "end": 27764186}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/google/protobuf/internal/message_listener.pyi", "start": 27764186, "end": 27764334}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/google/protobuf/internal/well_known_types.pyi", "start": 27764334, "end": 27768090}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/google/protobuf/internal/encoder.pyi", "start": 27768090, "end": 27769135}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/google/protobuf/internal/wire_format.pyi", "start": 27769135, "end": 27770689}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/google/protobuf/internal/__init__.pyi", "start": 27770689, "end": 27770689}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/google/protobuf/internal/extension_dict.pyi", "start": 27770689, "end": 27772484}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/google/protobuf/internal/python_message.pyi", "start": 27772484, "end": 27772530}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/google/protobuf/internal/decoder.pyi", "start": 27772530, "end": 27773390}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/google/protobuf/internal/containers.pyi", "start": 27773390, "end": 27777043}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/google/protobuf/compiler/__init__.pyi", "start": 27777043, "end": 27777043}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/google/protobuf/compiler/plugin_pb2.pyi", "start": 27777043, "end": 27783591}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/google/protobuf/util/__init__.pyi", "start": 27783591, "end": 27783591}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/backports/__init__.pyi", "start": 27783591, "end": 27783700}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/backports/ssl_match_hostname.pyi", "start": 27783700, "end": 27783781}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/werkzeug/formparser.pyi", "start": 27783781, "end": 27787483}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/werkzeug/testapp.pyi", "start": 27787483, "end": 27787709}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/werkzeug/datastructures.pyi", "start": 27787709, "end": 27803296}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/werkzeug/serving.pyi", "start": 27803296, "end": 27807353}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/werkzeug/routing.pyi", "start": 27807353, "end": 27814155}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/werkzeug/exceptions.pyi", "start": 27814155, "end": 27819097}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/werkzeug/http.pyi", "start": 27819097, "end": 27824432}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/werkzeug/filesystem.pyi", "start": 27824432, "end": 27824601}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/werkzeug/wsgi.pyi", "start": 27824601, "end": 27827631}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/werkzeug/script.pyi", "start": 27827631, "end": 27828399}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/werkzeug/__init__.pyi", "start": 27828399, "end": 27833706}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/werkzeug/utils.pyi", "start": 27833706, "end": 27835668}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/werkzeug/_internal.pyi", "start": 27835668, "end": 27836312}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/werkzeug/useragents.pyi", "start": 27836312, "end": 27836743}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/werkzeug/wrappers.pyi", "start": 27836743, "end": 27845858}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/werkzeug/local.pyi", "start": 27845858, "end": 27848173}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/werkzeug/posixemulation.pyi", "start": 27848173, "end": 27848372}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/werkzeug/test.pyi", "start": 27848372, "end": 27854510}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/werkzeug/_compat.pyi", "start": 27854510, "end": 27855781}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/werkzeug/_reloader.pyi", "start": 27855781, "end": 27856607}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/werkzeug/urls.pyi", "start": 27856607, "end": 27859505}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/werkzeug/security.pyi", "start": 27859505, "end": 27860029}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/werkzeug/debug/tbtools.pyi", "start": 27860029, "end": 27861716}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/werkzeug/debug/repr.pyi", "start": 27861716, "end": 27862562}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/werkzeug/debug/__init__.pyi", "start": 27862562, "end": 27863946}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/werkzeug/debug/console.pyi", "start": 27863946, "end": 27865153}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/werkzeug/contrib/profiler.pyi", "start": 27865153, "end": 27865468}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/werkzeug/contrib/lint.pyi", "start": 27865468, "end": 27865500}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/werkzeug/contrib/limiter.pyi", "start": 27865500, "end": 27865692}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/werkzeug/contrib/securecookie.pyi", "start": 27865692, "end": 27866904}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/werkzeug/contrib/__init__.pyi", "start": 27866904, "end": 27866904}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/werkzeug/contrib/fixers.pyi", "start": 27866904, "end": 27868554}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/werkzeug/contrib/atom.pyi", "start": 27868554, "end": 27869690}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/werkzeug/contrib/sessions.pyi", "start": 27869690, "end": 27871764}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/werkzeug/contrib/testtools.pyi", "start": 27871764, "end": 27871952}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/werkzeug/contrib/cache.pyi", "start": 27871952, "end": 27875327}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/werkzeug/contrib/wrappers.pyi", "start": 27875327, "end": 27875930}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/werkzeug/contrib/iterio.pyi", "start": 27875930, "end": 27877132}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/werkzeug/contrib/jsrouting.pyi", "start": 27877132, "end": 27877457}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/werkzeug/middleware/profiler.pyi", "start": 27877457, "end": 27878026}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/werkzeug/middleware/lint.pyi", "start": 27878026, "end": 27880415}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/werkzeug/middleware/dispatcher.pyi", "start": 27880415, "end": 27880866}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/werkzeug/middleware/shared_data.pyi", "start": 27880866, "end": 27882161}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/werkzeug/middleware/__init__.pyi", "start": 27882161, "end": 27882161}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/werkzeug/middleware/proxy_fix.pyi", "start": 27882161, "end": 27882873}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/werkzeug/middleware/http_proxy.pyi", "start": 27882873, "end": 27883525}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/pymysql/err.pyi", "start": 27883525, "end": 27884131}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/pymysql/times.pyi", "start": 27884131, "end": 27884301}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/pymysql/__init__.pyi", "start": 27884301, "end": 27885926}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/pymysql/converters.pyi", "start": 27885926, "end": 27887257}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/pymysql/util.pyi", "start": 27887257, "end": 27887323}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/pymysql/connections.pyi", "start": 27887323, "end": 27892950}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/pymysql/cursors.pyi", "start": 27892950, "end": 27895130}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/pymysql/charset.pyi", "start": 27895130, "end": 27895457}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/pymysql/constants/FIELD_TYPE.pyi", "start": 27895457, "end": 27895811}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/pymysql/constants/ER.pyi", "start": 27895811, "end": 27907091}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/pymysql/constants/__init__.pyi", "start": 27907091, "end": 27907091}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/pymysql/constants/FLAG.pyi", "start": 27907091, "end": 27907317}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/pymysql/constants/SERVER_STATUS.pyi", "start": 27907317, "end": 27907648}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/pymysql/constants/COMMAND.pyi", "start": 27907648, "end": 27908055}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/pymysql/constants/CLIENT.pyi", "start": 27908055, "end": 27908363}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/cryptography/exceptions.pyi", "start": 27908363, "end": 27908625}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/cryptography/__init__.pyi", "start": 27908625, "end": 27908625}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/cryptography/fernet.pyi", "start": 27908625, "end": 27909907}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/cryptography/x509/extensions.pyi", "start": 27909907, "end": 27910464}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/cryptography/x509/oid.pyi", "start": 27910464, "end": 27914617}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/cryptography/x509/__init__.pyi", "start": 27914617, "end": 27932351}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/cryptography/hazmat/__init__.pyi", "start": 27932351, "end": 27932414}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/cryptography/hazmat/bindings/__init__.pyi", "start": 27932414, "end": 27932414}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/cryptography/hazmat/bindings/openssl/__init__.pyi", "start": 27932414, "end": 27932414}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/cryptography/hazmat/bindings/openssl/binding.pyi", "start": 27932414, "end": 27932562}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/cryptography/hazmat/primitives/poly1305.pyi", "start": 27932562, "end": 27932937}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/cryptography/hazmat/primitives/constant_time.pyi", "start": 27932937, "end": 27932983}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/cryptography/hazmat/primitives/hashes.pyi", "start": 27932983, "end": 27934325}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/cryptography/hazmat/primitives/keywrap.pyi", "start": 27934325, "end": 27934936}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/cryptography/hazmat/primitives/__init__.pyi", "start": 27934936, "end": 27934999}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/cryptography/hazmat/primitives/hmac.pyi", "start": 27934999, "end": 27935456}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/cryptography/hazmat/primitives/cmac.pyi", "start": 27935456, "end": 27935917}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/cryptography/hazmat/primitives/padding.pyi", "start": 27935917, "end": 27936457}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/cryptography/hazmat/primitives/ciphers/algorithms.pyi", "start": 27936457, "end": 27938702}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/cryptography/hazmat/primitives/ciphers/aead.pyi", "start": 27938702, "end": 27939767}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/cryptography/hazmat/primitives/ciphers/__init__.pyi", "start": 27939767, "end": 27941130}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/cryptography/hazmat/primitives/ciphers/modes.pyi", "start": 27941130, "end": 27944219}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/cryptography/hazmat/primitives/serialization/__init__.pyi", "start": 27944219, "end": 27946578}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/cryptography/hazmat/primitives/serialization/pkcs12.pyi", "start": 27946578, "end": 27947511}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/cryptography/hazmat/primitives/twofactor/totp.pyi", "start": 27947511, "end": 27948096}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/cryptography/hazmat/primitives/twofactor/__init__.pyi", "start": 27948096, "end": 27948131}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/cryptography/hazmat/primitives/twofactor/hotp.pyi", "start": 27948131, "end": 27948671}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/cryptography/hazmat/primitives/kdf/concatkdf.pyi", "start": 27948671, "end": 27949622}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/cryptography/hazmat/primitives/kdf/kbkdf.pyi", "start": 27949622, "end": 27950489}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/cryptography/hazmat/primitives/kdf/__init__.pyi", "start": 27950489, "end": 27950750}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/cryptography/hazmat/primitives/kdf/x963kdf.pyi", "start": 27950750, "end": 27951295}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/cryptography/hazmat/primitives/kdf/hkdf.pyi", "start": 27951295, "end": 27952197}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/cryptography/hazmat/primitives/kdf/scrypt.pyi", "start": 27952197, "end": 27952649}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/cryptography/hazmat/primitives/kdf/pbkdf2.pyi", "start": 27952649, "end": 27953210}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/cryptography/hazmat/primitives/asymmetric/__init__.pyi", "start": 27953210, "end": 27953273}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/cryptography/hazmat/primitives/asymmetric/utils.pyi", "start": 27953273, "end": 27953679}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/cryptography/hazmat/primitives/asymmetric/ed25519.pyi", "start": 27953679, "end": 27954664}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/cryptography/hazmat/primitives/asymmetric/ed448.pyi", "start": 27954664, "end": 27955637}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/cryptography/hazmat/primitives/asymmetric/x25519.pyi", "start": 27955637, "end": 27956556}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/cryptography/hazmat/primitives/asymmetric/x448.pyi", "start": 27956556, "end": 27957461}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/cryptography/hazmat/primitives/asymmetric/dh.pyi", "start": 27957461, "end": 27960112}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/cryptography/hazmat/primitives/asymmetric/ec.pyi", "start": 27960112, "end": 27966452}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/cryptography/hazmat/primitives/asymmetric/padding.pyi", "start": 27966452, "end": 27967239}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/cryptography/hazmat/primitives/asymmetric/rsa.pyi", "start": 27967239, "end": 27970527}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/cryptography/hazmat/primitives/asymmetric/dsa.pyi", "start": 27970527, "end": 27973492}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/cryptography/hazmat/backends/interfaces.pyi", "start": 27973492, "end": 27981730}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/cryptography/hazmat/backends/__init__.pyi", "start": 27981730, "end": 27981854}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/dateutil/rrule.pyi", "start": 27981854, "end": 27985073}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/dateutil/__init__.pyi", "start": 27985073, "end": 27985073}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/dateutil/utils.pyi", "start": 27985073, "end": 27985354}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/dateutil/_common.pyi", "start": 27985354, "end": 27985694}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/dateutil/easter.pyi", "start": 27985694, "end": 27985908}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/dateutil/relativedelta.pyi", "start": 27985908, "end": 27989151}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/dateutil/parser.pyi", "start": 27989151, "end": 27990930}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/dateutil/tz/__init__.pyi", "start": 27990930, "end": 27991270}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/dateutil/tz/_common.pyi", "start": 27991270, "end": 27992088}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/dateutil/tz/tz.pyi", "start": 27992088, "end": 27996058}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/emoji/unicode_codes.pyi", "start": 27996058, "end": 27996229}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/emoji/__init__.pyi", "start": 27996229, "end": 27996602}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/emoji/core.pyi", "start": 27996602, "end": 27997021}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/click/_termui_impl.pyi", "start": 27997021, "end": 27997463}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/click/termui.pyi", "start": 27997463, "end": 28000754}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/click/exceptions.pyi", "start": 28000754, "end": 28002690}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/click/globals.pyi", "start": 28002690, "end": 28002964}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/click/types.pyi", "start": 28002964, "end": 28008009}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/click/__init__.pyi", "start": 28008009, "end": 28010282}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/click/utils.pyi", "start": 28010282, "end": 28012034}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/click/core.pyi", "start": 28012034, "end": 28023046}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/click/decorators.pyi", "start": 28023046, "end": 28032189}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/click/testing.pyi", "start": 28032189, "end": 28034325}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/click/formatting.pyi", "start": 28034325, "end": 28035708}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/click/parser.pyi", "start": 28035708, "end": 28037714}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/geoip2/database.pyi", "start": 28037714, "end": 28038847}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/geoip2/__init__.pyi", "start": 28038847, "end": 28038847}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/geoip2/errors.pyi", "start": 28038847, "end": 28039341}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/geoip2/mixins.pyi", "start": 28039341, "end": 28039461}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/geoip2/models.pyi", "start": 28039461, "end": 28041328}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/geoip2/records.pyi", "start": 28041328, "end": 28043399}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/atomicwrites/__init__.pyi", "start": 28043399, "end": 28044249}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/slugify/__init__.pyi", "start": 28044249, "end": 28044295}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/slugify/special.pyi", "start": 28044295, "end": 28044574}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/slugify/slugify.pyi", "start": 28044574, "end": 28045135}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/deprecated/classic.pyi", "start": 28045135, "end": 28045918}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/deprecated/__init__.pyi", "start": 28045918, "end": 28045964}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/deprecated/sphinx.pyi", "start": 28045964, "end": 28047093}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/paramiko/config.pyi", "start": 28047093, "end": 28048263}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/paramiko/server.pyi", "start": 28048263, "end": 28051325}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/paramiko/ssh_gss.pyi", "start": 28051325, "end": 28054099}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/paramiko/ssh_exception.pyi", "start": 28054099, "end": 28055553}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/paramiko/kex_group16.pyi", "start": 28055553, "end": 28055912}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/paramiko/client.pyi", "start": 28055912, "end": 28058844}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/paramiko/kex_group1.pyi", "start": 28058844, "end": 28059523}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/paramiko/packet.pyi", "start": 28059523, "end": 28061710}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/paramiko/ed25519key.pyi", "start": 28061710, "end": 28062413}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/paramiko/auth_handler.pyi", "start": 28062413, "end": 28064347}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/paramiko/primes.pyi", "start": 28064347, "end": 28064655}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/paramiko/channel.pyi", "start": 28064655, "end": 28068451}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/paramiko/ber.pyi", "start": 28068451, "end": 28069062}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/paramiko/_winapi.pyi", "start": 28069062, "end": 28071711}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/paramiko/pipe.pyi", "start": 28071711, "end": 28072662}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/paramiko/sftp_handle.pyi", "start": 28072662, "end": 28073193}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/paramiko/sftp_file.pyi", "start": 28073193, "end": 28074549}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/paramiko/compress.pyi", "start": 28074549, "end": 28074845}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/paramiko/hostkeys.pyi", "start": 28074845, "end": 28076787}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/paramiko/__init__.pyi", "start": 28076787, "end": 28078706}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/paramiko/sftp_server.pyi", "start": 28078706, "end": 28079800}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/paramiko/kex_ecdh_nist.pyi", "start": 28079800, "end": 28080912}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/paramiko/kex_gex.pyi", "start": 28080912, "end": 28081935}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/paramiko/kex_gss.pyi", "start": 28081935, "end": 28083474}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/paramiko/sftp_attr.pyi", "start": 28083474, "end": 28084141}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/paramiko/py3compat.pyi", "start": 28084141, "end": 28085194}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/paramiko/rsakey.pyi", "start": 28085194, "end": 28086541}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/paramiko/ecdsakey.pyi", "start": 28086541, "end": 28088879}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/paramiko/win_pageant.pyi", "start": 28088879, "end": 28089228}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/paramiko/proxy.pyi", "start": 28089228, "end": 28089732}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/paramiko/buffered_pipe.pyi", "start": 28089732, "end": 28090252}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/paramiko/transport.pyi", "start": 28090252, "end": 28098197}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/paramiko/dsskey.pyi", "start": 28098197, "end": 28099439}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/paramiko/common.pyi", "start": 28099439, "end": 28102606}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/paramiko/agent.pyi", "start": 28102606, "end": 28104663}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/paramiko/kex_curve25519.pyi", "start": 28104663, "end": 28105434}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/paramiko/message.pyi", "start": 28105434, "end": 28106930}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/paramiko/sftp.pyi", "start": 28106930, "end": 28107995}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/paramiko/util.pyi", "start": 28107995, "end": 28109875}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/paramiko/sftp_si.pyi", "start": 28109875, "end": 28111068}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/paramiko/file.pyi", "start": 28111068, "end": 28112410}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/paramiko/sftp_client.pyi", "start": 28112410, "end": 28115543}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/paramiko/_version.pyi", "start": 28115543, "end": 28115608}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/paramiko/pkey.pyi", "start": 28115608, "end": 28117408}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/paramiko/kex_group14.pyi", "start": 28117408, "end": 28117861}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/markupsafe/__init__.pyi", "start": 28117861, "end": 28120722}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/markupsafe/_constants.pyi", "start": 28120722, "end": 28120784}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/markupsafe/_native.pyi", "start": 28120784, "end": 28121026}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/markupsafe/_compat.pyi", "start": 28121026, "end": 28121461}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/markupsafe/_speedups.pyi", "start": 28121461, "end": 28121703}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/redis/client.pyi", "start": 28121703, "end": 28147737}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/redis/exceptions.pyi", "start": 28147737, "end": 28148306}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/redis/__init__.pyi", "start": 28148306, "end": 28149135}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/redis/utils.pyi", "start": 28149135, "end": 28149271}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/redis/connection.pyi", "start": 28149271, "end": 28154866}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/simplejson/scanner.pyi", "start": 28154866, "end": 28155128}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/simplejson/encoder.pyi", "start": 28155128, "end": 28155392}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/simplejson/__init__.pyi", "start": 28155392, "end": 28155930}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/simplejson/decoder.pyi", "start": 28155930, "end": 28156159}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/pytz/__init__.pyi", "start": 28156159, "end": 28158051}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/datetimerange/__init__.pyi", "start": 28158051, "end": 28160113}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/boto/exception.pyi", "start": 28160113, "end": 28164682}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/boto/compat.pyi", "start": 28164682, "end": 28165066}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/boto/auth_handler.pyi", "start": 28165066, "end": 28165317}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/boto/auth.pyi", "start": 28165317, "end": 28169458}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/boto/__init__.pyi", "start": 28169458, "end": 28176641}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/boto/utils.pyi", "start": 28176641, "end": 28182517}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/boto/connection.pyi", "start": 28182517, "end": 28188196}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/boto/regioninfo.pyi", "start": 28188196, "end": 28188897}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/boto/plugin.pyi", "start": 28188897, "end": 28189132}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/boto/ec2/__init__.pyi", "start": 28189132, "end": 28189388}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/boto/s3/multidelete.pyi", "start": 28189388, "end": 28190463}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/boto/s3/bucket.pyi", "start": 28190463, "end": 28199210}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/boto/s3/user.pyi", "start": 28199210, "end": 28199572}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/boto/s3/website.pyi", "start": 28199572, "end": 28202221}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/boto/s3/keyfile.pyi", "start": 28202221, "end": 28202905}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/boto/s3/key.pyi", "start": 28202905, "end": 28211222}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/boto/s3/__init__.pyi", "start": 28211222, "end": 28211745}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/boto/s3/bucketlogging.pyi", "start": 28211745, "end": 28212145}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/boto/s3/acl.pyi", "start": 28212145, "end": 28213831}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/boto/s3/tagging.pyi", "start": 28213831, "end": 28214579}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/boto/s3/cors.pyi", "start": 28214579, "end": 28215667}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/boto/s3/connection.pyi", "start": 28215667, "end": 28220496}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/boto/s3/deletemarker.pyi", "start": 28220496, "end": 28220862}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/boto/s3/multipart.pyi", "start": 28220862, "end": 28222859}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/boto/s3/lifecycle.pyi", "start": 28222859, "end": 28224843}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/boto/s3/bucketlistresultset.pyi", "start": 28224843, "end": 28226872}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/boto/s3/prefix.pyi", "start": 28226872, "end": 28227196}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/boto/kms/exceptions.pyi", "start": 28227196, "end": 28228025}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/boto/kms/__init__.pyi", "start": 28228025, "end": 28228182}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/boto/kms/layer1.pyi", "start": 28228182, "end": 28232154}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/boto/elb/__init__.pyi", "start": 28232154, "end": 28234783}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/bleach/callbacks.pyi", "start": 28234783, "end": 28234989}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/bleach/sanitizer.pyi", "start": 28234989, "end": 28236137}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/bleach/__init__.pyi", "start": 28236137, "end": 28236978}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/bleach/utils.pyi", "start": 28236978, "end": 28237264}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/bleach/linkifier.pyi", "start": 28237264, "end": 28238242}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/attr/exceptions.pyi", "start": 28238242, "end": 28238700}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/attr/__init__.pyi", "start": 28238700, "end": 28246849}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/attr/converters.pyi", "start": 28246849, "end": 28247195}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/attr/filters.pyi", "start": 28247195, "end": 28247410}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/attr/validators.pyi", "start": 28247410, "end": 28249224}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/attr/_version_info.pyi", "start": 28249224, "end": 28249433}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/chardet/langhungarianmodel.pyi", "start": 28249433, "end": 28249696}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/chardet/universaldetector.pyi", "start": 28249696, "end": 28250505}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/chardet/__init__.pyi", "start": 28250505, "end": 28251172}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/chardet/langthaimodel.pyi", "start": 28251172, "end": 28251329}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/chardet/enums.pyi", "start": 28251329, "end": 28252039}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/chardet/langbulgarianmodel.pyi", "start": 28252039, "end": 28252302}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/chardet/langcyrillicmodel.pyi", "start": 28252302, "end": 28252838}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/chardet/langhebrewmodel.pyi", "start": 28252838, "end": 28253007}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/chardet/version.pyi", "start": 28253007, "end": 28253068}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/chardet/langturkishmodel.pyi", "start": 28253068, "end": 28253239}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/chardet/langgreekmodel.pyi", "start": 28253239, "end": 28253479}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/jinja2/bccache.pyi", "start": 28253479, "end": 28254875}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/jinja2/ext.pyi", "start": 28254875, "end": 28256559}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/jinja2/meta.pyi", "start": 28256559, "end": 28256898}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/jinja2/exceptions.pyi", "start": 28256898, "end": 28257948}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/jinja2/debug.pyi", "start": 28257948, "end": 28258966}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/jinja2/constants.pyi", "start": 28258966, "end": 28258989}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/jinja2/visitor.pyi", "start": 28258989, "end": 28259295}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/jinja2/sandbox.pyi", "start": 28259295, "end": 28260441}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/jinja2/__init__.pyi", "start": 28260441, "end": 28261970}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/jinja2/_stringdefs.pyi", "start": 28261970, "end": 28262330}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/jinja2/utils.pyi", "start": 28262330, "end": 28265287}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/jinja2/nodes.pyi", "start": 28265287, "end": 28270558}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/jinja2/lexer.pyi", "start": 28270558, "end": 28273322}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/jinja2/loaders.pyi", "start": 28273322, "end": 28276245}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/jinja2/tests.pyi", "start": 28276245, "end": 28276806}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/jinja2/filters.pyi", "start": 28276806, "end": 28279231}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/jinja2/defaults.pyi", "start": 28279231, "end": 28279763}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/jinja2/runtime.pyi", "start": 28279763, "end": 28283226}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/jinja2/environment.pyi", "start": 28283226, "end": 28291719}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/jinja2/_compat.pyi", "start": 28291719, "end": 28292317}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/jinja2/compiler.pyi", "start": 28292317, "end": 28298680}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/jinja2/optimizer.pyi", "start": 28298680, "end": 28299341}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/jinja2/parser.pyi", "start": 28299341, "end": 28301917}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/cachetools/abc.pyi", "start": 28301917, "end": 28302099}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/cachetools/__init__.pyi", "start": 28302099, "end": 28302353}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/cachetools/lfu.pyi", "start": 28302353, "end": 28302985}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/cachetools/rr.pyi", "start": 28302985, "end": 28303668}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/cachetools/decorators.pyi", "start": 28303668, "end": 28304273}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/cachetools/cache.pyi", "start": 28304273, "end": 28304985}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/cachetools/lru.pyi", "start": 28304985, "end": 28305592}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/cachetools/func.pyi", "start": 28305592, "end": 28306102}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/cachetools/ttl.pyi", "start": 28306102, "end": 28307028}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/markdown/blockprocessors.pyi", "start": 28307028, "end": 28308518}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/markdown/postprocessors.pyi", "start": 28308518, "end": 28308918}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/markdown/inlinepatterns.pyi", "start": 28308918, "end": 28311940}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/markdown/serializers.pyi", "start": 28311940, "end": 28312031}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/markdown/treeprocessors.pyi", "start": 28312031, "end": 28312500}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/markdown/pep562.pyi", "start": 28312500, "end": 28312776}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/markdown/__init__.pyi", "start": 28312776, "end": 28312922}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/markdown/core.pyi", "start": 28312922, "end": 28315477}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/markdown/__meta__.pyi", "start": 28315477, "end": 28315523}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/markdown/blockparser.pyi", "start": 28315523, "end": 28315986}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/markdown/util.pyi", "start": 28315986, "end": 28317570}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/markdown/preprocessors.pyi", "start": 28317570, "end": 28318120}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/markdown/extensions/md_in_html.pyi", "start": 28318120, "end": 28318380}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/markdown/extensions/nl2br.pyi", "start": 28318380, "end": 28318530}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/markdown/extensions/toc.pyi", "start": 28318530, "end": 28319708}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/markdown/extensions/fenced_code.pyi", "start": 28319708, "end": 28320136}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/markdown/extensions/meta.pyi", "start": 28320136, "end": 28320497}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/markdown/extensions/attr_list.pyi", "start": 28320497, "end": 28320995}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/markdown/extensions/abbr.pyi", "start": 28320995, "end": 28321423}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/markdown/extensions/tables.pyi", "start": 28321423, "end": 28321837}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/markdown/extensions/__init__.pyi", "start": 28321837, "end": 28322386}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/markdown/extensions/legacy_em.pyi", "start": 28322386, "end": 28322692}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/markdown/extensions/def_list.pyi", "start": 28322692, "end": 28323052}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/markdown/extensions/smarty.pyi", "start": 28323052, "end": 28324132}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/markdown/extensions/codehilite.pyi", "start": 28324132, "end": 28325111}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/markdown/extensions/wikilinks.pyi", "start": 28325111, "end": 28325515}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/markdown/extensions/admonition.pyi", "start": 28325515, "end": 28325900}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/markdown/extensions/sane_lists.pyi", "start": 28325900, "end": 28326292}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/markdown/extensions/legacy_attrs.pyi", "start": 28326292, "end": 28326592}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/markdown/extensions/extra.pyi", "start": 28326592, "end": 28326789}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/markdown/extensions/footnotes.pyi", "start": 28326789, "end": 28328540}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/yaml/scanner.pyi", "start": 28328540, "end": 28332113}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/yaml/error.pyi", "start": 28332113, "end": 28332648}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/yaml/representer.pyi", "start": 28332648, "end": 28334833}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/yaml/resolver.pyi", "start": 28334833, "end": 28335619}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/yaml/__init__.pyi", "start": 28335619, "end": 28342178}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/yaml/nodes.pyi", "start": 28342178, "end": 28342863}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/yaml/constructor.pyi", "start": 28342863, "end": 28346466}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/yaml/emitter.pyi", "start": 28346466, "end": 28350268}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/yaml/dumper.pyi", "start": 28350268, "end": 28351816}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/yaml/reader.pyi", "start": 28351816, "end": 28352648}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/yaml/composer.pyi", "start": 28352648, "end": 28353144}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/yaml/serializer.pyi", "start": 28353144, "end": 28353810}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/yaml/events.pyi", "start": 28353810, "end": 28355472}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/yaml/loader.pyi", "start": 28355472, "end": 28356239}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/yaml/cyaml.pyi", "start": 28356239, "end": 28358531}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/yaml/tokens.pyi", "start": 28358531, "end": 28360323}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/yaml/parser.pyi", "start": 28360323, "end": 28361987}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/tzlocal/__init__.pyi", "start": 28361987, "end": 28362091}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/maxminddb/compat.pyi", "start": 28362091, "end": 28362285}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/maxminddb/extension.pyi", "start": 28362285, "end": 28363407}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/maxminddb/const.pyi", "start": 28363407, "end": 28363537}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/maxminddb/__init__.pyi", "start": 28363537, "end": 28363714}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/maxminddb/errors.pyi", "start": 28363714, "end": 28363760}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/maxminddb/reader.pyi", "start": 28363760, "end": 28365029}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/maxminddb/decoder.pyi", "start": 28365029, "end": 28365244}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/nmap/__init__.pyi", "start": 28365244, "end": 28365264}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/nmap/nmap.pyi", "start": 28365264, "end": 28369217}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/flask/config.pyi", "start": 28369217, "end": 28370088}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/flask/app.pyi", "start": 28370088, "end": 28378312}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/flask/templating.pyi", "start": 28378312, "end": 28378916}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/flask/globals.pyi", "start": 28378916, "end": 28379238}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/flask/cli.pyi", "start": 28379238, "end": 28381433}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/flask/debughelpers.pyi", "start": 28381433, "end": 28381940}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/flask/__init__.pyi", "start": 28381940, "end": 28383628}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/flask/logging.pyi", "start": 28383628, "end": 28383778}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/flask/helpers.pyi", "start": 28383778, "end": 28385814}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/flask/sessions.pyi", "start": 28385814, "end": 28387831}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/flask/signals.pyi", "start": 28387831, "end": 28388549}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/flask/ctx.pyi", "start": 28388549, "end": 28389884}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/flask/wrappers.pyi", "start": 28389884, "end": 28391029}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/flask/views.pyi", "start": 28391029, "end": 28391559}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/flask/blueprints.pyi", "start": 28391559, "end": 28395123}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/flask/testing.pyi", "start": 28395123, "end": 28396950}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/flask/json/__init__.pyi", "start": 28396950, "end": 28397604}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/flask/json/tag.pyi", "start": 28397604, "end": 28399522}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/retry/__init__.pyi", "start": 28399522, "end": 28399554}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/retry/api.pyi", "start": 28399554, "end": 28400489}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/requests/compat.pyi", "start": 28400489, "end": 28400547}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/requests/exceptions.pyi", "start": 28400547, "end": 28401806}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/requests/auth.pyi", "start": 28401806, "end": 28402954}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/requests/__init__.pyi", "start": 28402954, "end": 28403882}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/requests/adapters.pyi", "start": 28403882, "end": 28406807}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/requests/utils.pyi", "start": 28406807, "end": 28408796}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/requests/api.pyi", "start": 28408796, "end": 28410012}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/requests/sessions.pyi", "start": 28410012, "end": 28414739}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/requests/models.pyi", "start": 28414739, "end": 28419317}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/requests/cookies.pyi", "start": 28419317, "end": 28421350}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/requests/structures.pyi", "start": 28421350, "end": 28422318}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/requests/hooks.pyi", "start": 28422318, "end": 28422435}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/requests/status_codes.pyi", "start": 28422435, "end": 28422470}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/requests/packages/__init__.pyi", "start": 28422470, "end": 28422628}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/requests/packages/urllib3/poolmanager.pyi", "start": 28422628, "end": 28423937}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/requests/packages/urllib3/_collections.pyi", "start": 28423937, "end": 28425472}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/requests/packages/urllib3/exceptions.pyi", "start": 28425472, "end": 28426885}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/requests/packages/urllib3/response.pyi", "start": 28426885, "end": 28428673}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/requests/packages/urllib3/filepost.pyi", "start": 28428673, "end": 28428917}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/requests/packages/urllib3/__init__.pyi", "start": 28428917, "end": 28429742}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/requests/packages/urllib3/connectionpool.pyi", "start": 28429742, "end": 28432912}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/requests/packages/urllib3/connection.pyi", "start": 28432912, "end": 28434819}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/requests/packages/urllib3/fields.pyi", "start": 28434819, "end": 28435261}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/requests/packages/urllib3/request.pyi", "start": 28435261, "end": 28435795}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/requests/packages/urllib3/packages/__init__.pyi", "start": 28435795, "end": 28435795}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/requests/packages/urllib3/packages/ssl_match_hostname/_implementation.pyi", "start": 28435795, "end": 28435876}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/requests/packages/urllib3/packages/ssl_match_hostname/__init__.pyi", "start": 28435876, "end": 28435964}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/requests/packages/urllib3/util/ssl_.pyi", "start": 28435964, "end": 28436655}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/requests/packages/urllib3/util/url.pyi", "start": 28436655, "end": 28437147}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/requests/packages/urllib3/util/timeout.pyi", "start": 28437147, "end": 28437646}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/requests/packages/urllib3/util/retry.pyi", "start": 28437646, "end": 28438807}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/requests/packages/urllib3/util/response.pyi", "start": 28438807, "end": 28438834}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/requests/packages/urllib3/util/__init__.pyi", "start": 28438834, "end": 28439449}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/requests/packages/urllib3/util/connection.pyi", "start": 28439449, "end": 28439637}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/requests/packages/urllib3/util/request.pyi", "start": 28439637, "end": 28439864}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/requests/packages/urllib3/contrib/__init__.pyi", "start": 28439864, "end": 28439864}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/pynamodb/exceptions.pyi", "start": 28439864, "end": 28440751}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/pynamodb/constants.pyi", "start": 28440751, "end": 28443789}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/pynamodb/types.pyi", "start": 28443789, "end": 28443846}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/pynamodb/throttle.pyi", "start": 28443846, "end": 28444318}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/pynamodb/__init__.pyi", "start": 28444318, "end": 28444335}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/pynamodb/models.pyi", "start": 28444335, "end": 28450037}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/pynamodb/settings.pyi", "start": 28450037, "end": 28450182}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/pynamodb/indexes.pyi", "start": 28450182, "end": 28451234}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/pynamodb/attributes.pyi", "start": 28451234, "end": 28455576}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/pynamodb/connection/__init__.pyi", "start": 28455576, "end": 28455711}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/pynamodb/connection/base.pyi", "start": 28455711, "end": 28461800}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/pynamodb/connection/util.pyi", "start": 28461800, "end": 28461867}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/pynamodb/connection/table.pyi", "start": 28461867, "end": 28465692}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/third_party/2and3/characteristic/__init__.pyi", "start": 28465692, "end": 28467022}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/urllib2.pyi", "start": 28467022, "end": 28475334}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/htmlentitydefs.pyi", "start": 28475334, "end": 28475448}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/ast.pyi", "start": 28475448, "end": 28476647}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/Cookie.pyi", "start": 28476647, "end": 28477989}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/compileall.pyi", "start": 28477989, "end": 28478617}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/os2emxpath.pyi", "start": 28478617, "end": 28481554}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/SimpleHTTPServer.pyi", "start": 28481554, "end": 28482202}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/cStringIO.pyi", "start": 28482202, "end": 28484072}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/posix.pyi", "start": 28484072, "end": 28490468}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/signal.pyi", "start": 28490468, "end": 28492039}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/dircache.pyi", "start": 28492039, "end": 28492312}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/posixpath.pyi", "start": 28492312, "end": 28495249}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/inspect.pyi", "start": 28495249, "end": 28499941}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/mimetools.pyi", "start": 28499941, "end": 28500644}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/pipes.pyi", "start": 28500644, "end": 28501111}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/_collections.pyi", "start": 28501111, "end": 28502541}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/user.pyi", "start": 28502541, "end": 28502624}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/platform.pyi", "start": 28502624, "end": 28504160}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/strop.pyi", "start": 28504160, "end": 28505317}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/stringold.pyi", "start": 28505317, "end": 28507327}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/getopt.pyi", "start": 28507327, "end": 28507775}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/xmlrpclib.pyi", "start": 28507775, "end": 28517544}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/stat.pyi", "start": 28517544, "end": 28518536}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/Queue.pyi", "start": 28518536, "end": 28519431}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/BaseHTTPServer.pyi", "start": 28519431, "end": 28521178}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/exceptions.pyi", "start": 28521178, "end": 28522934}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/smtplib.pyi", "start": 28522934, "end": 28525476}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/sys.pyi", "start": 28525476, "end": 28529092}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/subprocess.pyi", "start": 28529092, "end": 28532374}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/abc.pyi", "start": 28532374, "end": 28533521}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/CGIHTTPServer.pyi", "start": 28533521, "end": 28533708}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/nturl2path.pyi", "start": 28533708, "end": 28533823}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/cPickle.pyi", "start": 28533823, "end": 28534618}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/shelve.pyi", "start": 28534618, "end": 28536230}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/robotparser.pyi", "start": 28536230, "end": 28536460}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/gzip.pyi", "start": 28536460, "end": 28537457}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/_sha512.pyi", "start": 28537457, "end": 28538089}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/popen2.pyi", "start": 28538089, "end": 28539088}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/types.pyi", "start": 28539088, "end": 28544553}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/cookielib.pyi", "start": 28544553, "end": 28549269}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/io.pyi", "start": 28549269, "end": 28550405}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/resource.pyi", "start": 28550405, "end": 28551282}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/symbol.pyi", "start": 28551282, "end": 28552623}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/functools.pyi", "start": 28552623, "end": 28553803}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/UserList.pyi", "start": 28553803, "end": 28554433}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/rfc822.pyi", "start": 28554433, "end": 28556596}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/repr.pyi", "start": 28556596, "end": 28557691}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/getpass.pyi", "start": 28557691, "end": 28557851}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/_functools.pyi", "start": 28557851, "end": 28558427}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/_sha.pyi", "start": 28558427, "end": 28558775}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/ntpath.pyi", "start": 28558775, "end": 28561712}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/md5.pyi", "start": 28561712, "end": 28561786}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/unittest.pyi", "start": 28561786, "end": 28574512}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/typing.pyi", "start": 28574512, "end": 28592284}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/re.pyi", "start": 28592284, "end": 28595925}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/heapq.pyi", "start": 28595925, "end": 28596681}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/urlparse.pyi", "start": 28596681, "end": 28598625}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/string.pyi", "start": 28598625, "end": 28602192}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/whichdb.pyi", "start": 28602192, "end": 28602277}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/_json.pyi", "start": 28602277, "end": 28602503}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/_sha256.pyi", "start": 28602503, "end": 28603135}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/markupbase.pyi", "start": 28603135, "end": 28603399}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/UserDict.pyi", "start": 28603399, "end": 28605062}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/_socket.pyi", "start": 28605062, "end": 28611348}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/sets.pyi", "start": 28611348, "end": 28614323}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/commands.pyi", "start": 28614323, "end": 28614652}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/StringIO.pyi", "start": 28614652, "end": 28615798}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/sha.pyi", "start": 28615798, "end": 28616034}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/gc.pyi", "start": 28616034, "end": 28616786}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/sre_constants.pyi", "start": 28616786, "end": 28618530}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/sre_parse.pyi", "start": 28618530, "end": 28620841}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/atexit.pyi", "start": 28620841, "end": 28620958}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/_ast.pyi", "start": 28620958, "end": 28626684}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/_io.pyi", "start": 28626684, "end": 28633700}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/itertools.pyi", "start": 28633700, "end": 28639675}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/runpy.pyi", "start": 28639675, "end": 28640216}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/_hotshot.pyi", "start": 28640216, "end": 28640851}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/fcntl.pyi", "start": 28640851, "end": 28642431}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/SocketServer.pyi", "start": 28642431, "end": 28646990}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/imp.pyi", "start": 28646990, "end": 28648280}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/future_builtins.pyi", "start": 28648280, "end": 28648474}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/builtins.pyi", "start": 28648474, "end": 28697327}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/UserString.pyi", "start": 28697327, "end": 28701171}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/mutex.pyi", "start": 28701171, "end": 28701534}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/_symtable.pyi", "start": 28701534, "end": 28702211}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/dummy_thread.pyi", "start": 28702211, "end": 28703005}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/tempfile.pyi", "start": 28703005, "end": 28706701}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/spwd.pyi", "start": 28706701, "end": 28707009}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/random.pyi", "start": 28707009, "end": 28710165}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/hashlib.pyi", "start": 28710165, "end": 28711136}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/copy_reg.pyi", "start": 28711136, "end": 28711875}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/tokenize.pyi", "start": 28711875, "end": 28714561}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/glob.pyi", "start": 28714561, "end": 28714936}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/_winreg.pyi", "start": 28714936, "end": 28718632}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/gettext.pyi", "start": 28718632, "end": 28720917}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/importlib.pyi", "start": 28720917, "end": 28721051}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/_md5.pyi", "start": 28721051, "end": 28721351}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/thread.pyi", "start": 28721351, "end": 28722271}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/__builtin__.pyi", "start": 28722271, "end": 28771124}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/json.pyi", "start": 28771124, "end": 28774330}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/fnmatch.pyi", "start": 28774330, "end": 28774678}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/toaiff.pyi", "start": 28774678, "end": 28774921}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/ConfigParser.pyi", "start": 28774921, "end": 28778790}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/urllib.pyi", "start": 28778790, "end": 28783555}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/httplib.pyi", "start": 28783555, "end": 28789484}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/_threading_local.pyi", "start": 28789484, "end": 28789803}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/shlex.pyi", "start": 28789803, "end": 28790828}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/textwrap.pyi", "start": 28790828, "end": 28792682}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/_sre.pyi", "start": 28792682, "end": 28794616}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/_struct.pyi", "start": 28794616, "end": 28795383}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/HTMLParser.pyi", "start": 28795383, "end": 28796447}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/collections.pyi", "start": 28796447, "end": 28801360}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/encodings/__init__.pyi", "start": 28801360, "end": 28801544}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/encodings/utf_8.pyi", "start": 28801544, "end": 28802117}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/multiprocessing/__init__.pyi", "start": 28802117, "end": 28804038}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/multiprocessing/pool.pyi", "start": 28804038, "end": 28806076}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/multiprocessing/process.pyi", "start": 28806076, "end": 28806982}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/multiprocessing/util.pyi", "start": 28806982, "end": 28807740}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/multiprocessing/dummy/__init__.pyi", "start": 28807740, "end": 28809132}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/multiprocessing/dummy/connection.pyi", "start": 28809132, "end": 28809805}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/email/header.pyi", "start": 28809805, "end": 28810262}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/email/quoprimime.pyi", "start": 28810262, "end": 28810752}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/email/iterators.pyi", "start": 28810752, "end": 28811008}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/email/MIMEText.pyi", "start": 28811008, "end": 28811167}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/email/__init__.pyi", "start": 28811167, "end": 28811437}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/email/utils.pyi", "start": 28811437, "end": 28812197}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/email/generator.pyi", "start": 28812197, "end": 28812574}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/email/base64mime.pyi", "start": 28812574, "end": 28812877}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/email/encoders.pyi", "start": 28812877, "end": 28813020}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/email/feedparser.pyi", "start": 28813020, "end": 28813556}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/email/message.pyi", "start": 28813556, "end": 28815506}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/email/_parseaddr.pyi", "start": 28815506, "end": 28816578}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/email/charset.pyi", "start": 28816578, "end": 28817480}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/email/parser.pyi", "start": 28817480, "end": 28817895}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/email/mime/application.pyi", "start": 28817895, "end": 28818266}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/email/mime/__init__.pyi", "start": 28818266, "end": 28818266}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/email/mime/audio.pyi", "start": 28818266, "end": 28818442}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/email/mime/multipart.pyi", "start": 28818442, "end": 28818601}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/email/mime/message.pyi", "start": 28818601, "end": 28818748}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/email/mime/image.pyi", "start": 28818748, "end": 28818924}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/email/mime/base.pyi", "start": 28818924, "end": 28819052}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/email/mime/text.pyi", "start": 28819052, "end": 28819211}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/email/mime/nonmultipart.pyi", "start": 28819211, "end": 28819318}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/distutils/config.pyi", "start": 28819318, "end": 28819841}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/distutils/archive_util.pyi", "start": 28819841, "end": 28820288}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/distutils/bcppcompiler.pyi", "start": 28820288, "end": 28820366}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/distutils/cygwinccompiler.pyi", "start": 28820366, "end": 28820504}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/distutils/unixccompiler.pyi", "start": 28820504, "end": 28820583}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/distutils/debug.pyi", "start": 28820583, "end": 28820595}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/distutils/fancy_getopt.pyi", "start": 28820595, "end": 28821454}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/distutils/extension.pyi", "start": 28821454, "end": 28822160}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/distutils/cmd.pyi", "start": 28822160, "end": 28824977}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/distutils/emxccompiler.pyi", "start": 28824977, "end": 28825067}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/distutils/spawn.pyi", "start": 28825067, "end": 28825294}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/distutils/__init__.pyi", "start": 28825294, "end": 28825294}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/distutils/errors.pyi", "start": 28825294, "end": 28826146}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/distutils/core.pyi", "start": 28826146, "end": 28827834}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/distutils/file_util.pyi", "start": 28827834, "end": 28828273}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/distutils/dir_util.pyi", "start": 28828273, "end": 28828828}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/distutils/msvccompiler.pyi", "start": 28828828, "end": 28828906}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/distutils/version.pyi", "start": 28828906, "end": 28830066}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/distutils/ccompiler.pyi", "start": 28830066, "end": 28836515}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/distutils/filelist.pyi", "start": 28836515, "end": 28836535}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/distutils/util.pyi", "start": 28836535, "end": 28837364}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/distutils/log.pyi", "start": 28837364, "end": 28838227}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/distutils/dist.pyi", "start": 28838227, "end": 28838735}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/distutils/text_file.pyi", "start": 28838735, "end": 28839451}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/distutils/sysconfig.pyi", "start": 28839451, "end": 28840071}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/distutils/dep_util.pyi", "start": 28840071, "end": 28840323}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/distutils/command/config.pyi", "start": 28840323, "end": 28843382}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/distutils/command/upload.pyi", "start": 28843382, "end": 28843678}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/distutils/command/build_py.pyi", "start": 28843678, "end": 28843859}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/distutils/command/install_lib.pyi", "start": 28843859, "end": 28843859}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/distutils/command/bdist.pyi", "start": 28843859, "end": 28843859}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/distutils/command/build_ext.pyi", "start": 28843859, "end": 28843859}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/distutils/command/install_headers.pyi", "start": 28843859, "end": 28843859}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/distutils/command/install.pyi", "start": 28843859, "end": 28844197}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/distutils/command/clean.pyi", "start": 28844197, "end": 28844197}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/distutils/command/bdist_msi.pyi", "start": 28844197, "end": 28844379}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/distutils/command/build_scripts.pyi", "start": 28844379, "end": 28844379}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/distutils/command/__init__.pyi", "start": 28844379, "end": 28844379}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/distutils/command/bdist_packager.pyi", "start": 28844379, "end": 28844379}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/distutils/command/install_egg_info.pyi", "start": 28844379, "end": 28844759}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/distutils/command/register.pyi", "start": 28844759, "end": 28844759}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/distutils/command/build.pyi", "start": 28844759, "end": 28844759}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/distutils/command/install_data.pyi", "start": 28844759, "end": 28844759}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/distutils/command/check.pyi", "start": 28844759, "end": 28844759}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/distutils/command/build_clib.pyi", "start": 28844759, "end": 28844759}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/distutils/command/bdist_rpm.pyi", "start": 28844759, "end": 28844759}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/distutils/command/bdist_dumb.pyi", "start": 28844759, "end": 28844759}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/distutils/command/bdist_wininst.pyi", "start": 28844759, "end": 28844759}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/distutils/command/install_scripts.pyi", "start": 28844759, "end": 28844759}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/distutils/command/sdist.pyi", "start": 28844759, "end": 28844759}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/os/__init__.pyi", "start": 28844759, "end": 28858139}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2/os/path.pyi", "start": 28858139, "end": 28861076}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3.7/_py_abc.pyi", "start": 28861076, "end": 28861452}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3.7/contextvars.pyi", "start": 28861452, "end": 28862966}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3.7/dataclasses.pyi", "start": 28862966, "end": 28865703}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3.9/graphlib.pyi", "start": 28865703, "end": 28866295}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3.9/zoneinfo/__init__.pyi", "start": 28866295, "end": 28867478}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/reprlib.pyi", "start": 28867478, "end": 28868706}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/ast.pyi", "start": 28868706, "end": 28877796}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/compileall.pyi", "start": 28877796, "end": 28881163}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/posix.pyi", "start": 28881163, "end": 28883973}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/enum.pyi", "start": 28883973, "end": 28886616}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/signal.pyi", "start": 28886616, "end": 28891825}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/posixpath.pyi", "start": 28891825, "end": 28896546}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/inspect.pyi", "start": 28896546, "end": 28906475}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/pipes.pyi", "start": 28906475, "end": 28906993}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/_pydecimal.pyi", "start": 28906993, "end": 28907150}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/platform.pyi", "start": 28907150, "end": 28909422}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/getopt.pyi", "start": 28909422, "end": 28909774}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/xxlimited.pyi", "start": 28909774, "end": 28909985}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/_markupbase.pyi", "start": 28909985, "end": 28910241}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/stat.pyi", "start": 28910241, "end": 28912046}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/_tracemalloc.pyi", "start": 28912046, "end": 28912609}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/selectors.pyi", "start": 28912609, "end": 28916253}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/queue.pyi", "start": 28916253, "end": 28918137}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/smtplib.pyi", "start": 28918137, "end": 28923743}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/sys.pyi", "start": 28923743, "end": 28930080}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/winreg.pyi", "start": 28930080, "end": 28933859}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/subprocess.pyi", "start": 28933859, "end": 28968179}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/abc.pyi", "start": 28968179, "end": 28968776}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/zipapp.pyi", "start": 28968776, "end": 28969454}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/_winapi.pyi", "start": 28969454, "end": 28973961}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/nturl2path.pyi", "start": 28973961, "end": 28974037}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/shelve.pyi", "start": 28974037, "end": 28975642}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/_importlib_modulespec.pyi", "start": 28975642, "end": 28977228}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/gzip.pyi", "start": 28977228, "end": 28980137}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/types.pyi", "start": 28980137, "end": 28991164}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/io.pyi", "start": 28991164, "end": 28998663}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/resource.pyi", "start": 28998663, "end": 28999906}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/symbol.pyi", "start": 28999906, "end": 29001289}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/_thread.pyi", "start": 29001289, "end": 29002740}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/functools.pyi", "start": 29002740, "end": 29007353}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/macurl2path.pyi", "start": 29007353, "end": 29007578}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/getpass.pyi", "start": 29007578, "end": 29007756}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/nntplib.pyi", "start": 29007756, "end": 29012081}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/ntpath.pyi", "start": 29012081, "end": 29016802}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/typing.pyi", "start": 29016802, "end": 29041842}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/re.pyi", "start": 29041842, "end": 29046284}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/heapq.pyi", "start": 29046284, "end": 29047082}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/string.pyi", "start": 29047082, "end": 29048505}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/_json.pyi", "start": 29048505, "end": 29049629}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/gc.pyi", "start": 29049629, "end": 29050764}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/sre_constants.pyi", "start": 29050764, "end": 29054112}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/tracemalloc.pyi", "start": 29054112, "end": 29056907}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/sre_parse.pyi", "start": 29056907, "end": 29060727}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/atexit.pyi", "start": 29060727, "end": 29060998}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/_ast.pyi", "start": 29060998, "end": 29068849}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/copyreg.pyi", "start": 29068849, "end": 29069588}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/_compat_pickle.pyi", "start": 29069588, "end": 29069976}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/itertools.pyi", "start": 29069976, "end": 29074500}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/_sitebuiltins.pyi", "start": 29074500, "end": 29075034}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/runpy.pyi", "start": 29075034, "end": 29075780}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/fcntl.pyi", "start": 29075780, "end": 29078024}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/secrets.pyi", "start": 29078024, "end": 29078491}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/imp.pyi", "start": 29078491, "end": 29080834}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/builtins.pyi", "start": 29080834, "end": 29135358}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/_decimal.pyi", "start": 29135358, "end": 29135380}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/ipaddress.pyi", "start": 29135380, "end": 29140632}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/statistics.pyi", "start": 29140632, "end": 29143781}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/_bootlocale.pyi", "start": 29143781, "end": 29143844}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/pathlib.pyi", "start": 29143844, "end": 29150743}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/_stat.pyi", "start": 29150743, "end": 29151922}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/tempfile.pyi", "start": 29151922, "end": 29163293}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/_tkinter.pyi", "start": 29163293, "end": 29165824}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/spwd.pyi", "start": 29165824, "end": 29166134}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/random.pyi", "start": 29166134, "end": 29170035}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/hashlib.pyi", "start": 29170035, "end": 29174230}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/tokenize.pyi", "start": 29174230, "end": 29177340}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/_posixsubprocess.pyi", "start": 29177340, "end": 29177897}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/glob.pyi", "start": 29177897, "end": 29178339}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/faulthandler.pyi", "start": 29178339, "end": 29178983}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/_imp.pyi", "start": 29178983, "end": 29179688}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/gettext.pyi", "start": 29179688, "end": 29182896}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/configparser.pyi", "start": 29182896, "end": 29192991}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/fnmatch.pyi", "start": 29192991, "end": 29193248}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/lzma.pyi", "start": 29193248, "end": 29197828}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/_operator.pyi", "start": 29197828, "end": 29199138}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/_threading_local.pyi", "start": 29199138, "end": 29199628}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/shlex.pyi", "start": 29199628, "end": 29200953}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/_osx_support.pyi", "start": 29200953, "end": 29202749}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/_compression.pyi", "start": 29202749, "end": 29203510}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/_dummy_thread.pyi", "start": 29203510, "end": 29204310}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/textwrap.pyi", "start": 29204310, "end": 29207544}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/socketserver.pyi", "start": 29207544, "end": 29212911}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/xmlrpc/server.pyi", "start": 29212911, "end": 29219721}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/xmlrpc/client.pyi", "start": 29219721, "end": 29232006}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/xmlrpc/__init__.pyi", "start": 29232006, "end": 29232006}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/asyncio/threads.pyi", "start": 29232006, "end": 29232200}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/asyncio/windows_events.pyi", "start": 29232200, "end": 29235754}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/asyncio/format_helpers.pyi", "start": 29235754, "end": 29236675}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/asyncio/compat.pyi", "start": 29236675, "end": 29236855}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/asyncio/base_futures.pyi", "start": 29236855, "end": 29237588}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/asyncio/exceptions.pyi", "start": 29237588, "end": 29238150}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/asyncio/futures.pyi", "start": 29238150, "end": 29240731}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/asyncio/staggered.pyi", "start": 29240731, "end": 29241127}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/asyncio/subprocess.pyi", "start": 29241127, "end": 29243392}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/asyncio/constants.pyi", "start": 29243392, "end": 29243719}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/asyncio/__init__.pyi", "start": 29243719, "end": 29247961}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/asyncio/runners.pyi", "start": 29247961, "end": 29248275}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/asyncio/base_events.pyi", "start": 29248275, "end": 29262387}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/asyncio/coroutines.pyi", "start": 29262387, "end": 29262613}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/asyncio/transports.pyi", "start": 29262613, "end": 29264499}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/asyncio/protocols.pyi", "start": 29264499, "end": 29265571}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/asyncio/tasks.pyi", "start": 29265571, "end": 29272724}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/asyncio/base_subprocess.pyi", "start": 29272724, "end": 29275963}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/asyncio/streams.pyi", "start": 29275963, "end": 29279904}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/asyncio/sslproto.pyi", "start": 29279904, "end": 29285319}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/asyncio/log.pyi", "start": 29285319, "end": 29285358}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/asyncio/selector_events.pyi", "start": 29285358, "end": 29285573}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/asyncio/windows_utils.pyi", "start": 29285573, "end": 29286556}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/asyncio/trsock.pyi", "start": 29286556, "end": 29291138}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/asyncio/locks.pyi", "start": 29291138, "end": 29293944}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/asyncio/proactor_events.pyi", "start": 29293944, "end": 29296727}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/asyncio/base_tasks.pyi", "start": 29296727, "end": 29297139}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/asyncio/events.pyi", "start": 29297139, "end": 29315787}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/asyncio/queues.pyi", "start": 29315787, "end": 29316953}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/asyncio/unix_events.pyi", "start": 29316953, "end": 29319097}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/concurrent/__init__.pyi", "start": 29319097, "end": 29319097}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/concurrent/futures/_base.pyi", "start": 29319097, "end": 29323773}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/concurrent/futures/__init__.pyi", "start": 29323773, "end": 29324402}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/concurrent/futures/process.pyi", "start": 29324402, "end": 29325206}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/concurrent/futures/thread.pyi", "start": 29325206, "end": 29326627}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/dbm/__init__.pyi", "start": 29326627, "end": 29327572}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/dbm/gnu.pyi", "start": 29327572, "end": 29328935}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/dbm/dumb.pyi", "start": 29328935, "end": 29329945}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/dbm/ndbm.pyi", "start": 29329945, "end": 29331181}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/encodings/__init__.pyi", "start": 29331181, "end": 29331365}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/encodings/utf_8.pyi", "start": 29331365, "end": 29331926}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/collections/abc.pyi", "start": 29331926, "end": 29332670}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/collections/__init__.pyi", "start": 29332670, "end": 29347172}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/venv/__init__.pyi", "start": 29347172, "end": 29350139}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/html/__init__.pyi", "start": 29350139, "end": 29350261}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/html/entities.pyi", "start": 29350261, "end": 29350397}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/html/parser.pyi", "start": 29350397, "end": 29351381}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/multiprocessing/managers.pyi", "start": 29351381, "end": 29355965}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/multiprocessing/synchronize.pyi", "start": 29355965, "end": 29357764}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/multiprocessing/spawn.pyi", "start": 29357764, "end": 29358454}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/multiprocessing/__init__.pyi", "start": 29358454, "end": 29362256}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/multiprocessing/pool.pyi", "start": 29362256, "end": 29365480}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/multiprocessing/process.pyi", "start": 29365480, "end": 29366623}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/multiprocessing/connection.pyi", "start": 29366623, "end": 29369225}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/multiprocessing/context.pyi", "start": 29369225, "end": 29375923}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/multiprocessing/sharedctypes.pyi", "start": 29375923, "end": 29377449}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/multiprocessing/shared_memory.pyi", "start": 29377449, "end": 29378751}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/multiprocessing/queues.pyi", "start": 29378751, "end": 29380039}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/multiprocessing/dummy/__init__.pyi", "start": 29380039, "end": 29381611}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/multiprocessing/dummy/connection.pyi", "start": 29381611, "end": 29383042}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/email/header.pyi", "start": 29383042, "end": 29384067}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/email/policy.pyi", "start": 29384067, "end": 29386226}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/email/headerregistry.pyi", "start": 29386226, "end": 29389054}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/email/contentmanager.pyi", "start": 29389054, "end": 29389543}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/email/iterators.pyi", "start": 29389543, "end": 29389809}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/email/__init__.pyi", "start": 29389809, "end": 29390566}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/email/errors.pyi", "start": 29390566, "end": 29391399}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/email/utils.pyi", "start": 29391399, "end": 29393231}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/email/generator.pyi", "start": 29393231, "end": 29394198}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/email/encoders.pyi", "start": 29394198, "end": 29394412}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/email/feedparser.pyi", "start": 29394412, "end": 29395235}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/email/message.pyi", "start": 29395235, "end": 29399916}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/email/charset.pyi", "start": 29399916, "end": 29400978}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/email/parser.pyi", "start": 29400978, "end": 29402306}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/email/mime/application.pyi", "start": 29402306, "end": 29402805}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/email/mime/__init__.pyi", "start": 29402805, "end": 29402805}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/email/mime/audio.pyi", "start": 29402805, "end": 29403307}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/email/mime/multipart.pyi", "start": 29403307, "end": 29403814}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/email/mime/message.pyi", "start": 29403814, "end": 29404106}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/email/mime/image.pyi", "start": 29404106, "end": 29404608}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/email/mime/base.pyi", "start": 29404608, "end": 29404933}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/email/mime/text.pyi", "start": 29404933, "end": 29405230}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/email/mime/nonmultipart.pyi", "start": 29405230, "end": 29405306}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/json/encoder.pyi", "start": 29405306, "end": 29406085}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/json/__init__.pyi", "start": 29406085, "end": 29408004}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/json/tool.pyi", "start": 29408004, "end": 29408028}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/json/decoder.pyi", "start": 29408028, "end": 29409118}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/importlib/abc.pyi", "start": 29409118, "end": 29413078}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/importlib/__init__.pyi", "start": 29413078, "end": 29413649}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/importlib/metadata.pyi", "start": 29413649, "end": 29417435}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/importlib/machinery.pyi", "start": 29417435, "end": 29421441}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/importlib/resources.pyi", "start": 29421441, "end": 29422467}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/importlib/util.pyi", "start": 29422467, "end": 29424249}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/unittest/mock.pyi", "start": 29424249, "end": 29439058}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/unittest/case.pyi", "start": 29439058, "end": 29451541}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/unittest/result.pyi", "start": 29451541, "end": 29453400}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/unittest/__init__.pyi", "start": 29453400, "end": 29453787}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/unittest/signals.pyi", "start": 29453787, "end": 29454189}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/unittest/suite.pyi", "start": 29454189, "end": 29455081}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/unittest/async_case.pyi", "start": 29455081, "end": 29455453}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/unittest/runner.pyi", "start": 29455453, "end": 29456792}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/unittest/util.pyi", "start": 29456792, "end": 29457698}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/unittest/main.pyi", "start": 29457698, "end": 29459389}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/unittest/loader.pyi", "start": 29459389, "end": 29461456}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/tkinter/filedialog.pyi", "start": 29461456, "end": 29463703}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/tkinter/ttk.pyi", "start": 29463703, "end": 29507451}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/tkinter/constants.pyi", "start": 29507451, "end": 29509337}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/tkinter/font.pyi", "start": 29509337, "end": 29513149}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/tkinter/__init__.pyi", "start": 29513149, "end": 29624068}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/tkinter/dialog.pyi", "start": 29624068, "end": 29624359}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/tkinter/messagebox.pyi", "start": 29624359, "end": 29625509}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/tkinter/commondialog.pyi", "start": 29625509, "end": 29625786}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/distutils/config.pyi", "start": 29625786, "end": 29626309}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/distutils/archive_util.pyi", "start": 29626309, "end": 29626756}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/distutils/bcppcompiler.pyi", "start": 29626756, "end": 29626834}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/distutils/cygwinccompiler.pyi", "start": 29626834, "end": 29626972}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/distutils/unixccompiler.pyi", "start": 29626972, "end": 29627051}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/distutils/debug.pyi", "start": 29627051, "end": 29627063}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/distutils/fancy_getopt.pyi", "start": 29627063, "end": 29627922}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/distutils/extension.pyi", "start": 29627922, "end": 29628658}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/distutils/cmd.pyi", "start": 29628658, "end": 29631461}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/distutils/spawn.pyi", "start": 29631461, "end": 29631688}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/distutils/__init__.pyi", "start": 29631688, "end": 29631688}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/distutils/errors.pyi", "start": 29631688, "end": 29632540}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/distutils/core.pyi", "start": 29632540, "end": 29634228}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/distutils/file_util.pyi", "start": 29634228, "end": 29634667}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/distutils/dir_util.pyi", "start": 29634667, "end": 29635222}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/distutils/msvccompiler.pyi", "start": 29635222, "end": 29635300}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/distutils/version.pyi", "start": 29635300, "end": 29636729}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/distutils/ccompiler.pyi", "start": 29636729, "end": 29643178}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/distutils/filelist.pyi", "start": 29643178, "end": 29643198}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/distutils/util.pyi", "start": 29643198, "end": 29644027}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/distutils/log.pyi", "start": 29644027, "end": 29644872}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/distutils/dist.pyi", "start": 29644872, "end": 29647429}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/distutils/text_file.pyi", "start": 29647429, "end": 29648145}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/distutils/sysconfig.pyi", "start": 29648145, "end": 29648765}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/distutils/dep_util.pyi", "start": 29648765, "end": 29649017}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/distutils/command/config.pyi", "start": 29649017, "end": 29652076}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/distutils/command/upload.pyi", "start": 29652076, "end": 29652355}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/distutils/command/build_py.pyi", "start": 29652355, "end": 29652572}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/distutils/command/install_lib.pyi", "start": 29652572, "end": 29652572}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/distutils/command/bdist.pyi", "start": 29652572, "end": 29652572}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/distutils/command/build_ext.pyi", "start": 29652572, "end": 29652572}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/distutils/command/install_headers.pyi", "start": 29652572, "end": 29652572}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/distutils/command/install.pyi", "start": 29652572, "end": 29652937}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/distutils/command/clean.pyi", "start": 29652937, "end": 29652937}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/distutils/command/bdist_msi.pyi", "start": 29652937, "end": 29653119}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/distutils/command/build_scripts.pyi", "start": 29653119, "end": 29653119}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/distutils/command/__init__.pyi", "start": 29653119, "end": 29653119}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/distutils/command/bdist_packager.pyi", "start": 29653119, "end": 29653119}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/distutils/command/install_egg_info.pyi", "start": 29653119, "end": 29653499}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/distutils/command/register.pyi", "start": 29653499, "end": 29653499}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/distutils/command/build.pyi", "start": 29653499, "end": 29653499}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/distutils/command/install_data.pyi", "start": 29653499, "end": 29653499}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/distutils/command/check.pyi", "start": 29653499, "end": 29653499}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/distutils/command/build_clib.pyi", "start": 29653499, "end": 29653499}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/distutils/command/bdist_rpm.pyi", "start": 29653499, "end": 29653499}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/distutils/command/bdist_dumb.pyi", "start": 29653499, "end": 29653499}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/distutils/command/bdist_wininst.pyi", "start": 29653499, "end": 29653499}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/distutils/command/install_scripts.pyi", "start": 29653499, "end": 29653499}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/distutils/command/sdist.pyi", "start": 29653499, "end": 29653499}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/urllib/error.pyi", "start": 29653499, "end": 29653890}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/urllib/response.pyi", "start": 29653890, "end": 29655997}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/urllib/robotparser.pyi", "start": 29655997, "end": 29656701}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/urllib/__init__.pyi", "start": 29656701, "end": 29656701}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/urllib/request.pyi", "start": 29656701, "end": 29672282}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/urllib/parse.pyi", "start": 29672282, "end": 29677718}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/http/server.pyi", "start": 29677718, "end": 29680754}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/http/client.pyi", "start": 29680754, "end": 29686788}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/http/__init__.pyi", "start": 29686788, "end": 29688728}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/http/cookies.pyi", "start": 29688728, "end": 29690092}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/http/cookiejar.pyi", "start": 29690092, "end": 29695083}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/os/__init__.pyi", "start": 29695083, "end": 29723929}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/3/os/path.pyi", "start": 29723929, "end": 29728650}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/trace.pyi", "start": 29728650, "end": 29730687}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/math.pyi", "start": 29730687, "end": 29734522}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/optparse.pyi", "start": 29734522, "end": 29744618}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/codeop.pyi", "start": 29744618, "end": 29745107}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/_weakrefset.pyi", "start": 29745107, "end": 29747524}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/uuid.pyi", "start": 29747524, "end": 29750972}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/warnings.pyi", "start": 29750972, "end": 29753555}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/formatter.pyi", "start": 29753555, "end": 29758194}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/rlcompleter.pyi", "start": 29758194, "end": 29758502}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/token.pyi", "start": 29758502, "end": 29759970}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/cgi.pyi", "start": 29759970, "end": 29765986}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/genericpath.pyi", "start": 29765986, "end": 29766792}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/xdrlib.pyi", "start": 29766792, "end": 29769107}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/smtpd.pyi", "start": 29769107, "end": 29772042}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/csv.pyi", "start": 29772042, "end": 29774793}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/mailbox.pyi", "start": 29774793, "end": 29782864}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/datetime.pyi", "start": 29782864, "end": 29795563}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/shutil.pyi", "start": 29795563, "end": 29801524}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/_weakref.pyi", "start": 29801524, "end": 29802724}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/audioop.pyi", "start": 29802724, "end": 29804843}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/plistlib.pyi", "start": 29804843, "end": 29807585}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/bz2.pyi", "start": 29807585, "end": 29809852}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/netrc.pyi", "start": 29809852, "end": 29810296}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/unicodedata.pyi", "start": 29810296, "end": 29812198}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/linecache.pyi", "start": 29812198, "end": 29812789}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/timeit.pyi", "start": 29812789, "end": 29814412}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/this.pyi", "start": 29814412, "end": 29814462}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/array.pyi", "start": 29814462, "end": 29817951}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/profile.pyi", "start": 29817951, "end": 29819150}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/socket.pyi", "start": 29819150, "end": 29841861}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/codecs.pyi", "start": 29841861, "end": 29854173}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/stringprep.pyi", "start": 29854173, "end": 29854990}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/antigravity.pyi", "start": 29854990, "end": 29855113}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/crypt.pyi", "start": 29855113, "end": 29855761}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/_heapq.pyi", "start": 29855761, "end": 29856373}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/sched.pyi", "start": 29856373, "end": 29857870}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/mmap.pyi", "start": 29857870, "end": 29861876}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/sndhdr.pyi", "start": 29861876, "end": 29862377}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/cgitb.pyi", "start": 29862377, "end": 29863824}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/py_compile.pyi", "start": 29863824, "end": 29865466}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/mimetypes.pyi", "start": 29865466, "end": 29867107}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/asyncore.pyi", "start": 29867107, "end": 29872641}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/keyword.pyi", "start": 29872641, "end": 29872851}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/cmd.pyi", "start": 29872851, "end": 29874509}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/filecmp.pyi", "start": 29874509, "end": 29877075}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/modulefinder.pyi", "start": 29877075, "end": 29880749}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/syslog.pyi", "start": 29880749, "end": 29881570}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/pty.pyi", "start": 29881570, "end": 29882162}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/hmac.pyi", "start": 29882162, "end": 29883769}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/site.pyi", "start": 29883769, "end": 29884219}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/_msi.pyi", "start": 29884219, "end": 29886387}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/_random.pyi", "start": 29886387, "end": 29886865}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/tabnanny.pyi", "start": 29886865, "end": 29887312}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/termios.pyi", "start": 29887312, "end": 29890816}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/calendar.pyi", "start": 29890816, "end": 29896589}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/numbers.pyi", "start": 29896589, "end": 29900924}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/pwd.pyi", "start": 29900924, "end": 29901274}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/argparse.pyi", "start": 29901274, "end": 29919609}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/_dummy_threading.pyi", "start": 29919609, "end": 29925918}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/errno.pyi", "start": 29925918, "end": 29927929}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/fractions.pyi", "start": 29927929, "end": 29933865}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/wave.pyi", "start": 29933865, "end": 29936516}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/bisect.pyi", "start": 29936516, "end": 29936583}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/turtle.pyi", "start": 29936583, "end": 29956059}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/base64.pyi", "start": 29956059, "end": 29957673}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/winsound.pyi", "start": 29957673, "end": 29958484}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/sunau.pyi", "start": 29958484, "end": 29961569}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/pickle.pyi", "start": 29961569, "end": 29966891}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/decimal.pyi", "start": 29966891, "end": 29984678}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/time.pyi", "start": 29984678, "end": 29988578}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/pyclbr.pyi", "start": 29988578, "end": 29989770}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/fileinput.pyi", "start": 29989770, "end": 29992371}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/quopri.pyi", "start": 29992371, "end": 29992714}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/_curses.pyi", "start": 29992714, "end": 30006310}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/copy.pyi", "start": 30006310, "end": 30006638}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/cmath.pyi", "start": 30006638, "end": 30007855}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/opcode.pyi", "start": 30007855, "end": 30008464}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/asynchat.pyi", "start": 30008464, "end": 30010019}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/_warnings.pyi", "start": 30010019, "end": 30012252}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/doctest.pyi", "start": 30012252, "end": 30019335}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/poplib.pyi", "start": 30019335, "end": 30021835}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/tarfile.pyi", "start": 30021835, "end": 30030017}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/_csv.pyi", "start": 30030017, "end": 30031591}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/zipfile.pyi", "start": 30031591, "end": 30038840}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/code.pyi", "start": 30038840, "end": 30040362}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/tty.pyi", "start": 30040362, "end": 30040637}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/zlib.pyi", "start": 30040637, "end": 30042329}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/binascii.pyi", "start": 30042329, "end": 30043881}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/ssl.pyi", "start": 30043881, "end": 30058507}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/pdb.pyi", "start": 30058507, "end": 30068832}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/readline.pyi", "start": 30068832, "end": 30070417}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/mailcap.pyi", "start": 30070417, "end": 30070747}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/locale.pyi", "start": 30070747, "end": 30073302}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/nis.pyi", "start": 30073302, "end": 30073624}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/pickletools.pyi", "start": 30073624, "end": 30078134}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/cProfile.pyi", "start": 30078134, "end": 30079373}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/dis.pyi", "start": 30079373, "end": 30082462}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/pydoc.pyi", "start": 30082462, "end": 30093122}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/threading.pyi", "start": 30093122, "end": 30099431}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/dummy_threading.pyi", "start": 30099431, "end": 30099510}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/pkgutil.pyi", "start": 30099510, "end": 30101068}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/select.pyi", "start": 30101068, "end": 30105896}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/_bisect.pyi", "start": 30105896, "end": 30106367}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/uu.pyi", "start": 30106367, "end": 30106916}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/aifc.pyi", "start": 30106916, "end": 30110309}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/telnetlib.pyi", "start": 30110309, "end": 30112989}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/colorsys.pyi", "start": 30112989, "end": 30113567}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/grp.pyi", "start": 30113567, "end": 30113862}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/difflib.pyi", "start": 30113862, "end": 30118798}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/binhex.pyi", "start": 30118798, "end": 30119945}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/bdb.pyi", "start": 30119945, "end": 30124589}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/ftplib.pyi", "start": 30124589, "end": 30130867}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/imaplib.pyi", "start": 30130867, "end": 30138901}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/pstats.pyi", "start": 30138901, "end": 30141114}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/operator.pyi", "start": 30141114, "end": 30148260}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/webbrowser.pyi", "start": 30148260, "end": 30151555}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/_codecs.pyi", "start": 30151555, "end": 30156863}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/sre_compile.pyi", "start": 30156863, "end": 30157936}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/chunk.pyi", "start": 30157936, "end": 30158549}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/marshal.pyi", "start": 30158549, "end": 30158802}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/struct.pyi", "start": 30158802, "end": 30160370}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/symtable.pyi", "start": 30160370, "end": 30162015}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/weakref.pyi", "start": 30162015, "end": 30166448}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/pprint.pyi", "start": 30166448, "end": 30169341}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/imghdr.pyi", "start": 30169341, "end": 30169945}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/contextlib.pyi", "start": 30169945, "end": 30174364}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/__future__.pyi", "start": 30174364, "end": 30174951}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/traceback.pyi", "start": 30174951, "end": 30180496}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/sysconfig.pyi", "start": 30180496, "end": 30181339}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/msvcrt.pyi", "start": 30181339, "end": 30182134}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/zipimport.pyi", "start": 30182134, "end": 30183378}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/macpath.pyi", "start": 30183378, "end": 30188708}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/parser.pyi", "start": 30188708, "end": 30189674}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/sqlite3/dbapi2.pyi", "start": 30189674, "end": 30200989}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/sqlite3/__init__.pyi", "start": 30200989, "end": 30201032}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/ensurepip/__init__.pyi", "start": 30201032, "end": 30201594}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/lib2to3/__init__.pyi", "start": 30201594, "end": 30201594}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/lib2to3/pygram.pyi", "start": 30201594, "end": 30203802}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/lib2to3/pytree.pyi", "start": 30203802, "end": 30207124}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/lib2to3/pgen2/token.pyi", "start": 30207124, "end": 30208189}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/lib2to3/pgen2/__init__.pyi", "start": 30208189, "end": 30208189}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/lib2to3/pgen2/literals.pyi", "start": 30208189, "end": 30208361}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/lib2to3/pgen2/pgen.pyi", "start": 30208361, "end": 30210501}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/lib2to3/pgen2/tokenize.pyi", "start": 30210501, "end": 30211384}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/lib2to3/pgen2/grammar.pyi", "start": 30211384, "end": 30212117}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/lib2to3/pgen2/driver.pyi", "start": 30212117, "end": 30213073}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/lib2to3/pgen2/parse.pyi", "start": 30213073, "end": 30214180}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/wsgiref/types.pyi", "start": 30214180, "end": 30214251}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/wsgiref/__init__.pyi", "start": 30214251, "end": 30214251}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/wsgiref/headers.pyi", "start": 30214251, "end": 30215501}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/wsgiref/validate.pyi", "start": 30215501, "end": 30217362}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/wsgiref/util.pyi", "start": 30217362, "end": 30218255}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/wsgiref/handlers.pyi", "start": 30218255, "end": 30221380}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/wsgiref/simple_server.pyi", "start": 30221380, "end": 30222908}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/msilib/schema.pyi", "start": 30222908, "end": 30225122}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/msilib/__init__.pyi", "start": 30225122, "end": 30231428}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/msilib/sequence.pyi", "start": 30231428, "end": 30231784}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/msilib/text.pyi", "start": 30231784, "end": 30231986}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/ctypes/__init__.pyi", "start": 30231986, "end": 30243879}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/ctypes/wintypes.pyi", "start": 30243879, "end": 30248521}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/ctypes/util.pyi", "start": 30248521, "end": 30248684}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/curses/__init__.pyi", "start": 30248684, "end": 30249054}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/curses/ascii.pyi", "start": 30249054, "end": 30250266}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/curses/panel.pyi", "start": 30250266, "end": 30251067}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/curses/textpad.pyi", "start": 30251067, "end": 30251524}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/logging/config.pyi", "start": 30251524, "end": 30252491}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/logging/__init__.pyi", "start": 30252491, "end": 30280849}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/logging/handlers.pyi", "start": 30280849, "end": 30289696}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/pyexpat/model.pyi", "start": 30289696, "end": 30289901}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/pyexpat/__init__.pyi", "start": 30289901, "end": 30293305}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/pyexpat/errors.pyi", "start": 30293305, "end": 30294580}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/pydoc_data/topics.pyi", "start": 30294580, "end": 30294628}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/pydoc_data/__init__.pyi", "start": 30294628, "end": 30294628}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/_typeshed/wsgi.pyi", "start": 30294628, "end": 30295921}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/_typeshed/xml.pyi", "start": 30295921, "end": 30296449}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/_typeshed/__init__.pyi", "start": 30296449, "end": 30301064}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/xml/__init__.pyi", "start": 30301064, "end": 30301094}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/xml/sax/saxutils.pyi", "start": 30301094, "end": 30303919}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/xml/sax/xmlreader.pyi", "start": 30303919, "end": 30306396}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/xml/sax/__init__.pyi", "start": 30306396, "end": 30307785}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/xml/sax/handler.pyi", "start": 30307785, "end": 30309176}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/xml/parsers/__init__.pyi", "start": 30309176, "end": 30309210}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/xml/parsers/expat/model.pyi", "start": 30309210, "end": 30309238}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/xml/parsers/expat/__init__.pyi", "start": 30309238, "end": 30309260}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/xml/parsers/expat/errors.pyi", "start": 30309260, "end": 30309289}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/xml/etree/ElementPath.pyi", "start": 30309289, "end": 30310850}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/xml/etree/__init__.pyi", "start": 30310850, "end": 30310850}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/xml/etree/ElementInclude.pyi", "start": 30310850, "end": 30311723}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/xml/etree/cElementTree.pyi", "start": 30311723, "end": 30311773}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/xml/etree/ElementTree.pyi", "start": 30311773, "end": 30326678}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/xml/dom/xmlbuilder.pyi", "start": 30326678, "end": 30326755}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/xml/dom/__init__.pyi", "start": 30326755, "end": 30328599}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/xml/dom/NodeFilter.pyi", "start": 30328599, "end": 30329056}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/xml/dom/domreg.pyi", "start": 30329056, "end": 30329518}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/xml/dom/pulldom.pyi", "start": 30329518, "end": 30329595}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/xml/dom/minidom.pyi", "start": 30329595, "end": 30329882}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/xml/dom/minicompat.pyi", "start": 30329882, "end": 30329959}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/typeshed/stdlib/2and3/xml/dom/expatbuilder.pyi", "start": 30329959, "end": 30330036}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/LICENSE.txt", "start": 30330036, "end": 30331111}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/shortcuts.pyi", "start": 30331111, "end": 30333083}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/__init__.pyi", "start": 30333083, "end": 30333515}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/apps/config.pyi", "start": 30333515, "end": 30334349}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/apps/__init__.pyi", "start": 30334349, "end": 30334428}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/apps/registry.pyi", "start": 30334428, "end": 30336478}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/test/client.pyi", "start": 30336478, "end": 30342071}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/test/__init__.pyi", "start": 30342071, "end": 30342742}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/test/utils.pyi", "start": 30342742, "end": 30348178}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/test/signals.pyi", "start": 30348178, "end": 30349164}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/test/html.pyi", "start": 30349164, "end": 30350367}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/test/testcases.pyi", "start": 30350367, "end": 30358640}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/test/runner.pyi", "start": 30358640, "end": 30363850}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/test/selenium.pyi", "start": 30363850, "end": 30364218}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/dispatch/dispatcher.pyi", "start": 30364218, "end": 30365212}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/dispatch/__init__.pyi", "start": 30365212, "end": 30365290}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/urls/resolvers.pyi", "start": 30365290, "end": 30369319}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/urls/exceptions.pyi", "start": 30369319, "end": 30369421}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/urls/__init__.pyi", "start": 30369421, "end": 30370618}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/urls/utils.pyi", "start": 30370618, "end": 30370786}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/urls/converters.pyi", "start": 30370786, "end": 30371613}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/urls/conf.pyi", "start": 30371613, "end": 30371837}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/urls/base.pyi", "start": 30371837, "end": 30372724}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/utils/functional.pyi", "start": 30372724, "end": 30374647}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/utils/deconstruct.pyi", "start": 30374647, "end": 30374752}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/utils/feedgenerator.pyi", "start": 30374752, "end": 30377429}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/utils/six.pyi", "start": 30377429, "end": 30380837}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/utils/duration.pyi", "start": 30380837, "end": 30381035}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/utils/topological_sort.pyi", "start": 30381035, "end": 30381332}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/utils/jslex.pyi", "start": 30381332, "end": 30382080}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/utils/inspect.pyi", "start": 30382080, "end": 30382471}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/utils/datastructures.pyi", "start": 30382471, "end": 30385095}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/utils/timezone.pyi", "start": 30385095, "end": 30387809}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/utils/http.pyi", "start": 30387809, "end": 30389353}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/utils/dateparse.pyi", "start": 30389353, "end": 30389778}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/utils/archive.pyi", "start": 30389778, "end": 30390821}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/utils/formats.pyi", "start": 30390821, "end": 30392092}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/utils/lorem_ipsum.pyi", "start": 30392092, "end": 30392340}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/utils/module_loading.pyi", "start": 30392340, "end": 30392587}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/utils/dateformat.pyi", "start": 30392587, "end": 30394369}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/utils/__init__.pyi", "start": 30394369, "end": 30394369}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/utils/numberformat.pyi", "start": 30394369, "end": 30394713}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/utils/ipv6.pyi", "start": 30394713, "end": 30394881}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/utils/xmlutils.pyi", "start": 30394881, "end": 30395314}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/utils/decorators.pyi", "start": 30395314, "end": 30396249}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/utils/crypto.pyi", "start": 30396249, "end": 30396792}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/utils/timesince.pyi", "start": 30396792, "end": 30397154}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/utils/html.pyi", "start": 30397154, "end": 30398520}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/utils/_os.pyi", "start": 30398520, "end": 30398827}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/utils/hashable.pyi", "start": 30398827, "end": 30398893}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/utils/cache.pyi", "start": 30398893, "end": 30400231}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/utils/regex_helper.pyi", "start": 30400231, "end": 30400889}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/utils/version.pyi", "start": 30400889, "end": 30401405}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/utils/tree.pyi", "start": 30401405, "end": 30402204}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/utils/itercompat.pyi", "start": 30402204, "end": 30402265}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/utils/dates.pyi", "start": 30402265, "end": 30402446}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/utils/termcolors.pyi", "start": 30402446, "end": 30402963}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/utils/datetime_safe.pyi", "start": 30402963, "end": 30403304}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/utils/encoding.pyi", "start": 30403304, "end": 30405720}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/utils/text.pyi", "start": 30405720, "end": 30407303}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/utils/log.pyi", "start": 30407303, "end": 30408804}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/utils/deprecation.pyi", "start": 30408804, "end": 30410149}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/utils/baseconv.pyi", "start": 30410149, "end": 30410742}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/utils/autoreload.pyi", "start": 30410742, "end": 30413444}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/utils/safestring.pyi", "start": 30413444, "end": 30414073}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/utils/translation/reloader.pyi", "start": 30414073, "end": 30414372}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/utils/translation/__init__.pyi", "start": 30414372, "end": 30416604}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/utils/translation/trans_real.pyi", "start": 30416604, "end": 30418419}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/utils/translation/template.pyi", "start": 30418419, "end": 30418654}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/utils/translation/trans_null.pyi", "start": 30418654, "end": 30419383}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/db/__init__.pyi", "start": 30419383, "end": 30420319}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/db/utils.pyi", "start": 30420319, "end": 30421563}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/db/transaction.pyi", "start": 30421563, "end": 30423595}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/db/migrations/topological_sort.pyi", "start": 30423595, "end": 30423943}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/db/migrations/exceptions.pyi", "start": 30423943, "end": 30424652}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/db/migrations/__init__.pyi", "start": 30424652, "end": 30424895}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/db/migrations/recorder.pyi", "start": 30424895, "end": 30425701}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/db/migrations/utils.pyi", "start": 30425701, "end": 30425908}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/db/migrations/migration.pyi", "start": 30425908, "end": 30426972}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/db/migrations/serializer.pyi", "start": 30426972, "end": 30428800}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/db/migrations/executor.pyi", "start": 30428800, "end": 30430479}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/db/migrations/writer.pyi", "start": 30430479, "end": 30431920}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/db/migrations/graph.pyi", "start": 30431920, "end": 30434451}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/db/migrations/questioner.pyi", "start": 30434451, "end": 30435607}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/db/migrations/loader.pyi", "start": 30435607, "end": 30437154}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/db/migrations/autodetector.pyi", "start": 30437154, "end": 30440165}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/db/migrations/optimizer.pyi", "start": 30440165, "end": 30440508}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/db/migrations/state.pyi", "start": 30440508, "end": 30443148}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/db/migrations/operations/__init__.pyi", "start": 30443148, "end": 30443944}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/db/migrations/operations/utils.pyi", "start": 30443944, "end": 30444161}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/db/migrations/operations/models.pyi", "start": 30444161, "end": 30447315}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/db/migrations/operations/fields.pyi", "start": 30447315, "end": 30448481}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/db/migrations/operations/base.pyi", "start": 30448481, "end": 30449383}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/db/migrations/operations/special.pyi", "start": 30449383, "end": 30450723}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/db/models/expressions.pyi", "start": 30450723, "end": 30459306}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/db/models/options.pyi", "start": 30459306, "end": 30464299}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/db/models/lookups.pyi", "start": 30464299, "end": 30468774}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/db/models/aggregates.pyi", "start": 30468774, "end": 30469275}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/db/models/__init__.pyi", "start": 30469275, "end": 30472851}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/db/models/utils.pyi", "start": 30472851, "end": 30473008}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/db/models/manager.pyi", "start": 30473008, "end": 30474804}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/db/models/query.pyi", "start": 30474804, "end": 30484006}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/db/models/enums.pyi", "start": 30484006, "end": 30484820}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/db/models/signals.pyi", "start": 30484820, "end": 30485670}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/db/models/query_utils.pyi", "start": 30485670, "end": 30488681}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/db/models/deletion.pyi", "start": 30488681, "end": 30489830}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/db/models/base.pyi", "start": 30489830, "end": 30492230}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/db/models/indexes.pyi", "start": 30492230, "end": 30493471}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/db/models/constraints.pyi", "start": 30493471, "end": 30494560}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/db/models/sql/datastructures.pyi", "start": 30494560, "end": 30496469}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/db/models/sql/subqueries.pyi", "start": 30496469, "end": 30498297}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/db/models/sql/where.pyi", "start": 30498297, "end": 30500215}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/db/models/sql/constants.pyi", "start": 30500215, "end": 30500477}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/db/models/sql/__init__.pyi", "start": 30500477, "end": 30500696}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/db/models/sql/query.pyi", "start": 30500696, "end": 30509768}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/db/models/sql/compiler.pyi", "start": 30509768, "end": 30514480}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/db/models/functions/math.pyi", "start": 30514480, "end": 30515702}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/db/models/functions/datetime.pyi", "start": 30515702, "end": 30516674}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/db/models/functions/comparison.pyi", "start": 30516674, "end": 30516986}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/db/models/functions/__init__.pyi", "start": 30516986, "end": 30519063}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/db/models/functions/mixins.pyi", "start": 30519063, "end": 30519163}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/db/models/functions/window.pyi", "start": 30519163, "end": 30519865}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/db/models/functions/text.pyi", "start": 30519865, "end": 30522093}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/db/models/fields/related.pyi", "start": 30522093, "end": 30531382}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/db/models/fields/__init__.pyi", "start": 30531382, "end": 30545170}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/db/models/fields/reverse_related.pyi", "start": 30545170, "end": 30549215}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/db/models/fields/mixins.pyi", "start": 30549215, "end": 30549668}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/db/models/fields/related_descriptors.pyi", "start": 30549668, "end": 30552852}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/db/models/fields/proxy.pyi", "start": 30552852, "end": 30553013}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/db/models/fields/files.pyi", "start": 30553013, "end": 30556653}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/db/models/fields/related_lookups.pyi", "start": 30556653, "end": 30558153}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/db/backends/__init__.pyi", "start": 30558153, "end": 30558153}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/db/backends/utils.pyi", "start": 30558153, "end": 30559988}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/db/backends/signals.pyi", "start": 30559988, "end": 30560057}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/db/backends/ddl_references.pyi", "start": 30560057, "end": 30562714}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/db/backends/sqlite3/creation.pyi", "start": 30562714, "end": 30562831}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/db/backends/sqlite3/schema.pyi", "start": 30562831, "end": 30562958}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/db/backends/sqlite3/__init__.pyi", "start": 30562958, "end": 30562958}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/db/backends/sqlite3/introspection.pyi", "start": 30562958, "end": 30563321}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/db/backends/sqlite3/operations.pyi", "start": 30563321, "end": 30563446}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/db/backends/sqlite3/base.pyi", "start": 30563446, "end": 30563795}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/db/backends/sqlite3/features.pyi", "start": 30563795, "end": 30563912}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/db/backends/postgresql/creation.pyi", "start": 30563912, "end": 30564029}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/db/backends/postgresql/client.pyi", "start": 30564029, "end": 30564310}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/db/backends/postgresql/__init__.pyi", "start": 30564310, "end": 30564310}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/db/backends/postgresql/operations.pyi", "start": 30564310, "end": 30564435}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/db/backends/postgresql/base.pyi", "start": 30564435, "end": 30564894}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/db/backends/base/creation.pyi", "start": 30564894, "end": 30565997}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/db/backends/base/schema.pyi", "start": 30565997, "end": 30569343}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/db/backends/base/client.pyi", "start": 30569343, "end": 30569617}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/db/backends/base/__init__.pyi", "start": 30569617, "end": 30569617}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/db/backends/base/validation.pyi", "start": 30569617, "end": 30570003}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/db/backends/base/introspection.pyi", "start": 30570003, "end": 30571493}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/db/backends/base/operations.pyi", "start": 30571493, "end": 30577730}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/db/backends/base/base.pyi", "start": 30577730, "end": 30582078}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/db/backends/base/features.pyi", "start": 30582078, "end": 30586322}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/db/backends/mysql/client.pyi", "start": 30586322, "end": 30586705}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/db/backends/mysql/__init__.pyi", "start": 30586705, "end": 30586705}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/db/backends/dummy/__init__.pyi", "start": 30586705, "end": 30586705}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/db/backends/dummy/base.pyi", "start": 30586705, "end": 30587734}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/templatetags/__init__.pyi", "start": 30587734, "end": 30587734}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/templatetags/i18n.pyi", "start": 30587734, "end": 30590910}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/templatetags/cache.pyi", "start": 30590910, "end": 30591592}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/templatetags/l10n.pyi", "start": 30591592, "end": 30592021}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/templatetags/static.pyi", "start": 30592021, "end": 30593191}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/templatetags/tz.pyi", "start": 30593191, "end": 30594357}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/views/debug.pyi", "start": 30594357, "end": 30597138}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/views/__init__.pyi", "start": 30597138, "end": 30597177}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/views/i18n.pyi", "start": 30597177, "end": 30598434}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/views/defaults.pyi", "start": 30598434, "end": 30599248}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/views/static.pyi", "start": 30599248, "end": 30599709}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/views/csrf.pyi", "start": 30599709, "end": 30599983}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/views/generic/__init__.pyi", "start": 30599983, "end": 30600620}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/views/generic/detail.pyi", "start": 30600620, "end": 30601710}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/views/generic/dates.pyi", "start": 30601710, "end": 30605481}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/views/generic/list.pyi", "start": 30605481, "end": 30607106}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/views/generic/base.pyi", "start": 30607106, "end": 30609345}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/views/generic/edit.pyi", "start": 30609345, "end": 30611579}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/views/decorators/http.pyi", "start": 30611579, "end": 30612155}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/views/decorators/debug.pyi", "start": 30612155, "end": 30612312}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/views/decorators/clickjacking.pyi", "start": 30612312, "end": 30612559}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/views/decorators/gzip.pyi", "start": 30612559, "end": 30612688}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/views/decorators/__init__.pyi", "start": 30612688, "end": 30612688}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/views/decorators/vary.pyi", "start": 30612688, "end": 30612869}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/views/decorators/cache.pyi", "start": 30612869, "end": 30613172}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/views/decorators/csrf.pyi", "start": 30613172, "end": 30613649}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/__init__.pyi", "start": 30613649, "end": 30613649}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/postgres/search.pyi", "start": 30613649, "end": 30615844}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/postgres/lookups.pyi", "start": 30615844, "end": 30616423}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/postgres/__init__.pyi", "start": 30616423, "end": 30616423}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/postgres/functions.pyi", "start": 30616423, "end": 30616518}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/postgres/signals.pyi", "start": 30616518, "end": 30616755}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/postgres/operations.pyi", "start": 30616755, "end": 30617490}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/postgres/validators.pyi", "start": 30617490, "end": 30618143}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/postgres/indexes.pyi", "start": 30618143, "end": 30620415}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/postgres/constraints.pyi", "start": 30620415, "end": 30620991}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/postgres/aggregates/__init__.pyi", "start": 30620991, "end": 30621531}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/postgres/aggregates/mixins.pyi", "start": 30621531, "end": 30621560}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/postgres/aggregates/statistics.pyi", "start": 30621560, "end": 30622030}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/postgres/aggregates/general.pyi", "start": 30622030, "end": 30622368}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/postgres/fields/hstore.pyi", "start": 30622368, "end": 30622887}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/postgres/fields/array.pyi", "start": 30622887, "end": 30624616}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/postgres/fields/__init__.pyi", "start": 30624616, "end": 30625311}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/postgres/fields/mixins.pyi", "start": 30625311, "end": 30625424}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/postgres/fields/jsonb.pyi", "start": 30625424, "end": 30626435}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/postgres/fields/ranges.pyi", "start": 30626435, "end": 30627777}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/postgres/fields/citext.pyi", "start": 30627777, "end": 30627993}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/contenttypes/__init__.pyi", "start": 30627993, "end": 30627993}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/contenttypes/forms.pyi", "start": 30627993, "end": 30629152}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/contenttypes/models.pyi", "start": 30629152, "end": 30630237}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/contenttypes/fields.pyi", "start": 30630237, "end": 30634334}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/contenttypes/admin.pyi", "start": 30634334, "end": 30634920}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/contenttypes/views.pyi", "start": 30634920, "end": 30635177}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/contenttypes/apps.pyi", "start": 30635177, "end": 30635253}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/contenttypes/checks.pyi", "start": 30635253, "end": 30635571}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/contenttypes/management/__init__.pyi", "start": 30635571, "end": 30636921}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/contenttypes/management/commands/__init__.pyi", "start": 30636921, "end": 30636921}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/contenttypes/management/commands/remove_stale_contenttypes.pyi", "start": 30636921, "end": 30637332}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/syndication/__init__.pyi", "start": 30637332, "end": 30637332}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/syndication/views.pyi", "start": 30637332, "end": 30638583}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/gis/__init__.pyi", "start": 30638583, "end": 30638583}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/gis/db/__init__.pyi", "start": 30638583, "end": 30638583}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/gis/db/models/__init__.pyi", "start": 30638583, "end": 30639001}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/gis/db/models/fields.pyi", "start": 30639001, "end": 30642134}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/sites/managers.pyi", "start": 30642134, "end": 30642304}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/sites/shortcuts.pyi", "start": 30642304, "end": 30642570}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/sites/__init__.pyi", "start": 30642570, "end": 30642570}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/sites/requests.pyi", "start": 30642570, "end": 30642868}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/sites/models.pyi", "start": 30642868, "end": 30643482}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/sites/management.pyi", "start": 30643482, "end": 30643770}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/sites/middleware.pyi", "start": 30643770, "end": 30643979}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/sites/apps.pyi", "start": 30643979, "end": 30644048}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/flatpages/__init__.pyi", "start": 30644048, "end": 30644048}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/flatpages/forms.pyi", "start": 30644048, "end": 30644190}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/flatpages/models.pyi", "start": 30644190, "end": 30644635}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/flatpages/views.pyi", "start": 30644635, "end": 30644950}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/flatpages/middleware.pyi", "start": 30644950, "end": 30645249}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/flatpages/sitemaps.pyi", "start": 30645249, "end": 30645330}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/flatpages/urls.pyi", "start": 30645330, "end": 30645389}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/flatpages/templatetags/__init__.pyi", "start": 30645389, "end": 30645389}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/flatpages/templatetags/flatpages.pyi", "start": 30645389, "end": 30645907}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/admindocs/__init__.pyi", "start": 30645907, "end": 30645907}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/admindocs/utils.pyi", "start": 30645907, "end": 30646632}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/admindocs/views.pyi", "start": 30646632, "end": 30647484}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/admindocs/middleware.pyi", "start": 30647484, "end": 30647893}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/admindocs/urls.pyi", "start": 30647893, "end": 30647952}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/admin/options.pyi", "start": 30647952, "end": 30661780}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/admin/actions.pyi", "start": 30661780, "end": 30662131}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/admin/widgets.pyi", "start": 30662131, "end": 30665506}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/admin/__init__.pyi", "start": 30665506, "end": 30666387}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/admin/utils.pyi", "start": 30666387, "end": 30669494}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/admin/helpers.pyi", "start": 30669494, "end": 30674284}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/admin/decorators.pyi", "start": 30674284, "end": 30674454}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/admin/forms.pyi", "start": 30674454, "end": 30674703}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/admin/tests.pyi", "start": 30674703, "end": 30676120}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/admin/models.pyi", "start": 30676120, "end": 30677340}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/admin/filters.pyi", "start": 30677340, "end": 30680827}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/admin/sites.pyi", "start": 30680827, "end": 30684115}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/admin/apps.pyi", "start": 30684115, "end": 30684257}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/admin/checks.pyi", "start": 30684257, "end": 30685106}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/admin/templatetags/__init__.pyi", "start": 30685106, "end": 30685106}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/admin/templatetags/admin_list.pyi", "start": 30685106, "end": 30687134}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/admin/templatetags/admin_modify.pyi", "start": 30687134, "end": 30687824}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/admin/templatetags/admin_urls.pyi", "start": 30687824, "end": 30688371}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/admin/templatetags/base.pyi", "start": 30688371, "end": 30688963}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/admin/templatetags/admin_static.pyi", "start": 30688963, "end": 30689036}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/admin/templatetags/log.pyi", "start": 30689036, "end": 30689490}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/admin/views/__init__.pyi", "start": 30689490, "end": 30689490}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/admin/views/decorators.pyi", "start": 30689490, "end": 30689825}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/admin/views/autocomplete.pyi", "start": 30689825, "end": 30690174}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/admin/views/main.pyi", "start": 30690174, "end": 30693564}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/staticfiles/storage.pyi", "start": 30693564, "end": 30695826}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/staticfiles/__init__.pyi", "start": 30695826, "end": 30695826}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/staticfiles/utils.pyi", "start": 30695826, "end": 30696264}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/staticfiles/finders.pyi", "start": 30696264, "end": 30697979}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/staticfiles/handlers.pyi", "start": 30697979, "end": 30698396}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/staticfiles/views.pyi", "start": 30698396, "end": 30698618}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/staticfiles/testing.pyi", "start": 30698618, "end": 30698718}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/staticfiles/apps.pyi", "start": 30698718, "end": 30698844}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/staticfiles/checks.pyi", "start": 30698844, "end": 30699086}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/staticfiles/urls.pyi", "start": 30699086, "end": 30699284}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/staticfiles/templatetags/staticfiles.pyi", "start": 30699284, "end": 30699518}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/staticfiles/templatetags/__init__.pyi", "start": 30699518, "end": 30699518}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/staticfiles/management/__init__.pyi", "start": 30699518, "end": 30699518}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/staticfiles/management/commands/collectstatic.pyi", "start": 30699518, "end": 30700643}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/staticfiles/management/commands/runserver.pyi", "start": 30700643, "end": 30700779}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/staticfiles/management/commands/__init__.pyi", "start": 30700779, "end": 30700779}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/staticfiles/management/commands/findstatic.pyi", "start": 30700779, "end": 30700866}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/auth/password_validation.pyi", "start": 30700866, "end": 30702918}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/auth/backends.pyi", "start": 30702918, "end": 30704523}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/auth/base_user.pyi", "start": 30704523, "end": 30706016}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/auth/__init__.pyi", "start": 30706016, "end": 30707332}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/auth/mixins.pyi", "start": 30707332, "end": 30708482}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/auth/decorators.pyi", "start": 30708482, "end": 30709464}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/auth/forms.pyi", "start": 30709464, "end": 30712613}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/auth/hashers.pyi", "start": 30712613, "end": 30714582}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/auth/signals.pyi", "start": 30714582, "end": 30714702}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/auth/models.pyi", "start": 30714702, "end": 30719343}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/auth/admin.pyi", "start": 30719343, "end": 30719870}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/auth/views.pyi", "start": 30719870, "end": 30722348}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/auth/middleware.pyi", "start": 30722348, "end": 30723122}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/auth/context_processors.pyi", "start": 30723122, "end": 30723739}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/auth/validators.pyi", "start": 30723739, "end": 30723899}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/auth/apps.pyi", "start": 30723899, "end": 30723967}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/auth/checks.pyi", "start": 30723967, "end": 30724338}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/auth/urls.pyi", "start": 30724338, "end": 30724397}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/auth/tokens.pyi", "start": 30724397, "end": 30724758}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/auth/handlers/__init__.pyi", "start": 30724758, "end": 30724758}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/auth/handlers/modwsgi.pyi", "start": 30724758, "end": 30724962}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/auth/management/__init__.pyi", "start": 30724962, "end": 30725346}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/auth/management/commands/changepassword.pyi", "start": 30725346, "end": 30725471}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/auth/management/commands/__init__.pyi", "start": 30725471, "end": 30725471}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/auth/management/commands/createsuperuser.pyi", "start": 30725471, "end": 30725679}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/messages/constants.pyi", "start": 30725679, "end": 30725866}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/messages/__init__.pyi", "start": 30725866, "end": 30726390}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/messages/utils.pyi", "start": 30726390, "end": 30726459}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/messages/api.pyi", "start": 30726459, "end": 30727628}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/messages/views.pyi", "start": 30727628, "end": 30727936}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/messages/middleware.pyi", "start": 30727936, "end": 30728285}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/messages/context_processors.pyi", "start": 30728285, "end": 30728534}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/messages/storage/cookie.pyi", "start": 30728534, "end": 30729021}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/messages/storage/fallback.pyi", "start": 30729021, "end": 30729261}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/messages/storage/__init__.pyi", "start": 30729261, "end": 30729463}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/messages/storage/base.pyi", "start": 30729463, "end": 30730370}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/messages/storage/session.pyi", "start": 30730370, "end": 30730852}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/sitemaps/__init__.pyi", "start": 30730852, "end": 30732411}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/sitemaps/views.pyi", "start": 30732411, "end": 30733173}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/sitemaps/management/__init__.pyi", "start": 30733173, "end": 30733173}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/sitemaps/management/commands/ping_google.pyi", "start": 30733173, "end": 30733258}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/sitemaps/management/commands/__init__.pyi", "start": 30733258, "end": 30733258}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/humanize/__init__.pyi", "start": 30733258, "end": 30733258}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/humanize/templatetags/__init__.pyi", "start": 30733258, "end": 30733258}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/humanize/templatetags/humanize.pyi", "start": 30733258, "end": 30733877}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/redirects/__init__.pyi", "start": 30733877, "end": 30733877}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/redirects/models.pyi", "start": 30733877, "end": 30734045}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/redirects/middleware.pyi", "start": 30734045, "end": 30734436}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/sessions/exceptions.pyi", "start": 30734436, "end": 30734592}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/sessions/serializers.pyi", "start": 30734592, "end": 30734903}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/sessions/base_session.pyi", "start": 30734903, "end": 30735568}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/sessions/__init__.pyi", "start": 30735568, "end": 30735568}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/sessions/models.pyi", "start": 30735568, "end": 30735744}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/sessions/middleware.pyi", "start": 30735744, "end": 30736222}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/sessions/backends/cached_db.pyi", "start": 30736222, "end": 30736527}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/sessions/backends/__init__.pyi", "start": 30736527, "end": 30736527}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/sessions/backends/cache.pyi", "start": 30736527, "end": 30736826}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/sessions/backends/db.pyi", "start": 30736826, "end": 30737403}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/sessions/backends/signed_cookies.pyi", "start": 30737403, "end": 30737503}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/sessions/backends/base.pyi", "start": 30737503, "end": 30739030}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/sessions/backends/file.pyi", "start": 30739030, "end": 30739313}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/sessions/management/__init__.pyi", "start": 30739313, "end": 30739313}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/sessions/management/commands/__init__.pyi", "start": 30739313, "end": 30739313}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/contrib/sessions/management/commands/clearsessions.pyi", "start": 30739313, "end": 30739398}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/conf/__init__.pyi", "start": 30739398, "end": 30740297}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/conf/global_settings.pyi", "start": 30740297, "end": 30757759}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/conf/urls/__init__.pyi", "start": 30757759, "end": 30758792}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/conf/urls/i18n.pyi", "start": 30758792, "end": 30759089}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/conf/urls/static.pyi", "start": 30759089, "end": 30759261}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/conf/locale/__init__.pyi", "start": 30759261, "end": 30759323}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/http/cookie.pyi", "start": 30759323, "end": 30759425}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/http/response.pyi", "start": 30759425, "end": 30764419}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/http/__init__.pyi", "start": 30764419, "end": 30765407}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/http/multipartparser.pyi", "start": 30765407, "end": 30767393}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/http/request.pyi", "start": 30767393, "end": 30771179}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/middleware/http.pyi", "start": 30771179, "end": 30771548}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/middleware/clickjacking.pyi", "start": 30771548, "end": 30771935}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/middleware/gzip.pyi", "start": 30771935, "end": 30772274}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/middleware/__init__.pyi", "start": 30772274, "end": 30772274}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/middleware/cache.pyi", "start": 30772274, "end": 30773369}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/middleware/common.pyi", "start": 30773369, "end": 30774356}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/middleware/locale.pyi", "start": 30774356, "end": 30774779}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/middleware/security.pyi", "start": 30774779, "end": 30775494}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/middleware/csrf.pyi", "start": 30775494, "end": 30776744}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/forms/boundfield.pyi", "start": 30776744, "end": 30779052}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/forms/renderers.pyi", "start": 30779052, "end": 30779776}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/forms/widgets.pyi", "start": 30779776, "end": 30785870}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/forms/__init__.pyi", "start": 30785870, "end": 30788827}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/forms/utils.pyi", "start": 30788827, "end": 30790084}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/forms/forms.pyi", "start": 30790084, "end": 30793180}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/forms/models.pyi", "start": 30793180, "end": 30803353}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/forms/formsets.pyi", "start": 30803353, "end": 30805750}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/forms/fields.pyi", "start": 30805750, "end": 30818787}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/template/engine.pyi", "start": 30818787, "end": 30820945}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/template/exceptions.pyi", "start": 30820945, "end": 30821541}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/template/defaultfilters.pyi", "start": 30821541, "end": 30825192}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/template/smartif.pyi", "start": 30825192, "end": 30826459}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/template/response.pyi", "start": 30826459, "end": 30828803}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/template/library.pyi", "start": 30828803, "end": 30831882}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/template/__init__.pyi", "start": 30831882, "end": 30832530}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/template/utils.pyi", "start": 30832530, "end": 30833088}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/template/defaulttags.pyi", "start": 30833088, "end": 30840325}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/template/context.pyi", "start": 30840325, "end": 30843533}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/template/loader_tags.pyi", "start": 30843533, "end": 30845896}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/template/base.pyi", "start": 30845896, "end": 30851926}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/template/context_processors.pyi", "start": 30851926, "end": 30852566}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/template/loader.pyi", "start": 30852566, "end": 30853186}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/template/backends/dummy.pyi", "start": 30853186, "end": 30853664}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/template/backends/jinja2.pyi", "start": 30853664, "end": 30854245}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/template/backends/__init__.pyi", "start": 30854245, "end": 30854245}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/template/backends/utils.pyi", "start": 30854245, "end": 30854456}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/template/backends/django.pyi", "start": 30854456, "end": 30855162}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/template/backends/base.pyi", "start": 30855162, "end": 30855763}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/template/loaders/app_directories.pyi", "start": 30855763, "end": 30855851}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/template/loaders/filesystem.pyi", "start": 30855851, "end": 30856284}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/template/loaders/__init__.pyi", "start": 30856284, "end": 30856284}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/template/loaders/cached.pyi", "start": 30856284, "end": 30856848}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/template/loaders/base.pyi", "start": 30856848, "end": 30857324}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/template/loaders/locmem.pyi", "start": 30857324, "end": 30857678}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/core/exceptions.pyi", "start": 30857678, "end": 30859221}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/core/wsgi.pyi", "start": 30859221, "end": 30859319}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/core/__init__.pyi", "start": 30859319, "end": 30859319}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/core/signals.pyi", "start": 30859319, "end": 30859482}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/core/paginator.pyi", "start": 30859482, "end": 30861378}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/core/signing.pyi", "start": 30861378, "end": 30862845}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/core/validators.pyi", "start": 30862845, "end": 30866779}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/core/cache/__init__.pyi", "start": 30866779, "end": 30867496}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/core/cache/utils.pyi", "start": 30867496, "end": 30867680}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/core/cache/backends/filebased.pyi", "start": 30867680, "end": 30867896}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/core/cache/backends/dummy.pyi", "start": 30867896, "end": 30868078}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/core/cache/backends/__init__.pyi", "start": 30868078, "end": 30868078}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/core/cache/backends/db.pyi", "start": 30868078, "end": 30868673}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/core/cache/backends/base.pyi", "start": 30868673, "end": 30871000}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/core/cache/backends/memcached.pyi", "start": 30871000, "end": 30871352}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/core/cache/backends/locmem.pyi", "start": 30871352, "end": 30871538}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/core/files/uploadedfile.pyi", "start": 30871538, "end": 30873024}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/core/files/storage.pyi", "start": 30873024, "end": 30874793}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/core/files/uploadhandler.pyi", "start": 30874793, "end": 30877988}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/core/files/temp.pyi", "start": 30877988, "end": 30878088}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/core/files/images.pyi", "start": 30878088, "end": 30878397}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/core/files/__init__.pyi", "start": 30878397, "end": 30878465}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/core/files/utils.pyi", "start": 30878465, "end": 30879012}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/core/files/move.pyi", "start": 30879012, "end": 30879142}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/core/files/base.pyi", "start": 30879142, "end": 30880577}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/core/files/locks.pyi", "start": 30880577, "end": 30880885}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/core/handlers/exception.pyi", "start": 30880885, "end": 30881455}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/core/handlers/wsgi.pyi", "start": 30881455, "end": 30882780}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/core/handlers/__init__.pyi", "start": 30882780, "end": 30882780}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/core/handlers/base.pyi", "start": 30882780, "end": 30883352}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/core/mail/__init__.pyi", "start": 30883352, "end": 30884856}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/core/mail/utils.pyi", "start": 30884856, "end": 30884951}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/core/mail/message.pyi", "start": 30884951, "end": 30889045}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/core/mail/backends/filebased.pyi", "start": 30889045, "end": 30889148}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/core/mail/backends/dummy.pyi", "start": 30889148, "end": 30889251}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/core/mail/backends/smtp.pyi", "start": 30889251, "end": 30889761}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/core/mail/backends/__init__.pyi", "start": 30889761, "end": 30889761}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/core/mail/backends/console.pyi", "start": 30889761, "end": 30889864}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/core/mail/backends/base.pyi", "start": 30889864, "end": 30890468}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/core/mail/backends/locmem.pyi", "start": 30890468, "end": 30890571}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/core/checks/caches.pyi", "start": 30890571, "end": 30890838}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/core/checks/database.pyi", "start": 30890838, "end": 30890941}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/core/checks/__init__.pyi", "start": 30890941, "end": 30891371}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/core/checks/translation.pyi", "start": 30891371, "end": 30891526}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/core/checks/messages.pyi", "start": 30891526, "end": 30892451}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/core/checks/registry.pyi", "start": 30892451, "end": 30893663}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/core/checks/model_checks.pyi", "start": 30893663, "end": 30894021}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/core/checks/templates.pyi", "start": 30894021, "end": 30894412}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/core/checks/urls.pyi", "start": 30894412, "end": 30895192}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/core/checks/security/__init__.pyi", "start": 30895192, "end": 30895192}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/core/checks/security/sessions.pyi", "start": 30895192, "end": 30895719}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/core/checks/security/base.pyi", "start": 30895719, "end": 30897311}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/core/checks/security/csrf.pyi", "start": 30897311, "end": 30897690}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/core/management/__init__.pyi", "start": 30897690, "end": 30898531}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/core/management/utils.pyi", "start": 30898531, "end": 30899058}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/core/management/color.pyi", "start": 30899058, "end": 30900110}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/core/management/base.pyi", "start": 30900110, "end": 30903032}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/core/management/sql.pyi", "start": 30903032, "end": 30903461}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/core/management/templates.pyi", "start": 30903461, "end": 30904085}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/core/management/commands/testserver.pyi", "start": 30904085, "end": 30904170}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/core/management/commands/runserver.pyi", "start": 30904170, "end": 30904364}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/core/management/commands/__init__.pyi", "start": 30904364, "end": 30904364}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/core/management/commands/dumpdata.pyi", "start": 30904364, "end": 30904487}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/core/management/commands/makemessages.pyi", "start": 30904487, "end": 30905621}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/core/management/commands/loaddata.pyi", "start": 30905621, "end": 30906246}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/core/servers/__init__.pyi", "start": 30906246, "end": 30906246}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/core/servers/basehttp.pyi", "start": 30906246, "end": 30907547}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/core/serializers/__init__.pyi", "start": 30907547, "end": 30908924}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/core/serializers/base.pyi", "start": 30908924, "end": 30912312}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/core/serializers/json.pyi", "start": 30912312, "end": 30912734}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/third_party/django-stubs/django-stubs/core/serializers/python.pyi", "start": 30912734, "end": 30913269}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/api/exceptions.py", "start": 30913269, "end": 30914260}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/api/__init__.py", "start": 30914260, "end": 30945531}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/api/classes.py", "start": 30945531, "end": 30975168}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/api/strings.py", "start": 30975168, "end": 30978784}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/api/file_name.py", "start": 30978784, "end": 30984404}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/api/interpreter.py", "start": 30984404, "end": 30986819}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/api/errors.py", "start": 30986819, "end": 30988072}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/api/keywords.py", "start": 30988072, "end": 30989355}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/api/project.py", "start": 30989355, "end": 31005968}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/api/environment.py", "start": 31005968, "end": 31022924}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/api/completion.py", "start": 31022924, "end": 31050115}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/api/replstartup.py", "start": 31050115, "end": 31051065}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/api/completion_cache.py", "start": 31051065, "end": 31052019}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/api/helpers.py", "start": 31052019, "end": 31070963}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/api/refactoring/__init__.py", "start": 31070963, "end": 31079783}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/api/refactoring/extract.py", "start": 31079783, "end": 31093716}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/inference/flow_analysis.py", "start": 31093716, "end": 31098299}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/inference/syntax_tree.py", "start": 31098299, "end": 31133655}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/inference/imports.py", "start": 31133655, "end": 31156737}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/inference/__init__.py", "start": 31156737, "end": 31165178}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/inference/param.py", "start": 31165178, "end": 31175628}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/inference/recursion.py", "start": 31175628, "end": 31180560}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/inference/star_args.py", "start": 31180560, "end": 31188455}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/inference/analysis.py", "start": 31188455, "end": 31196218}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/inference/names.py", "start": 31196218, "end": 31219406}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/inference/parser_cache.py", "start": 31219406, "end": 31219597}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/inference/signature.py", "start": 31219597, "end": 31224456}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/inference/sys_path.py", "start": 31224456, "end": 31234674}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/inference/context.py", "start": 31234674, "end": 31251838}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/inference/references.py", "start": 31251838, "end": 31262693}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/inference/lazy_value.py", "start": 31262693, "end": 31264360}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/inference/utils.py", "start": 31264360, "end": 31267066}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/inference/finder.py", "start": 31267066, "end": 31272392}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/inference/arguments.py", "start": 31272392, "end": 31284610}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/inference/cache.py", "start": 31284610, "end": 31288801}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/inference/docstrings.py", "start": 31288801, "end": 31298625}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/inference/docstring_utils.py", "start": 31298625, "end": 31299384}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/inference/filters.py", "start": 31299384, "end": 31311877}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/inference/dynamic_params.py", "start": 31311877, "end": 31319999}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/inference/base_value.py", "start": 31319999, "end": 31338220}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/inference/helpers.py", "start": 31338220, "end": 31344163}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/inference/compiled/__init__.py", "start": 31344163, "end": 31346814}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/inference/compiled/access.py", "start": 31346814, "end": 31365256}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/inference/compiled/getattr_static.py", "start": 31365256, "end": 31369118}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/inference/compiled/value.py", "start": 31369118, "end": 31389644}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/inference/compiled/mixed.py", "start": 31389644, "end": 31400999}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/inference/compiled/subprocess/__init__.py", "start": 31400999, "end": 31414489}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/inference/compiled/subprocess/__main__.py", "start": 31414489, "end": 31415656}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/inference/compiled/subprocess/functions.py", "start": 31415656, "end": 31424322}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/inference/value/__init__.py", "start": 31424322, "end": 31424738}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/inference/value/iterable.py", "start": 31424738, "end": 31448043}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/inference/value/namespace.py", "start": 31448043, "end": 31450144}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/inference/value/decorator.py", "start": 31450144, "end": 31451351}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/inference/value/klass.py", "start": 31451351, "end": 31468036}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/inference/value/function.py", "start": 31468036, "end": 31485460}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/inference/value/instance.py", "start": 31485460, "end": 31507971}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/inference/value/module.py", "start": 31507971, "end": 31516089}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/inference/value/dynamic_arrays.py", "start": 31516089, "end": 31523615}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/inference/gradual/__init__.py", "start": 31523615, "end": 31523758}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/inference/gradual/type_var.py", "start": 31523758, "end": 31527897}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/inference/gradual/annotation.py", "start": 31527897, "end": 31543829}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/inference/gradual/stub_value.py", "start": 31543829, "end": 31547158}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/inference/gradual/generics.py", "start": 31547158, "end": 31550302}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/inference/gradual/utils.py", "start": 31550302, "end": 31551449}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/inference/gradual/typeshed.py", "start": 31551449, "end": 31562916}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/inference/gradual/typing.py", "start": 31562916, "end": 31580065}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/inference/gradual/base.py", "start": 31580065, "end": 31595619}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/jedi/inference/gradual/conversion.py", "start": 31595619, "end": 31603220}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/ipython-7.32.0.dist-info/entry_points.txt", "start": 31603220, "end": 31603559}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/ipython-7.32.0.dist-info/WHEEL", "start": 31603559, "end": 31603651}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/ipython-7.32.0.dist-info/RECORD", "start": 31603651, "end": 31650352}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/ipython-7.32.0.dist-info/LICENSE", "start": 31650352, "end": 31652072}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/ipython-7.32.0.dist-info/direct_url.json", "start": 31652072, "end": 31652178}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/ipython-7.32.0.dist-info/METADATA", "start": 31652178, "end": 31656436}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/ipython-7.32.0.dist-info/top_level.txt", "start": 31656436, "end": 31656444}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/ipython-7.32.0.dist-info/INSTALLER", "start": 31656444, "end": 31656449}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/site-packages/ipython-7.32.0.dist-info/REQUESTED", "start": 31656449, "end": 31656449}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/ctypes/__init__.py", "start": 31656449, "end": 31674437}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/ctypes/util.py", "start": 31674437, "end": 31688316}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/ctypes/wintypes.py", "start": 31688316, "end": 31693944}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/ctypes/_endian.py", "start": 31693944, "end": 31695944}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/ctypes/_aix.py", "start": 31695944, "end": 31708519}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/ctypes/test/test_bitfields.py", "start": 31708519, "end": 31718741}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/ctypes/test/test_pickling.py", "start": 31718741, "end": 31720959}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/ctypes/test/test_errno.py", "start": 31720959, "end": 31723130}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/ctypes/test/test_returnfuncptrs.py", "start": 31723130, "end": 31726023}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/ctypes/test/test_varsize_struct.py", "start": 31726023, "end": 31727865}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/ctypes/test/__init__.py", "start": 31727865, "end": 31728310}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/ctypes/test/test_memfunctions.py", "start": 31728310, "end": 31731603}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/ctypes/test/test_functions.py", "start": 31731603, "end": 31744105}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/ctypes/test/test_keeprefs.py", "start": 31744105, "end": 31748163}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/ctypes/test/test_frombuffer.py", "start": 31748163, "end": 31753378}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/ctypes/test/test_libc.py", "start": 31753378, "end": 31754383}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/ctypes/test/test_bytes.py", "start": 31754383, "end": 31756370}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/ctypes/test/test_macholib.py", "start": 31756370, "end": 31758491}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/ctypes/test/test_cast.py", "start": 31758491, "end": 31762219}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/ctypes/test/test_pointers.py", "start": 31762219, "end": 31769458}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/ctypes/test/test_init.py", "start": 31769458, "end": 31770497}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/ctypes/test/test_stringptr.py", "start": 31770497, "end": 31773095}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/ctypes/test/test_anon.py", "start": 31773095, "end": 31775635}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/ctypes/test/test_prototypes.py", "start": 31775635, "end": 31782480}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/ctypes/test/test_pep3118.py", "start": 31782480, "end": 31790996}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/ctypes/test/test_delattr.py", "start": 31790996, "end": 31791529}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/ctypes/test/test_simplesubclasses.py", "start": 31791529, "end": 31792818}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/ctypes/test/__main__.py", "start": 31792818, "end": 31792886}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/ctypes/test/test_funcptr.py", "start": 31792886, "end": 31796912}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/ctypes/test/test_byteswap.py", "start": 31796912, "end": 31808323}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/ctypes/test/test_numbers.py", "start": 31808323, "end": 31817793}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/ctypes/test/test_objects.py", "start": 31817793, "end": 31819470}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/ctypes/test/test_incomplete.py", "start": 31819470, "end": 31820493}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/ctypes/test/test_wintypes.py", "start": 31820493, "end": 31821890}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/ctypes/test/test_array_in_pointer.py", "start": 31821890, "end": 31823628}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/ctypes/test/test_checkretval.py", "start": 31823628, "end": 31824596}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/ctypes/test/test_sizes.py", "start": 31824596, "end": 31825400}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/ctypes/test/test_structures.py", "start": 31825400, "end": 31852832}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/ctypes/test/test_find.py", "start": 31852832, "end": 31857292}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/ctypes/test/test_slicing.py", "start": 31857292, "end": 31863317}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/ctypes/test/test_random_things.py", "start": 31863317, "end": 31866153}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/ctypes/test/test_unaligned_structures.py", "start": 31866153, "end": 31867293}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/ctypes/test/test_loading.py", "start": 31867293, "end": 31874429}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/ctypes/test/test_repr.py", "start": 31874429, "end": 31875271}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/ctypes/test/test_cfuncs.py", "start": 31875271, "end": 31882951}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/ctypes/test/test_win32.py", "start": 31882951, "end": 31887978}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/ctypes/test/test_buffers.py", "start": 31887978, "end": 31890589}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/ctypes/test/test_values.py", "start": 31890589, "end": 31894460}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/ctypes/test/test_arrays.py", "start": 31894460, "end": 31901965}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/ctypes/test/test_unicode.py", "start": 31901965, "end": 31903962}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/ctypes/test/test_callbacks.py", "start": 31903962, "end": 31914536}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/ctypes/test/test_struct_fields.py", "start": 31914536, "end": 31917155}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/ctypes/test/test_strings.py", "start": 31917155, "end": 31924458}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/ctypes/test/test_python_api.py", "start": 31924458, "end": 31927324}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/ctypes/test/test_internals.py", "start": 31927324, "end": 31929955}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/ctypes/test/test_refcounts.py", "start": 31929955, "end": 31932531}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/ctypes/test/test_parameters.py", "start": 31932531, "end": 31942101}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/ctypes/test/test_as_parameter.py", "start": 31942101, "end": 31949020}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/ctypes/macholib/framework.py", "start": 31949020, "end": 31951221}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/ctypes/macholib/__init__.py", "start": 31951221, "end": 31951375}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/ctypes/macholib/fetch_macholib", "start": 31951375, "end": 31951459}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/ctypes/macholib/fetch_macholib.bat", "start": 31951459, "end": 31951534}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/ctypes/macholib/dylib.py", "start": 31951534, "end": 31953362}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/ctypes/macholib/dyld.py", "start": 31953362, "end": 31958645}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/ctypes/macholib/README.ctypes", "start": 31958645, "end": 31958941}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/venv/__init__.py", "start": 31958941, "end": 31982154}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/venv/__main__.py", "start": 31982154, "end": 31982299}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/venv/scripts/posix/activate.fish", "start": 31982299, "end": 31984376}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/venv/scripts/posix/activate.csh", "start": 31984376, "end": 31985311}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/venv/scripts/common/activate", "start": 31985311, "end": 31987320}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/venv/scripts/common/Activate.ps1", "start": 31987320, "end": 31996353}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/curses/__init__.py", "start": 31996353, "end": 31999722}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/curses/panel.py", "start": 31999722, "end": 31999809}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/curses/ascii.py", "start": 31999809, "end": 32002356}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/curses/textpad.py", "start": 32002356, "end": 32010013}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/curses/has_key.py", "start": 32010013, "end": 32015647}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/ann_module4.py", "start": 32015647, "end": 32015728}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_bigaddrspace.py", "start": 32015728, "end": 32018626}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_memoryview.py", "start": 32018626, "end": 32036877}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_crypt.py", "start": 32036877, "end": 32040940}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_getopt.py", "start": 32040940, "end": 32047884}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_file_eintr.py", "start": 32047884, "end": 32058750}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/relimport.py", "start": 32058750, "end": 32058777}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/cmath_testcases.txt", "start": 32058777, "end": 32203209}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_traceback.py", "start": 32203209, "end": 32259066}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_types.py", "start": 32259066, "end": 32334836}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_ttk_guionly.py", "start": 32334836, "end": 32335647}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/signalinterproctester.py", "start": 32335647, "end": 32338450}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/allsans.pem", "start": 32338450, "end": 32348555}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/mp_preload.py", "start": 32348555, "end": 32348906}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_fstring.py", "start": 32348906, "end": 32401021}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/dataclass_textanno.py", "start": 32401021, "end": 32401147}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/gdb_sample.py", "start": 32401147, "end": 32401300}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_cgi.py", "start": 32401300, "end": 32424155}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/zip_cp437_header.zip", "start": 32424155, "end": 32424425}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_ipaddress.py", "start": 32424425, "end": 32542926}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_doctest2.txt", "start": 32542926, "end": 32543318}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_regrtest.py", "start": 32543318, "end": 32594035}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_gc.py", "start": 32594035, "end": 32641052}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/double_const.py", "start": 32641052, "end": 32642264}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/keycert4.pem", "start": 32642264, "end": 32651726}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_genericpath.py", "start": 32651726, "end": 32674091}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/mailcap.txt", "start": 32674091, "end": 32675361}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_filecmp.py", "start": 32675361, "end": 32685935}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_errno.py", "start": 32685935, "end": 32687004}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_threading.py", "start": 32687004, "end": 32747888}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_class.py", "start": 32747888, "end": 32765719}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_generator_stop.py", "start": 32765719, "end": 32766662}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_bz2.py", "start": 32766662, "end": 32804785}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_descr.py", "start": 32804785, "end": 33001611}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_iterlen.py", "start": 33001611, "end": 33008877}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/future_test2.py", "start": 33008877, "end": 33009026}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_zipimport.py", "start": 33009026, "end": 33043297}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/dis_module.py", "start": 33043297, "end": 33043373}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_quopri.py", "start": 33043373, "end": 33051335}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_dynamicclassattribute.py", "start": 33051335, "end": 33061130}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_gzip.py", "start": 33061130, "end": 33092588}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_platform.py", "start": 33092588, "end": 33112800}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_zlib.py", "start": 33112800, "end": 33147931}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_doctest2.py", "start": 33147931, "end": 33150346}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_tarfile.py", "start": 33150346, "end": 33256007}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_abstract_numbers.py", "start": 33256007, "end": 33257535}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_pdb.py", "start": 33257535, "end": 33320661}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_osx_env.py", "start": 33320661, "end": 33321999}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_random.py", "start": 33321999, "end": 33378500}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/_test_atexit.py", "start": 33378500, "end": 33382201}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_hashlib.py", "start": 33382201, "end": 33426979}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_cgitb.py", "start": 33426979, "end": 33429581}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_call.py", "start": 33429581, "end": 33455814}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_asynchat.py", "start": 33455814, "end": 33465439}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/__init__.py", "start": 33465439, "end": 33465486}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_runpy.py", "start": 33465486, "end": 33500215}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_iter.py", "start": 33500215, "end": 33533915}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_compare.py", "start": 33533915, "end": 33537743}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_module.py", "start": 33537743, "end": 33550407}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_peepholer.py", "start": 33550407, "end": 33570654}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_strtod.py", "start": 33570654, "end": 33591191}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_future5.py", "start": 33591191, "end": 33591701}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_audit.py", "start": 33591701, "end": 33597252}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/tokenize_tests.txt", "start": 33597252, "end": 33599969}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/mock_socket.py", "start": 33599969, "end": 33603760}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_uuid.py", "start": 33603760, "end": 33644720}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_ioctl.py", "start": 33644720, "end": 33648038}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/nullbytecert.pem", "start": 33648038, "end": 33653473}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_csv.py", "start": 33653473, "end": 33706382}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_dbm_gnu.py", "start": 33706382, "end": 33713053}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_inspect.py", "start": 33713053, "end": 33887246}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_copyreg.py", "start": 33887246, "end": 33891744}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/ieee754.txt", "start": 33891744, "end": 33895027}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_codecencodings_kr.py", "start": 33895027, "end": 33898055}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_multiprocessing_forkserver.py", "start": 33898055, "end": 33898447}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/final_a.py", "start": 33898447, "end": 33898858}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_abc.py", "start": 33898858, "end": 33922606}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_type_annotations.py", "start": 33922606, "end": 33926391}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/randv3.pck", "start": 33926391, "end": 33934395}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/ann_module5.py", "start": 33934395, "end": 33934597}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/seq_tests.py", "start": 33934597, "end": 33949823}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_dbm_ndbm.py", "start": 33949823, "end": 33955063}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_wsgiref.py", "start": 33955063, "end": 33985984}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_print.py", "start": 33985984, "end": 33993891}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_binascii.py", "start": 33993891, "end": 34013286}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_codecencodings_tw.py", "start": 34013286, "end": 34013967}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_codecmaps_tw.py", "start": 34013967, "end": 34014672}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_ntpath.py", "start": 34014672, "end": 34054165}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_weakset.py", "start": 34054165, "end": 34069950}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_threadedtempfile.py", "start": 34069950, "end": 34071868}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_float.py", "start": 34071868, "end": 34139715}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_readline.py", "start": 34139715, "end": 34154298}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_configparser.py", "start": 34154298, "end": 34241749}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/time_hashlib.py", "start": 34241749, "end": 34244692}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/make_ssl_certs.py", "start": 34244692, "end": 34254161}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_lzma.py", "start": 34254161, "end": 34344453}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_decimal.py", "start": 34344453, "end": 34559015}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_dataclasses.py", "start": 34559015, "end": 34685176}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_winreg.py", "start": 34685176, "end": 34706973}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_fcntl.py", "start": 34706973, "end": 34714696}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_operator.py", "start": 34714696, "end": 34739320}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_shutil.py", "start": 34739320, "end": 34845933}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_collections.py", "start": 34845933, "end": 34939918}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/reperf.py", "start": 34939918, "end": 34940456}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/final_b.py", "start": 34940456, "end": 34940867}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_cmath.py", "start": 34940867, "end": 34965529}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_doctest.py", "start": 34965529, "end": 35067534}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_pipes.py", "start": 35067534, "end": 35074402}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_pathlib.py", "start": 35074402, "end": 35186702}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_codeccallbacks.py", "start": 35186702, "end": 35228652}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_tokenize.py", "start": 35228652, "end": 35294008}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_functools.py", "start": 35294008, "end": 35399146}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/profilee.py", "start": 35399146, "end": 35402187}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_builtin.py", "start": 35402187, "end": 35489211}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_bytes.py", "start": 35489211, "end": 35566490}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_scope.py", "start": 35566490, "end": 35586797}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_zipimport_support.py", "start": 35586797, "end": 35597509}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_winconsoleio.py", "start": 35597509, "end": 35604236}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_grammar.py", "start": 35604236, "end": 35669375}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_stringprep.py", "start": 35669375, "end": 35672488}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_pyclbr.py", "start": 35672488, "end": 35682566}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_heapq.py", "start": 35682566, "end": 35699407}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_winsound.py", "start": 35699407, "end": 35704130}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_zipapp.py", "start": 35704130, "end": 35720434}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_long.py", "start": 35720434, "end": 35775567}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/bad_getattr.py", "start": 35775567, "end": 35775628}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/nullcert.pem", "start": 35775628, "end": 35775628}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/bad_coding.py", "start": 35775628, "end": 35775652}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_site.py", "start": 35775652, "end": 35802378}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_ossaudiodev.py", "start": 35802378, "end": 35809620}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_resource.py", "start": 35809620, "end": 35816830}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_clinic.py", "start": 35816830, "end": 35838892}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_datetime.py", "start": 35838892, "end": 35841260}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/ffdh3072.pem", "start": 35841260, "end": 35843472}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/bad_getattr3.py", "start": 35843472, "end": 35843611}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/imp_dummy.py", "start": 35843611, "end": 35843674}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_fractions.py", "start": 35843674, "end": 35874084}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_dictcomps.py", "start": 35874084, "end": 35879356}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_unicodedata.py", "start": 35879356, "end": 35895626}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_glob.py", "start": 35895626, "end": 35911341}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/tokenize_tests-utf8-coding-cookie-and-no-utf8-bom-sig.txt", "start": 35911341, "end": 35911762}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/selfsigned_pythontestdotnet.pem", "start": 35911762, "end": 35913892}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_poplib.py", "start": 35913892, "end": 35931848}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_grp.py", "start": 35931848, "end": 35935481}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_yield_from.py", "start": 35935481, "end": 35966297}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_fileinput.py", "start": 35966297, "end": 36006260}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/ann_module6.py", "start": 36006260, "end": 36006398}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/testtar.tar", "start": 36006398, "end": 36441598}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_set.py", "start": 36441598, "end": 36506517}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/pycacert.pem", "start": 36506517, "end": 36512181}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_locale.py", "start": 36512181, "end": 36537408}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_smtpnet.py", "start": 36537408, "end": 36540465}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_thread.py", "start": 36540465, "end": 36549215}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/nosan.pem", "start": 36549215, "end": 36556934}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_urllib2net.py", "start": 36556934, "end": 36571298}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_threading_local.py", "start": 36571298, "end": 36577728}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/testtar.tar.xz", "start": 36577728, "end": 36577900}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_deque.py", "start": 36577900, "end": 36612336}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_dynamic.py", "start": 36612336, "end": 36616730}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/badsyntax_future10.py", "start": 36616730, "end": 36616825}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_urlparse.py", "start": 36616825, "end": 36682718}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_utf8source.py", "start": 36682718, "end": 36683893}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/tf_inherit_check.py", "start": 36683893, "end": 36684607}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/datetimetester.py", "start": 36684607, "end": 36933317}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_sort.py", "start": 36933317, "end": 36947064}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_int_literal.py", "start": 36947064, "end": 36954117}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_multiprocessing_spawn.py", "start": 36954117, "end": 36954394}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_compileall.py", "start": 36954394, "end": 37002090}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_exception_hierarchy.py", "start": 37002090, "end": 37009696}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/_test_eintr.py", "start": 37009696, "end": 37027773}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_global.py", "start": 37027773, "end": 37029187}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_frame.py", "start": 37029187, "end": 37035554}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_binop.py", "start": 37035554, "end": 37050033}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_mmap.py", "start": 37050033, "end": 37081644}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/ssl_servers.py", "start": 37081644, "end": 37088923}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_nis.py", "start": 37088923, "end": 37090125}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_pwd.py", "start": 37090125, "end": 37094413}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_keyword.py", "start": 37094413, "end": 37095677}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_metaclass.py", "start": 37095677, "end": 37102038}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_userlist.py", "start": 37102038, "end": 37104054}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_select.py", "start": 37104054, "end": 37107452}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_difflib_expect.html", "start": 37107452, "end": 37210718}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_profile.py", "start": 37210718, "end": 37219619}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/string_tests.py", "start": 37219619, "end": 37289284}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_lltrace.py", "start": 37289284, "end": 37290338}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_doctest3.txt", "start": 37290338, "end": 37290420}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/clinic.test", "start": 37290420, "end": 37385527}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_buffer.py", "start": 37385527, "end": 37549683}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_decorators.py", "start": 37549683, "end": 37564451}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_pydoc.py", "start": 37564451, "end": 37623010}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/revocation.crl", "start": 37623010, "end": 37623810}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_script_helper.py", "start": 37623810, "end": 37629726}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/nokia.pem", "start": 37629726, "end": 37631649}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/pythoninfo.py", "start": 37631649, "end": 37652957}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_bisect.py", "start": 37652957, "end": 37668830}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_gdb.py", "start": 37668830, "end": 37711536}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_telnetlib.py", "start": 37711536, "end": 37724586}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_ttk_textonly.py", "start": 37724586, "end": 37741680}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_richcmp.py", "start": 37741680, "end": 37753876}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/mime.types", "start": 37753876, "end": 37802385}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_syslog.py", "start": 37802385, "end": 37803582}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/badcert.pem", "start": 37803582, "end": 37805510}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_ssl.py", "start": 37805510, "end": 38015344}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_super.py", "start": 38015344, "end": 38025172}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_array.py", "start": 38025172, "end": 38081709}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_ctypes.py", "start": 38081709, "end": 38081908}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_shlex.py", "start": 38081908, "end": 38095709}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/exception_hierarchy.txt", "start": 38095709, "end": 38097562}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_marshal.py", "start": 38097562, "end": 38118510}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test__xxsubinterpreters.py", "start": 38118510, "end": 38199342}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_doctest4.txt", "start": 38199342, "end": 38199586}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/pycakey.pem", "start": 38199586, "end": 38202070}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_urllibnet.py", "start": 38202070, "end": 38211617}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_copy.py", "start": 38211617, "end": 38237936}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test__locale.py", "start": 38237936, "end": 38245955}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_codecmaps_jp.py", "start": 38245955, "end": 38247699}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_dict.py", "start": 38247699, "end": 38299628}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_contextlib_async.py", "start": 38299628, "end": 38318674}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_multiprocessing_fork.py", "start": 38318674, "end": 38319151}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_univnewlines.py", "start": 38319151, "end": 38323123}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_bigmem.py", "start": 38323123, "end": 38368981}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/doctest_aliases.py", "start": 38368981, "end": 38369221}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_pickletools.py", "start": 38369221, "end": 38373447}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_html.py", "start": 38373447, "end": 38377783}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_sundry.py", "start": 38377783, "end": 38379937}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_sax.py", "start": 38379937, "end": 38434215}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/keycert2.pem", "start": 38434215, "end": 38438293}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_dis.py", "start": 38438293, "end": 38496111}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_secrets.py", "start": 38496111, "end": 38500492}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_userdict.py", "start": 38500492, "end": 38508236}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/badsyntax_future4.py", "start": 38508236, "end": 38508389}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_string_literals.py", "start": 38508389, "end": 38518492}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/badsyntax_future5.py", "start": 38518492, "end": 38518676}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_defaultdict.py", "start": 38518676, "end": 38524950}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/audiotest.au", "start": 38524950, "end": 38553094}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_genericclass.py", "start": 38553094, "end": 38562599}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_base64.py", "start": 38562599, "end": 38597936}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_dbm.py", "start": 38597936, "end": 38604193}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_sqlite.py", "start": 38604193, "end": 38605181}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_opcache.py", "start": 38605181, "end": 38605710}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_getpass.py", "start": 38605710, "end": 38612147}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_plistlib.py", "start": 38612147, "end": 38651809}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_threadsignals.py", "start": 38651809, "end": 38662160}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_codecmaps_kr.py", "start": 38662160, "end": 38663348}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_xmlrpc.py", "start": 38663348, "end": 38721998}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/__main__.py", "start": 38721998, "end": 38722039}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_mailbox.py", "start": 38722039, "end": 38816032}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/list_tests.py", "start": 38816032, "end": 38833078}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_typing.py", "start": 38833078, "end": 39001078}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_support.py", "start": 39001078, "end": 39027020}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_shelve.py", "start": 39027020, "end": 39033189}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_cprofile.py", "start": 39033189, "end": 39039666}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_selectors.py", "start": 39039666, "end": 39058373}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/cfgparser.3", "start": 39058373, "end": 39059960}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_ordered_dict.py", "start": 39059960, "end": 39092326}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_robotparser.py", "start": 39092326, "end": 39103471}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_ensurepip.py", "start": 39103471, "end": 39115961}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_statistics.py", "start": 39115961, "end": 39231687}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_unicode_identifiers.py", "start": 39231687, "end": 39232671}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_htmlparser.py", "start": 39232671, "end": 39266393}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/testcodec.py", "start": 39266393, "end": 39267439}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_faulthandler.py", "start": 39267439, "end": 39298576}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_minidom.py", "start": 39298576, "end": 39367872}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_trace.py", "start": 39367872, "end": 39388342}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_http_cookiejar.py", "start": 39388342, "end": 39468626}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/pstats.pck", "start": 39468626, "end": 39535233}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_tabnanny.py", "start": 39535233, "end": 39549026}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_venv.py", "start": 39549026, "end": 39571815}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_socketserver.py", "start": 39571815, "end": 39590134}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_wait4.py", "start": 39590134, "end": 39591323}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/multibytecodec_support.py", "start": 39591323, "end": 39605850}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_unicode_file_functions.py", "start": 39605850, "end": 39612752}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_posix.py", "start": 39612752, "end": 39701676}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_coroutines.py", "start": 39701676, "end": 39766170}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_graphlib.py", "start": 39766170, "end": 39774713}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_fileio.py", "start": 39774713, "end": 39795120}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_tempfile.py", "start": 39795120, "end": 39856571}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/floating_points.txt", "start": 39856571, "end": 39872873}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_structseq.py", "start": 39872873, "end": 39877398}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_cmd_line.py", "start": 39877398, "end": 39913573}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_distutils.py", "start": 39913573, "end": 39914160}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_os.py", "start": 39914160, "end": 40084119}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/inspect_stock_annotations.py", "start": 40084119, "end": 40084628}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_repl.py", "start": 40084628, "end": 40088678}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test___future__.py", "start": 40088678, "end": 40091099}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_msilib.py", "start": 40091099, "end": 40096639}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/ann_module2.py", "start": 40096639, "end": 40097158}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/dataclass_module_1_str.py", "start": 40097158, "end": 40097993}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_picklebuffer.py", "start": 40097993, "end": 40103102}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/tokenize_tests-utf8-coding-cookie-and-utf8-bom-sig.txt", "start": 40103102, "end": 40103428}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_augassign.py", "start": 40103428, "end": 40111296}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/Sine-1000Hz-300ms.aif", "start": 40111296, "end": 40172992}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/good_getattr.py", "start": 40172992, "end": 40173190}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_rlcompleter.py", "start": 40173190, "end": 40180462}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_http_cookies.py", "start": 40180462, "end": 40199616}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_difflib.py", "start": 40199616, "end": 40221606}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_xml_dom_minicompat.py", "start": 40221606, "end": 40225888}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_timeit.py", "start": 40225888, "end": 40241448}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_sys_setprofile.py", "start": 40241448, "end": 40254053}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/bad_getattr2.py", "start": 40254053, "end": 40254130}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/future_test1.py", "start": 40254130, "end": 40254359}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/badsyntax_3131.py", "start": 40254359, "end": 40254391}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_future4.py", "start": 40254391, "end": 40254613}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_eof.py", "start": 40254613, "end": 40257709}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/cfgparser.2", "start": 40257709, "end": 40277181}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/ann_module3.py", "start": 40277181, "end": 40277629}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/ssltests.py", "start": 40277629, "end": 40278680}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_binhex.py", "start": 40278680, "end": 40280831}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/zipdir.zip", "start": 40280831, "end": 40281205}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/tokenize_tests-latin1-coding-cookie-and-utf8-bom-sig.txt", "start": 40281205, "end": 40281648}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_xxtestfuzz.py", "start": 40281648, "end": 40282338}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_compile.py", "start": 40282338, "end": 40327840}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/keycert.pem", "start": 40327840, "end": 40331898}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_c_locale_coercion.py", "start": 40331898, "end": 40351274}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_genexps.py", "start": 40351274, "end": 40359087}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/dataclass_module_2.py", "start": 40359087, "end": 40359843}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_turtle.py", "start": 40359843, "end": 40372889}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_strptime.py", "start": 40372889, "end": 40408139}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_sched.py", "start": 40408139, "end": 40415134}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_dtrace.py", "start": 40415134, "end": 40420391}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_imaplib.py", "start": 40420391, "end": 40463461}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/win_console_handler.py", "start": 40463461, "end": 40464877}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_structmembers.py", "start": 40464877, "end": 40469802}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_xml_etree.py", "start": 40469802, "end": 40630342}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_future.py", "start": 40630342, "end": 40645574}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_curses.py", "start": 40645574, "end": 40692998}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_utf8_mode.py", "start": 40692998, "end": 40703533}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_bool.py", "start": 40703533, "end": 40716355}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/idnsans.pem", "start": 40716355, "end": 40726301}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/inspect_stringized_annotations.py", "start": 40726301, "end": 40726913}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/memory_watchdog.py", "start": 40726913, "end": 40727772}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/cfgparser.1", "start": 40727772, "end": 40727839}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_asdl_parser.py", "start": 40727839, "end": 40732388}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_userstring.py", "start": 40732388, "end": 40734849}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/audiotests.py", "start": 40734849, "end": 40747274}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_urllib_response.py", "start": 40747274, "end": 40749211}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/empty.vbs", "start": 40749211, "end": 40749281}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_struct.py", "start": 40749281, "end": 40785304}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_multiprocessing_main_handling.py", "start": 40785304, "end": 40797149}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_mailcap.py", "start": 40797149, "end": 40807400}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_codeop.py", "start": 40807400, "end": 40815932}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/badsyntax_future3.py", "start": 40815932, "end": 40816104}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_check_c_globals.py", "start": 40816104, "end": 40816853}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_xmlrpc_net.py", "start": 40816853, "end": 40817807}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/talos-2019-0758.pem", "start": 40817807, "end": 40819137}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_concurrent_futures.py", "start": 40819137, "end": 40874541}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_pyexpat.py", "start": 40874541, "end": 40901872}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/badkey.pem", "start": 40901872, "end": 40904034}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/_test_embed_set_config.py", "start": 40904034, "end": 40912790}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_asyncgen.py", "start": 40912790, "end": 40960709}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_unicode_file.py", "start": 40960709, "end": 40966551}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_format.py", "start": 40966551, "end": 40991036}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/ann_module.py", "start": 40991036, "end": 40992156}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_imp.py", "start": 40992156, "end": 41010515}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_modulefinder.py", "start": 41010515, "end": 41023007}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_longexp.py", "start": 41023007, "end": 41023240}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/badsyntax_pep3120.py", "start": 41023240, "end": 41023254}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_numeric_tower.py", "start": 41023254, "end": 41030606}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/curses_tests.py", "start": 41030606, "end": 41031848}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_getargs2.py", "start": 41031848, "end": 41084584}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/fork_wait.py", "start": 41084584, "end": 41086870}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/pydoc_mod.py", "start": 41086870, "end": 41087583}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_colorsys.py", "start": 41087583, "end": 41091510}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_largefile.py", "start": 41091510, "end": 41101726}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_enumerate.py", "start": 41101726, "end": 41110392}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_multibytecodec.py", "start": 41110392, "end": 41126526}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_dictviews.py", "start": 41126526, "end": 41140337}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_pickle.py", "start": 41140337, "end": 41159837}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/sample_doctest_no_doctests.py", "start": 41159837, "end": 41160106}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/bad_coding2.py", "start": 41160106, "end": 41160136}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_baseexception.py", "start": 41160136, "end": 41167168}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_poll.py", "start": 41167168, "end": 41174617}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/mapping_tests.py", "start": 41174617, "end": 41196976}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_subprocess.py", "start": 41196976, "end": 41355508}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_unpack.py", "start": 41355508, "end": 41358594}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_startfile.py", "start": 41358594, "end": 41360330}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/randv2_64.pck", "start": 41360330, "end": 41367695}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_sysconfig.py", "start": 41367695, "end": 41387046}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_audioop.py", "start": 41387046, "end": 41415960}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_ucn.py", "start": 41415960, "end": 41425708}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/sample_doctest_no_docstrings.py", "start": 41425708, "end": 41425935}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_asyncore.py", "start": 41425935, "end": 41452688}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_contains.py", "start": 41452688, "end": 41456120}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/randv2_32.pck", "start": 41456120, "end": 41463637}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_queue.py", "start": 41463637, "end": 41484641}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_codecs.py", "start": 41484641, "end": 41620885}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_code_module.py", "start": 41620885, "end": 41626552}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_gettext.py", "start": 41626552, "end": 41668967}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_codecencodings_jp.py", "start": 41668967, "end": 41673874}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_tix.py", "start": 41673874, "end": 41674771}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/inspect_fodder.py", "start": 41674771, "end": 41676698}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_cmd_line_script.py", "start": 41676698, "end": 41710192}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_pkgutil.py", "start": 41710192, "end": 41731911}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/sortperf.py", "start": 41731911, "end": 41736717}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/badsyntax_future9.py", "start": 41736717, "end": 41736859}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_index.py", "start": 41736859, "end": 41745431}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_linecache.py", "start": 41745431, "end": 41755279}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_pkg.py", "start": 41755279, "end": 41765103}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/coding20731.py", "start": 41765103, "end": 41765125}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/bisect_cmd.py", "start": 41765125, "end": 41770464}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_atexit.py", "start": 41770464, "end": 41773684}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_codecencodings_iso2022.py", "start": 41773684, "end": 41775074}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_logging.py", "start": 41775074, "end": 41974904}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_bdb.py", "start": 41974904, "end": 42019136}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_wait3.py", "start": 42019136, "end": 42020985}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_urllib2.py", "start": 42020985, "end": 42100019}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/xmltests.py", "start": 42100019, "end": 42100518}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/ssl_key.passwd.pem", "start": 42100518, "end": 42103172}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_dict_version.py", "start": 42103172, "end": 42109414}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_argparse.py", "start": 42109414, "end": 42290659}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_xml_etree_c.py", "start": 42290659, "end": 42299340}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_slice.py", "start": 42299340, "end": 42307785}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/math_testcases.txt", "start": 42307785, "end": 42331527}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_math.py", "start": 42331527, "end": 42424217}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/mp_fork_bomb.py", "start": 42424217, "end": 42424665}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_docxmlrpc.py", "start": 42424665, "end": 42433547}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_isinstance.py", "start": 42433547, "end": 42446819}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_range.py", "start": 42446819, "end": 42472047}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/inspect_stringized_annotations_2.py", "start": 42472047, "end": 42472107}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test__osx_support.py", "start": 42472107, "end": 42486078}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_time.py", "start": 42486078, "end": 42526851}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_pow.py", "start": 42526851, "end": 42532421}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_generators.py", "start": 42532421, "end": 42597725}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/pyclbr_input.py", "start": 42597725, "end": 42598373}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_unary.py", "start": 42598373, "end": 42600038}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_nntplib.py", "start": 42600038, "end": 42664226}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/badsyntax_future8.py", "start": 42664226, "end": 42664348}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_codecencodings_hk.py", "start": 42664348, "end": 42665049}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_codecmaps_hk.py", "start": 42665049, "end": 42665435}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_zipfile.py", "start": 42665435, "end": 42789843}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_bufio.py", "start": 42789843, "end": 42792487}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_eintr.py", "start": 42792487, "end": 42793071}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_spwd.py", "start": 42793071, "end": 42795866}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_int.py", "start": 42795866, "end": 42817070}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_aifc.py", "start": 42817070, "end": 42835267}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_listcomps.py", "start": 42835267, "end": 42839534}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_property.py", "start": 42839534, "end": 42850601}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_raise.py", "start": 42850601, "end": 42863891}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_lib2to3.py", "start": 42863891, "end": 42864209}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/keycert.passwd.pem", "start": 42864209, "end": 42868434}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/ssl_key.pem", "start": 42868434, "end": 42870922}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_pstats.py", "start": 42870922, "end": 42874311}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_pulldom.py", "start": 42874311, "end": 42887279}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_stat.py", "start": 42887279, "end": 42896064}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_itertools.py", "start": 42896064, "end": 43003605}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_with.py", "start": 43003605, "end": 43030219}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_re.py", "start": 43030219, "end": 43140095}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_memoryio.py", "start": 43140095, "end": 43172334}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/dataclass_module_2_str.py", "start": 43172334, "end": 43173088}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_uu.py", "start": 43173088, "end": 43181382}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_keywordonlyarg.py", "start": 43181382, "end": 43188440}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_named_expressions.py", "start": 43188440, "end": 43209555}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_crashers.py", "start": 43209555, "end": 43210752}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_enum.py", "start": 43210752, "end": 43334794}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_idle.py", "start": 43334794, "end": 43335633}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_tcl.py", "start": 43335633, "end": 43367931}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_type_comments.py", "start": 43367931, "end": 43378709}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/inspect_fodder2.py", "start": 43378709, "end": 43382171}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_popen.py", "start": 43382171, "end": 43384298}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/sample_doctest.py", "start": 43384298, "end": 43385339}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/sgml_input.html", "start": 43385339, "end": 43393633}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_textwrap.py", "start": 43393633, "end": 43436524}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_doctest.txt", "start": 43436524, "end": 43436824}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/tokenize_tests-no-coding-cookie-and-utf8-bom-sig-only.txt", "start": 43436824, "end": 43437126}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_syntax.py", "start": 43437126, "end": 43487949}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_positional_only_arg.py", "start": 43487949, "end": 43506143}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_complex.py", "start": 43506143, "end": 43539708}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_tk.py", "start": 43539708, "end": 43540062}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_optparse.py", "start": 43540062, "end": 43602545}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_exceptions.py", "start": 43602545, "end": 43694001}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_funcattrs.py", "start": 43694001, "end": 43709217}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_capi.py", "start": 43709217, "end": 43750290}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_hash.py", "start": 43750290, "end": 43762012}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_smtpd.py", "start": 43762012, "end": 43803641}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_charmapcodec.py", "start": 43803641, "end": 43805455}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_imghdr.py", "start": 43805455, "end": 43810257}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_string.py", "start": 43810257, "end": 43830529}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_epoll.py", "start": 43830529, "end": 43839886}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/badsyntax_future7.py", "start": 43839886, "end": 43840082}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_mimetypes.py", "start": 43840082, "end": 43853887}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_context.py", "start": 43853887, "end": 43883798}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_webbrowser.py", "start": 43883798, "end": 43894648}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_sunau.py", "start": 43894648, "end": 43900773}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_list.py", "start": 43900773, "end": 43908491}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_contextlib.py", "start": 43908491, "end": 43943119}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_codecencodings_cn.py", "start": 43943119, "end": 43947069}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_unicode.py", "start": 43947069, "end": 44085185}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_io.py", "start": 44085185, "end": 44260171}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/recursion.tar", "start": 44260171, "end": 44260687}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_genericalias.py", "start": 44260687, "end": 44273761}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_exception_variations.py", "start": 44273761, "end": 44277709}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_future3.py", "start": 44277709, "end": 44278199}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/audit-tests.py", "start": 44278199, "end": 44289134}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_smtplib.py", "start": 44289134, "end": 44350624}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_urllib2_localnet.py", "start": 44350624, "end": 44375531}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_sndhdr.py", "start": 44375531, "end": 44376991}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_strftime.py", "start": 44376991, "end": 44384715}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/keycert3.pem", "start": 44384715, "end": 44394163}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_weakref.py", "start": 44394163, "end": 44470254}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_dbm_dumb.py", "start": 44470254, "end": 44481186}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/re_tests.py", "start": 44481186, "end": 44507738}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_fork1.py", "start": 44507738, "end": 44511054}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_pprint.py", "start": 44511054, "end": 44562567}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test___all__.py", "start": 44562567, "end": 44566889}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_netrc.py", "start": 44566889, "end": 44573021}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_finalization.py", "start": 44573021, "end": 44588030}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/pydocfodder.py", "start": 44588030, "end": 44594362}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_ast.py", "start": 44594362, "end": 44701229}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/mod_generics_cache.py", "start": 44701229, "end": 44702389}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test__opcode.py", "start": 44702389, "end": 44705510}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_source_encoding.py", "start": 44705510, "end": 44714343}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_posixpath.py", "start": 44714343, "end": 44747102}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_pty.py", "start": 44747102, "end": 44764359}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_socket.py", "start": 44764359, "end": 45014918}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_descrtut.py", "start": 45014918, "end": 45026748}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_subclassinit.py", "start": 45026748, "end": 45035061}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_frozen.py", "start": 45035061, "end": 45036004}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_tracemalloc.py", "start": 45036004, "end": 45076113}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_httplib.py", "start": 45076113, "end": 45157150}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_reprlib.py", "start": 45157150, "end": 45172642}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_hmac.py", "start": 45172642, "end": 45198658}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_timeout.py", "start": 45198658, "end": 45209920}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/formatfloat_testcases.txt", "start": 45209920, "end": 45217550}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_sys_settrace.py", "start": 45217550, "end": 45277702}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_ftplib.py", "start": 45277702, "end": 45320424}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/badsyntax_future6.py", "start": 45320424, "end": 45320585}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_urllib.py", "start": 45320585, "end": 45392345}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_unparse.py", "start": 45392345, "end": 45411052}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/autotest.py", "start": 45411052, "end": 45411261}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/regrtest.py", "start": 45411261, "end": 45412556}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_wave.py", "start": 45412556, "end": 45419214}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_xdrlib.py", "start": 45419214, "end": 45421440}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_patma.py", "start": 45421440, "end": 45507578}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/lock_tests.py", "start": 45507578, "end": 45538454}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_codecmaps_cn.py", "start": 45538454, "end": 45539200}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/ssl_cert.pem", "start": 45539200, "end": 45540770}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_xxlimited.py", "start": 45540770, "end": 45542956}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/pickletester.py", "start": 45542956, "end": 45683270}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_httpservers.py", "start": 45683270, "end": 45735039}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_symtable.py", "start": 45735039, "end": 45744626}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_interpreters.py", "start": 45744626, "end": 45767643}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_openpty.py", "start": 45767643, "end": 45768243}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_typechecks.py", "start": 45768243, "end": 45770858}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_setcomps.py", "start": 45770858, "end": 45775104}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_cmd.py", "start": 45775104, "end": 45781353}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_sys.py", "start": 45781353, "end": 45840832}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_zipfile64.py", "start": 45840832, "end": 45846813}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_py_compile.py", "start": 45846813, "end": 45858527}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/secp384r1.pem", "start": 45858527, "end": 45858783}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_tuple.py", "start": 45858783, "end": 45878090}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_flufl.py", "start": 45878090, "end": 45879681}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_fnmatch.py", "start": 45879681, "end": 45886615}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/dataclass_module_1.py", "start": 45886615, "end": 45887452}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_calendar.py", "start": 45887452, "end": 45938521}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_embed.py", "start": 45938521, "end": 45996162}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_file.py", "start": 45996162, "end": 46008223}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_code.py", "start": 46008223, "end": 46021387}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_unittest.py", "start": 46021387, "end": 46021613}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_extcall.py", "start": 46021613, "end": 46035998}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/_test_multiprocessing.py", "start": 46035998, "end": 46231930}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/_typed_dict_helper.py", "start": 46231930, "end": 46232424}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_kqueue.py", "start": 46232424, "end": 46241390}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_signal.py", "start": 46241390, "end": 46290948}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/keycertecc.pem", "start": 46290948, "end": 46296585}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_unpack_ex.py", "start": 46296585, "end": 46306730}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_devpoll.py", "start": 46306730, "end": 46311279}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_opcodes.py", "start": 46311279, "end": 46314956}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_tools/__init__.py", "start": 46314956, "end": 46316185}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_tools/test_gprof2html.py", "start": 46316185, "end": 46317104}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_tools/test_i18n.py", "start": 46317104, "end": 46328563}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_tools/test_fixcid.py", "start": 46328563, "end": 46331572}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_tools/test_lll.py", "start": 46331572, "end": 46332772}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_tools/test_sundry.py", "start": 46332772, "end": 46334669}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_tools/__main__.py", "start": 46334669, "end": 46334741}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_tools/test_pathfix.py", "start": 46334741, "end": 46339275}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_tools/test_pindent.py", "start": 46339275, "end": 46347936}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_tools/test_reindent.py", "start": 46347936, "end": 46348942}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_tools/test_md5sum.py", "start": 46348942, "end": 46351703}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_tools/test_pdeps.py", "start": 46351703, "end": 46352527}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/subprocessdata/qgrep.py", "start": 46352527, "end": 46352780}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/subprocessdata/fd_status.py", "start": 46352780, "end": 46353615}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/subprocessdata/input_reader.py", "start": 46353615, "end": 46353745}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/subprocessdata/sigchild_ignore.py", "start": 46353745, "end": 46354502}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/subprocessdata/qcat.py", "start": 46354502, "end": 46354661}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/xmltestdata/simple.xml", "start": 46354661, "end": 46354783}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/xmltestdata/expat224_utf8_bug.xml", "start": 46354783, "end": 46355819}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/xmltestdata/test.xml.out", "start": 46355819, "end": 46357206}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/xmltestdata/test.xml", "start": 46357206, "end": 46358594}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/xmltestdata/simple-ns.xml", "start": 46358594, "end": 46358746}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/xmltestdata/c14n-20/out_inNsSort_c14nPrefix.xml", "start": 46358746, "end": 46358946}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/xmltestdata/c14n-20/doc.dtd", "start": 46358946, "end": 46359014}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/xmltestdata/c14n-20/out_inC14N1_c14nDefault.xml", "start": 46359014, "end": 46359114}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/xmltestdata/c14n-20/out_inC14N4_c14nDefault.xml", "start": 46359114, "end": 46359545}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/xmltestdata/c14n-20/c14nQnameElem.xml", "start": 46359545, "end": 46359835}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/xmltestdata/c14n-20/c14nPrefix.xml", "start": 46359835, "end": 46360092}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/xmltestdata/c14n-20/inC14N6.xml", "start": 46360092, "end": 46360154}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/xmltestdata/c14n-20/out_inC14N3_c14nPrefix.xml", "start": 46360154, "end": 46360632}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/xmltestdata/c14n-20/out_inNsSuperfluous_c14nPrefix.xml", "start": 46360632, "end": 46360755}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/xmltestdata/c14n-20/out_inNsContent_c14nQnameElem.xml", "start": 46360755, "end": 46361025}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/xmltestdata/c14n-20/out_inC14N2_c14nDefault.xml", "start": 46361025, "end": 46361194}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/xmltestdata/c14n-20/out_inNsXml_c14nDefault.xml", "start": 46361194, "end": 46361330}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/xmltestdata/c14n-20/out_inC14N3_c14nTrim.xml", "start": 46361330, "end": 46361659}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/xmltestdata/c14n-20/README", "start": 46361659, "end": 46363525}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/xmltestdata/c14n-20/out_inNsPushdown_c14nPrefix.xml", "start": 46363525, "end": 46363733}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/xmltestdata/c14n-20/c14nPrefixQname.xml", "start": 46363733, "end": 46364119}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/xmltestdata/c14n-20/inC14N4.xml", "start": 46364119, "end": 46364635}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/xmltestdata/c14n-20/out_inC14N3_c14nDefault.xml", "start": 46364635, "end": 46365040}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/xmltestdata/c14n-20/c14nQname.xml", "start": 46365040, "end": 46365370}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/xmltestdata/c14n-20/doc.xsl", "start": 46365370, "end": 46365523}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/xmltestdata/c14n-20/world.txt", "start": 46365523, "end": 46365528}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/xmltestdata/c14n-20/out_inNsRedecl_c14nPrefix.xml", "start": 46365528, "end": 46365701}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/xmltestdata/c14n-20/inC14N3.xml", "start": 46365701, "end": 46366273}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/xmltestdata/c14n-20/out_inNsXml_c14nPrefixQname.xml", "start": 46366273, "end": 46366465}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/xmltestdata/c14n-20/out_inNsDefault_c14nDefault.xml", "start": 46366465, "end": 46366537}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/xmltestdata/c14n-20/out_inNsContent_c14nQnameXpathElem.xml", "start": 46366537, "end": 46366881}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/xmltestdata/c14n-20/out_inNsDefault_c14nPrefix.xml", "start": 46366881, "end": 46366975}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/xmltestdata/c14n-20/out_inNsXml_c14nQname.xml", "start": 46366975, "end": 46367156}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/xmltestdata/c14n-20/inNsDefault.xml", "start": 46367156, "end": 46367241}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/xmltestdata/c14n-20/out_inNsXml_c14nPrefix.xml", "start": 46367241, "end": 46367390}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/xmltestdata/c14n-20/inNsContent.xml", "start": 46367390, "end": 46367758}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/xmltestdata/c14n-20/out_inC14N2_c14nTrim.xml", "start": 46367758, "end": 46367857}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/xmltestdata/c14n-20/inC14N5.xml", "start": 46367857, "end": 46368172}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/xmltestdata/c14n-20/out_inC14N1_c14nComment.xml", "start": 46368172, "end": 46368328}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/xmltestdata/c14n-20/inC14N2.xml", "start": 46368328, "end": 46368498}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/xmltestdata/c14n-20/out_inC14N5_c14nDefault.xml", "start": 46368498, "end": 46368547}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/xmltestdata/c14n-20/out_inNsContent_c14nPrefixQnameXpathElem.xml", "start": 46368547, "end": 46368875}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/xmltestdata/c14n-20/inNsRedecl.xml", "start": 46368875, "end": 46369052}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/xmltestdata/c14n-20/inNsPushdown.xml", "start": 46369052, "end": 46369179}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/xmltestdata/c14n-20/out_inC14N6_c14nDefault.xml", "start": 46369179, "end": 46369192}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/xmltestdata/c14n-20/inNsSuperfluous.xml", "start": 46369192, "end": 46369386}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/xmltestdata/c14n-20/c14nComment.xml", "start": 46369386, "end": 46369639}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/xmltestdata/c14n-20/out_inC14N4_c14nTrim.xml", "start": 46369639, "end": 46370041}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/xmltestdata/c14n-20/inNsSort.xml", "start": 46370041, "end": 46370214}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/xmltestdata/c14n-20/out_inNsPushdown_c14nDefault.xml", "start": 46370214, "end": 46370406}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/xmltestdata/c14n-20/c14nPrefixQnameXpathElem.xml", "start": 46370406, "end": 46370836}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/xmltestdata/c14n-20/out_inNsContent_c14nDefault.xml", "start": 46370836, "end": 46371061}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/xmltestdata/c14n-20/out_inNsSuperfluous_c14nDefault.xml", "start": 46371061, "end": 46371248}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/xmltestdata/c14n-20/c14nQnameXpathElem.xml", "start": 46371248, "end": 46371622}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/xmltestdata/c14n-20/out_inNsRedecl_c14nDefault.xml", "start": 46371622, "end": 46371802}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/xmltestdata/c14n-20/inNsXml.xml", "start": 46371802, "end": 46371984}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/xmltestdata/c14n-20/c14nDefault.xml", "start": 46371984, "end": 46372139}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/xmltestdata/c14n-20/c14nTrim.xml", "start": 46372139, "end": 46372390}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/xmltestdata/c14n-20/out_inC14N5_c14nTrim.xml", "start": 46372390, "end": 46372434}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/xmltestdata/c14n-20/out_inNsSort_c14nDefault.xml", "start": 46372434, "end": 46372620}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/xmltestdata/c14n-20/inC14N1.xml", "start": 46372620, "end": 46372844}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_zoneinfo/__init__.py", "start": 46372844, "end": 46372873}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_zoneinfo/_support.py", "start": 46372873, "end": 46376073}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_zoneinfo/test_zoneinfo.py", "start": 46376073, "end": 46450774}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_zoneinfo/__main__.py", "start": 46450774, "end": 46450827}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_zoneinfo/data/update_test_data.py", "start": 46450827, "end": 46453993}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_zoneinfo/data/zoneinfo_data.json", "start": 46453993, "end": 46466888}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_warnings/__init__.py", "start": 46466888, "end": 46520774}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_warnings/__main__.py", "start": 46520774, "end": 46520827}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_warnings/data/import_warning.py", "start": 46520827, "end": 46520916}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_warnings/data/stacklevel.py", "start": 46520916, "end": 46521156}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/cjkencodings/hz-utf8.txt", "start": 46521156, "end": 46521245}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/cjkencodings/gb18030.txt", "start": 46521245, "end": 46522109}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/cjkencodings/hz.txt", "start": 46522109, "end": 46522192}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/cjkencodings/big5hkscs-utf8.txt", "start": 46522192, "end": 46522224}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/cjkencodings/cp949-utf8.txt", "start": 46522224, "end": 46522702}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/cjkencodings/johab.txt", "start": 46522702, "end": 46523048}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/cjkencodings/shift_jisx0213-utf8.txt", "start": 46523048, "end": 46524192}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/cjkencodings/big5hkscs.txt", "start": 46524192, "end": 46524215}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/cjkencodings/big5-utf8.txt", "start": 46524215, "end": 46524779}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/cjkencodings/gbk.txt", "start": 46524779, "end": 46525534}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/cjkencodings/euc_jisx0213-utf8.txt", "start": 46525534, "end": 46526678}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/cjkencodings/euc_kr-utf8.txt", "start": 46526678, "end": 46527264}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/cjkencodings/cp949.txt", "start": 46527264, "end": 46527610}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/cjkencodings/euc_jp-utf8.txt", "start": 46527610, "end": 46528704}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/cjkencodings/iso2022_kr.txt", "start": 46528704, "end": 46529206}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/cjkencodings/euc_kr.txt", "start": 46529206, "end": 46529662}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/cjkencodings/johab-utf8.txt", "start": 46529662, "end": 46530140}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/cjkencodings/gbk-utf8.txt", "start": 46530140, "end": 46531183}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/cjkencodings/shift_jisx0213.txt", "start": 46531183, "end": 46531972}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/cjkencodings/shift_jis.txt", "start": 46531972, "end": 46532732}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/cjkencodings/shift_jis-utf8.txt", "start": 46532732, "end": 46533826}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/cjkencodings/gb2312-utf8.txt", "start": 46533826, "end": 46534306}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/cjkencodings/iso2022_jp-utf8.txt", "start": 46534306, "end": 46535400}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/cjkencodings/euc_jisx0213.txt", "start": 46535400, "end": 46536193}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/cjkencodings/big5.txt", "start": 46536193, "end": 46536625}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/cjkencodings/iso2022_kr-utf8.txt", "start": 46536625, "end": 46537188}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/cjkencodings/gb18030-utf8.txt", "start": 46537188, "end": 46538315}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/cjkencodings/iso2022_jp.txt", "start": 46538315, "end": 46539183}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/cjkencodings/euc_jp.txt", "start": 46539183, "end": 46539943}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/cjkencodings/gb2312.txt", "start": 46539943, "end": 46540267}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_import/__init__.py", "start": 46540267, "end": 46593023}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_import/__main__.py", "start": 46593023, "end": 46593074}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_import/data/unwritable/__init__.py", "start": 46593074, "end": 46593419}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_import/data/unwritable/x.py", "start": 46593419, "end": 46593419}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_import/data/circular_imports/binding.py", "start": 46593419, "end": 46593486}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_import/data/circular_imports/subpackage.py", "start": 46593486, "end": 46593565}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_import/data/circular_imports/basic.py", "start": 46593565, "end": 46593643}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_import/data/circular_imports/use.py", "start": 46593643, "end": 46593676}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_import/data/circular_imports/rebinding2.py", "start": 46593676, "end": 46593742}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_import/data/circular_imports/indirect.py", "start": 46593742, "end": 46593770}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_import/data/circular_imports/from_cycle2.py", "start": 46593770, "end": 46593803}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_import/data/circular_imports/binding2.py", "start": 46593803, "end": 46593868}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_import/data/circular_imports/source.py", "start": 46593868, "end": 46593895}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_import/data/circular_imports/util.py", "start": 46593895, "end": 46593916}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_import/data/circular_imports/basic2.py", "start": 46593916, "end": 46593936}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_import/data/circular_imports/from_cycle1.py", "start": 46593936, "end": 46593969}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_import/data/circular_imports/rebinding.py", "start": 46593969, "end": 46594091}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_import/data/circular_imports/subpkg/subpackage2.py", "start": 46594091, "end": 46594141}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_import/data/circular_imports/subpkg/util.py", "start": 46594141, "end": 46594162}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_import/data/package2/submodule2.py", "start": 46594162, "end": 46594162}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_import/data/package2/submodule1.py", "start": 46594162, "end": 46594233}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_import/data/package/__init__.py", "start": 46594233, "end": 46594276}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_import/data/package/submodule.py", "start": 46594276, "end": 46594276}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/tracedmodules/__init__.py", "start": 46594276, "end": 46594479}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/tracedmodules/testmod.py", "start": 46594479, "end": 46594622}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/encoded_modules/__init__.py", "start": 46594622, "end": 46595896}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/encoded_modules/module_koi8_r.py", "start": 46595896, "end": 46596009}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/encoded_modules/module_iso_8859_1.py", "start": 46596009, "end": 46596247}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/test_main.py", "start": 46596247, "end": 46605210}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/test_open.py", "start": 46605210, "end": 46607573}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/fixtures.py", "start": 46607573, "end": 46615031}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/test_files.py", "start": 46615031, "end": 46616042}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/test_reader.py", "start": 46616042, "end": 46620318}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/__init__.py", "start": 46620318, "end": 46620460}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/test_abc.py", "start": 46620460, "end": 46655472}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/test_windows.py", "start": 46655472, "end": 46662409}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/test_spec.py", "start": 46662409, "end": 46694029}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/test_metadata_api.py", "start": 46694029, "end": 46705192}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/test_resource.py", "start": 46705192, "end": 46713564}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/test_read.py", "start": 46713564, "end": 46715555}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/stubs.py", "start": 46715555, "end": 46715788}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/test_locks.py", "start": 46715788, "end": 46720305}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/test_lazy.py", "start": 46720305, "end": 46725234}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/update-zips.py", "start": 46725234, "end": 46726649}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/test_path.py", "start": 46726649, "end": 46728570}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/__main__.py", "start": 46728570, "end": 46728628}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/threaded_import_hangers.py", "start": 46728628, "end": 46730112}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/util.py", "start": 46730112, "end": 46748751}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/test_namespace_pkgs.py", "start": 46748751, "end": 46759731}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/test_zip.py", "start": 46759731, "end": 46762401}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/test_api.py", "start": 46762401, "end": 46781434}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/test_pkg_import.py", "start": 46781434, "end": 46784191}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/abc.py", "start": 46784191, "end": 46786463}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/test_threaded_import.py", "start": 46786463, "end": 46796185}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/test_util.py", "start": 46796185, "end": 46831688}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/frozen/__init__.py", "start": 46831688, "end": 46831830}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/frozen/test_finder.py", "start": 46831830, "end": 46834059}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/frozen/test_loader.py", "start": 46834059, "end": 46843242}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/frozen/__main__.py", "start": 46843242, "end": 46843300}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/namespace_pkgs/top_level_portion1.zip", "start": 46843300, "end": 46843632}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/namespace_pkgs/missing_directory.zip", "start": 46843632, "end": 46844147}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/namespace_pkgs/nested_portion1.zip", "start": 46844147, "end": 46844703}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/namespace_pkgs/project1/parent/child/one.py", "start": 46844703, "end": 46844729}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/namespace_pkgs/portion1/foo/one.py", "start": 46844729, "end": 46844755}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/namespace_pkgs/both_portions/foo/one.py", "start": 46844755, "end": 46844786}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/namespace_pkgs/both_portions/foo/two.py", "start": 46844786, "end": 46844817}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/namespace_pkgs/module_and_namespace_package/a_test.py", "start": 46844817, "end": 46844836}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/namespace_pkgs/module_and_namespace_package/a_test/empty", "start": 46844836, "end": 46844836}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/namespace_pkgs/portion2/foo/two.py", "start": 46844836, "end": 46844862}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/namespace_pkgs/project3/parent/child/three.py", "start": 46844862, "end": 46844890}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/namespace_pkgs/project2/parent/child/two.py", "start": 46844890, "end": 46844916}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/namespace_pkgs/not_a_namespace_pkg/foo/__init__.py", "start": 46844916, "end": 46844916}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/namespace_pkgs/not_a_namespace_pkg/foo/one.py", "start": 46844916, "end": 46844942}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/builtin/__init__.py", "start": 46844942, "end": 46845084}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/builtin/test_finder.py", "start": 46845084, "end": 46848384}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/builtin/test_loader.py", "start": 46848384, "end": 46852249}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/builtin/__main__.py", "start": 46852249, "end": 46852307}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/zipdata01/ziptestdata.zip", "start": 46852307, "end": 46853183}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/zipdata01/__init__.py", "start": 46853183, "end": 46853183}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/data03/__init__.py", "start": 46853183, "end": 46853183}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/data03/namespace/resource1.txt", "start": 46853183, "end": 46853183}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/data03/namespace/portion1/__init__.py", "start": 46853183, "end": 46853183}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/data03/namespace/portion2/__init__.py", "start": 46853183, "end": 46853183}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/import_/__init__.py", "start": 46853183, "end": 46853325}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/import_/test_packages.py", "start": 46853325, "end": 46857914}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/import_/test___package__.py", "start": 46857914, "end": 46864407}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/import_/test_relative_imports.py", "start": 46864407, "end": 46873872}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/import_/test_caching.py", "start": 46873872, "end": 46877846}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/import_/test___loader__.py", "start": 46877846, "end": 46879989}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/import_/test_path.py", "start": 46879989, "end": 46891457}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/import_/__main__.py", "start": 46891457, "end": 46891515}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/import_/test_api.py", "start": 46891515, "end": 46896481}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/import_/test_fromlist.py", "start": 46896481, "end": 46903968}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/import_/test_meta_path.py", "start": 46903968, "end": 46908688}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/partial/pool_in_threads.py", "start": 46908688, "end": 46909147}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/partial/cfimport.py", "start": 46909147, "end": 46909972}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/namespacedata01/utf-8.file", "start": 46909972, "end": 46909992}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/namespacedata01/utf-16.file", "start": 46909992, "end": 46910036}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/namespacedata01/binary.file", "start": 46910036, "end": 46910040}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/data01/__init__.py", "start": 46910040, "end": 46910040}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/data01/utf-8.file", "start": 46910040, "end": 46910060}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/data01/utf-16.file", "start": 46910060, "end": 46910104}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/data01/binary.file", "start": 46910104, "end": 46910108}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/data01/subdirectory/__init__.py", "start": 46910108, "end": 46910108}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/data01/subdirectory/binary.file", "start": 46910108, "end": 46910112}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/source/test_file_loader.py", "start": 46910112, "end": 46942668}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/source/__init__.py", "start": 46942668, "end": 46942810}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/source/test_finder.py", "start": 46942810, "end": 46951617}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/source/__main__.py", "start": 46951617, "end": 46951675}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/source/test_case_sensitivity.py", "start": 46951675, "end": 46955192}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/source/test_path_hook.py", "start": 46955192, "end": 46956382}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/source/test_source_encoding.py", "start": 46956382, "end": 46961713}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/zipdata02/ziptestdata.zip", "start": 46961713, "end": 46962411}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/zipdata02/__init__.py", "start": 46962411, "end": 46962411}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/data/__init__.py", "start": 46962411, "end": 46962411}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/data/example-21.12-py3.6.egg", "start": 46962411, "end": 46963908}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/data/example-21.12-py3-none-any.whl", "start": 46963908, "end": 46965363}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/data02/__init__.py", "start": 46965363, "end": 46965363}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/data02/two/__init__.py", "start": 46965363, "end": 46965363}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/data02/two/resource2.txt", "start": 46965363, "end": 46965376}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/data02/one/__init__.py", "start": 46965376, "end": 46965376}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/data02/one/resource1.txt", "start": 46965376, "end": 46965389}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/extension/__init__.py", "start": 46965389, "end": 46965531}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/extension/test_finder.py", "start": 46965531, "end": 46966688}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/extension/test_loader.py", "start": 46966688, "end": 46977901}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/extension/__main__.py", "start": 46977901, "end": 46977959}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/extension/test_case_sensitivity.py", "start": 46977959, "end": 46979688}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_importlib/extension/test_path_hook.py", "start": 46979688, "end": 46980552}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/capath/5ed36f99.0", "start": 46980552, "end": 46983121}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/capath/ceff1710.0", "start": 46983121, "end": 46984715}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/capath/b1930218.0", "start": 46984715, "end": 46986309}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/capath/6e88d7b8.0", "start": 46986309, "end": 46987123}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/capath/99d0fa06.0", "start": 46987123, "end": 46989692}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/capath/4e1295a3.0", "start": 46989692, "end": 46990506}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/imghdrdata/python.tiff", "start": 46990506, "end": 46991832}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/imghdrdata/python.png", "start": 46991832, "end": 46992852}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/imghdrdata/python.gif", "start": 46992852, "end": 46993462}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/imghdrdata/python.bmp", "start": 46993462, "end": 46994624}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/imghdrdata/python.pgm", "start": 46994624, "end": 46994893}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/imghdrdata/python.xbm", "start": 46994893, "end": 46995175}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/imghdrdata/python.pbm", "start": 46995175, "end": 46995216}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/imghdrdata/python.sgi", "start": 46995216, "end": 46997183}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/imghdrdata/python.jpg", "start": 46997183, "end": 46997726}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/imghdrdata/python.ras", "start": 46997726, "end": 46998782}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/imghdrdata/python.webp", "start": 46998782, "end": 46999214}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/imghdrdata/python.exr", "start": 46999214, "end": 47001849}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/imghdrdata/python.ppm", "start": 47001849, "end": 47002630}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/ziptestdata/testdata_module_inside_zip.py", "start": 47002630, "end": 47002699}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/ziptestdata/README.md", "start": 47002699, "end": 47003707}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/ziptestdata/exe_with_z64", "start": 47003707, "end": 47004685}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/ziptestdata/header.sh", "start": 47004685, "end": 47005398}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/ziptestdata/exe_with_zip", "start": 47005398, "end": 47006388}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/support/import_helper.py", "start": 47006388, "end": 47014108}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/support/threading_helper.py", "start": 47014108, "end": 47020758}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/support/__init__.py", "start": 47020758, "end": 47090347}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/support/hashlib_helper.py", "start": 47090347, "end": 47092254}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/support/os_helper.py", "start": 47092254, "end": 47111978}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/support/script_helper.py", "start": 47111978, "end": 47123495}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/support/logging_helper.py", "start": 47123495, "end": 47124411}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/support/warnings_helper.py", "start": 47124411, "end": 47131016}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/support/bytecode_helper.py", "start": 47131016, "end": 47132663}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/support/socket_helper.py", "start": 47132663, "end": 47144107}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/support/interpreters.py", "start": 47144107, "end": 47149936}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/support/testresult.py", "start": 47149936, "end": 47155934}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/logb.decTest", "start": 47155934, "end": 47163253}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/dqAdd.decTest", "start": 47163253, "end": 47252450}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/ddNextPlus.decTest", "start": 47252450, "end": 47259173}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/clamp.decTest", "start": 47259173, "end": 47270182}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/or.decTest", "start": 47270182, "end": 47286039}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/dqMinMag.decTest", "start": 47286039, "end": 47297688}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/dqReduce.decTest", "start": 47297688, "end": 47305508}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/ddCompare.decTest", "start": 47305508, "end": 47335790}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/log10.decTest", "start": 47335790, "end": 47368486}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/ddRemainder.decTest", "start": 47368486, "end": 47395473}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/ddDivideInt.decTest", "start": 47395473, "end": 47415057}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/minmag.decTest", "start": 47415057, "end": 47430495}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/powersqrt.decTest", "start": 47430495, "end": 47589150}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/ddScaleB.decTest", "start": 47589150, "end": 47601937}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/ddMinus.decTest", "start": 47601937, "end": 47605727}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/dqPlus.decTest", "start": 47605727, "end": 47609839}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/dqCopyNegate.decTest", "start": 47609839, "end": 47614087}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/ddNextToward.decTest", "start": 47614087, "end": 47639077}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/invert.decTest", "start": 47639077, "end": 47647363}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/xor.decTest", "start": 47647363, "end": 47663692}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/ddCompareSig.decTest", "start": 47663692, "end": 47692100}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/rotate.decTest", "start": 47692100, "end": 47703988}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/ddRemainderNear.decTest", "start": 47703988, "end": 47734247}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/ddXor.decTest", "start": 47734247, "end": 47751949}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/divideint.decTest", "start": 47751949, "end": 47772385}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/testall.decTest", "start": 47772385, "end": 47775116}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/dqNextMinus.decTest", "start": 47775116, "end": 47783767}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/dqScaleB.decTest", "start": 47783767, "end": 47799826}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/ddNextMinus.decTest", "start": 47799826, "end": 47806653}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/dqRemainderNear.decTest", "start": 47806653, "end": 47837942}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/dqToIntegral.decTest", "start": 47837942, "end": 47850166}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/extra.decTest", "start": 47850166, "end": 47942679}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/dqCopySign.decTest", "start": 47942679, "end": 47950907}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/divide.decTest", "start": 47950907, "end": 47988711}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/nexttoward.decTest", "start": 47988711, "end": 48013935}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/compare.decTest", "start": 48013935, "end": 48043562}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/dqAbs.decTest", "start": 48043562, "end": 48048837}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/nextminus.decTest", "start": 48048837, "end": 48055779}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/copysign.decTest", "start": 48055779, "end": 48063157}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/dqClass.decTest", "start": 48063157, "end": 48067177}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/dqNextToward.decTest", "start": 48067177, "end": 48096903}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/ddFMA.decTest", "start": 48096903, "end": 48199083}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/multiply.decTest", "start": 48199083, "end": 48237397}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/copy.decTest", "start": 48237397, "end": 48240773}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/quantize.decTest", "start": 48240773, "end": 48288055}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/randomBound32.decTest", "start": 48288055, "end": 48592561}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/shift.decTest", "start": 48592561, "end": 48604233}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/ddCompareTotalMag.decTest", "start": 48604233, "end": 48636651}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/dqCompareSig.decTest", "start": 48636651, "end": 48666346}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/ddCanonical.decTest", "start": 48666346, "end": 48685254}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/dqOr.decTest", "start": 48685254, "end": 48715871}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/ddCopySign.decTest", "start": 48715871, "end": 48723503}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/ddBase.decTest", "start": 48723503, "end": 48777960}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/dqXor.decTest", "start": 48777960, "end": 48806223}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/dqSameQuantum.decTest", "start": 48806223, "end": 48824368}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/remainderNear.decTest", "start": 48824368, "end": 48849386}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/tointegral.decTest", "start": 48849386, "end": 48858250}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/fma.decTest", "start": 48858250, "end": 49053576}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/scaleb.decTest", "start": 49053576, "end": 49063488}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/dqNextPlus.decTest", "start": 49063488, "end": 49072015}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/ddCopyNegate.decTest", "start": 49072015, "end": 49075897}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/ddAbs.decTest", "start": 49075897, "end": 49080798}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/comparetotal.decTest", "start": 49080798, "end": 49115221}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/dqRotate.decTest", "start": 49115221, "end": 49136201}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/ddToIntegral.decTest", "start": 49136201, "end": 49148393}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/ddShift.decTest", "start": 49148393, "end": 49161804}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/dqDivideInt.decTest", "start": 49161804, "end": 49181630}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/ddInvert.decTest", "start": 49181630, "end": 49191991}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/dqAnd.decTest", "start": 49191991, "end": 49221114}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/ddPlus.decTest", "start": 49221114, "end": 49224860}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/reduce.decTest", "start": 49224860, "end": 49234179}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/dqEncode.decTest", "start": 49234179, "end": 49265609}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/copyabs.decTest", "start": 49265609, "end": 49269093}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/ddLogB.decTest", "start": 49269093, "end": 49275333}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/ddMultiply.decTest", "start": 49275333, "end": 49304637}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/ddOr.decTest", "start": 49304637, "end": 49320660}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/ddEncode.decTest", "start": 49320660, "end": 49345348}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/squareroot.decTest", "start": 49345348, "end": 49537807}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/copynegate.decTest", "start": 49537807, "end": 49541480}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/decSingle.decTest", "start": 49541480, "end": 49542936}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/dqCopyAbs.decTest", "start": 49542936, "end": 49547037}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/power.decTest", "start": 49547037, "end": 49642018}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/dqBase.decTest", "start": 49642018, "end": 49700973}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/base.decTest", "start": 49700973, "end": 49762328}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/add.decTest", "start": 49762328, "end": 49902666}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/ddMaxMag.decTest", "start": 49902666, "end": 49915409}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/dqMinus.decTest", "start": 49915409, "end": 49919565}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/dqDivide.decTest", "start": 49919565, "end": 49974667}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/dqMax.decTest", "start": 49974667, "end": 49987016}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/randoms.decTest", "start": 49987016, "end": 50278089}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/rescale.decTest", "start": 50278089, "end": 50313346}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/ln.decTest", "start": 50313346, "end": 50348871}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/dqCompareTotal.decTest", "start": 50348871, "end": 50379717}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/ddRotate.decTest", "start": 50379717, "end": 50393799}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/abs.decTest", "start": 50393799, "end": 50400089}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/ddSubtract.decTest", "start": 50400089, "end": 50435487}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/dqCompareTotalMag.decTest", "start": 50435487, "end": 50468113}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/dqShift.decTest", "start": 50468113, "end": 50487549}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/ddAdd.decTest", "start": 50487549, "end": 50565644}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/dsBase.decTest", "start": 50565644, "end": 50615210}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/ddCompareTotal.decTest", "start": 50615210, "end": 50645848}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/rounding.decTest", "start": 50645848, "end": 50709620}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/class.decTest", "start": 50709620, "end": 50715996}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/dqQuantize.decTest", "start": 50715996, "end": 50759088}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/dqMultiply.decTest", "start": 50759088, "end": 50791581}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/dqLogB.decTest", "start": 50791581, "end": 50797961}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/ddClass.decTest", "start": 50797961, "end": 50801868}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/ddSameQuantum.decTest", "start": 50801868, "end": 50819409}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/ddMin.decTest", "start": 50819409, "end": 50831378}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/decDouble.decTest", "start": 50831378, "end": 50833587}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/dqRemainder.decTest", "start": 50833587, "end": 50861150}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/tointegralx.decTest", "start": 50861150, "end": 50873010}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/dqMaxMag.decTest", "start": 50873010, "end": 50885799}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/subtract.decTest", "start": 50885799, "end": 50930104}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/nextplus.decTest", "start": 50930104, "end": 50937027}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/max.decTest", "start": 50937027, "end": 50952999}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/ddMax.decTest", "start": 50952999, "end": 50965313}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/dqInvert.decTest", "start": 50965313, "end": 50981437}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/ddMinMag.decTest", "start": 50981437, "end": 50993062}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/plus.decTest", "start": 50993062, "end": 51000944}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/ddAnd.decTest", "start": 51000944, "end": 51019563}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/samequantum.decTest", "start": 51019563, "end": 51035765}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/remainder.decTest", "start": 51035765, "end": 51062889}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/inexact.decTest", "start": 51062889, "end": 51073381}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/ddCopy.decTest", "start": 51073381, "end": 51077002}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/ddCopyAbs.decTest", "start": 51077002, "end": 51080731}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/dqSubtract.decTest", "start": 51080731, "end": 51122659}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/ddQuantize.decTest", "start": 51122659, "end": 51165152}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/and.decTest", "start": 51165152, "end": 51181516}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/ddDivide.decTest", "start": 51181516, "end": 51229653}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/comparetotmag.decTest", "start": 51229653, "end": 51265782}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/decQuad.decTest", "start": 51265782, "end": 51267989}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/minus.decTest", "start": 51267989, "end": 51275414}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/dqFMA.decTest", "start": 51275414, "end": 51405404}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/dqCompare.decTest", "start": 51405404, "end": 51438526}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/dsEncode.decTest", "start": 51438526, "end": 51454412}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/dqCopy.decTest", "start": 51454412, "end": 51458399}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/dqCanonical.decTest", "start": 51458399, "end": 51485718}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/exp.decTest", "start": 51485718, "end": 51525159}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/dqMin.decTest", "start": 51525159, "end": 51537163}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/maxmag.decTest", "start": 51537163, "end": 51554515}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/ddReduce.decTest", "start": 51554515, "end": 51561975}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/decimaltestdata/min.decTest", "start": 51561975, "end": 51577665}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_asyncio/test_pep492.py", "start": 51577665, "end": 51583448}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_asyncio/test_base_events.py", "start": 51583448, "end": 51664037}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_asyncio/test_windows_utils.py", "start": 51664037, "end": 51668273}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_asyncio/__init__.py", "start": 51668273, "end": 51668556}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_asyncio/test_transports.py", "start": 51668556, "end": 51672175}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_asyncio/test_runners.py", "start": 51672175, "end": 51677353}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_asyncio/test_queues.py", "start": 51677353, "end": 51696240}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_asyncio/test_futures2.py", "start": 51696240, "end": 51696934}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_asyncio/test_events.py", "start": 51696934, "end": 51802743}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_asyncio/test_proactor_events.py", "start": 51802743, "end": 51839150}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_asyncio/echo2.py", "start": 51839150, "end": 51839273}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_asyncio/test_server.py", "start": 51839273, "end": 51843167}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_asyncio/functional.py", "start": 51843167, "end": 51850644}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_asyncio/test_locks.py", "start": 51850644, "end": 51877639}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_asyncio/test_buffered_proto.py", "start": 51877639, "end": 51879976}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_asyncio/test_streams.py", "start": 51879976, "end": 51917193}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_asyncio/__main__.py", "start": 51917193, "end": 51917251}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_asyncio/utils.py", "start": 51917251, "end": 51934600}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_asyncio/test_futures.py", "start": 51934600, "end": 51964351}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_asyncio/test_unix_events.py", "start": 51964351, "end": 52026895}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_asyncio/test_threads.py", "start": 52026895, "end": 52029371}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_asyncio/test_windows_events.py", "start": 52029371, "end": 52038507}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_asyncio/echo.py", "start": 52038507, "end": 52038655}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_asyncio/test_sock_lowlevel.py", "start": 52038655, "end": 52057056}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_asyncio/test_asyncio_waitfor.py", "start": 52057056, "end": 52058544}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_asyncio/test_subprocess.py", "start": 52058544, "end": 52084602}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_asyncio/test_tasks.py", "start": 52084602, "end": 52208080}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_asyncio/echo3.py", "start": 52208080, "end": 52208356}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_asyncio/test_protocols.py", "start": 52208356, "end": 52210400}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_asyncio/test_selector_events.py", "start": 52210400, "end": 52258697}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_asyncio/test_context.py", "start": 52258697, "end": 52259717}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_asyncio/test_sendfile.py", "start": 52259717, "end": 52280435}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_asyncio/test_sslproto.py", "start": 52280435, "end": 52306850}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/libregrtest/runtest.py", "start": 52306850, "end": 52319415}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/libregrtest/main.py", "start": 52319415, "end": 52345221}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/libregrtest/__init__.py", "start": 52345221, "end": 52345340}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/libregrtest/save_env.py", "start": 52345340, "end": 52358283}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/libregrtest/pgo.py", "start": 52358283, "end": 52359640}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/libregrtest/setup.py", "start": 52359640, "end": 52365524}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/libregrtest/utils.py", "start": 52365524, "end": 52370669}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/libregrtest/win_utils.py", "start": 52370669, "end": 52377325}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/libregrtest/runtest_mp.py", "start": 52377325, "end": 52394848}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/libregrtest/cmdline.py", "start": 52394848, "end": 52414431}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/libregrtest/refleak.py", "start": 52414431, "end": 52420599}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_json/test_indent.py", "start": 52420599, "end": 52422423}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_json/test_pass3.py", "start": 52422423, "end": 52422967}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_json/__init__.py", "start": 52422967, "end": 52425155}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_json/test_scanstring.py", "start": 52425155, "end": 52429810}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_json/test_float.py", "start": 52429810, "end": 52431021}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_json/test_separators.py", "start": 52431021, "end": 52432340}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_json/test_pass1.py", "start": 52432340, "end": 52434177}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_json/test_encode_basestring_ascii.py", "start": 52434177, "end": 52436443}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_json/test_dump.py", "start": 52436443, "end": 52438852}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_json/test_pass2.py", "start": 52438852, "end": 52439300}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_json/__main__.py", "start": 52439300, "end": 52439371}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_json/test_tool.py", "start": 52439371, "end": 52446888}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_json/test_recursion.py", "start": 52446888, "end": 52449909}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_json/test_speedups.py", "start": 52449909, "end": 52453237}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_json/test_enum.py", "start": 52453237, "end": 52457271}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_json/test_default.py", "start": 52457271, "end": 52457561}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_json/test_decode.py", "start": 52457561, "end": 52461780}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_json/test_unicode.py", "start": 52461780, "end": 52465912}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_json/test_fail.py", "start": 52465912, "end": 52474953}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/audiodata/pluck-pcm24.aiff", "start": 52474953, "end": 52495073}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/audiodata/pluck-pcm8.aiff", "start": 52495073, "end": 52501965}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/audiodata/pluck-pcm24.wav", "start": 52501965, "end": 52521949, "audio": 1}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/audiodata/pluck-ulaw.aifc", "start": 52521949, "end": 52528859}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/audiodata/pluck-pcm16.wav", "start": 52528859, "end": 52542229, "audio": 1}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/audiodata/pluck-pcm32.au", "start": 52542229, "end": 52568709}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/audiodata/pluck-pcm16.aiff", "start": 52568709, "end": 52582215}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/audiodata/pluck-pcm16.au", "start": 52582215, "end": 52595467}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/audiodata/pluck-pcm8.au", "start": 52595467, "end": 52602105}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/audiodata/pluck-pcm32.aiff", "start": 52602105, "end": 52628839}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/audiodata/pluck-ulaw.au", "start": 52628839, "end": 52635477}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/audiodata/pluck-alaw.aifc", "start": 52635477, "end": 52642387}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/audiodata/pluck-pcm32.wav", "start": 52642387, "end": 52668985, "audio": 1}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/audiodata/pluck-pcm8.wav", "start": 52668985, "end": 52675741, "audio": 1}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/audiodata/pluck-pcm24.au", "start": 52675741, "end": 52695607}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/sndhdrdata/sndhdr.hcom", "start": 52695607, "end": 52695863}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/sndhdrdata/sndhdr.voc", "start": 52695863, "end": 52695926}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/sndhdrdata/README", "start": 52695926, "end": 52696123}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/sndhdrdata/sndhdr.au", "start": 52696123, "end": 52696187}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/sndhdrdata/sndhdr.sndt", "start": 52696187, "end": 52696316}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/sndhdrdata/sndhdr.wav", "start": 52696316, "end": 52696380, "audio": 1}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/sndhdrdata/sndhdr.aiff", "start": 52696380, "end": 52696488}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/sndhdrdata/sndhdr.aifc", "start": 52696488, "end": 52696594}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/sndhdrdata/sndhdr.8svx", "start": 52696594, "end": 52696704}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_email/test_pickleable.py", "start": 52696704, "end": 52699253}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_email/__init__.py", "start": 52699253, "end": 52705594}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_email/test__header_value_parser.py", "start": 52705594, "end": 52831869}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_email/test_utils.py", "start": 52831869, "end": 52839051}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_email/torture_test.py", "start": 52839051, "end": 52842658}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_email/test_contentmanager.py", "start": 52842658, "end": 52877758}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_email/test_defect_handling.py", "start": 52877758, "end": 52889726}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_email/test_parser.py", "start": 52889726, "end": 52894059}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_email/test_policy.py", "start": 52894059, "end": 52909938}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_email/test_headerregistry.py", "start": 52909938, "end": 52974779}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_email/test_email.py", "start": 52974779, "end": 53187672}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_email/__main__.py", "start": 53187672, "end": 53187744}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_email/test__encoded_words.py", "start": 53187744, "end": 53194478}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_email/test_inversion.py", "start": 53194478, "end": 53196771}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_email/test_generator.py", "start": 53196771, "end": 53208946}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_email/test_asian_codecs.py", "start": 53208946, "end": 53212091}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_email/test_message.py", "start": 53212091, "end": 53246987}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_email/data/msg_01.txt", "start": 53246987, "end": 53247446}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_email/data/PyBanner048.gif", "start": 53247446, "end": 53248400}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_email/data/msg_20.txt", "start": 53248400, "end": 53248907}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_email/data/msg_19.txt", "start": 53248907, "end": 53249664}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_email/data/msg_40.txt", "start": 53249664, "end": 53249861}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_email/data/msg_27.txt", "start": 53249861, "end": 53250439}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_email/data/msg_33.txt", "start": 53250439, "end": 53251189}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_email/data/msg_42.txt", "start": 53251189, "end": 53251502}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_email/data/msg_06.txt", "start": 53251502, "end": 53252543}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_email/data/msg_15.txt", "start": 53252543, "end": 53253849}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_email/data/msg_14.txt", "start": 53253849, "end": 53254490}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_email/data/msg_12a.txt", "start": 53254490, "end": 53255136}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_email/data/msg_10.txt", "start": 53255136, "end": 53256020}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_email/data/msg_46.txt", "start": 53256020, "end": 53256836}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_email/data/msg_37.txt", "start": 53256836, "end": 53257045}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_email/data/msg_05.txt", "start": 53257045, "end": 53257603}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_email/data/msg_26.txt", "start": 53257603, "end": 53259706}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_email/data/msg_35.txt", "start": 53259706, "end": 53259842}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_email/data/audiotest.au", "start": 53259842, "end": 53287986}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_email/data/msg_36.txt", "start": 53287986, "end": 53288802}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_email/data/msg_23.txt", "start": 53288802, "end": 53288941}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_email/data/msg_11.txt", "start": 53288941, "end": 53289083}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_email/data/msg_30.txt", "start": 53289083, "end": 53289405}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_email/data/msg_07.txt", "start": 53289405, "end": 53294632}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_email/data/msg_44.txt", "start": 53294632, "end": 53295527}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_email/data/msg_13.txt", "start": 53295527, "end": 53300894}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_email/data/msg_41.txt", "start": 53300894, "end": 53301079}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_email/data/msg_02.txt", "start": 53301079, "end": 53303891}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_email/data/msg_16.txt", "start": 53303891, "end": 53309094}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_email/data/msg_18.txt", "start": 53309094, "end": 53309324}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_email/data/msg_29.txt", "start": 53309324, "end": 53309907}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_email/data/msg_25.txt", "start": 53309907, "end": 53315029}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_email/data/msg_45.txt", "start": 53315029, "end": 53315994}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_email/data/msg_31.txt", "start": 53315994, "end": 53316194}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_email/data/msg_22.txt", "start": 53316194, "end": 53318088}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_email/data/msg_09.txt", "start": 53318088, "end": 53318520}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_email/data/msg_21.txt", "start": 53318520, "end": 53318896}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_email/data/msg_34.txt", "start": 53318896, "end": 53319196}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_email/data/msg_38.txt", "start": 53319196, "end": 53321744}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_email/data/msg_39.txt", "start": 53321744, "end": 53323699}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_email/data/msg_32.txt", "start": 53323699, "end": 53324117}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_email/data/msg_04.txt", "start": 53324117, "end": 53325078}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_email/data/msg_03.txt", "start": 53325078, "end": 53325444}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_email/data/msg_24.txt", "start": 53325444, "end": 53325601}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_email/data/msg_43.txt", "start": 53325601, "end": 53334767}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_email/data/msg_12.txt", "start": 53334767, "end": 53335411}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_email/data/msg_17.txt", "start": 53335411, "end": 53335741}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_email/data/msg_08.txt", "start": 53335741, "end": 53336195}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_email/data/msg_28.txt", "start": 53336195, "end": 53336575}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/data/README", "start": 53336575, "end": 53336704}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_peg_generator/__init__.py", "start": 53336704, "end": 53336875}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_peg_generator/test_grammar_validator.py", "start": 53336875, "end": 53338708}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_peg_generator/test_first_sets.py", "start": 53338708, "end": 53345790}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_peg_generator/__main__.py", "start": 53345790, "end": 53345848}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_peg_generator/test_pegen.py", "start": 53345848, "end": 53375233}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/test_peg_generator/test_c_parser.py", "start": 53375233, "end": 53392071}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/dtracedata/line.d.expected", "start": 53392071, "end": 53392577}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/dtracedata/gc.d", "start": 53392577, "end": 53392874}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/dtracedata/call_stack.d", "start": 53392874, "end": 53393531}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/dtracedata/gc.stp", "start": 53393531, "end": 53393975}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/dtracedata/assert_usable.d", "start": 53393975, "end": 53394030}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/dtracedata/line.py", "start": 53394030, "end": 53394323}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/dtracedata/gc.d.expected", "start": 53394323, "end": 53394407}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/dtracedata/gc.py", "start": 53394407, "end": 53394562}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/dtracedata/call_stack.d.expected", "start": 53394562, "end": 53395359}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/dtracedata/gc.stp.expected", "start": 53395359, "end": 53395451}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/dtracedata/call_stack.stp", "start": 53395451, "end": 53396258}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/dtracedata/call_stack.py", "start": 53396258, "end": 53396750}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/dtracedata/instance.py", "start": 53396750, "end": 53397067}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/dtracedata/assert_usable.stp", "start": 53397067, "end": 53397121}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/dtracedata/call_stack.stp.expected", "start": 53397121, "end": 53397727}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/test/dtracedata/line.d", "start": 53397727, "end": 53397906}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/html/__init__.py", "start": 53397906, "end": 53402662}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/html/entities.py", "start": 53402662, "end": 53477977}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/html/parser.py", "start": 53477977, "end": 53495369}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/logging/__init__.py", "start": 53495369, "end": 53575574}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/logging/config.py", "start": 53575574, "end": 53612037}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/logging/handlers.py", "start": 53612037, "end": 53672666}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/multiprocessing/__init__.py", "start": 53672666, "end": 53673582}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/multiprocessing/forkserver.py", "start": 53673582, "end": 53685724}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/multiprocessing/popen_spawn_win32.py", "start": 53685724, "end": 53689735}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/multiprocessing/popen_spawn_posix.py", "start": 53689735, "end": 53691764}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/multiprocessing/sharedctypes.py", "start": 53691764, "end": 53698070}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/multiprocessing/resource_sharer.py", "start": 53698070, "end": 53703202}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/multiprocessing/popen_forkserver.py", "start": 53703202, "end": 53705432}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/multiprocessing/pool.py", "start": 53705432, "end": 53737987}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/multiprocessing/shared_memory.py", "start": 53737987, "end": 53756383}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/multiprocessing/context.py", "start": 53756383, "end": 53767640}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/multiprocessing/process.py", "start": 53767640, "end": 53779640}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/multiprocessing/queues.py", "start": 53779640, "end": 53791633}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/multiprocessing/util.py", "start": 53791633, "end": 53805656}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/multiprocessing/spawn.py", "start": 53805656, "end": 53814952}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/multiprocessing/reduction.py", "start": 53814952, "end": 53824464}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/multiprocessing/popen_fork.py", "start": 53824464, "end": 53826841}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/multiprocessing/resource_tracker.py", "start": 53826841, "end": 53835816}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/multiprocessing/managers.py", "start": 53835816, "end": 53883318}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/multiprocessing/connection.py", "start": 53883318, "end": 53915342}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/multiprocessing/synchronize.py", "start": 53915342, "end": 53926952}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/multiprocessing/heap.py", "start": 53926952, "end": 53938578}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/multiprocessing/dummy/__init__.py", "start": 53938578, "end": 53941639}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/multiprocessing/dummy/connection.py", "start": 53941639, "end": 53943237}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/email/charset.py", "start": 53943237, "end": 53960365}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/email/contentmanager.py", "start": 53960365, "end": 53970920}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/email/__init__.py", "start": 53970920, "end": 53972686}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/email/generator.py", "start": 53972686, "end": 53992882}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/email/header.py", "start": 53992882, "end": 54016984}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/email/base64mime.py", "start": 54016984, "end": 54020543}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/email/utils.py", "start": 54020543, "end": 54033965}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/email/errors.py", "start": 54033965, "end": 54037700}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/email/architecture.rst", "start": 54037700, "end": 54047261}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/email/_header_value_parser.py", "start": 54047261, "end": 54154220}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/email/iterators.py", "start": 54154220, "end": 54156355}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/email/policy.py", "start": 54156355, "end": 54166738}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/email/quoprimime.py", "start": 54166738, "end": 54176596}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/email/message.py", "start": 54176596, "end": 54223656}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/email/_policybase.py", "start": 54223656, "end": 54238729}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/email/headerregistry.py", "start": 54238729, "end": 54259542}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/email/encoders.py", "start": 54259542, "end": 54261328}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/email/feedparser.py", "start": 54261328, "end": 54284108}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/email/parser.py", "start": 54284108, "end": 54289149}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/email/_encoded_words.py", "start": 54289149, "end": 54297673}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/email/_parseaddr.py", "start": 54297673, "end": 54315400}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/email/mime/application.py", "start": 54315400, "end": 54316721}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/email/mime/__init__.py", "start": 54316721, "end": 54316721}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/email/mime/nonmultipart.py", "start": 54316721, "end": 54317412}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/email/mime/image.py", "start": 54317412, "end": 54319241}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/email/mime/text.py", "start": 54319241, "end": 54320678}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/email/mime/multipart.py", "start": 54320678, "end": 54322299}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/email/mime/audio.py", "start": 54322299, "end": 54325038}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/email/mime/message.py", "start": 54325038, "end": 54326355}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/email/mime/base.py", "start": 54326355, "end": 54327271}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/json/__init__.py", "start": 54327271, "end": 54341290}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/json/tool.py", "start": 54341290, "end": 54344629}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/json/scanner.py", "start": 54344629, "end": 54347054}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/json/encoder.py", "start": 54347054, "end": 54363127}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/json/decoder.py", "start": 54363127, "end": 54375599}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/importlib/__init__.py", "start": 54375599, "end": 54381688}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/importlib/_common.py", "start": 54381688, "end": 54384762}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/importlib/_bootstrap.py", "start": 54384762, "end": 54426229}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/importlib/machinery.py", "start": 54426229, "end": 54427060}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/importlib/_abc.py", "start": 54427060, "end": 54428912}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/importlib/resources.py", "start": 54428912, "end": 54434617}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/importlib/util.py", "start": 54434617, "end": 54446104}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/importlib/readers.py", "start": 54446104, "end": 54449691}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/importlib/_adapters.py", "start": 54449691, "end": 54451599}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/importlib/_bootstrap_external.py", "start": 54451599, "end": 54516071}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/importlib/abc.py", "start": 54516071, "end": 54530492}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/importlib/metadata/__init__.py", "start": 54530492, "end": 54559965}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/importlib/metadata/_itertools.py", "start": 54559965, "end": 54560572}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/importlib/metadata/_meta.py", "start": 54560572, "end": 54561702}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/importlib/metadata/_functools.py", "start": 54561702, "end": 54564203}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/importlib/metadata/_text.py", "start": 54564203, "end": 54566401}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/importlib/metadata/_adapters.py", "start": 54566401, "end": 54568263}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/importlib/metadata/_collections.py", "start": 54568263, "end": 54569006}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/unittest/_log.py", "start": 54569006, "end": 54571752}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/unittest/main.py", "start": 54571752, "end": 54582990}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/unittest/__init__.py", "start": 54582990, "end": 54586751}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/unittest/mock.py", "start": 54586751, "end": 54688837}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/unittest/suite.py", "start": 54688837, "end": 54702349}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/unittest/runner.py", "start": 54702349, "end": 54710400}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/unittest/__main__.py", "start": 54710400, "end": 54710872}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/unittest/signals.py", "start": 54710872, "end": 54713275}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/unittest/util.py", "start": 54713275, "end": 54718490}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/unittest/case.py", "start": 54718490, "end": 54776052}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/unittest/async_case.py", "start": 54776052, "end": 54782273}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/unittest/result.py", "start": 54782273, "end": 54789742}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/unittest/loader.py", "start": 54789742, "end": 54812444}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/unittest/test/support.py", "start": 54812444, "end": 54816196}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/unittest/test/test_result.py", "start": 54816196, "end": 54860149}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/unittest/test/__init__.py", "start": 54860149, "end": 54860733}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/unittest/test/test_case.py", "start": 54860733, "end": 54937892}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/unittest/test/_test_warnings.py", "start": 54937892, "end": 54940196}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/unittest/test/test_loader.py", "start": 54940196, "end": 55003251}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/unittest/test/__main__.py", "start": 55003251, "end": 55003847}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/unittest/test/test_functiontestcase.py", "start": 55003847, "end": 55009387}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/unittest/test/test_runner.py", "start": 55009387, "end": 55053869}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/unittest/test/dummy.py", "start": 55053869, "end": 55053919}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/unittest/test/test_assertions.py", "start": 55053919, "end": 55071127}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/unittest/test/test_break.py", "start": 55071127, "end": 55080620}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/unittest/test/test_suite.py", "start": 55080620, "end": 55095804}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/unittest/test/test_skipping.py", "start": 55095804, "end": 55115884}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/unittest/test/test_async_case.py", "start": 55115884, "end": 55127603}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/unittest/test/test_setups.py", "start": 55127603, "end": 55144106}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/unittest/test/test_program.py", "start": 55144106, "end": 55159623}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/unittest/test/test_discovery.py", "start": 55159623, "end": 55193682}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/unittest/test/testmock/support.py", "start": 55193682, "end": 55193950}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/unittest/test/testmock/__init__.py", "start": 55193950, "end": 55194415}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/unittest/test/testmock/testmagicmethods.py", "start": 55194415, "end": 55210658}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/unittest/test/testmock/testpatch.py", "start": 55210658, "end": 55269657}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/unittest/test/testmock/testwith.py", "start": 55269657, "end": 55281916}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/unittest/test/testmock/testcallable.py", "start": 55281916, "end": 55286183}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/unittest/test/testmock/__main__.py", "start": 55286183, "end": 55286806}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/unittest/test/testmock/testsentinel.py", "start": 55286806, "end": 55288131}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/unittest/test/testmock/testmock.py", "start": 55288131, "end": 55363969}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/unittest/test/testmock/testsealable.py", "start": 55363969, "end": 55371338}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/unittest/test/testmock/testasync.py", "start": 55371338, "end": 55408554}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/unittest/test/testmock/testhelpers.py", "start": 55408554, "end": 55442202}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/tkinter/dnd.py", "start": 55442202, "end": 55453846}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/tkinter/ttk.py", "start": 55453846, "end": 55510997}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/tkinter/scrolledtext.py", "start": 55510997, "end": 55512813}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/tkinter/filedialog.py", "start": 55512813, "end": 55527760}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/tkinter/__init__.py", "start": 55527760, "end": 55698274}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/tkinter/font.py", "start": 55698274, "end": 55705274}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/tkinter/simpledialog.py", "start": 55705274, "end": 55717027}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/tkinter/commondialog.py", "start": 55717027, "end": 55718323}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/tkinter/dialog.py", "start": 55718323, "end": 55719866}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/tkinter/colorchooser.py", "start": 55719866, "end": 55722526}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/tkinter/__main__.py", "start": 55722526, "end": 55722674}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/tkinter/messagebox.py", "start": 55722674, "end": 55726535}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/tkinter/tix.py", "start": 55726535, "end": 55803575}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/tkinter/constants.py", "start": 55803575, "end": 55805068}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/tkinter/test/support.py", "start": 55805068, "end": 55809657}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/tkinter/test/__init__.py", "start": 55809657, "end": 55809657}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/tkinter/test/README", "start": 55809657, "end": 55810223}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/tkinter/test/widget_tests.py", "start": 55810223, "end": 55830603}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/tkinter/test/test_tkinter/test_font.py", "start": 55830603, "end": 55836577}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/tkinter/test/test_tkinter/__init__.py", "start": 55836577, "end": 55836577}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/tkinter/test/test_tkinter/test_messagebox.py", "start": 55836577, "end": 55837702}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/tkinter/test/test_tkinter/test_misc.py", "start": 55837702, "end": 55850751}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/tkinter/test/test_tkinter/test_images.py", "start": 55850751, "end": 55866220}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/tkinter/test/test_tkinter/test_simpledialog.py", "start": 55866220, "end": 55867229}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/tkinter/test/test_tkinter/test_widgets.py", "start": 55867229, "end": 55918981}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/tkinter/test/test_tkinter/test_text.py", "start": 55918981, "end": 55920374}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/tkinter/test/test_tkinter/test_colorchooser.py", "start": 55920374, "end": 55922576}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/tkinter/test/test_tkinter/test_loadtk.py", "start": 55922576, "end": 55924062}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/tkinter/test/test_tkinter/test_geometry_managers.py", "start": 55924062, "end": 55965077}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/tkinter/test/test_tkinter/test_variables.py", "start": 55965077, "end": 55975878}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/tkinter/test/test_ttk/__init__.py", "start": 55975878, "end": 55975878}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/tkinter/test/test_ttk/test_extensions.py", "start": 55975878, "end": 55987818}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/tkinter/test/test_ttk/test_widgets.py", "start": 55987818, "end": 56056572}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/tkinter/test/test_ttk/test_style.py", "start": 56056572, "end": 56063296}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/filelist.py", "start": 56063296, "end": 56067172}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/config-main.def", "start": 56067172, "end": 56070340}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/config-highlight.def", "start": 56070340, "end": 56073204}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/rpc.py", "start": 56073204, "end": 56094280}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/zzdummy.py", "start": 56094280, "end": 56096285}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/runscript.py", "start": 56096285, "end": 56104558}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/colorizer.py", "start": 56104558, "end": 56119331}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/NEWS2x.txt", "start": 56119331, "end": 56146503}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/__init__.py", "start": 56146503, "end": 56146899}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/NEWS.txt", "start": 56146899, "end": 56197968}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/tree.py", "start": 56197968, "end": 56214338}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/statusbar.py", "start": 56214338, "end": 56215810}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/mainmenu.py", "start": 56215810, "end": 56219728}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/config-keys.def", "start": 56219728, "end": 56230638}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/autocomplete.py", "start": 56230638, "end": 56239992}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/run.py", "start": 56239992, "end": 56261548}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/delegator.py", "start": 56261548, "end": 56262591}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/debugger_r.py", "start": 56262591, "end": 56274758}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/debugobj_r.py", "start": 56274758, "end": 56275840}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/editor.py", "start": 56275840, "end": 56341716}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/zoomheight.py", "start": 56341716, "end": 56345919}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/textview.py", "start": 56345919, "end": 56352732}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/pyshell.py", "start": 56352732, "end": 56415613}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/config_key.py", "start": 56415613, "end": 56430153}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/configdialog.py", "start": 56430153, "end": 56535891}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/replace.py", "start": 56535891, "end": 56545980}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/grep.py", "start": 56545980, "end": 56553459}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/autocomplete_w.py", "start": 56553459, "end": 56574556}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/help_about.py", "start": 56574556, "end": 56583545}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/HISTORY.txt", "start": 56583545, "end": 56593857}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/pathbrowser.py", "start": 56593857, "end": 56597050}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/browser.py", "start": 56597050, "end": 56605364}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/searchengine.py", "start": 56605364, "end": 56612726}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/macosx.py", "start": 56612726, "end": 56622389}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/__main__.py", "start": 56622389, "end": 56622548}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/parenmatch.py", "start": 56622548, "end": 56629752}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/config.py", "start": 56629752, "end": 56667925}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/sidebar.py", "start": 56667925, "end": 56688339}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/TODO.txt", "start": 56688339, "end": 56696817}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/undo.py", "start": 56696817, "end": 56707863}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/percolator.py", "start": 56707863, "end": 56711409}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/extend.txt", "start": 56711409, "end": 56715040}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/idle.pyw", "start": 56715040, "end": 56715610}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/multicall.py", "start": 56715610, "end": 56734258}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/pyparse.py", "start": 56734258, "end": 56754205}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/searchbase.py", "start": 56754205, "end": 56762061}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/help.py", "start": 56762061, "end": 56773912}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/scrolledlist.py", "start": 56773912, "end": 56778377}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/window.py", "start": 56778377, "end": 56780993}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/outwin.py", "start": 56780993, "end": 56786702}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/iomenu.py", "start": 56786702, "end": 56802434}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/dynoption.py", "start": 56802434, "end": 56804451}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/README.txt", "start": 56804451, "end": 56814050}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/hyperparser.py", "start": 56814050, "end": 56826933}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/ChangeLog", "start": 56826933, "end": 56883293}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/history.py", "start": 56883293, "end": 56887354}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/idle.bat", "start": 56887354, "end": 56887531}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/config-extensions.def", "start": 56887531, "end": 56889797}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/squeezer.py", "start": 56889797, "end": 56902631}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/idle.py", "start": 56902631, "end": 56903085}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/debugger.py", "start": 56903085, "end": 56922189}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/CREDITS.txt", "start": 56922189, "end": 56924055}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/codecontext.py", "start": 56924055, "end": 56935475}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/debugobj.py", "start": 56935475, "end": 56939530}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/tooltip.py", "start": 56939530, "end": 56946087}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/redirector.py", "start": 56946087, "end": 56952962}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/help.html", "start": 56952962, "end": 57022239}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/calltip.py", "start": 57022239, "end": 57029506}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/query.py", "start": 57029506, "end": 57044577}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/calltip_w.py", "start": 57044577, "end": 57051735}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/search.py", "start": 57051735, "end": 57057301}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/format.py", "start": 57057301, "end": 57073078}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/autoexpand.py", "start": 57073078, "end": 57076294}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/stackviewer.py", "start": 57076294, "end": 57080748}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/idle_test/test_pyshell.py", "start": 57080748, "end": 57085713}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/idle_test/test_help.py", "start": 57085713, "end": 57086562}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/idle_test/test_tooltip.py", "start": 57086562, "end": 57091947}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/idle_test/test_delegator.py", "start": 57091947, "end": 57093514}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/idle_test/test_config.py", "start": 57093514, "end": 57125560}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/idle_test/test_autoexpand.py", "start": 57125560, "end": 57130198}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/idle_test/test_zzdummy.py", "start": 57130198, "end": 57134655}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/idle_test/__init__.py", "start": 57134655, "end": 57135367}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/idle_test/test_warning.py", "start": 57135367, "end": 57138107}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/idle_test/tkinter_testing_utils.py", "start": 57138107, "end": 57140440}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/idle_test/test_multicall.py", "start": 57140440, "end": 57141757}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/idle_test/test_tree.py", "start": 57141757, "end": 57143509}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/idle_test/test_statusbar.py", "start": 57143509, "end": 57144642}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/idle_test/test_squeezer.py", "start": 57144642, "end": 57164298}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/idle_test/test_query.py", "start": 57164298, "end": 57179752}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/idle_test/test_hyperparser.py", "start": 57179752, "end": 57188834}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/idle_test/test_scrolledlist.py", "start": 57188834, "end": 57189330}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/idle_test/test_debugger_r.py", "start": 57189330, "end": 57190339}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/idle_test/test_history.py", "start": 57190339, "end": 57195856}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/idle_test/htest.py", "start": 57195856, "end": 57211049}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/idle_test/test_configdialog.py", "start": 57211049, "end": 57266393}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/idle_test/test_codecontext.py", "start": 57266393, "end": 57282475}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/idle_test/test_editmenu.py", "start": 57282475, "end": 57285039}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/idle_test/test_calltip_w.py", "start": 57285039, "end": 57285725}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/idle_test/test_colorizer.py", "start": 57285725, "end": 57308607}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/idle_test/test_autocomplete.py", "start": 57308607, "end": 57319700}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/idle_test/test_calltip.py", "start": 57319700, "end": 57332893}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/idle_test/test_filelist.py", "start": 57332893, "end": 57333688}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/idle_test/test_textview.py", "start": 57333688, "end": 57341052}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/idle_test/test_run.py", "start": 57341052, "end": 57356739}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/idle_test/test_debugobj_r.py", "start": 57356739, "end": 57357284}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/idle_test/test_stackviewer.py", "start": 57357284, "end": 57358490}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/idle_test/mock_idle.py", "start": 57358490, "end": 57360433}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/idle_test/test_config_key.py", "start": 57360433, "end": 57370141}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/idle_test/test_text.py", "start": 57370141, "end": 57377119}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/idle_test/test_macosx.py", "start": 57377119, "end": 57380563}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/idle_test/test_pyparse.py", "start": 57380563, "end": 57399928}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/idle_test/test_parenmatch.py", "start": 57399928, "end": 57403478}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/idle_test/test_sidebar.py", "start": 57403478, "end": 57429965}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/idle_test/test_percolator.py", "start": 57429965, "end": 57434030}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/idle_test/test_format.py", "start": 57434030, "end": 57457640}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/idle_test/template.py", "start": 57457640, "end": 57458282}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/idle_test/test_browser.py", "start": 57458282, "end": 57466298}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/idle_test/test_redirector.py", "start": 57466298, "end": 57470474}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/idle_test/mock_tk.py", "start": 57470474, "end": 57482167}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/idle_test/README.txt", "start": 57482167, "end": 57490896}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/idle_test/test_searchengine.py", "start": 57490896, "end": 57502484}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/idle_test/test_undo.py", "start": 57502484, "end": 57506712}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/idle_test/test_help_about.py", "start": 57506712, "end": 57512631}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/idle_test/test_replace.py", "start": 57512631, "end": 57520930}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/idle_test/test_runscript.py", "start": 57520930, "end": 57521707}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/idle_test/test_debugobj.py", "start": 57521707, "end": 57523268}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/idle_test/test_autocomplete_w.py", "start": 57523268, "end": 57523988}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/idle_test/test_mainmenu.py", "start": 57523988, "end": 57525626}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/idle_test/test_editor.py", "start": 57525626, "end": 57532891}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/idle_test/test_search.py", "start": 57532891, "end": 57535350}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/idle_test/test_iomenu.py", "start": 57535350, "end": 57536628}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/idle_test/test_rpc.py", "start": 57536628, "end": 57537433}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/idle_test/test_searchbase.py", "start": 57537433, "end": 57543124}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/idle_test/test_window.py", "start": 57543124, "end": 57544199}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/idle_test/test_outwin.py", "start": 57544199, "end": 57549621}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/idle_test/test_debugger.py", "start": 57549621, "end": 57550192}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/idle_test/test_pathbrowser.py", "start": 57550192, "end": 57552614}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/idle_test/test_grep.py", "start": 57552614, "end": 57557686}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/idle_test/test_zoomheight.py", "start": 57557686, "end": 57558685}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/Icons/openfolder.gif", "start": 57558685, "end": 57558810}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/Icons/idle.ico", "start": 57558810, "end": 57616556}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/Icons/folder.gif", "start": 57616556, "end": 57616676}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/Icons/idle_32.png", "start": 57616676, "end": 57619218}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/Icons/tk.gif", "start": 57619218, "end": 57619303}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/Icons/python.gif", "start": 57619303, "end": 57619888}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/Icons/idle_48.gif", "start": 57619888, "end": 57621276}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/Icons/idle_48.png", "start": 57621276, "end": 57625986}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/Icons/plusnode.gif", "start": 57625986, "end": 57626065}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/Icons/minusnode.gif", "start": 57626065, "end": 57626161}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/Icons/README.txt", "start": 57626161, "end": 57626604}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/Icons/idle_32.gif", "start": 57626604, "end": 57628039}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/Icons/idle_16.png", "start": 57628039, "end": 57629303}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/Icons/idle_256.png", "start": 57629303, "end": 57672142}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/idlelib/Icons/idle_16.gif", "start": 57672142, "end": 57673176}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/distutils/filelist.py", "start": 57673176, "end": 57686008}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/distutils/versionpredicate.py", "start": 57686008, "end": 57691141}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/distutils/log.py", "start": 57691141, "end": 57693110}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/distutils/dir_util.py", "start": 57693110, "end": 57700888}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/distutils/__init__.py", "start": 57700888, "end": 57701429}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/distutils/sysconfig.py", "start": 57701429, "end": 57713979}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/distutils/cygwinccompiler.py", "start": 57713979, "end": 57730359}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/distutils/debug.py", "start": 57730359, "end": 57730498}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/distutils/core.py", "start": 57730498, "end": 57739374}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/distutils/README", "start": 57739374, "end": 57739618}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/distutils/fancy_getopt.py", "start": 57739618, "end": 57757402}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/distutils/msvccompiler.py", "start": 57757402, "end": 57780942}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/distutils/cmd.py", "start": 57780942, "end": 57799021}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/distutils/archive_util.py", "start": 57799021, "end": 57807593}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/distutils/msvc9compiler.py", "start": 57807593, "end": 57838046}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/distutils/config.py", "start": 57838046, "end": 57842873}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/distutils/errors.py", "start": 57842873, "end": 57846450}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/distutils/bcppcompiler.py", "start": 57846450, "end": 57861344}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/distutils/dist.py", "start": 57861344, "end": 57911729}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/distutils/ccompiler.py", "start": 57911729, "end": 57959147}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/distutils/util.py", "start": 57959147, "end": 57980179}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/distutils/spawn.py", "start": 57980179, "end": 57984839}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/distutils/version.py", "start": 57984839, "end": 57997353}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/distutils/dep_util.py", "start": 57997353, "end": 58000844}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/distutils/text_file.py", "start": 58000844, "end": 58013327}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/distutils/_msvccompiler.py", "start": 58013327, "end": 58033334}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/distutils/extension.py", "start": 58033334, "end": 58043863}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/distutils/unixccompiler.py", "start": 58043863, "end": 58058681}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/distutils/file_util.py", "start": 58058681, "end": 58066829}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/distutils/tests/test_clean.py", "start": 58066829, "end": 58068270}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/distutils/tests/test_versionpredicate.py", "start": 58068270, "end": 58068550}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/distutils/tests/support.py", "start": 58068550, "end": 58075040}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/distutils/tests/test_extension.py", "start": 58075040, "end": 58077848}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/distutils/tests/test_config.py", "start": 58077848, "end": 58081740}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/distutils/tests/test_build.py", "start": 58081740, "end": 58083705}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/distutils/tests/test_bdist_rpm.py", "start": 58083705, "end": 58088717}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/distutils/tests/test_log.py", "start": 58088717, "end": 58090581}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/distutils/tests/test_check.py", "start": 58090581, "end": 58096292}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/distutils/tests/__init__.py", "start": 58096292, "end": 58097676}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/distutils/tests/xxmodule.c", "start": 58097676, "end": 58110592}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/distutils/tests/test_build_py.py", "start": 58110592, "end": 58116927}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/distutils/tests/test_install_lib.py", "start": 58116927, "end": 58120901}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/distutils/tests/test_config_cmd.py", "start": 58120901, "end": 58124100}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/distutils/tests/Setup.sample", "start": 58124100, "end": 58126349}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/distutils/tests/test_install.py", "start": 58126349, "end": 58135333}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/distutils/tests/test_text_file.py", "start": 58135333, "end": 58138769}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/distutils/tests/test_install_scripts.py", "start": 58138769, "end": 58141394}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/distutils/tests/test_bdist_dumb.py", "start": 58141394, "end": 58144299}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/distutils/tests/test_install_headers.py", "start": 58144299, "end": 58145537}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/distutils/tests/test_version.py", "start": 58145537, "end": 58148987}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/distutils/tests/test_register.py", "start": 58148987, "end": 58158792}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/distutils/tests/test_msvccompiler.py", "start": 58158792, "end": 58161637}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/distutils/tests/test_filelist.py", "start": 58161637, "end": 58173106}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/distutils/tests/test_build_ext.py", "start": 58173106, "end": 58193935}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/distutils/tests/test_build_scripts.py", "start": 58193935, "end": 58197528}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/distutils/tests/test_spawn.py", "start": 58197528, "end": 58202958}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/distutils/tests/test_install_data.py", "start": 58202958, "end": 58205535}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/distutils/tests/test_unixccompiler.py", "start": 58205535, "end": 58210364}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/distutils/tests/test_core.py", "start": 58210364, "end": 58214444}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/distutils/tests/test_file_util.py", "start": 58214444, "end": 58218892}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/distutils/tests/test_sysconfig.py", "start": 58218892, "end": 58230012}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/distutils/tests/test_dist.py", "start": 58230012, "end": 58249126}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/distutils/tests/test_msvc9compiler.py", "start": 58249126, "end": 58255164}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/distutils/tests/test_archive_util.py", "start": 58255164, "end": 58269539}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/distutils/tests/test_dep_util.py", "start": 58269539, "end": 58272359}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/distutils/tests/test_bdist_msi.py", "start": 58272359, "end": 58273202}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/distutils/tests/test_bdist.py", "start": 58273202, "end": 58274966}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/distutils/tests/test_upload.py", "start": 58274966, "end": 58282103}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/distutils/tests/includetest.rst", "start": 58282103, "end": 58282128}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/distutils/tests/test_sdist.py", "start": 58282128, "end": 58299215}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/distutils/tests/test_build_clib.py", "start": 58299215, "end": 58304128}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/distutils/tests/test_dir_util.py", "start": 58304128, "end": 58308782}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/distutils/tests/test_cygwinccompiler.py", "start": 58308782, "end": 58314418}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/distutils/tests/test_cmd.py", "start": 58314418, "end": 58318253}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/distutils/tests/test_util.py", "start": 58318253, "end": 58329864}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/distutils/command/sdist.py", "start": 58329864, "end": 58348869}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/distutils/command/check.py", "start": 58348869, "end": 58354505}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/distutils/command/__init__.py", "start": 58354505, "end": 58355276}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/distutils/command/build_ext.py", "start": 58355276, "end": 58386911}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/distutils/command/install_lib.py", "start": 58386911, "end": 58395308}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/distutils/command/install_scripts.py", "start": 58395308, "end": 58397325}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/distutils/command/install_headers.py", "start": 58397325, "end": 58398623}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/distutils/command/bdist_rpm.py", "start": 58398623, "end": 58420160}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/distutils/command/install_egg_info.py", "start": 58420160, "end": 58422763}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/distutils/command/upload.py", "start": 58422763, "end": 58430384}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/distutils/command/bdist_msi.py", "start": 58430384, "end": 58465903}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/distutils/command/register.py", "start": 58465903, "end": 58477615}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/distutils/command/config.py", "start": 58477615, "end": 58490732}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/distutils/command/build_clib.py", "start": 58490732, "end": 58498754}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/distutils/command/install.py", "start": 58498754, "end": 58526996}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/distutils/command/command_template", "start": 58526996, "end": 58527629}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/distutils/command/install_data.py", "start": 58527629, "end": 58530451}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/distutils/command/build_scripts.py", "start": 58530451, "end": 58536683}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/distutils/command/bdist_dumb.py", "start": 58536683, "end": 58541596}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/distutils/command/clean.py", "start": 58541596, "end": 58544372}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/distutils/command/bdist.py", "start": 58544372, "end": 58549805}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/distutils/command/build.py", "start": 58549805, "end": 58555572}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/distutils/command/build_py.py", "start": 58555572, "end": 58572762}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/urllib/parse.py", "start": 58572762, "end": 58615040}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/urllib/response.py", "start": 58615040, "end": 58617401}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/urllib/__init__.py", "start": 58617401, "end": 58617401}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/urllib/error.py", "start": 58617401, "end": 58620033}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/urllib/robotparser.py", "start": 58620033, "end": 58629457}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/urllib/request.py", "start": 58629457, "end": 58730847}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/zoneinfo/__init__.py", "start": 58730847, "end": 58731550}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/zoneinfo/_tzpath.py", "start": 58731550, "end": 58736631}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/zoneinfo/_common.py", "start": 58736631, "end": 58741916}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/zoneinfo/_zoneinfo.py", "start": 58741916, "end": 58766234}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/pydoc_data/__init__.py", "start": 58766234, "end": 58766234}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/pydoc_data/topics.py", "start": 58766234, "end": 59509840}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/pydoc_data/_pydoc.css", "start": 59509840, "end": 59509936}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/http/cookiejar.py", "start": 59509936, "end": 59587343}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/http/client.py", "start": 59587343, "end": 59644061}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/http/__init__.py", "start": 59644061, "end": 59650794}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/http/cookies.py", "start": 59650794, "end": 59671276}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/http/server.py", "start": 59671276, "end": 59718547}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/xml/__init__.py", "start": 59718547, "end": 59719104}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/xml/sax/_exceptions.py", "start": 59719104, "end": 59723889}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/xml/sax/__init__.py", "start": 59723889, "end": 59727531}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/xml/sax/expatreader.py", "start": 59727531, "end": 59743258}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/xml/sax/handler.py", "start": 59743258, "end": 59758875}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/xml/sax/xmlreader.py", "start": 59758875, "end": 59771559}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/xml/sax/saxutils.py", "start": 59771559, "end": 59783814}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/xml/parsers/__init__.py", "start": 59783814, "end": 59783981}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/xml/parsers/expat.py", "start": 59783981, "end": 59784229}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/xml/etree/cElementTree.py", "start": 59784229, "end": 59784311}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/xml/etree/__init__.py", "start": 59784311, "end": 59785916}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/xml/etree/ElementPath.py", "start": 59785916, "end": 59799923}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/xml/etree/ElementInclude.py", "start": 59799923, "end": 59806805}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/xml/etree/ElementTree.py", "start": 59806805, "end": 59880741}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/xml/dom/domreg.py", "start": 59880741, "end": 59884192}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/xml/dom/__init__.py", "start": 59884192, "end": 59888211}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/xml/dom/NodeFilter.py", "start": 59888211, "end": 59889147}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/xml/dom/expatbuilder.py", "start": 59889147, "end": 59924914}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/xml/dom/minicompat.py", "start": 59924914, "end": 59928281}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/xml/dom/minidom.py", "start": 59928281, "end": 59996347}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/xml/dom/xmlbuilder.py", "start": 59996347, "end": 60008734}, {"filename": "/tmp/xeus-python-kernel/envs/xeus-python-kernel/lib/python3.10/xml/dom/pulldom.py", "start": 60008734, "end": 60020731}], "remote_package_size": 60020731, "package_uuid": "d308c52a-8fbf-46c6-942b-ab42281a1b3b"});

  })();
